(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[    105939,       2349]
NotebookOptionsPosition[    105376,       2326]
NotebookOutlinePosition[    105720,       2341]
CellTagsIndexPosition[    105677,       2338]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "F\[Kappa]C", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "t", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "g", ",", "\[Alpha]", 
         ",", "\[Beta]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g", "=", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"2.", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
          RowBox[{"Log", "[", 
           FractionBox[
            RowBox[{"a", "-", "b"}], 
            RowBox[{"a", "+", "b"}]], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"t", "=", 
         RowBox[{"Re", "[", " ", "g", "]"}]}], " ", ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", "t", "]"}], "<", 
           SuperscriptBox["10", 
            RowBox[{"-", "16"}]]}], ",", 
          RowBox[{"Return", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<Not\>\"", ",", "\"\<Not\>\"", ",", "\"\<Not\>\""}], 
            "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"klass", "==", "1"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Kappa]2", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "-", "t"}], "]"}]}], ";", 
            RowBox[{"\[Kappa]1", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"klass", "==", "2"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[Kappa]2", "=", 
               RowBox[{"Floor", "[", 
                RowBox[{"-", "t"}], "]"}]}], ";", 
              RowBox[{"\[Kappa]1", "=", 
               RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"klass", "==", "3"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"\[Kappa]2", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"-", "t"}], "]"}]}], ";", 
                RowBox[{"\[Kappa]1", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"klass", "\[Equal]", "4"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\[Kappa]2", "=", 
                   RowBox[{"Floor", "[", 
                    RowBox[{"1", "-", "t"}], "]"}]}], ";", 
                  RowBox[{"\[Kappa]1", "=", 
                   RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", "None"}],
                "]"}]}], "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Alpha]", "=", 
         RowBox[{"g", "-", "\[Kappa]1"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Beta]", "=", 
         RowBox[{
          RowBox[{"-", "g"}], "-", "\[Kappa]2"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"{", " ", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
           RowBox[{"\[Kappa]1", "+", "\[Kappa]2"}]}], "}"}], "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FpC", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FpC", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_", " ", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{
        "p", ",", "g", ",", "v", ",", "k", ",", "i", ",", "cp", ",", 
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
         "\[Kappa]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",",
            "\[Kappa]"}], "}"}], "=", 
         RowBox[{"F\[Kappa]C", "[", 
          RowBox[{"a", ",", "b", ",", "klass"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Kappa]", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"\[Kappa]", "<", "0"}], ",", 
           RowBox[{"-", "\[Kappa]"}], ",", "\[Kappa]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"g", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"v", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"p", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "\[Kappa]"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"g", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"g", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"g", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"i", "-", "\[Alpha]"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"v", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"v", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"v", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"\[Beta]", "-", "i"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "0"}], ",", 
          RowBox[{"k", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"k", "++"}], ",", 
          RowBox[{
           RowBox[{"p", "\[LeftDoubleBracket]", 
            RowBox[{"\[Kappa]", "+", "k", "+", "1"}], 
            "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            UnderoverscriptBox["\[Sum]", 
             RowBox[{"i", "=", "0"}], "k"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"g", "\[LeftDoubleBracket]", 
               RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
              RowBox[{"v", "\[LeftDoubleBracket]", 
               RowBox[{"k", "-", "i", "+", "1"}], "\[RightDoubleBracket]"}]}],
              ")"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "p", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
     "===", "===", "===", " ", "\[CapitalOmega]TTTP1", " ", "===", "===", "===",
       "=="}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[CapitalOmega]TTTP1", "[", 
      RowBox[{"fk_", ",", "n_", ",", "p_", ",", "a_", ",", "b_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\[Sigma]", ",", "zn", ",", "m", ",", "k", ",", "j", ",", "ss", ",", 
         "\[CapitalOmega]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
         RowBox[{"H\[Alpha]", " ", "===", "===", "===", "===", 
          RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"H0", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aaa", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
             "===", "===", "===", " ", "akn", " ", "===", "===", "===", 
              "=="}], "*)"}],
            FontFamily->"Courier New"], 
           StyleBox["\[IndentingNewLine]",
            FontFamily->"Courier New"], 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "nn_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"aa", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"nn", "\[LessEqual]", "1"}], ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"aa", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0.", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 SuperscriptBox["2.", 
                  RowBox[{"nn", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "0"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"nn", "-", "2"}], "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"nn", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1."}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "aa", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", " ", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"aaa", "=", 
             RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"h", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"aaa", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "+", "2", "-", 
                  RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}]}], 
               ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "h", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{
          "===", "===", "===", " ", "\[Sigma]mjTT", " ", "===", "===", "===", 
           "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"\[Sigma]mjTT", "[", 
          RowBox[{"ffk_", ",", "nnn_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
            "x", ",", "T", ",", "\[Sigma]\[Sigma]", ",", "mmm", ",", "kkk", 
             ",", "jjj", ",", "r", ",", "l", ",", "S", ",", "s", ",", 
             "\[Delta]m", ",", "\[Delta]j"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"x", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", " ", "kkk"}], "-", "1."}], 
                  RowBox[{
                   RowBox[{"2", " ", "nnn"}], "+", "2."}]], " ", "\[Pi]"}], 
                "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"kkk", ",", "1", ",", 
                 RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"T", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"mmm", ",", "1", ",", 
                 RowBox[{"nnn", "+", "3"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"kkk", ",", "1", ",", 
                 RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Sigma]\[Sigma]", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"mmm", ",", "1", ",", 
                 RowBox[{"nnn", "+", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"kkk", ",", "1", ",", 
                 RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"mmm", "=", "0"}], ",", 
              RowBox[{"mmm", "\[LessEqual]", 
               RowBox[{"nnn", "+", "2"}]}], ",", 
              RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"kkk", "=", "1"}], ",", 
                RowBox[{"kkk", "\[LessEqual]", 
                 RowBox[{"nnn", "+", "1"}]}], ",", 
                RowBox[{"kkk", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"T", "\[LeftDoubleBracket]", 
                  RowBox[{
                   RowBox[{"mmm", "+", "1"}], ",", "kkk"}], 
                  "\[RightDoubleBracket]"}], "=", 
                 RowBox[{"ChebyshevT", "[", 
                  RowBox[{"mmm", ",", 
                   RowBox[{
                   "x", "\[LeftDoubleBracket]", "kkk", 
                    "\[RightDoubleBracket]"}]}], "]"}]}]}], 
               "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"mmm", "=", "0"}], ",", 
              RowBox[{"mmm", "\[LessEqual]", "nnn"}], ",", 
              RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"\[Delta]m", "=", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"mmm", "\[Equal]", "0"}], ",", "1.", ",", "2."}], 
                 "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"jjj", "=", "0"}], ",", 
                 RowBox[{"jjj", "\[LessEqual]", "nnn"}], ",", 
                 RowBox[{"jjj", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"\[Delta]j", "=", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"jjj", "\[Equal]", "0"}], ",", "1.", ",", "2."}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"S", "=", "0"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"For", "[", 
                   RowBox[{
                    RowBox[{"r", "=", "1"}], ",", 
                    RowBox[{"r", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                    RowBox[{"r", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"l", "=", "1"}], ",", 
                    RowBox[{"l", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                    RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"s", "=", 
                    RowBox[{"s", "+", 
                    RowBox[{
                    RowBox[{"ffk", "[", 
                    RowBox[{
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "l", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "r", 
                    "\[RightDoubleBracket]"}]}], "]"}], " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", "l"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "\[IndentingNewLine]", 
                    "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"S", "=", 
                    RowBox[{"S", "+", 
                    RowBox[{"s", " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"jjj", "+", "1"}], ",", "r"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}]}], 
                   "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"\[Sigma]\[Sigma]", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", 
                    RowBox[{"jjj", "+", "1"}]}], "\[RightDoubleBracket]"}], 
                   "=", 
                   FractionBox[
                    RowBox[{"\[Delta]m", " ", "\[Delta]j", " ", "S"}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1."}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1."}], ")"}]}]]}]}]}], " ", 
                "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "\[Sigma]\[Sigma]", "]"}]}]}], 
          "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"zn", "=", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"a", " ", "a"}], "-", 
            RowBox[{"b", " ", "b"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[CapitalOmega]", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Sigma]", "=", 
         RowBox[{"\[Sigma]mjTT", "[", 
          RowBox[{"fk", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"m", "=", "0"}], ",", 
          RowBox[{"m", "\[LessEqual]", "n"}], ",", 
          RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"k", "=", "0"}], ",", 
            RowBox[{"k", "\[LessEqual]", 
             RowBox[{"n", "+", "1"}]}], ",", 
            RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ss", "=", "0"}], ";", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"j", "=", "0"}], ",", 
               RowBox[{"j", "\[LessEqual]", "n"}], ",", 
               RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ss", "=", 
                 RowBox[{"ss", "+", 
                  RowBox[{
                   RowBox[{"\[Sigma]", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "\[RightDoubleBracket]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"H0", "[", 
                    RowBox[{"k", "+", "j"}], "]"}], "+", 
                    RowBox[{"H0", "[", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"k", "-", "j"}], "]"}], "]"}]}], " ", ")"}]}]}]}],
                 ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
               RowBox[{
                RowBox[{"m", "+", "1"}], ",", 
                RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
              FractionBox["ss", "zn"]}], ";"}]}], "]"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[CapitalOmega]", "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{"===", "===", "===", "===", "===", 
      RowBox[{"==", " ", "\[Gamma]jk1"}], " ", "===", "===", "===", "===", "===",
       "=="}], "*)"}],
    FontFamily->"Courier New"], 
   RowBox[{
    RowBox[{
     RowBox[{"\[Gamma]jk1", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[Gamma]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "H\[Gamma]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"H\[Gamma]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"b", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"bkn", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"bkn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"bb", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"n", "\[Equal]", "0"}], " ", ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"bb", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "bb", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 SuperscriptBox["2.", "n"]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "1"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"n", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"bb", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "bb", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "bb", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "0"}], ",", 
              RowBox[{"Return", "[", 
               RowBox[{"{", "0.", "}"}], "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"b", "=", 
             RowBox[{"bkn", "[", 
              RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox[
               RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"h", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "-", 
                  RowBox[{"2", " ", "r"}], "+", "1"}], 
                 "\[RightDoubleBracket]"}]}], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "h", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"hj", ":=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"j", "\[Equal]", "0"}], ",", "1", ",", "2"}], "]"}]}], ";",
         "\[IndentingNewLine]", 
        RowBox[{"\[Gamma]", "=", 
         RowBox[{"H\[Gamma]", "[", 
          RowBox[{"k", "-", "j", "+", "1"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"hj", " ", "\[Gamma]"}], "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", " ", "FckTT1P", " ",
      "**", "**", "**"}], "******)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckTT1P", "[", 
      RowBox[{
      "ff_", ",", "n_", ",", "\[Alpha]0_", ",", "p_", ",", 
       "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "bS", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "j", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"Ik\[Gamma]", " ", "===", "===", "===", "==="}]}], 
             "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"Ik\[Gamma]", "[", "k_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"aa", ",", "z", ",", "k2", ",", "r"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               StyleBox[
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{"===", "===", "==="}], "=", " ", 
                  RowBox[{"akn", " ", "===", "===", "===", "==="}]}], "*)"}],
                FontFamily->"Courier New"], 
               StyleBox["\[IndentingNewLine]",
                FontFamily->"Courier New"], 
               RowBox[{
                RowBox[{
                 RowBox[{"akn", "[", "nn_", "]"}], ":=", 
                 RowBox[{"Module", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"nn", "\[LessEqual]", "1"}], ",", 
                    RowBox[{"Return", "[", 
                    RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"a", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    "a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "=", 
                    SuperscriptBox["2.", 
                    RowBox[{"nn", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"kk", "=", "0"}], ",", 
                    RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"nn", "-", "2"}], "2"], "]"}]}], ",", 
                    RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"nn", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", " ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Return", "[", "a", "]"}]}]}], 
                  "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
                RowBox[{"aa", "=", 
                 RowBox[{"akn", "[", "k", "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"k2", "=", 
                 RowBox[{"Floor", "[", 
                  FractionBox["k", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"z", "=", 
                 RowBox[{
                  UnderoverscriptBox["\[Sum]", 
                   RowBox[{"r", "=", "0"}], "k2"], 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"p", "\[LeftDoubleBracket]", 
                    RowBox[{"k", "+", "2", "-", 
                    RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}], " ", 
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}]}], 
                   ")"}]}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "z", "]"}]}]}], "\[IndentingNewLine]", 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "0", ",", 
                 RowBox[{"n", "+", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"j", ",", "0", ",", 
                 RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "0"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "+", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "+", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "+", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Gamma]jk1", "[", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "-", "1"}], ",", "p"}], "]"}]}]}]}], 
                "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"k", "=", "0"}], ",", 
              RowBox[{"k", "\[LessEqual]", 
               RowBox[{"n", "+", "1"}]}], ",", 
              RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"aM", "\[LeftDoubleBracket]", 
                RowBox[{
                 RowBox[{"n", "+", "2"}], ",", 
                 RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{"Ik\[Gamma]", "[", "k", "]"}]}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
            "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"bSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bM", ",", "m", ",", "j", ",", "f"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"fjT", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"fjT", "[", 
              RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"ft", ",", "x", ",", "kk", ",", "jj"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ft", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"x", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", "kk"}], "-", "1."}], 
                    RowBox[{
                    RowBox[{"2", "nn"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 RowBox[{
                  FractionBox["1", 
                   RowBox[{"nn", "+", "1"}]], " ", 
                  RowBox[{
                   UnderoverscriptBox["\[Sum]", 
                    RowBox[{"kk", "=", "1"}], 
                    RowBox[{"nn", "+", "1"}]], 
                   RowBox[{"(", 
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}], "]"}], ")"}]}]}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"jj", "=", "1"}], ",", 
                  RowBox[{"jj", "\[LessEqual]", "nn"}], ",", 
                  RowBox[{"jj", "++"}], ",", 
                  RowBox[{
                   RowBox[{"ft", "\[LeftDoubleBracket]", 
                    RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    FractionBox["2", 
                    RowBox[{"nn", "+", "1"}]], " ", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"kk", "=", "1"}], 
                    RowBox[{"nn", "+", "1"}]], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}], "]"}], "  ", 
                    RowBox[{"ChebyshevT", "[", 
                    RowBox[{"jj", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{"bM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", 
                 RowBox[{"n", "+", "2"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"f", "=", 
             RowBox[{"fjT", "[", 
              RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "0"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"bM", "\[LeftDoubleBracket]", 
                RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], "]"}],
             ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"bM", "\[LeftDoubleBracket]", 
              RowBox[{"n", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
             "\[Alpha]0"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "bM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
            "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"bS", "=", "bSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"LinearSolve", "[", 
          RowBox[{"aS", ",", "bS"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "TClenshaw", " ", "===", "===", "==="}],
      "=", "\[Equal]"}], "*)"}], 
   RowBox[{
    RowBox[{
     RowBox[{"TClenshaw", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"b", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", 
             RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", 
           RowBox[{"na", "-", "1"}]}], ",", 
          RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
          RowBox[{"k", "--"}], ",", " ", 
          RowBox[{
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"a", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
            RowBox[{"2", " ", "x", " ", 
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
            RowBox[{"b", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{
          RowBox[{"b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
           "-", 
          RowBox[{"x", " ", 
           RowBox[{
           "b", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "TClenshawArr", " ", "===", "===", 
      "==="}], "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TClenshawArr", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nx", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
          RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"k", "=", 
              RowBox[{"na", "-", "1"}]}], ",", 
             RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"k", "--"}], ",", " ", 
             RowBox[{
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{
               RowBox[{"a", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
               RowBox[{"2", " ", 
                RowBox[{
                "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
                " ", 
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
            RowBox[{
             RowBox[{
             "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "-", 
             RowBox[{
              RowBox[{
              "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
              " ", 
              RowBox[{
              "b", "\[LeftDoubleBracket]", "2", 
               "\[RightDoubleBracket]"}]}]}]}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xArr", "[", 
      RowBox[{"a0_", ",", "h_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "x"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"a0", "+", 
            RowBox[{"k", "*", "h"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "x", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"uArr", "[", 
      RowBox[{"fu_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "y", ",", "len"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"len", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"fu", "[", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "len"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXi", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXi", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "z_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"rez", ",", "Rez"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]z", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{"g", "  ", 
              RowBox[{"Log", "[", 
               FractionBox[
                RowBox[{"z", "-", "1"}], 
                RowBox[{"z", "+", "1"}]], "]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]z", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1", "  "}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", "  "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXiPlus", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXiPlus", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"r", ",", "rr"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                FractionBox["1", "2"]}], " ", 
               RowBox[{"Log", "[", "G", "]"}]}], "+", 
              RowBox[{"g", "  ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"1", "-", "x"}], 
                 RowBox[{"1", "+", "x"}]], "]"}]}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1", "  "}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", "  "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"Zab", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Zab", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "rez", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"rez", "=", 
         FractionBox[
          RowBox[{"FXiPlus", "[", 
           RowBox[{
           "a", ",", "b", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
           "]"}], 
          RowBox[{"a", "-", "b"}]]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "\[IndentingNewLine]", "       ", 
    StyleBox[
     RowBox[{
      RowBox[{
      "\:041c\:043e\:0434\:0435\:043b\:044c\:043d\:044b\:0439", " ", 
       "\:043f\:0440\:0438\:043c\:0435\:0440"}], " ", 
      StyleBox["\[IndentingNewLine]", "Text",
       FontFamily->"Tahoma",
       FontSize->18,
       FontColor->RGBColor[0, 1, 1],
       Background->RGBColor[1, 0.85, 0.85]], 
      RowBox[{"\:0421\:0418\:0423", " ", "\:0441", " ", 
       StyleBox[
        RowBox[{
         StyleBox[
          
          StyleBox["\:0432\:0435\:0449\:0435\:0441\:0442\:0432\:0435\:043d", 
           "Text",
           FontFamily->"Cambria",
           FontSize->18,
           FontColor->RGBColor[1, 0, 1]], "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], "\:043d\:044b\:043c\:0438"}]], " ", 
       "\:043a\:043e\:044d\:0444\:0444\:0438\:0446\:0438\:0435\:043d\:0442\
\:0430\:043c\:0438"}]}], "Text",
     FontFamily->"Cambria",
     FontSize->18,
     FontColor->RGBColor[1, 0, 1]], 
    StyleBox[" ", "Text",
     FontFamily->"Cambria",
     FontSize->18,
     FontColor->RGBColor[1, 0, 1]], 
    StyleBox["\[IndentingNewLine]", "Text",
     FontFamily->"Tahoma",
     FontSize->18,
     FontColor->RGBColor[0, 1, 1]], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"v", "=", 
     FractionBox["\[Pi]", "4."]}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fa", "=", 
     RowBox[{"Cos", "[", "v", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fb", "=", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], "  ", 
      RowBox[{"Sin", "[", "v", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       "\[Kappa]"}], "}"}], "=", 
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"fa", ",", "fb", ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fxar", "[", "x_", "]"}], ":=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXi2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXiM2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       RowBox[{"-", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"az", ":=", 
     FractionBox["1", "FXi2"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], ":=", 
     FractionBox["az", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"bz", ":=", 
     FractionBox[
      RowBox[{"4", "*", "fb", "*", "FXi2"}], 
      RowBox[{"FXiM2", "-", "FXi2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fk", "[", 
      RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"x", "-", "2"}]], "*", 
      FractionBox["bz", 
       RowBox[{"t", "+", "2"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"freg", "[", "x_", "]"}], ":=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"freg", "[", "x", "]"}], "+", 
      RowBox[{"fxar", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Alpha]0", "=", 
     RowBox[{"-", "1"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", "25"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pp", "=", 
     RowBox[{"FpC", "[", 
      RowBox[{"fa", ",", "fb", ",", "1", ",", 
       RowBox[{
        RowBox[{"2", "*", "n"}], "+", "3"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalOmega]\[CapitalOmega]", "=", 
     RowBox[{"\[CapitalOmega]TTTP1", "[", 
      RowBox[{"fk", ",", "n", ",", "pp", ",", "fa", ",", "fb"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ck\[Gamma]", "=", 
     RowBox[{"FckTT1P", "[", 
      RowBox[{
      "f", ",", "n", ",", "\[Alpha]0", ",", "pp", ",", 
       "\[CapitalOmega]\[CapitalOmega]"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"-", "0.99"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hh", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b0", "=", "0.99"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kk", "=", 
     RowBox[{"Floor", "[", 
      FractionBox[
       RowBox[{"b0", "-", "a0"}], "hh"], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xx", "=", 
     RowBox[{"xArr", "[", 
      RowBox[{"a0", ",", "hh", ",", "kk"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"yy", "=", 
     RowBox[{"TClenshawArr", "[", 
      RowBox[{"ck\[Gamma]", ",", "xx"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zz", "=", 
     RowBox[{"uArr", "[", 
      RowBox[{"ut", ",", "xx"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<eps=\>\"", ",", 
      RowBox[{"Max", "[", 
       FractionBox[
        RowBox[{"Abs", "[", 
         RowBox[{"yy", "-", "zz"}], "]"}], 
        RowBox[{"Abs", "[", "zz", "]"}]], "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"**", "**", "**", "**", "**", "**", "**"}], "*", " ", "obP1"}], 
     " ", "****************)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"obP1", "[", 
      RowBox[{"n_", ",", "\[Alpha]0_", ",", "p_", ",", "\[CapitalOmega]_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "rez"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
         "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "j", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"Ik\[Gamma]", " ", "===", "===", "===", "==="}]}], 
             "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"Ik\[Gamma]", "[", "k_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"aa", ",", "z", ",", "k2", ",", "r"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               StyleBox[
                RowBox[{"(*", 
                 RowBox[{
                  RowBox[{"===", "===", "==="}], "=", " ", 
                  RowBox[{"akn", " ", "===", "===", "===", "==="}]}], "*)"}],
                FontFamily->"Courier New"], 
               StyleBox["\[IndentingNewLine]",
                FontFamily->"Courier New"], 
               RowBox[{
                RowBox[{
                 RowBox[{"akn", "[", "nn_", "]"}], ":=", 
                 RowBox[{"Module", "[", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"nn", "\[LessEqual]", "1"}], ",", 
                    RowBox[{"Return", "[", 
                    RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"a", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{
                    "a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "=", 
                    SuperscriptBox["2.", 
                    RowBox[{"nn", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"kk", "=", "0"}], ",", 
                    RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"nn", "-", "2"}], "2"], "]"}]}], ",", 
                    RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"nn", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", " ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Return", "[", "a", "]"}]}]}], 
                  "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"(*", 
                 RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
                RowBox[{"aa", "=", 
                 RowBox[{"akn", "[", "k", "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"k2", "=", 
                 RowBox[{"Floor", "[", 
                  FractionBox["k", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"z", "=", 
                 RowBox[{
                  UnderoverscriptBox["\[Sum]", 
                   RowBox[{"r", "=", "0"}], "k2"], 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"p", "\[LeftDoubleBracket]", 
                    RowBox[{"k", "+", "2", "-", 
                    RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}], " ", 
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}]}], 
                   ")"}]}]}], ";", "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "z", "]"}]}]}], "\[IndentingNewLine]", 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "0", ",", 
                 RowBox[{"n", "+", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"j", ",", "0", ",", 
                 RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "0"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "+", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "+", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "+", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Gamma]jk1", "[", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "-", "1"}], ",", "p"}], "]"}]}]}]}], 
                "]"}]}]}], "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"k", "=", "0"}], ",", 
              RowBox[{"k", "\[LessEqual]", 
               RowBox[{"n", "+", "1"}]}], ",", 
              RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"aM", "\[LeftDoubleBracket]", 
                RowBox[{
                 RowBox[{"n", "+", "2"}], ",", 
                 RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{"Ik\[Gamma]", "[", "k", "]"}]}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"aS1", "=", 
         RowBox[{"Inverse", "[", "aS", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{
          RowBox[{"Norm", "[", "aS", "]"}], "*", 
          RowBox[{"Norm", "[", "aS1", "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Obysl=\>\"", ",", 
      RowBox[{"obP1", "[", 
       RowBox[{
       "n", ",", "\[Alpha]0", ",", "pp", ",", 
        "\[CapitalOmega]\[CapitalOmega]"}], "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"un", "[", "x_", "]"}], ":=", 
     RowBox[{"TClenshaw", "[", 
      RowBox[{"ck\[Gamma]", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]n", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"Zab", "[", 
       RowBox[{
       "fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], "]"}],
       " ", 
      RowBox[{"un", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"Zab", "[", 
       RowBox[{
       "fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], "]"}],
       " ", 
      RowBox[{"ut", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tab1", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          ",", " ", 
         RowBox[{"Abs", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"un", "[", 
              RowBox[{
              "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              "]"}], " ", "-", " ", 
             RowBox[{"ut", "[", 
              RowBox[{
              "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              "]"}]}], ")"}], "/", 
           RowBox[{"ut", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], "]"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"ListLinePlot", "[", "tab1", "]"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tab2", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          ",", " ", 
         RowBox[{"Abs", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"\[Phi]", "[", 
              RowBox[{
              "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              "]"}], " ", "-", " ", 
             RowBox[{"\[Phi]n", "[", 
              RowBox[{
              "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              "]"}]}], ")"}], "/", 
           RowBox[{"\[Phi]", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], "]"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"ListLinePlot", "[", "tab2", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Quit", "[", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6763012402617617`*^9, 3.67630129040025*^9}, 
   3.67630133574953*^9, {3.676301371551593*^9, 3.676301463841355*^9}, {
   3.676301514260643*^9, 3.676301705548179*^9}, {3.6763017388542376`*^9, 
   3.6763019744614515`*^9}, {3.676302012946719*^9, 3.6763021015392747`*^9}, 
   3.6763021460313535`*^9, {3.676302209039864*^9, 3.6763022481491327`*^9}, {
   3.676302342841299*^9, 3.6763023589873276`*^9}, {3.676302441683073*^9, 
   3.6763024466906815`*^9}, {3.676302477687936*^9, 3.676302506766387*^9}, {
   3.6763025558440733`*^9, 3.6763025605552816`*^9}, {3.676302593315339*^9, 
   3.6763025952653427`*^9}, {3.676302631005005*^9, 3.676303078444991*^9}, {
   3.6763034530640492`*^9, 3.676304064959524*^9}, {3.6763041803841267`*^9, 
   3.6763041908205447`*^9}, {3.676304233096619*^9, 3.6763042338454204`*^9}, {
   3.6763042663402777`*^9, 3.676304271129486*^9}, {3.6763043093651533`*^9, 
   3.6763043243255796`*^9}, {3.676304358442839*^9, 3.6763043851812863`*^9}, {
   3.6763371956588154`*^9, 3.6763373281342483`*^9}, {3.6763373790371375`*^9, 
   3.676337379848339*^9}, {3.676337410471193*^9, 3.6763374473964577`*^9}, 
   3.6763374791425133`*^9, {3.6763375594202547`*^9, 3.676337568749071*^9}, 
   3.6763376214771633`*^9, {3.6763377018485045`*^9, 3.6763377833430476`*^9}, {
   3.6763378352599387`*^9, 3.6763378360087404`*^9}, {3.6763378800632176`*^9, 
   3.6763378818260207`*^9}, {3.676337937143718*^9, 3.676337948141737*^9}, {
   3.6763379972194233`*^9, 3.6763381025820084`*^9}, {3.676338243611057*^9, 
   3.6763382746863112`*^9}, {3.6763386145329084`*^9, 3.676338644578561*^9}, 
   3.6763387004422593`*^9, {3.6763388018816385`*^9, 3.676338861723344*^9}, {
   3.6763390489108725`*^9, 3.6763391602794685`*^9}, {3.676339231377993*^9, 
   3.6763392369316034`*^9}, {3.6763393804286556`*^9, 
   3.6763394207079268`*^9}, {3.676340433932106*^9, 3.6763404631821575`*^9}, {
   3.6763404995926213`*^9, 3.6763406448288765`*^9}, {3.676340675826131*^9, 
   3.676340687338951*^9}, {3.676340816444778*^9, 3.6763408387684174`*^9}, {
   3.6763410720884275`*^9, 3.6763411295745287`*^9}, 3.6763412087602673`*^9, {
   3.67634126716677*^9, 3.6763412863236036`*^9}, {3.676341331813284*^9, 
   3.6763413367584925`*^9}, {3.6763413685201483`*^9, 
   3.6763414108898225`*^9}, {3.676341474366334*^9, 3.6763415208232155`*^9}, {
   3.6763415713361044`*^9, 3.676341572225306*^9}, {3.676341906700019*^9, 
   3.6763419069028196`*^9}, {3.676342036429847*^9, 3.6763420388166513`*^9}, {
   3.676342162337668*^9, 3.6763421625560684`*^9}, 3.676342245361014*^9, {
   3.676342388896866*^9, 3.6763423892556667`*^9}, {3.6763425304827147`*^9, 
   3.6763425418707347`*^9}, {3.67634261910647*^9, 3.676342639776507*^9}, {
   3.6763427193834467`*^9, 3.6763427529235053`*^9}, 3.6763429034169693`*^9, {
   3.676343213951115*^9, 3.6763432438095675`*^9}, 3.6763434400891123`*^9, {
   3.676343804084552*^9, 3.676343812212166*^9}, {3.6763458404029284`*^9, 
   3.676345880635399*^9}, {3.6763459470603156`*^9, 3.6763459592595367`*^9}, {
   3.6763460062624197`*^9, 3.6763460197408433`*^9}, {3.676346052672501*^9, 
   3.6763460862905602`*^9}, {3.676346619291607*^9, 3.676346684905322*^9}, 
   3.676346790595508*^9, {3.6763468831192703`*^9, 3.6763468854592743`*^9}, {
   3.676347583678107*^9, 3.676347586298911*^9}, {3.676347671974262*^9, 
   3.676347706731123*^9}, {3.676431125875518*^9, 3.6764311589319763`*^9}, {
   3.6764311918012342`*^9, 3.67643121811848*^9}, {3.676432439179425*^9, 
   3.6764324399594264`*^9}, {3.6764325088959475`*^9, 
   3.6764325095043488`*^9}, {3.6764325459460125`*^9, 3.676432571592458*^9}, {
   3.6764326209041443`*^9, 3.676432621512545*^9}, {3.676432670496631*^9, 
   3.6764326740378375`*^9}, {3.6764328274985075`*^9, 3.6764328306653132`*^9}, 
   3.676432879290599*^9, {3.6764478321522374`*^9, 3.6764479095751734`*^9}, {
   3.6764479564144564`*^9, 3.676447957490858*^9}, {3.676448107812722*^9, 
   3.6764481182959404`*^9}, 3.6764481717728343`*^9, {3.6764483812500024`*^9, 
   3.6764486185108194`*^9}, {3.676448849828026*^9, 3.676448862682448*^9}, 
   3.678355602586393*^9, 3.6783602081443624`*^9, 3.6783602697332706`*^9, 
   3.67836066205836*^9, {3.678360733958886*^9, 3.678360753802121*^9}, {
   3.678360865872718*^9, 3.678360936447242*^9}, {3.6784182153509245`*^9, 
   3.678418216583327*^9}, {3.6784184643363624`*^9, 3.6784184646795635`*^9}, {
   3.6786324657857013`*^9, 3.6786325210857787`*^9}, {3.678695123601443*^9, 
   3.6786951262690477`*^9}, {3.6790608459508543`*^9, 
   3.6790609563146486`*^9}, {3.6790611034805074`*^9, 3.679061108909317*^9}, 
   3.6793722075649567`*^9, {3.6793727832379694`*^9, 3.679372803206004*^9}, {
   3.679554237336759*^9, 3.6795542631704044`*^9}, {3.6795543214365067`*^9, 
   3.679554326490916*^9}, 3.6795543923542314`*^9, 3.6795546839187436`*^9, 
   3.679555140411353*^9, {3.679974963935689*^9, 3.679974964668891*^9}, 
   3.6799763582925406`*^9, {3.6799938109255652`*^9, 3.679993811159566*^9}, {
   3.6872532761125345`*^9, 3.687253291150961*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"eps=\"\>", "\[InvisibleSpace]", "6.0485193144298666`*^-15"}],
  SequenceForm["eps=", 6.0485193144298666`*^-15],
  Editable->False]], "Print",
 CellChangeTimes->{3.679554249738781*^9, 3.679554284292842*^9, 
  3.679554372698197*^9, 3.6795546038282027`*^9, 3.679555060601613*^9, 
  3.6795552476303415`*^9, 3.6799948123049326`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Obysl=\"\>", "\[InvisibleSpace]", "157.97166295683814`"}],
  SequenceForm["Obysl=", 157.97166295683814`],
  Editable->False]], "Print",
 CellChangeTimes->{3.679554249738781*^9, 3.679554284292842*^9, 
  3.679554372698197*^9, 3.6795546038282027`*^9, 3.679555060601613*^9, 
  3.6795552476303415`*^9, 3.6799948124297323`*^9}]
}, Open  ]],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], LineBox[CompressedData["
1:eJw9lwlUk1cWxxklRyvMoNbOKAXBijOodQNqpT65iFFcUHGjiktFrYpLHJVq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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.98}, {0, 6.0485193144298666`*^-15}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0394, 0.0394}, {1.2097038628859734`*^-16, 
   1.2097038628859734`*^-16}}]], "Output",
 CellChangeTimes->{3.678360970580102*^9, 3.678418700934635*^9, 
  3.6786264405374446`*^9, 3.678632712236473*^9, 3.6790610683228455`*^9, 
  3.6790612471405272`*^9, 3.6795542499259815`*^9, 3.679554284511242*^9, 
  3.679554372885397*^9, 3.679554604046603*^9, 3.6795550608200135`*^9, 
  3.6795552478643417`*^9, 3.6799948126637325`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], LineBox[CompressedData["
1:eJw9lwlczOsax+NwOCXHtYSLihw7lTiK13nI1nFd1ElEhysiCR1XWep2Ky2y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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.98}, {0, 6.044595589962754*^-15}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0394, 0.0394}, {1.2089191179925508`*^-16, 
   1.2089191179925508`*^-16}}]], "Output",
 CellChangeTimes->{3.678360970580102*^9, 3.678418700934635*^9, 
  3.6786264405374446`*^9, 3.678632712236473*^9, 3.6790610683228455`*^9, 
  3.6790612471405272`*^9, 3.6795542499259815`*^9, 3.679554284511242*^9, 
  3.679554372885397*^9, 3.679554604046603*^9, 3.6795550608200135`*^9, 
  3.6795552478643417`*^9, 
  3.679994812819733*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6764486715509124`*^9, 3.676448672440114*^9}}]
},
WindowSize->{707, 655},
WindowMargins->{{Automatic, 95}, {Automatic, 31}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 80058, 1872, 7521, "Input"],
Cell[CellGroupData[{
Cell[80662, 1898, 376, 7, 23, "Print"],
Cell[81041, 1907, 370, 7, 23, "Print"]
}, Open  ]],
Cell[81426, 1917, 3768, 66, 245, "Output"],
Cell[85197, 1985, 20066, 335, 245, 3524, 63, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]],
Cell[105278, 2323, 94, 1, 31, "Input"]
}
]
*)

(* End of internal cache information *)
