(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     80443,       1886]
NotebookOptionsPosition[     79847,       1861]
NotebookOutlinePosition[     80191,       1876]
CellTagsIndexPosition[     80148,       1873]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "F\[Kappa]C", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "t", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "g", ",", "\[Alpha]", 
         ",", "\[Beta]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g", "=", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"2.", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
          RowBox[{"Log", "[", 
           FractionBox[
            RowBox[{"a", "-", "b"}], 
            RowBox[{"a", "+", "b"}]], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"t", "=", 
         RowBox[{"Re", "[", " ", "g", "]"}]}], " ", ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", "t", "]"}], "<", 
           SuperscriptBox["10", 
            RowBox[{"-", "16"}]]}], ",", 
          RowBox[{"Return", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<Not\>\"", ",", "\"\<Not\>\"", ",", "\"\<Not\>\""}], 
            "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"klass", "==", "1"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Kappa]2", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "-", "t"}], "]"}]}], ";", 
            RowBox[{"\[Kappa]1", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"klass", "==", "2"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[Kappa]2", "=", 
               RowBox[{"Floor", "[", 
                RowBox[{"-", "t"}], "]"}]}], ";", 
              RowBox[{"\[Kappa]1", "=", 
               RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"klass", "==", "3"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"\[Kappa]2", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"-", "t"}], "]"}]}], ";", 
                RowBox[{"\[Kappa]1", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"klass", "\[Equal]", "4"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\[Kappa]2", "=", 
                   RowBox[{"Floor", "[", 
                    RowBox[{"1", "-", "t"}], "]"}]}], ";", 
                  RowBox[{"\[Kappa]1", "=", 
                   RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", "None"}],
                "]"}]}], "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Alpha]", "=", 
         RowBox[{"g", "-", "\[Kappa]1"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Beta]", "=", 
         RowBox[{
          RowBox[{"-", "g"}], "-", "\[Kappa]2"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"{", " ", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
           RowBox[{"\[Kappa]1", "+", "\[Kappa]2"}]}], "}"}], "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FpC", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FpC", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_", " ", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{
        "p", ",", "g", ",", "v", ",", "k", ",", "i", ",", "cp", ",", 
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
         "\[Kappa]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",",
            "\[Kappa]"}], "}"}], "=", 
         RowBox[{"F\[Kappa]C", "[", 
          RowBox[{"a", ",", "b", ",", "klass"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Kappa]", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"\[Kappa]", "<", "0"}], ",", 
           RowBox[{"-", "\[Kappa]"}], ",", "\[Kappa]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"g", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"v", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"p", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "\[Kappa]"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"g", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"g", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"g", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"i", "-", "\[Alpha]"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"v", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"v", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"v", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"\[Beta]", "-", "i"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "0"}], ",", 
          RowBox[{"k", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"k", "++"}], ",", 
          RowBox[{
           RowBox[{"p", "\[LeftDoubleBracket]", 
            RowBox[{"\[Kappa]", "+", "k", "+", "1"}], 
            "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            UnderoverscriptBox["\[Sum]", 
             RowBox[{"i", "=", "0"}], "k"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"g", "\[LeftDoubleBracket]", 
               RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
              RowBox[{"v", "\[LeftDoubleBracket]", 
               RowBox[{"k", "-", "i", "+", "1"}], "\[RightDoubleBracket]"}]}],
              ")"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "p", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
     "===", "===", "===", " ", "\[CapitalOmega]TTTP1", " ", "===", "===", "===",
       "=="}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[CapitalOmega]TTT0", "[", 
      RowBox[{"fk_", ",", "n_", ",", "p_", ",", "a_", ",", "b_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\[Sigma]", ",", "zn", ",", "m", ",", "k", ",", "j", ",", "ss", ",", 
         "\[CapitalOmega]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
         RowBox[{"H\[Alpha]", " ", "===", "===", "===", "===", 
          RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"H0", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aaa", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
             "===", "===", "===", " ", "akn", " ", "===", "===", "===", 
              "=="}], "*)"}],
            FontFamily->"Courier New"], 
           StyleBox["\[IndentingNewLine]",
            FontFamily->"Courier New"], 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "nn_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"aa", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"nn", "\[LessEqual]", "1"}], ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"aa", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0.", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 SuperscriptBox["2.", 
                  RowBox[{"nn", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "0"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"nn", "-", "2"}], "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"nn", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1."}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "aa", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", " ", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"aaa", "=", 
             RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"h", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"aaa", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "+", "2", "-", 
                  RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}]}], 
               ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "h", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{
          "===", "===", "===", " ", "\[Sigma]mjTT", " ", "===", "===", "===", 
           "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"\[Sigma]mjTT", "[", 
          RowBox[{"ffk_", ",", "nnn_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
            "x", ",", "T", ",", "\[Sigma]\[Sigma]", ",", "mmm", ",", "kkk", 
             ",", "jjj", ",", "r", ",", "l", ",", "S", ",", "s", ",", 
             "\[Delta]m", ",", "\[Delta]j"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"x", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", " ", "kkk"}], "-", "1."}], 
                  RowBox[{
                   RowBox[{"2", " ", "nnn"}], "+", "2."}]], " ", "\[Pi]"}], 
                "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"kkk", ",", "1", ",", 
                 RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"T", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"mmm", ",", "1", ",", 
                 RowBox[{"nnn", "+", "3"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"kkk", ",", "1", ",", 
                 RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Sigma]\[Sigma]", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"mmm", ",", "1", ",", 
                 RowBox[{"nnn", "+", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"kkk", ",", "1", ",", 
                 RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"mmm", "=", "0"}], ",", 
              RowBox[{"mmm", "\[LessEqual]", 
               RowBox[{"nnn", "+", "2"}]}], ",", 
              RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"kkk", "=", "1"}], ",", 
                RowBox[{"kkk", "\[LessEqual]", 
                 RowBox[{"nnn", "+", "1"}]}], ",", 
                RowBox[{"kkk", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"T", "\[LeftDoubleBracket]", 
                  RowBox[{
                   RowBox[{"mmm", "+", "1"}], ",", "kkk"}], 
                  "\[RightDoubleBracket]"}], "=", 
                 RowBox[{"ChebyshevT", "[", 
                  RowBox[{"mmm", ",", 
                   RowBox[{
                   "x", "\[LeftDoubleBracket]", "kkk", 
                    "\[RightDoubleBracket]"}]}], "]"}]}]}], 
               "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"mmm", "=", "0"}], ",", 
              RowBox[{"mmm", "\[LessEqual]", "nnn"}], ",", 
              RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"\[Delta]m", "=", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"mmm", "\[Equal]", "0"}], ",", "1.", ",", "2."}], 
                 "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"jjj", "=", "0"}], ",", 
                 RowBox[{"jjj", "\[LessEqual]", "nnn"}], ",", 
                 RowBox[{"jjj", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"\[Delta]j", "=", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"jjj", "\[Equal]", "0"}], ",", "1.", ",", "2."}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"S", "=", "0"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"For", "[", 
                   RowBox[{
                    RowBox[{"r", "=", "1"}], ",", 
                    RowBox[{"r", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                    RowBox[{"r", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"l", "=", "1"}], ",", 
                    RowBox[{"l", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                    RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"s", "=", 
                    RowBox[{"s", "+", 
                    RowBox[{
                    RowBox[{"ffk", "[", 
                    RowBox[{
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "l", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "r", 
                    "\[RightDoubleBracket]"}]}], "]"}], " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", "l"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "\[IndentingNewLine]", 
                    "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"S", "=", 
                    RowBox[{"S", "+", 
                    RowBox[{"s", " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"jjj", "+", "1"}], ",", "r"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}]}], 
                   "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"\[Sigma]\[Sigma]", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", 
                    RowBox[{"jjj", "+", "1"}]}], "\[RightDoubleBracket]"}], 
                   "=", 
                   FractionBox[
                    RowBox[{"\[Delta]m", " ", "\[Delta]j", " ", "S"}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1."}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1."}], ")"}]}]]}]}]}], " ", 
                "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "\[Sigma]\[Sigma]", "]"}]}]}], 
          "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"zn", "=", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"a", " ", "a"}], "-", 
            RowBox[{"b", " ", "b"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[CapitalOmega]", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Sigma]", "=", 
         RowBox[{"\[Sigma]mjTT", "[", 
          RowBox[{"fk", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"m", "=", "0"}], ",", 
          RowBox[{"m", "\[LessEqual]", "n"}], ",", 
          RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"k", "=", "0"}], ",", 
            RowBox[{"k", "\[LessEqual]", "n"}], ",", 
            RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ss", "=", "0"}], ";", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"j", "=", "0"}], ",", 
               RowBox[{"j", "\[LessEqual]", "n"}], ",", 
               RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ss", "=", 
                 RowBox[{"ss", "+", 
                  RowBox[{
                   RowBox[{"\[Sigma]", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "\[RightDoubleBracket]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"H0", "[", 
                    RowBox[{"k", "+", "j"}], "]"}], "+", 
                    RowBox[{"H0", "[", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"k", "-", "j"}], "]"}], "]"}]}], " ", ")"}]}]}]}],
                 ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
               RowBox[{
                RowBox[{"m", "+", "1"}], ",", 
                RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
              FractionBox["ss", "zn"]}], ";"}]}], "]"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[CapitalOmega]", "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "===", "===", "===", "===", " ", "\[Gamma]jk0", " ", "===", "===", "===", 
     "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Gamma]jk0", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[Gamma]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "H\[Gamma]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"H\[Gamma]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"b", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"bkn", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"bkn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"bb", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"n", "\[Equal]", "0"}], " ", ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"bb", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "bb", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 SuperscriptBox["2.", "n"]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "1"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"n", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"bb", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "bb", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "bb", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", 
            StyleBox["\[IndentingNewLine]",
             FontFamily->"Courier New"], 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "0"}], ",", 
              RowBox[{"Return", "[", "0.", "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"b", "=", 
             RowBox[{"bkn", "[", 
              RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox[
               RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"h", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "-", 
                  RowBox[{"2", " ", "r"}], "+", "1"}], 
                 "\[RightDoubleBracket]"}]}], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "h", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"hj", ":=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"j", "\[Equal]", "0"}], ",", "1", ",", "2"}], "]"}]}], ";",
         "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"q1", "[", "M_", "]"}], ":=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"M", "\[Equal]", "0"}], ",", "1.", ",", "0"}], "]"}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"\[Gamma]", "=", 
         RowBox[{
          RowBox[{"0.5", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"q1", "[", 
              RowBox[{"k", "-", "j"}], "]"}], "+", 
             RowBox[{"q1", "[", 
              RowBox[{"k", "+", "j"}], "]"}]}], ")"}]}], "+", 
          RowBox[{"H\[Gamma]", "[", 
           RowBox[{"k", "-", "j"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"hj", " ", "\[Gamma]"}], "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", " ", "FckTT0P", " ",
      "**", "**", "**"}], "******)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckTT0P", "[", 
      RowBox[{"ff_", ",", "n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "bS", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "j", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "0"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", "n"}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "m"}], ",", 
                 RowBox[{"k", "\[LessEqual]", "n"}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Gamma]jk0", "[", 
                    RowBox[{"m", ",", "k", ",", "p"}], "]"}]}]}]}], "]"}]}]}],
              "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
            "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"bSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bM", ",", "m", ",", "f"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"fjT", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"fjT", "[", 
              RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"ft", ",", "x", ",", "k", ",", "j"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ft", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"x", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", "k"}], "-", "1."}], 
                    RowBox[{
                    RowBox[{"2", "nn"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 RowBox[{
                  FractionBox["1", 
                   RowBox[{"nn", "+", "1"}]], " ", 
                  RowBox[{
                   UnderoverscriptBox["\[Sum]", 
                    RowBox[{"k", "=", "1"}], 
                    RowBox[{"nn", "+", "1"}]], 
                   RowBox[{"(", 
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], ")"}]}]}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "1"}], ",", 
                  RowBox[{"j", "\[LessEqual]", "nn"}], ",", 
                  RowBox[{"j", "++"}], ",", 
                  RowBox[{
                   RowBox[{"ft", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    FractionBox["2.", 
                    RowBox[{"nn", "+", "1."}]], " ", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"k", "=", "1"}], 
                    RowBox[{"nn", "+", "1"}]], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], "  ", 
                    RowBox[{"ChebyshevT", "[", 
                    RowBox[{"j", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{"bM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"f", "=", 
             RowBox[{"fjT", "[", 
              RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "0"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"bM", "\[LeftDoubleBracket]", 
                RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], "]"}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "bM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
            "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"bS", "=", "bSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"LinearSolve", "[", 
          RowBox[{"aS", ",", "bS"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "TClenshaw", " ", "===", "===", "==="}],
      "=", "\[Equal]"}], "*)"}], 
   RowBox[{
    RowBox[{
     RowBox[{"TClenshaw", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"b", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", 
             RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", 
           RowBox[{"na", "-", "1"}]}], ",", 
          RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
          RowBox[{"k", "--"}], ",", " ", 
          RowBox[{
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"a", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
            RowBox[{"2", " ", "x", " ", 
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
            RowBox[{"b", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{
          RowBox[{"b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
           "-", 
          RowBox[{"x", " ", 
           RowBox[{
           "b", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "TClenshawArr", " ", "===", "===", 
      "==="}], "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TClenshawArr", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nx", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
          RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"k", "=", 
              RowBox[{"na", "-", "1"}]}], ",", 
             RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"k", "--"}], ",", " ", 
             RowBox[{
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{
               RowBox[{"a", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
               RowBox[{"2", " ", 
                RowBox[{
                "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
                " ", 
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
            RowBox[{
             RowBox[{
             "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "-", 
             RowBox[{
              RowBox[{
              "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
              " ", 
              RowBox[{
              "b", "\[LeftDoubleBracket]", "2", 
               "\[RightDoubleBracket]"}]}]}]}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xArr", "[", 
      RowBox[{"a0_", ",", "h_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "x"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"a0", "+", 
            RowBox[{"k", "*", "h"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "x", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"uArr", "[", 
      RowBox[{"fu_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "y", ",", "len"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"len", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"fu", "[", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "len"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXi", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXi", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "z_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"rez", ",", "Rez"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]z", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{"g", "  ", 
              RowBox[{"Log", "[", 
               FractionBox[
                RowBox[{"z", "-", "1"}], 
                RowBox[{"z", "+", "1"}]], "]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]z", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1", "  "}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", "  "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXiPlus", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXiPlus", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"r", ",", "rr"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                FractionBox["1", "2"]}], " ", 
               RowBox[{"Log", "[", "G", "]"}]}], "+", 
              RowBox[{"g", "  ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"1", "-", "x"}], 
                 RowBox[{"1", "+", "x"}]], "]"}]}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1", "  "}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", "  "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"Zab", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Zab", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "rez", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"rez", "=", 
         FractionBox[
          RowBox[{"FXiPlus", "[", 
           RowBox[{
           "a", ",", "b", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
           "]"}], 
          RowBox[{"a", "-", "b"}]]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "\[IndentingNewLine]", "       ", 
    StyleBox[
     RowBox[{
      RowBox[{
      "\:041c\:043e\:0434\:0435\:043b\:044c\:043d\:044b\:0439", " ", 
       "\:043f\:0440\:0438\:043c\:0435\:0440"}], " ", 
      StyleBox["\[IndentingNewLine]", "Text",
       FontFamily->"Tahoma",
       FontSize->18,
       FontColor->RGBColor[0, 1, 1],
       Background->RGBColor[1, 0.85, 0.85]], 
      RowBox[{"\:0421\:0418\:0423", " ", "\:0441", " ", 
       StyleBox[
        RowBox[{
         StyleBox[
          StyleBox[
           StyleBox[
            StyleBox["\:043a", "Text",
             FontFamily->"Cambria",
             FontSize->18,
             FontColor->RGBColor[1, 0, 1]], "Text",
            FontFamily->"Cambria",
            FontSize->18,
            FontColor->RGBColor[1, 0, 1]], "Text",
           FontFamily->"Cambria",
           FontSize->18,
           FontColor->RGBColor[1, 0, 1]], "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], 
         "\:043e\:043c\:043f\:043b\:0435\:043a", 
         StyleBox[
          StyleBox["\:0441", "Text",
           FontFamily->"Cambria",
           FontSize->18,
           FontColor->RGBColor[1, 0, 1]], "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], "\:043d\:044b\:043c\:0438"}]], " ", 
       "\:043a\:043e\:044d\:0444\:0444\:0438\:0446\:0438\:0435\:043d\:0442\
\:0430\:043c\:0438"}]}], "Text",
     FontFamily->"Cambria",
     FontSize->18,
     FontColor->RGBColor[1, 0, 1]], 
    StyleBox[" ", "Text",
     FontFamily->"Cambria",
     FontSize->18,
     FontColor->RGBColor[1, 0, 1]], 
    StyleBox["\[IndentingNewLine]", "Text",
     FontFamily->"Tahoma",
     FontSize->18,
     FontColor->RGBColor[0, 1, 1]], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"v", "=", 
     RowBox[{
      FractionBox["\[Pi]", "6."], "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[ImaginaryI]"}], ")"}]}]}], " ", ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fa", "=", 
     RowBox[{"Cos", "[", "v", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fb", "=", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], "  ", 
      RowBox[{"Sin", "[", "v", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       "\[Kappa]"}], "}"}], "=", 
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"fa", ",", "fb", ",", "4"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fxar", "[", "x_", "]"}], ":=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXi2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXiM2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       RowBox[{"-", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"az", ":=", 
     FractionBox["1", "FXi2"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], ":=", 
     FractionBox["az", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"bz", ":=", 
     FractionBox[
      RowBox[{"4.", "*", "fb", "*", "FXi2"}], 
      RowBox[{"FXiM2", "-", "FXi2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fk", "[", 
      RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"x", "-", "2"}]], "*", 
      FractionBox["bz", 
       RowBox[{"t", "+", "2"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"freg", "[", "x_", "]"}], ":=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"freg", "[", "x", "]"}], "+", 
      RowBox[{"fxar", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", "25"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pp", "=", 
     RowBox[{"FpC", "[", 
      RowBox[{"fa", ",", "fb", ",", "4", ",", 
       RowBox[{
        RowBox[{"2", "*", "n"}], "+", "3"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalOmega]\[CapitalOmega]", "=", 
     RowBox[{"\[CapitalOmega]TTT0", "[", 
      RowBox[{"fk", ",", "n", ",", "pp", ",", "fa", ",", "fb"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ck\[Gamma]", "=", 
     RowBox[{"FckTT0P", "[", 
      RowBox[{
      "f", ",", "n", ",", "pp", ",", "\[CapitalOmega]\[CapitalOmega]"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"-", "0.99"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hh", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b0", "=", "0.99"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kk", "=", 
     RowBox[{"Floor", "[", 
      FractionBox[
       RowBox[{"b0", "-", "a0"}], "hh"], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xx", "=", 
     RowBox[{"xArr", "[", 
      RowBox[{"a0", ",", "hh", ",", "kk"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"yy", "=", 
     RowBox[{"TClenshawArr", "[", 
      RowBox[{"ck\[Gamma]", ",", "xx"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zz", "=", 
     RowBox[{"uArr", "[", 
      RowBox[{"ut", ",", "xx"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<eps=\>\"", ",", 
      RowBox[{"Max", "[", 
       FractionBox[
        RowBox[{"Abs", "[", 
         RowBox[{"yy", "-", "zz"}], "]"}], 
        RowBox[{"Abs", "[", "zz", "]"}]], "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"**", "**", "**", "**", "**", "**", "**"}], "*", " ", "ob0"}], 
     " ", "****************)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ob0", "[", 
      RowBox[{"n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "aS1", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
         "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "j", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{"===", "=="}], "*)"}],
            FontFamily->"Courier New"], 
           StyleBox["\[IndentingNewLine]",
            FontFamily->"Courier New"], 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "0"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", "n"}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "m"}], ",", 
                 RowBox[{"k", "\[LessEqual]", "n"}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Gamma]jk0", "[", 
                    RowBox[{"m", ",", "k", ",", "p"}], "]"}]}]}]}], "]"}], 
               ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"aS1", "=", 
         RowBox[{"Inverse", "[", "aS", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{
          RowBox[{"Norm", "[", "aS", "]"}], "*", 
          RowBox[{"Norm", "[", "aS1", "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Obysl=\>\"", ",", 
      RowBox[{"ob0", "[", 
       RowBox[{"n", ",", "pp", ",", "\[CapitalOmega]\[CapitalOmega]"}], 
       "]"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Quit", "[", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6763012402617617`*^9, 3.67630129040025*^9}, 
   3.67630133574953*^9, {3.676301371551593*^9, 3.676301463841355*^9}, {
   3.676301514260643*^9, 3.676301705548179*^9}, {3.6763017388542376`*^9, 
   3.6763019744614515`*^9}, {3.676302012946719*^9, 3.6763021015392747`*^9}, 
   3.6763021460313535`*^9, {3.676302209039864*^9, 3.6763022481491327`*^9}, {
   3.676302342841299*^9, 3.6763023589873276`*^9}, {3.676302441683073*^9, 
   3.6763024466906815`*^9}, {3.676302477687936*^9, 3.676302506766387*^9}, {
   3.6763025558440733`*^9, 3.6763025605552816`*^9}, {3.676302593315339*^9, 
   3.6763025952653427`*^9}, {3.676302631005005*^9, 3.676303078444991*^9}, {
   3.6763034530640492`*^9, 3.676304064959524*^9}, {3.6763041803841267`*^9, 
   3.6763041908205447`*^9}, {3.676304233096619*^9, 3.6763042338454204`*^9}, {
   3.6763042663402777`*^9, 3.676304271129486*^9}, {3.6763043093651533`*^9, 
   3.6763043243255796`*^9}, {3.676304358442839*^9, 3.6763043851812863`*^9}, {
   3.6763371956588154`*^9, 3.6763373281342483`*^9}, {3.6763373790371375`*^9, 
   3.676337379848339*^9}, {3.676337410471193*^9, 3.6763374473964577`*^9}, 
   3.6763374791425133`*^9, {3.6763375594202547`*^9, 3.676337568749071*^9}, 
   3.6763376214771633`*^9, {3.6763377018485045`*^9, 3.6763377833430476`*^9}, {
   3.6763378352599387`*^9, 3.6763378360087404`*^9}, {3.6763378800632176`*^9, 
   3.6763378818260207`*^9}, {3.676337937143718*^9, 3.676337948141737*^9}, {
   3.6763379972194233`*^9, 3.6763381025820084`*^9}, {3.676338243611057*^9, 
   3.6763382746863112`*^9}, {3.6763386145329084`*^9, 3.676338644578561*^9}, 
   3.6763387004422593`*^9, {3.6763388018816385`*^9, 3.676338861723344*^9}, {
   3.6763390489108725`*^9, 3.6763391602794685`*^9}, {3.676339231377993*^9, 
   3.6763392369316034`*^9}, {3.6763393804286556`*^9, 
   3.6763394207079268`*^9}, {3.676340433932106*^9, 3.6763404631821575`*^9}, {
   3.6763404995926213`*^9, 3.6763406448288765`*^9}, {3.676340675826131*^9, 
   3.676340687338951*^9}, {3.676340816444778*^9, 3.6763408387684174`*^9}, {
   3.6763410720884275`*^9, 3.6763411295745287`*^9}, 3.6763412087602673`*^9, {
   3.67634126716677*^9, 3.6763412863236036`*^9}, {3.676341331813284*^9, 
   3.6763413367584925`*^9}, {3.6763413685201483`*^9, 
   3.6763414108898225`*^9}, {3.676341474366334*^9, 3.6763415208232155`*^9}, {
   3.6763415713361044`*^9, 3.676341572225306*^9}, {3.676341906700019*^9, 
   3.6763419069028196`*^9}, {3.676342036429847*^9, 3.6763420388166513`*^9}, {
   3.676342162337668*^9, 3.6763421625560684`*^9}, 3.676342245361014*^9, {
   3.676342388896866*^9, 3.6763423892556667`*^9}, {3.6763425304827147`*^9, 
   3.6763425418707347`*^9}, {3.67634261910647*^9, 3.676342639776507*^9}, {
   3.6763427193834467`*^9, 3.6763427529235053`*^9}, 3.6763429034169693`*^9, {
   3.676343213951115*^9, 3.6763432438095675`*^9}, 3.6763434400891123`*^9, {
   3.676343804084552*^9, 3.676343812212166*^9}, {3.6763458404029284`*^9, 
   3.676345880635399*^9}, {3.6763459470603156`*^9, 3.6763459592595367`*^9}, {
   3.6763460062624197`*^9, 3.6763460197408433`*^9}, {3.676346052672501*^9, 
   3.6763460862905602`*^9}, {3.676346619291607*^9, 3.676346684905322*^9}, 
   3.676346790595508*^9, {3.6763468831192703`*^9, 3.6763468854592743`*^9}, {
   3.676347583678107*^9, 3.676347586298911*^9}, {3.676347671974262*^9, 
   3.676347706731123*^9}, {3.676431125875518*^9, 3.6764311589319763`*^9}, {
   3.6764311918012342`*^9, 3.67643121811848*^9}, {3.676432439179425*^9, 
   3.6764324399594264`*^9}, {3.6764325088959475`*^9, 
   3.6764325095043488`*^9}, {3.6764325459460125`*^9, 3.676432571592458*^9}, {
   3.6764326209041443`*^9, 3.676432621512545*^9}, {3.676432670496631*^9, 
   3.6764326740378375`*^9}, {3.6764328274985075`*^9, 3.6764328306653132`*^9}, 
   3.676432879290599*^9, {3.6764478321522374`*^9, 3.6764479095751734`*^9}, {
   3.6764479564144564`*^9, 3.676447957490858*^9}, {3.676448107812722*^9, 
   3.6764481182959404`*^9}, 3.6764481717728343`*^9, {3.6764483812500024`*^9, 
   3.6764486185108194`*^9}, {3.676448849828026*^9, 3.676448862682448*^9}, 
   3.678355602586393*^9, 3.6783602081443624`*^9, 3.6783602697332706`*^9, 
   3.67836066205836*^9, {3.678360733958886*^9, 3.678360753802121*^9}, {
   3.678360865872718*^9, 3.678360936447242*^9}, {3.6784182153509245`*^9, 
   3.678418216583327*^9}, {3.6784184643363624`*^9, 3.6784184646795635`*^9}, {
   3.67851157109706*^9, 3.67851163917558*^9}, {3.6785116737452407`*^9, 
   3.678511765645002*^9}, {3.6785119312776947`*^9, 3.6785119336800985`*^9}, {
   3.6785119801993804`*^9, 3.678512061444323*^9}, {3.6785121001635914`*^9, 
   3.678512146136872*^9}, 3.6785122759602995`*^9, {3.678513445663972*^9, 
   3.678513459253991*^9}, {3.67851404436481*^9, 3.678514048534816*^9}, {
   3.6785141440649495`*^9, 3.6785141954350214`*^9}, {3.6785142794651394`*^9, 
   3.6785143026151714`*^9}, {3.6785143432352285`*^9, 3.678514348145235*^9}, 
   3.678514434295356*^9, {3.678515275160555*^9, 3.6785153246438417`*^9}, {
   3.678515376779134*^9, 3.6785153801643395`*^9}, {3.678515576626685*^9, 
   3.678515595362318*^9}, {3.6785156591664305`*^9, 3.67851567620166*^9}, {
   3.6785157966494713`*^9, 3.678515877020813*^9}, {3.6785159923298163`*^9, 
   3.6785160558687277`*^9}, {3.67862993336306*^9, 3.6786299365712433`*^9}, {
   3.6786299693431177`*^9, 3.678629986649108*^9}, {3.6786301826357794`*^9, 
   3.6786301909349947`*^9}, {3.67863046118587*^9, 3.6786304700622854`*^9}, {
   3.678630992352807*^9, 3.678631032242077*^9}, {3.6786312609968796`*^9, 
   3.6786312681260924`*^9}, {3.678631479904465*^9, 3.6786315125397224`*^9}, {
   3.6786317151446505`*^9, 3.6786317196046567`*^9}, {3.678632149815259*^9, 
   3.6786321786652994`*^9}, {3.6786958135454555`*^9, 
   3.6786958158698597`*^9}, {3.6790637298647165`*^9, 3.6790638068248243`*^9}, 
   3.6793720741411223`*^9, {3.6793734725067806`*^9, 3.6793734915544147`*^9}, {
   3.6799770843990183`*^9, 3.6799771016838484`*^9}, {3.6872542693602805`*^9, 
   3.6872542837279053`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"eps=\"\>", "\[InvisibleSpace]", "1.1969960419115115`*^-14"}],
  SequenceForm["eps=", 1.1969960419115115`*^-14],
  Editable->False]], "Print",
 CellChangeTimes->{3.680012173522295*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Obysl=\"\>", "\[InvisibleSpace]", "16.455683811070067`"}],
  SequenceForm["Obysl=", 16.455683811070067`],
  Editable->False]], "Print",
 CellChangeTimes->{3.680012173647095*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"un", "[", "x_", "]"}], ":=", 
   RowBox[{"TClenshaw", "[", 
    RowBox[{"ck\[Gamma]", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]n", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
     "]"}], " ", 
    RowBox[{"un", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
     "]"}], " ", 
    RowBox[{"ut", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tab1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"un", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}], " ", "-", " ", 
           RowBox[{"ut", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], ")"}], "/", 
         RowBox[{"ut", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListLinePlot", "[", "tab1", "]"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tab2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Phi]", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}], " ", "-", " ", 
           RowBox[{"\[Phi]n", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], ")"}], "/", 
         RowBox[{"\[Phi]", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", "tab2", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quit", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.6786304650234766`*^9, {3.678630508453953*^9, 3.678630511043557*^9}, {
   3.678631228096422*^9, 3.678631231169627*^9}, {3.6790637356747246`*^9, 
   3.679063756674754*^9}, {3.679063813274833*^9, 3.679063815924837*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], LineBox[CompressedData["
1:eJw1lgtYjekWx2NcI4fccjIJueQ2pFJ6s1wmhVxHMkpGiBMpYjiFSSrXqQ7d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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.98}, {0, 7.908712880450065*^-15}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0394, 0.0394}, {1.581742576090013*^-16, 
   1.581742576090013*^-16}}]], "Output",
 CellChangeTimes->{3.678512191064951*^9, 3.6785142045450344`*^9, 
  3.678514361095254*^9, 3.678514445495372*^9, 3.6785153579343004`*^9, 
  3.6785153939391637`*^9, 3.6785157547009983`*^9, 3.678629949243968*^9, 
  3.678630156819841*^9, 3.6786303773201227`*^9, 3.6786308775990057`*^9, 
  3.6786312141343975`*^9, 3.678631436598789*^9, 3.678631690814616*^9, 
  3.678631896964905*^9, 3.678632367265563*^9, 3.6790639484950223`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], LineBox[CompressedData["
1:eJw9lgtYjekWx5Oicgg1uV8yY6Rx6OY6b7MQUgclHaY0RsgIE9FljlxylNuM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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.98}, {0, 8.07896604307365*^-15}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0394, 0.0394}, {1.6157932086147302`*^-16, 
   1.6157932086147302`*^-16}}]], "Output",
 CellChangeTimes->{3.678512191064951*^9, 3.6785142045450344`*^9, 
  3.678514361095254*^9, 3.678514445495372*^9, 3.6785153579343004`*^9, 
  3.6785153939391637`*^9, 3.6785157547009983`*^9, 3.678629949243968*^9, 
  3.678630156819841*^9, 3.6786303773201227`*^9, 3.6786308775990057`*^9, 
  3.6786312141343975`*^9, 3.678631436598789*^9, 3.678631690814616*^9, 
  3.678631896964905*^9, 3.678632367265563*^9, 3.679063948665023*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.6764486715509124`*^9, 3.676448672440114*^9}}]
},
WindowSize->{705, 655},
WindowMargins->{{51, Automatic}, {Automatic, 23}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 67645, 1585, 6321, "Input"],
Cell[CellGroupData[{
Cell[68249, 1611, 232, 5, 23, "Print"],
Cell[68484, 1618, 226, 5, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[68759, 1629, 3002, 84, 192, "Input"],
Cell[71764, 1715, 3981, 69, 249, "Output"],
Cell[75748, 1786, 3986, 69, 244, "Output"]
}, Open  ]],
Cell[79749, 1858, 94, 1, 31, "Input"]
}
]
*)

(* End of internal cache information *)
