(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     73713,       1756]
NotebookOptionsPosition[     73289,       1736]
NotebookOutlinePosition[     73664,       1752]
CellTagsIndexPosition[     73621,       1749]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "F\[Kappa]C", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "t", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "g", ",", "\[Alpha]", 
         ",", "\[Beta]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g", "=", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"2.", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
          RowBox[{"Log", "[", 
           FractionBox[
            RowBox[{"a", "-", "b"}], 
            RowBox[{"a", "+", "b"}]], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"t", "=", 
         RowBox[{"Re", "[", " ", "g", "]"}]}], " ", ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", "t", "]"}], "<", 
           SuperscriptBox["10", 
            RowBox[{"-", "16"}]]}], ",", 
          RowBox[{"Return", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<Not\>\"", ",", "\"\<Not\>\"", ",", "\"\<Not\>\""}], 
            "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"klass", "==", "1"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Kappa]2", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "-", "t"}], "]"}]}], ";", 
            RowBox[{"\[Kappa]1", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"klass", "==", "2"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[Kappa]2", "=", 
               RowBox[{"Floor", "[", 
                RowBox[{"-", "t"}], "]"}]}], ";", 
              RowBox[{"\[Kappa]1", "=", 
               RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"klass", "==", "3"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"\[Kappa]2", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"-", "t"}], "]"}]}], ";", 
                RowBox[{"\[Kappa]1", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"klass", "\[Equal]", "4"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\[Kappa]2", "=", 
                   RowBox[{"Floor", "[", 
                    RowBox[{"1", "-", "t"}], "]"}]}], ";", 
                  RowBox[{"\[Kappa]1", "=", 
                   RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", "None"}],
                "]"}]}], "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Alpha]", "=", 
         RowBox[{"g", "-", "\[Kappa]1"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Beta]", "=", 
         RowBox[{
          RowBox[{"-", "g"}], "-", "\[Kappa]2"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"{", " ", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
           RowBox[{"\[Kappa]1", "+", "\[Kappa]2"}]}], "}"}], "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FpC", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FpC", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_", " ", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{
        "p", ",", "g", ",", "v", ",", "k", ",", "i", ",", "cp", ",", 
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
         "\[Kappa]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",",
            "\[Kappa]"}], "}"}], "=", 
         RowBox[{"F\[Kappa]C", "[", 
          RowBox[{"a", ",", "b", ",", "klass"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Kappa]", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"\[Kappa]", "<", "0"}], ",", 
           RowBox[{"-", "\[Kappa]"}], ",", "\[Kappa]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"g", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"v", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"p", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "\[Kappa]"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"g", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"g", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"g", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"i", "-", "\[Alpha]"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"v", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"v", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"v", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"\[Beta]", "-", "i"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "0"}], ",", 
          RowBox[{"k", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"k", "++"}], ",", 
          RowBox[{
           RowBox[{"p", "\[LeftDoubleBracket]", 
            RowBox[{"\[Kappa]", "+", "k", "+", "1"}], 
            "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            UnderoverscriptBox["\[Sum]", 
             RowBox[{"i", "=", "0"}], "k"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"g", "\[LeftDoubleBracket]", 
               RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
              RowBox[{"v", "\[LeftDoubleBracket]", 
               RowBox[{"k", "-", "i", "+", "1"}], "\[RightDoubleBracket]"}]}],
              ")"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "p", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
     "===", "===", "===", " ", "\[CapitalOmega]UTT0", " ", "===", "===", "===",
       "=="}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[CapitalOmega]UTT0", "[", 
      RowBox[{"fk_", ",", "n_", ",", "p_", ",", "a_", ",", "b_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "\[Sigma]", ",", "zn", ",", "m", ",", "k", ",", "j", ",", "ss", ",", 
         "\[CapitalOmega]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
         RowBox[{"H", " ", "===", "===", "===", "===", 
          RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"H", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aaa", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
             "===", "===", "===", " ", "akn", " ", "===", "===", "===", 
              "=="}], "*)"}],
            FontFamily->"Courier New"], 
           StyleBox["\[IndentingNewLine]",
            FontFamily->"Courier New"], 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "nn_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"aa", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"nn", "\[LessEqual]", "1"}], ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"aa", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0.", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 SuperscriptBox["2.", 
                  RowBox[{"nn", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "0"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"nn", "-", "2"}], "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"nn", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "aa", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", " ", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"aaa", "=", 
             RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"h", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"aaa", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "+", "2", "-", 
                  RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}]}], 
               ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "h", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{
          "===", "===", "===", " ", "\[Sigma]mjUT", " ", "===", "===", "===", 
           "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"\[Sigma]mjUT", "[", 
          RowBox[{"ffk_", ",", "nnn_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
            "x", ",", "T", ",", "\[Sigma]\[Sigma]", ",", "mmm", ",", "kkk", 
             ",", "jjj", ",", "r", ",", "l", ",", "S", ",", "s", ",", 
             "\[Nu]m", ",", "\[Delta]j", ",", "q"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"x", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", " ", "kkk"}], "-", "1."}], 
                  RowBox[{
                   RowBox[{"2", " ", "nnn"}], "+", "2"}]], " ", "\[Pi]"}], 
                "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"kkk", ",", "1", ",", 
                 RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"T", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"mmm", ",", "0", ",", 
                 RowBox[{"nnn", "+", "2"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"kkk", ",", "1", ",", 
                 RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Sigma]\[Sigma]", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"mmm", ",", "0", ",", "nnn"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"kkk", ",", "0", ",", "nnn"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"mmm", "=", "0"}], ",", 
              RowBox[{"mmm", "\[LessEqual]", 
               RowBox[{"nnn", "+", "2"}]}], ",", 
              RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"kkk", "=", "1"}], ",", 
                RowBox[{"kkk", "\[LessEqual]", 
                 RowBox[{"nnn", "+", "1"}]}], ",", 
                RowBox[{"kkk", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"T", "\[LeftDoubleBracket]", 
                  RowBox[{
                   RowBox[{"mmm", "+", "1"}], ",", "kkk"}], 
                  "\[RightDoubleBracket]"}], "=", 
                 RowBox[{"ChebyshevT", "[", 
                  RowBox[{"mmm", ",", 
                   RowBox[{
                   "x", "\[LeftDoubleBracket]", "kkk", 
                    "\[RightDoubleBracket]"}]}], "]"}]}]}], 
               "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"mmm", "=", "0"}], ",", 
              RowBox[{"mmm", "\[LessEqual]", "nnn"}], ",", 
              RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"\[Nu]m", "=", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"Or", "[", 
                   RowBox[{
                    RowBox[{"mmm", "\[Equal]", "nnn"}], ",", 
                    RowBox[{"mmm", "\[Equal]", 
                    RowBox[{"nnn", "-", "1"}]}]}], "]"}], ",", "0.", ",", 
                  "1."}], "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"jjj", "=", "0"}], ",", 
                 RowBox[{"jjj", "\[LessEqual]", "nnn"}], ",", 
                 RowBox[{"jjj", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"\[Delta]j", "=", 
                   RowBox[{"If", "[", 
                    RowBox[{
                    RowBox[{"jjj", "\[Equal]", "0"}], ",", "1.", ",", "2."}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"S", "=", "0"}], ";", "\[IndentingNewLine]", 
                  RowBox[{"For", "[", 
                   RowBox[{
                    RowBox[{"r", "=", "1"}], ",", 
                    RowBox[{"r", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                    RowBox[{"r", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"l", "=", "1"}], ",", 
                    RowBox[{"l", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                    RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"q", "=", 
                    RowBox[{
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", "l"}], 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{"\[Nu]m", " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "3"}], ",", "l"}], 
                    "\[RightDoubleBracket]"}]}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"s", "=", 
                    RowBox[{"s", "+", 
                    RowBox[{
                    RowBox[{"ffk", "[", 
                    RowBox[{
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "l", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "r", 
                    "\[RightDoubleBracket]"}]}], "]"}], " ", "q"}]}]}]}]}], 
                    "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"S", "=", 
                    RowBox[{"S", "+", 
                    RowBox[{"s", " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"jjj", "+", "1"}], ",", "r"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}]}], 
                   "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"\[Sigma]\[Sigma]", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", 
                    RowBox[{"jjj", "+", "1"}]}], "\[RightDoubleBracket]"}], 
                   "=", 
                   FractionBox[
                    RowBox[{"\[Delta]j", " ", "S"}], 
                    RowBox[{
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1"}], ")"}]}]]}]}]}], " ", 
                "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "\[Sigma]\[Sigma]", "]"}]}]}], 
          "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"zn", "=", 
         RowBox[{"2", " ", "b", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"a", " ", "a"}], "-", 
            RowBox[{"b", " ", "b"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[CapitalOmega]", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"-", "100"}], ",", 
           RowBox[{"{", 
            RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Sigma]", "=", 
         RowBox[{"\[Sigma]mjUT", "[", 
          RowBox[{"fk", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"m", "=", "0"}], ",", 
          RowBox[{"m", "\[LessEqual]", "n"}], ",", 
          RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"k", "=", "0"}], ",", 
            RowBox[{"k", "\[LessEqual]", "n"}], ",", 
            RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ss", "=", "0"}], ";", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"j", "=", "0"}], ",", 
               RowBox[{"j", "\[LessEqual]", "n"}], ",", 
               RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ss", "=", 
                 RowBox[{"ss", "+", 
                  RowBox[{
                   RowBox[{"\[Sigma]", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "\[RightDoubleBracket]"}], " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"H", "[", 
                    RowBox[{"k", "+", "j"}], "]"}], "+", 
                    RowBox[{"H", "[", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"k", "-", "j"}], "]"}], "]"}]}], " ", ")"}]}]}]}],
                 ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
               RowBox[{
                RowBox[{"m", "+", "1"}], ",", 
                RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
              FractionBox["ss", "zn"]}], ";"}]}], "]"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[CapitalOmega]", "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "===", "===", "===", "===", " ", "\[Alpha]jk0", " ", "===", "===", "===", 
     "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Alpha]jk0", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[Alpha]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
         RowBox[{"H\[Alpha]", " ", "===", "===", "===", "===", 
          RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"H\[Alpha]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"a", ",", "\[Delta]", ",", "M2", ",", "h", ",", "r"}], 
            "}"}], ",", "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"akn", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"aa", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"n", "\[LessEqual]", "1"}], ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"aa", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 SuperscriptBox["2.", 
                  RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "0"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"n", "-", "2"}], "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"n", "-", "1.", "-", 
                    RowBox[{"2.", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", " ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "aa", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"a", "=", 
             RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"h", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"a", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "+", "2", "-", 
                  RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}]}], 
               ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", 
             RowBox[{"2", " ", "h"}], "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"And", "[", 
           RowBox[{
            RowBox[{"j", "==", "k"}], ",", 
            RowBox[{"k", "==", "0"}]}], "]"}], ",", 
          RowBox[{"\[Alpha]", "=", "1"}], ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"And", "[", 
             RowBox[{
              RowBox[{"j", "==", "k"}], ",", 
              RowBox[{"k", "\[NotEqual]", "0"}]}], "]"}], ",", 
            RowBox[{"\[Alpha]", "=", "0.5"}], ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"And", "[", 
               RowBox[{"j", "==", 
                RowBox[{"k", "-", "1"}]}], "]"}], ",", 
              RowBox[{"\[Alpha]", "=", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"\[Alpha]", "=", 
               RowBox[{
                RowBox[{"H\[Alpha]", "[", 
                 RowBox[{"k", "-", "j", "-", "1"}], "]"}], "+", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"k", "-", "j"}], "\[Equal]", "2"}], ",", 
                  RowBox[{"-", "0.5"}], ",", "0"}], "]"}]}]}]}], "]"}]}], 
           "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Alpha]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"**", "**", "**", "**", "**", "**", "**"}], "*", " ", 
      "FckTU1P"}], " ", "****************)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckTU0P", "[", 
      RowBox[{"ff_", ",", "n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "bS", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
         "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "j", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{"===", "=="}], "*)"}],
            FontFamily->"Courier New"], 
           StyleBox["\[IndentingNewLine]",
            FontFamily->"Courier New"], 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "0"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", "n"}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "m"}], ",", 
                 RowBox[{"k", "\[LessEqual]", "n"}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Alpha]jk0", "[", 
                    RowBox[{"m", ",", "k", ",", "p"}], "]"}]}]}]}], "]"}], 
               ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"bSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bM", ",", "m", ",", "j", ",", "f"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"fjU", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"fjU", "[", 
              RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"ft", ",", "G", ",", "x", ",", "k", ",", "jj"}], 
                "}"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ft", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"x", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", "k"}], "-", "1."}], 
                    RowBox[{
                    RowBox[{"2", "n"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"G", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"jj", "=", "0"}], ",", 
                  RowBox[{"jj", "\[LessEqual]", "nn"}], ",", 
                  RowBox[{"jj", "++"}], ",", 
                  RowBox[{
                   RowBox[{"G", "\[LeftDoubleBracket]", 
                    RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    FractionBox["1.", 
                    RowBox[{"nn", "+", "1"}]], " ", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"k", "=", "1"}], 
                    RowBox[{"nn", "+", "1"}]], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], " ", 
                    RowBox[{"ChebyshevT", "[", 
                    RowBox[{"jj", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"jj", "=", "0"}], ",", 
                  RowBox[{"jj", "\[LessEqual]", 
                   RowBox[{"nn", "-", "2"}]}], ",", 
                  RowBox[{"jj", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"ft", "\[LeftDoubleBracket]", 
                    RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    RowBox[{"G", "\[LeftDoubleBracket]", 
                    RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "-", 
                    RowBox[{"G", "\[LeftDoubleBracket]", 
                    RowBox[{"jj", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}],
                  "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "ft", "\[LeftDoubleBracket]", "nn", 
                  "\[RightDoubleBracket]"}], "=", 
                 RowBox[{
                 "G", "\[LeftDoubleBracket]", "nn", 
                  "\[RightDoubleBracket]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"ft", "\[LeftDoubleBracket]", 
                  RowBox[{"nn", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                 RowBox[{"G", "\[LeftDoubleBracket]", 
                  RowBox[{"nn", "+", "1"}], "\[RightDoubleBracket]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"bM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"f", "=", 
             RowBox[{"fjU", "[", 
              RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "0"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"bM", "\[LeftDoubleBracket]", 
                RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], "]"}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "bM", "]"}], ";"}]}], 
          "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"bS", "=", "bSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"LinearSolve", "[", 
          RowBox[{"aS", ",", "bS"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "TClenshaw", " ", "===", "===", "==="}],
      "=", "\[Equal]"}], "*)"}], 
   RowBox[{
    RowBox[{
     RowBox[{"TClenshaw", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"b", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", 
             RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", 
           RowBox[{"na", "-", "1"}]}], ",", 
          RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
          RowBox[{"k", "--"}], ",", " ", 
          RowBox[{
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"a", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
            RowBox[{"2", " ", "x", " ", 
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
            RowBox[{"b", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{
          RowBox[{"b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
           "-", 
          RowBox[{"x", " ", 
           RowBox[{
           "b", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "TClenshawArr", " ", "===", "===", 
      "==="}], "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TClenshawArr", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nx", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
          RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"k", "=", 
              RowBox[{"na", "-", "1"}]}], ",", 
             RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"k", "--"}], ",", " ", 
             RowBox[{
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{
               RowBox[{"a", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
               RowBox[{"2", " ", 
                RowBox[{
                "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
                " ", 
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
            RowBox[{
             RowBox[{
             "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "-", 
             RowBox[{
              RowBox[{
              "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
              " ", 
              RowBox[{
              "b", "\[LeftDoubleBracket]", "2", 
               "\[RightDoubleBracket]"}]}]}]}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xArr", "[", 
      RowBox[{"a0_", ",", "h_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "x"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"a0", "+", 
            RowBox[{"k", "*", "h"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "x", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"uArr", "[", 
      RowBox[{"fu_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "y", ",", "len"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"len", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"fu", "[", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "len"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXi", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXi", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "z_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"rez", ",", "Rez"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]z", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{"g", "  ", 
              RowBox[{"Log", "[", 
               FractionBox[
                RowBox[{"z", "-", "1"}], 
                RowBox[{"z", "+", "1"}]], "]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]z", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1", "  "}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", "  "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXiPlus", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXiPlus", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"r", ",", "rr"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                FractionBox["1", "2"]}], " ", 
               RowBox[{"Log", "[", "G", "]"}]}], "+", 
              RowBox[{"g", "  ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"1", "-", "x"}], 
                 RowBox[{"1", "+", "x"}]], "]"}]}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1", "  "}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", "  "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"Zab", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Zab", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "rez", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"rez", "=", 
         FractionBox[
          RowBox[{"FXiPlus", "[", 
           RowBox[{
           "a", ",", "b", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
           "]"}], 
          RowBox[{"a", "-", "b"}]]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", "\[IndentingNewLine]", "       ", 
    StyleBox[
     RowBox[{
      RowBox[{
      "\:041c\:043e\:0434\:0435\:043b\:044c\:043d\:044b\:0439", " ", 
       "\:043f\:0440\:0438\:043c\:0435\:0440"}], " ", 
      StyleBox["\[IndentingNewLine]", "Text",
       FontFamily->"Tahoma",
       FontSize->18,
       FontColor->RGBColor[0, 1, 1],
       Background->RGBColor[1, 0.85, 0.85]], 
      RowBox[{"\:0421\:0418\:0423", " ", "\:0441", " ", 
       StyleBox[
        RowBox[{
         StyleBox[
          StyleBox[
           StyleBox["\:0432", "Text",
            FontFamily->"Cambria",
            FontSize->18,
            FontColor->RGBColor[1, 0, 1]], "Text",
           FontFamily->"Cambria",
           FontSize->18,
           FontColor->RGBColor[1, 0, 1]], "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], 
         "\:0435\:0449\:0435\:0441\:0442\:0432\:0435\:043d\:043d\:044b\:043c\
\:0438"}]], " ", 
       "\:043a\:043e\:044d\:0444\:0444\:0438\:0446\:0438\:0435\:043d\:0442\
\:0430\:043c\:0438"}]}], "Text",
     FontFamily->"Cambria",
     FontSize->18,
     FontColor->RGBColor[1, 0, 1]], 
    StyleBox[" ", "Text",
     FontFamily->"Cambria",
     FontSize->18,
     FontColor->RGBColor[1, 0, 1]], 
    StyleBox["\[IndentingNewLine]", "Text",
     FontFamily->"Tahoma",
     FontSize->18,
     FontColor->RGBColor[0, 1, 1]], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"v", "=", 
     FractionBox["\[Pi]", "6"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fa", "=", 
     RowBox[{"Cos", "[", "v", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fb", "=", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], "  ", 
      RowBox[{"Sin", "[", "v", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       "\[Kappa]"}], "}"}], "=", 
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"fa", ",", "fb", ",", "4"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fxar", "[", "x_", "]"}], ":=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXi2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXiM2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       RowBox[{"-", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"az", ":=", 
     FractionBox["1", "FXi2"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], ":=", 
     FractionBox["az", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"bz", ":=", 
     FractionBox[
      RowBox[{"4", "*", "fb", "*", "FXi2"}], 
      RowBox[{"FXiM2", "-", "FXi2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fk", "[", 
      RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"x", "-", "2"}]], "*", 
      FractionBox["bz", 
       RowBox[{"t", "+", "2"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"freg", "[", "x_", "]"}], ":=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"freg", "[", "x", "]"}], "+", 
      RowBox[{"fxar", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", "25"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pp", "=", 
     RowBox[{"FpC", "[", 
      RowBox[{"fa", ",", "fb", ",", "4", ",", 
       RowBox[{
        RowBox[{"2", "*", "n"}], "+", "1"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalOmega]\[CapitalOmega]", "=", 
     RowBox[{"\[CapitalOmega]UTT0", "[", 
      RowBox[{"fk", ",", "n", ",", "pp", ",", "fa", ",", "fb"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ck\[Alpha]", "=", 
     RowBox[{"FckTU0P", "[", 
      RowBox[{
      "f", ",", "n", ",", "pp", ",", "\[CapitalOmega]\[CapitalOmega]"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"-", "0.99"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hh", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b0", "=", "0.99"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kk", "=", 
     RowBox[{"Floor", "[", 
      FractionBox[
       RowBox[{"b0", "-", "a0"}], "hh"], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xx", "=", 
     RowBox[{"xArr", "[", 
      RowBox[{"a0", ",", "hh", ",", "kk"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"yy", "=", 
     RowBox[{"TClenshawArr", "[", 
      RowBox[{"ck\[Alpha]", ",", "xx"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zz", "=", 
     RowBox[{"uArr", "[", 
      RowBox[{"ut", ",", "xx"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<eps=\>\"", ",", 
      RowBox[{"Max", "[", 
       FractionBox[
        RowBox[{"Abs", "[", 
         RowBox[{"yy", "-", "zz"}], "]"}], 
        RowBox[{"Abs", "[", "zz", "]"}]], "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"**", "**", "**", "**", "**", "**", "**"}], "*", " ", "ob0"}], 
     " ", "****************)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ob0", "[", 
      RowBox[{"n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "aS1", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
         "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "j", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{"===", "=="}], "*)"}],
            FontFamily->"Courier New"], 
           StyleBox["\[IndentingNewLine]",
            FontFamily->"Courier New"], 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "0"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", "n"}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "m"}], ",", 
                 RowBox[{"k", "\[LessEqual]", "n"}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Alpha]jk0", "[", 
                    RowBox[{"m", ",", "k", ",", "p"}], "]"}]}]}]}], "]"}], 
               ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"aS1", "=", 
         RowBox[{"Inverse", "[", "aS", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{
          RowBox[{"Norm", "[", "aS", "]"}], "*", 
          RowBox[{"Norm", "[", "aS1", "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Obysl=\>\"", ",", 
      RowBox[{"ob0", "[", 
       RowBox[{"n", ",", "pp", ",", "\[CapitalOmega]\[CapitalOmega]"}], 
       "]"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Quit", "[", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"un", "[", "x_", "]"}], ":=", 
     RowBox[{"TClenshaw", "[", 
      RowBox[{"ck\[Alpha]", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]n", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"Zab", "[", 
       RowBox[{
       "fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], "]"}],
       " ", 
      RowBox[{"un", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"\[Phi]", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"Zab", "[", 
       RowBox[{
       "fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], "]"}],
       " ", 
      RowBox[{"ut", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tab1", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          ",", " ", 
         RowBox[{"Abs", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"un", "[", 
              RowBox[{
              "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              "]"}], " ", "-", " ", 
             RowBox[{"ut", "[", 
              RowBox[{
              "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              "]"}]}], ")"}], "/", 
           RowBox[{"ut", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], "]"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"ListLinePlot", "[", "tab1", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tab2", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          ",", " ", 
         RowBox[{"Abs", "[", 
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"\[Phi]", "[", 
              RowBox[{
              "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              "]"}], " ", "-", " ", 
             RowBox[{"\[Phi]n", "[", 
              RowBox[{
              "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
              "]"}]}], ")"}], "/", 
           RowBox[{"\[Phi]", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], "]"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], ";"}],
    "\[IndentingNewLine]", 
   RowBox[{"ListLinePlot", "[", "tab2", "]"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Quit", "[", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6763012402617617`*^9, 3.67630129040025*^9}, 
   3.67630133574953*^9, {3.676301371551593*^9, 3.676301463841355*^9}, {
   3.676301514260643*^9, 3.676301705548179*^9}, {3.6763017388542376`*^9, 
   3.6763019744614515`*^9}, {3.676302012946719*^9, 3.6763021015392747`*^9}, 
   3.6763021460313535`*^9, {3.676302209039864*^9, 3.6763022481491327`*^9}, {
   3.676302342841299*^9, 3.6763023589873276`*^9}, {3.676302441683073*^9, 
   3.6763024466906815`*^9}, {3.676302477687936*^9, 3.676302506766387*^9}, {
   3.6763025558440733`*^9, 3.6763025605552816`*^9}, {3.676302593315339*^9, 
   3.6763025952653427`*^9}, {3.676302631005005*^9, 3.676303078444991*^9}, {
   3.6763034530640492`*^9, 3.676304064959524*^9}, {3.6763041803841267`*^9, 
   3.6763041908205447`*^9}, {3.676304233096619*^9, 3.6763042338454204`*^9}, {
   3.6763042663402777`*^9, 3.676304271129486*^9}, {3.6763043093651533`*^9, 
   3.6763043243255796`*^9}, {3.676304358442839*^9, 3.6763043851812863`*^9}, {
   3.6763371956588154`*^9, 3.6763373281342483`*^9}, {3.6763373790371375`*^9, 
   3.676337379848339*^9}, {3.676337410471193*^9, 3.6763374473964577`*^9}, 
   3.6763374791425133`*^9, {3.6763375594202547`*^9, 3.676337568749071*^9}, 
   3.6763376214771633`*^9, {3.6763377018485045`*^9, 3.6763377833430476`*^9}, {
   3.6763378352599387`*^9, 3.6763378360087404`*^9}, {3.6763378800632176`*^9, 
   3.6763378818260207`*^9}, {3.676337937143718*^9, 3.676337948141737*^9}, {
   3.6763379972194233`*^9, 3.6763381025820084`*^9}, {3.676338243611057*^9, 
   3.6763382746863112`*^9}, {3.6763386145329084`*^9, 3.676338644578561*^9}, 
   3.6763387004422593`*^9, {3.6763388018816385`*^9, 3.676338861723344*^9}, {
   3.6763390489108725`*^9, 3.6763391602794685`*^9}, {3.676339231377993*^9, 
   3.6763392369316034`*^9}, {3.6763393804286556`*^9, 
   3.6763394207079268`*^9}, {3.676340433932106*^9, 3.6763404631821575`*^9}, {
   3.6763404995926213`*^9, 3.6763406448288765`*^9}, {3.676340675826131*^9, 
   3.676340687338951*^9}, {3.676340816444778*^9, 3.6763408387684174`*^9}, {
   3.6763410720884275`*^9, 3.6763411295745287`*^9}, 3.6763412087602673`*^9, {
   3.67634126716677*^9, 3.6763412863236036`*^9}, {3.676341331813284*^9, 
   3.6763413367584925`*^9}, {3.6763413685201483`*^9, 
   3.6763414108898225`*^9}, {3.676341474366334*^9, 3.6763415208232155`*^9}, {
   3.6763415713361044`*^9, 3.676341572225306*^9}, {3.676341906700019*^9, 
   3.6763419069028196`*^9}, {3.676342036429847*^9, 3.6763420388166513`*^9}, {
   3.676342162337668*^9, 3.6763421625560684`*^9}, 3.676342245361014*^9, {
   3.676342388896866*^9, 3.6763423892556667`*^9}, {3.6763425304827147`*^9, 
   3.6763425418707347`*^9}, {3.67634261910647*^9, 3.676342639776507*^9}, {
   3.6763427193834467`*^9, 3.6763427529235053`*^9}, 3.6763429034169693`*^9, {
   3.676343213951115*^9, 3.6763432438095675`*^9}, 3.6763434400891123`*^9, {
   3.676343804084552*^9, 3.676343812212166*^9}, {3.6763458404029284`*^9, 
   3.676345880635399*^9}, {3.6763459470603156`*^9, 3.6763459592595367`*^9}, {
   3.6763460062624197`*^9, 3.6763460197408433`*^9}, {3.676346052672501*^9, 
   3.6763460862905602`*^9}, {3.676346619291607*^9, 3.676346684905322*^9}, 
   3.676346790595508*^9, {3.6763468831192703`*^9, 3.6763468854592743`*^9}, {
   3.676347583678107*^9, 3.676347586298911*^9}, {3.676347671974262*^9, 
   3.676347706731123*^9}, {3.676431125875518*^9, 3.6764311589319763`*^9}, {
   3.6764311918012342`*^9, 3.67643121811848*^9}, {3.676432439179425*^9, 
   3.6764324399594264`*^9}, {3.6764325088959475`*^9, 
   3.6764325095043488`*^9}, {3.6764325459460125`*^9, 3.676432571592458*^9}, {
   3.6764326209041443`*^9, 3.676432621512545*^9}, {3.676432670496631*^9, 
   3.6764326740378375`*^9}, {3.6764328274985075`*^9, 3.6764328306653132`*^9}, 
   3.676432879290599*^9, {3.6764478321522374`*^9, 3.6764479095751734`*^9}, {
   3.6764479564144564`*^9, 3.676447957490858*^9}, {3.676448107812722*^9, 
   3.6764481182959404`*^9}, 3.6764481717728343`*^9, {3.6764483812500024`*^9, 
   3.6764486185108194`*^9}, {3.676448849828026*^9, 3.676448862682448*^9}, 
   3.678355602586393*^9, 3.6783569270195417`*^9, {3.678357049744957*^9, 
   3.6783570889322257`*^9}, {3.6783571302098985`*^9, 3.678357185933196*^9}, {
   3.6783572242312636`*^9, 3.678357342307871*^9}, {3.678357748770049*^9, 
   3.678357753184857*^9}, {3.6783580177864227`*^9, 3.6783580874034047`*^9}, {
   3.6783582845039034`*^9, 3.6783582940864515`*^9}, {3.6783583443473263`*^9, 
   3.6783583526548014`*^9}, {3.6783585546963573`*^9, 
   3.6783585623057923`*^9}, {3.6783587492604856`*^9, 3.678358779829234*^9}, {
   3.678358944151633*^9, 3.678359043655324*^9}, {3.678437422033182*^9, 
   3.6784374330156016`*^9}, {3.678695740693328*^9, 3.6786957424561305`*^9}, {
   3.679043216086141*^9, 3.679043333398347*^9}, {3.679044969352421*^9, 
   3.6790449824096437`*^9}, {3.679363796229908*^9, 3.679363798491912*^9}, {
   3.679369831805679*^9, 3.67936988932298*^9}, 3.6793712422408595`*^9, 
   3.6793720328322496`*^9, {3.679374122667125*^9, 3.6793741468939676`*^9}, {
   3.6793741882652407`*^9, 3.679374189232442*^9}, {3.6799757148566093`*^9, 
   3.6799757163698125`*^9}, 3.679975905925745*^9, {3.6799769616268024`*^9, 
   3.679976970971219*^9}, {3.687254143234059*^9, 3.6872541571492834`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"eps=\"\>", "\[InvisibleSpace]", "9.995305157786565`*^-15"}],
  SequenceForm["eps=", 9.995305157786565*^-15],
  Editable->False]], "Print",
 CellChangeTimes->{3.6783583631644025`*^9, 3.6783585726423836`*^9, 
  3.678358786255602*^9, 3.6783590843006487`*^9, 3.679043376579223*^9, 
  3.679044998009671*^9, 3.6793741709180098`*^9, 3.679374331901493*^9, 
  3.6800096546790705`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Obysl=\"\>", "\[InvisibleSpace]", "109.53299770140109`"}],
  SequenceForm["Obysl=", 109.53299770140109`],
  Editable->False]], "Print",
 CellChangeTimes->{3.6783583631644025`*^9, 3.6783585726423836`*^9, 
  3.678358786255602*^9, 3.6783590843006487`*^9, 3.679043376579223*^9, 
  3.679044998009671*^9, 3.6793741709180098`*^9, 3.679374331901493*^9, 
  3.6800096547726707`*^9}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{707, 633},
WindowMargins->{{98, Automatic}, {Automatic, 25}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 71809, 1688, 8019, "Input"],
Cell[CellGroupData[{
Cell[72413, 1714, 424, 8, 27, "Print"],
Cell[72840, 1724, 421, 8, 27, "Print"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
