(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     89954,       2008]
NotebookOptionsPosition[     88624,       1964]
NotebookOutlinePosition[     89126,       1982]
CellTagsIndexPosition[     89083,       1979]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "F\[Kappa]C", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"F\[Kappa]C", "[", 
     RowBox[{"a_", ",", "b_", ",", "klass_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "t", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "g", ",", "\[Alpha]", 
        ",", "\[Beta]"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"g", "=", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"2.", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{"a", "-", "b"}], 
           RowBox[{"a", "+", "b"}]], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"t", "=", 
        RowBox[{"Re", "[", " ", "g", "]"}]}], " ", ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Abs", "[", "t", "]"}], "<", 
          SuperscriptBox["10", 
           RowBox[{"-", "16"}]]}], ",", 
         RowBox[{"Return", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<Not\>\"", ",", "\"\<Not\>\"", ",", "\"\<Not\>\""}], 
           "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"klass", "==", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[Kappa]2", "=", 
            RowBox[{"Floor", "[", 
             RowBox[{"1", "-", "t"}], "]"}]}], ";", 
           RowBox[{"\[Kappa]1", "=", 
            RowBox[{"Floor", "[", 
             RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"klass", "==", "2"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Kappa]2", "=", 
              RowBox[{"Floor", "[", 
               RowBox[{"-", "t"}], "]"}]}], ";", 
             RowBox[{"\[Kappa]1", "=", 
              RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"klass", "==", "3"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Kappa]2", "=", 
                RowBox[{"Floor", "[", 
                 RowBox[{"-", "t"}], "]"}]}], ";", 
               RowBox[{"\[Kappa]1", "=", 
                RowBox[{"Floor", "[", 
                 RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"klass", "\[Equal]", "4"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"\[Kappa]2", "=", 
                  RowBox[{"Floor", "[", 
                   RowBox[{"1", "-", "t"}], "]"}]}], ";", 
                 RowBox[{"\[Kappa]1", "=", 
                  RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", "None"}], 
              "]"}]}], "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]", "=", 
        RowBox[{"g", "-", "\[Kappa]1"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Beta]", "=", 
        RowBox[{
         RowBox[{"-", "g"}], "-", "\[Kappa]2"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"{", " ", 
         RowBox[{
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
          RowBox[{"\[Kappa]1", "+", "\[Kappa]2"}]}], "}"}], "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.6447414251948557`*^9, {3.6447415128046093`*^9, 3.644741532632244*^9}, {
   3.644799799544701*^9, 3.644799832538759*^9}, {3.645021718739009*^9, 
   3.645021723387817*^9}, {3.645021911845749*^9, 3.6450219149657545`*^9}, 
   3.645932810976946*^9, {3.646220516415708*^9, 3.64622053458974*^9}, {
   3.65796782934225*^9, 3.657967831370253*^9}, 3.67687822976127*^9, {
   3.679047838978129*^9, 3.679047839009329*^9}, {3.679047871238985*^9, 
   3.679047875762993*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "==="}], "=", " ", 
     RowBox[{"FpC", " ", "===", "===", "===", "==="}]}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"FpC", "[", 
     RowBox[{"a_", ",", "b_", ",", "klass_", " ", ",", "n_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{"p", ",", "g", ",", "v", ",", "k", ",", "i"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
          "\[Kappa]"}], "}"}], "=", 
        RowBox[{"F\[Kappa]C", "[", 
         RowBox[{"a", ",", "b", ",", "klass"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Chi]", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"\[Kappa]", "<", "0"}], ",", 
          RowBox[{"-", "\[Kappa]"}], ",", "\[Kappa]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"g", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"v", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"p", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "\[Chi]"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "0"}], ",", 
         RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{
          RowBox[{"g", "\[LeftDoubleBracket]", 
           RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           RowBox[{"g", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
           FractionBox[
            RowBox[{"i", "-", "\[Alpha]"}], 
            RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"v", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "0"}], ",", 
         RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{
          RowBox[{"v", "\[LeftDoubleBracket]", 
           RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           RowBox[{"v", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
           FractionBox[
            RowBox[{"\[Beta]", "-", "i"}], 
            RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "0"}], ",", 
         RowBox[{"k", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"k", "++"}], ",", 
         RowBox[{
          RowBox[{"p", "\[LeftDoubleBracket]", 
           RowBox[{"\[Chi]", "+", "k", "+", "1"}], "\[RightDoubleBracket]"}], 
          "=", 
          RowBox[{
           UnderoverscriptBox["\[Sum]", 
            RowBox[{"i", "=", "0"}], "k"], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"g", "\[LeftDoubleBracket]", 
              RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
             RowBox[{"v", "\[LeftDoubleBracket]", 
              RowBox[{"k", "-", "i", "+", "1"}], "\[RightDoubleBracket]"}]}], 
            ")"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "p", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.638033899486045*^9, 3.6380339063524375`*^9}, {
   3.6393243253296494`*^9, 3.6393243325680637`*^9}, 3.639324420188075*^9, {
   3.6418151015055103`*^9, 3.6418151037987146`*^9}, {3.6418151373387737`*^9, 
   3.6418152433097596`*^9}, {3.643537594784018*^9, 3.643537619432061*^9}, {
   3.6435376720041533`*^9, 3.643537757679504*^9}, {3.6435378017495813`*^9, 
   3.6435379776086903`*^9}, {3.643538038901198*^9, 3.6435380595400343`*^9}, {
   3.643538110099723*^9, 3.6435381585378084`*^9}, {3.643538193060669*^9, 
   3.643538323898099*^9}, {3.6435383778273935`*^9, 3.6435385777417445`*^9}, {
   3.6435386216402216`*^9, 3.6435387165819883`*^9}, {3.6435388373106003`*^9, 
   3.643538932642368*^9}, {3.643539271714964*^9, 3.6435395855095153`*^9}, 
   3.643539637722807*^9, {3.6435396968313103`*^9, 3.643539743459792*^9}, {
   3.643539789230273*^9, 3.6435397922566786`*^9}, {3.6435398237999334`*^9, 
   3.643539906573679*^9}, 3.643539943327344*^9, {3.6435400359915066`*^9, 
   3.643540058611546*^9}, {3.6435406315225525`*^9, 3.6435406370293617`*^9}, {
   3.6435407163867016`*^9, 3.643540785588423*^9}, {3.643540882994994*^9, 
   3.6435409042890315`*^9}, {3.64354093770429*^9, 3.643540944037901*^9}, {
   3.6435410705385237`*^9, 3.6435411012705774`*^9}, {3.6435411501142635`*^9, 
   3.64354119382554*^9}, {3.643543589601348*^9, 3.643543618055798*^9}, 
   3.643547097911835*^9, {3.643547128082288*^9, 3.6435471350867004`*^9}, {
   3.64371267363628*^9, 3.6437129034090834`*^9}, {3.6437129458255577`*^9, 
   3.643713142885104*^9}, {3.643713253208498*^9, 3.643713372267907*^9}, {
   3.643713436165619*^9, 3.643713442998431*^9}, {3.6437853664251623`*^9, 
   3.6437853901996045`*^9}, {3.643785621844411*^9, 3.6437856333104315`*^9}, {
   3.6439499079923115`*^9, 3.643949925277142*^9}, 3.643950102977054*^9, {
   3.643950167873168*^9, 3.6439502114752445`*^9}, {3.643950268384145*^9, 
   3.643950305200209*^9}, {3.64395039681917*^9, 3.6439504123723974`*^9}, {
   3.643950462058485*^9, 3.6439505470318336`*^9}, {3.6439518015378704`*^9, 
   3.6439518539539623`*^9}, {3.643951924060486*^9, 3.643951930628097*^9}, {
   3.6439520106330376`*^9, 3.643952075981552*^9}, {3.6439523801508865`*^9, 
   3.643952381508089*^9}, 3.6439527307927027`*^9, {3.6439693715876384`*^9, 
   3.643969403879695*^9}, {3.643969434596149*^9, 3.6439694487297735`*^9}, {
   3.6439695152638907`*^9, 3.643969591844425*^9}, {3.643969695007406*^9, 
   3.6439696989074135`*^9}, {3.643969732868673*^9, 3.6439703254045134`*^9}, {
   3.643970370706993*^9, 3.6439704017978477`*^9}, {3.6439704430599203`*^9, 
   3.6439708327174044`*^9}, {3.643970929031974*^9, 3.643971207118062*^9}, 
   3.6439712561645484`*^9, {3.643971289002606*^9, 3.6439714799937415`*^9}, {
   3.643971521209014*^9, 3.6439715543590717`*^9}, {3.6439718400786905`*^9, 
   3.643972003816578*^9}, 3.6439729767186885`*^9, {3.6439730126299515`*^9, 
   3.643973092190091*^9}, {3.64397458896152*^9, 3.643974617712371*^9}, {
   3.643974686851692*^9, 3.643974858015193*^9}, {3.6439749572469673`*^9, 
   3.643974978275804*^9}, {3.6441096139550295`*^9, 3.6441096391334734`*^9}, 
   3.644110087509461*^9, 3.6441130946099854`*^9, {3.6441131424396696`*^9, 
   3.6441131777113314`*^9}, {3.644113235057032*^9, 3.644113259767475*^9}, {
   3.6441133049139547`*^9, 3.6441133178151774`*^9}, {3.6441133542724414`*^9, 
   3.6441136549005694`*^9}, {3.6441136880506277`*^9, 3.644113725818294*^9}, {
   3.6441137583911514`*^9, 3.6441137875320024`*^9}, {3.644114414167104*^9, 
   3.6441144451019583`*^9}, 3.6441147767405405`*^9, 3.644114933084016*^9, {
   3.644115122281148*^9, 3.644115196802479*^9}, {3.644115239608954*^9, 
   3.6441152445073624`*^9}, {3.644115324317103*^9, 3.644115346749942*^9}, 
   3.6441154056088457`*^9, {3.6441163865229683`*^9, 3.6441165277344165`*^9}, {
   3.6441167037027254`*^9, 3.6441167470708017`*^9}, 3.644117069070967*^9, {
   3.644117219829632*^9, 3.644117220204033*^9}, {3.6441173260502186`*^9, 
   3.644117353677867*^9}, {3.6441174333628073`*^9, 3.6441175788330626`*^9}, {
   3.6441181532075377`*^9, 3.6441181554383416`*^9}, 3.644147191148188*^9, {
   3.6441473627484894`*^9, 3.6441475761880646`*^9}, {3.6441476453117857`*^9, 
   3.6441476697102284`*^9}, {3.644147703421888*^9, 3.644147707025494*^9}, {
   3.6441477933092456`*^9, 3.6441479555495305`*^9}, {3.6441479901503916`*^9, 
   3.6441479957820015`*^9}, {3.644148041287281*^9, 3.6441480960901775`*^9}, {
   3.6441481336550436`*^9, 3.644148201421562*^9}, {3.6441482325124173`*^9, 
   3.6441482844605083`*^9}, {3.6441483156449633`*^9, 3.644148339918606*^9}, {
   3.644148391835497*^9, 3.64414843913478*^9}, {3.6441527440366406`*^9, 
   3.6441527587786665`*^9}, 3.6441529825766597`*^9, {3.644153974332802*^9, 
   3.6441539777492075`*^9}, {3.6447395253767185`*^9, 3.644739563035185*^9}, {
   3.6447400133299756`*^9, 3.644740036090416*^9}, {3.644799875844435*^9, 
   3.6447998867020545`*^9}, {3.644802354704389*^9, 3.6448023644544067`*^9}, {
   3.6448024049676776`*^9, 3.6448025554299417`*^9}, {3.6457044940035925`*^9, 
   3.6457045255780478`*^9}, {3.6457045952773714`*^9, 3.645704606478191*^9}, {
   3.6579626479441257`*^9, 3.6579626622961507`*^9}, {3.6579627152270436`*^9, 
   3.6579627290018682`*^9}, 3.6579633048456793`*^9, {3.6579640486408844`*^9, 
   3.6579640556920967`*^9}, 3.6579640954565663`*^9, {3.657964253514118*^9, 
   3.657964254392168*^9}, {3.6579645358947315`*^9, 3.657964537454734*^9}, {
   3.6579646239568863`*^9, 3.657964624565287*^9}, {3.6579646547045403`*^9, 
   3.6579646606481504`*^9}, 3.6579647427978945`*^9, {3.6581259921955643`*^9, 
   3.658125993755566*^9}, {3.6582930756573267`*^9, 3.658293090165352*^9}, 
   3.676878251429708*^9, {3.676879920639007*^9, 3.67687992230821*^9}, {
   3.679047839009329*^9, 3.679047865232975*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Gamma]jk1", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Gamma]jk1", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[Gamma]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "H\[Gamma]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"H\[Gamma]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"b", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"bkn", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"bkn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"bb", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"n", "\[Equal]", "0"}], " ", ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"bb", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "bb", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 SuperscriptBox["2.", "n"]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "1"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"n", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"bb", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "bb", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "bb", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "0"}], ",", 
              RowBox[{"Return", "[", 
               RowBox[{"{", "0.", "}"}], "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"b", "=", 
             RowBox[{"bkn", "[", 
              RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox[
               RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"h", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "-", 
                  RowBox[{"2", " ", "r"}], "+", "1"}], 
                 "\[RightDoubleBracket]"}]}], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "h", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"hj", ":=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"j", "\[Equal]", "0"}], ",", "1", ",", "2"}], "]"}]}], ";",
         "\[IndentingNewLine]", 
        RowBox[{"\[Gamma]", "=", 
         RowBox[{"H\[Gamma]", "[", 
          RowBox[{"k", "-", "j", "+", "1"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"hj", " ", "\[Gamma]"}], "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
     "===", "===", "===", "===", "===", " ", "FckTT1", " ", "===", "===", "===",
       "===", "===", "===", "==="}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckTT1", "[", 
      RowBox[{"n_", ",", "ff_", ",", "\[Alpha]0_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"f", ",", "c", ",", "temp", ",", "l", ",", "k", ",", "j"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"===", "===", "==="}], "=", " ", 
          RowBox[{"Ik\[Gamma]", " ", "===", "===", "===", "==="}]}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Ik\[Gamma]", "[", "k_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aa", ",", "z", ",", "k2", ",", "m"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"--", 
               RowBox[{"--", 
                RowBox[{"--", 
                 RowBox[{"--", 
                  RowBox[{"--", 
                   RowBox[{"--", 
                    RowBox[{"--", 
                    RowBox[{"-", " ", 
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"akn", " ", "--"}], "--"}], "--"}], "--"}], 
                    "--"}], "--"}], "--"}]}]}]}]}]}]}]}]}], "-"}], "*)"}],
            FontFamily->"Courier New"], 
           StyleBox["\[IndentingNewLine]",
            FontFamily->"Courier New"], 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "nn_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"nn", "\[LessEqual]", "1"}], ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"a", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "a", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                 "=", 
                 SuperscriptBox["2.", 
                  RowBox[{"nn", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "0"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"nn", "-", "2"}], "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"nn", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", " ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "a", "]"}]}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"aa", "=", 
             RowBox[{"akn", "[", "k", "]"}]}], ";", 
            RowBox[{"k2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox["k", "2"], "]"}]}], ";", 
            RowBox[{"z", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"m", "=", "0"}], "k2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2", "-", 
                  RowBox[{"2", " ", "m"}]}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"aa", "\[LeftDoubleBracket]", 
                 RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}], 
               ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "z", "]"}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"===", "===", "==="}], "=", " ", 
           RowBox[{
           "fjT", " ", "===", "===", "===", "===", "===", "===", "===", 
            "==="}]}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"fjT", "[", 
          RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"ft", ",", "x", ",", "kk", ",", "jj"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ft", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"kk", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"x", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", "kk"}], "-", "1."}], 
                  RowBox[{
                   RowBox[{"2", "nn"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"kk", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
             "ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"nn", "+", "1"}]], " ", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"kk", "=", "1"}], 
                RowBox[{"nn", "+", "1"}]], 
               RowBox[{"(", 
                RowBox[{"fu", "[", 
                 RowBox[{
                 "x", "\[LeftDoubleBracket]", "kk", "\[RightDoubleBracket]"}],
                  "]"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"jj", "=", "1"}], ",", 
              RowBox[{"jj", "\[LessEqual]", "nn"}], ",", 
              RowBox[{"jj", "++"}], ",", 
              RowBox[{
               RowBox[{"ft", "\[LeftDoubleBracket]", 
                RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{
                FractionBox["2", 
                 RowBox[{"nn", "+", "1"}]], " ", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"kk", "=", "1"}], 
                  RowBox[{"nn", "+", "1"}]], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}], "]"}], " ", 
                   RowBox[{"ChebyshevT", "[", 
                    RowBox[{"jj", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{
                RowBox[{
                 RowBox[{
                  RowBox[{
                   RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{
                    RowBox[{"**", "**"}], "**"}], "**"}], "**"}], "**"}], 
                    "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], "**"}], 
              "**"}], "**"}], "**"}], "**"}], "**"}], "*******)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"f", "=", 
         RowBox[{"fjT", "[", 
          RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"c", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", 
             RowBox[{"n", "+", "2"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"c", "\[LeftDoubleBracket]", 
          RowBox[{"n", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
         FractionBox[
          RowBox[{"f", "\[LeftDoubleBracket]", 
           RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], 
          RowBox[{"\[Gamma]jk1", "[", 
           RowBox[{"n", ",", "n", ",", "p"}], "]"}]]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"l", "=", "1"}], ",", 
          RowBox[{"l", "\[LessEqual]", "n"}], ",", 
          RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"temp", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"j", "=", "1"}], "l"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"c", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "j", "+", "2"}], 
                "\[RightDoubleBracket]"}], " ", 
               RowBox[{"\[Gamma]jk1", "[", 
                RowBox[{
                 RowBox[{"n", "-", "l"}], ",", 
                 RowBox[{"n", "-", "l", "+", "j"}], ",", "p"}], "]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"c", "\[LeftDoubleBracket]", 
             RowBox[{"n", "-", "l", "+", "2"}], "\[RightDoubleBracket]"}], 
            "=", 
            RowBox[{
             FractionBox["1", 
              RowBox[{"\[Gamma]jk1", "[", 
               RowBox[{
                RowBox[{"n", "-", "l"}], ",", 
                RowBox[{"n", "-", "l"}], ",", "p"}], "]"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "1"}], "\[RightDoubleBracket]"}], 
               "-", "temp"}], ")"}]}]}]}]}], "\[IndentingNewLine]", "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"temp", "=", 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{"k", "=", "1"}], 
           RowBox[{"n", "+", "1"}]], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"c", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
            RowBox[{"Ik\[Gamma]", "[", "k", "]"}]}], ")"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"c", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"Ik\[Gamma]", "[", "0", "]"}]], " ", 
          RowBox[{"(", 
           RowBox[{"\[Alpha]0", "-", "temp"}], ")"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "c", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.64474023765837*^9, 3.644740239935974*^9}, {
   3.6447403627393894`*^9, 3.644740374923011*^9}, 3.6447417450422173`*^9, {
   3.6448002410098767`*^9, 3.6448002516334953`*^9}, 3.6448003973377514`*^9, {
   3.6448012880057154`*^9, 3.644801290969721*^9}, 3.6448021371932073`*^9, 
   3.644802824889215*^9, 3.644803034241583*^9, {3.644803221020711*^9, 
   3.6448032881008286`*^9}, {3.644803497406396*^9, 3.6448035006824017`*^9}, 
   3.644803533224059*^9, 3.644803650317865*^9, {3.6448054797541695`*^9, 
   3.6448055014226074`*^9}, 3.6448070038604784`*^9, 3.6448076130415487`*^9, {
   3.644816608152581*^9, 3.6448166501166553`*^9}, {3.6448167065575542`*^9, 
   3.64481671558997*^9}, {3.644819229056817*^9, 3.6448192481512504`*^9}, {
   3.6448193436546183`*^9, 3.6448195523205843`*^9}, {3.6448197587456856`*^9, 
   3.6448197839865303`*^9}, 3.6448199565696335`*^9, {3.644821947609132*^9, 
   3.6448220101028414`*^9}, {3.644822278782113*^9, 3.644822387217904*^9}, {
   3.644822865374344*^9, 3.644822866840746*^9}, {3.6448230461942616`*^9, 
   3.644823067613099*^9}, {3.644823100841157*^9, 3.6448231153959827`*^9}, {
   3.6448233107762303`*^9, 3.644823311509432*^9}, {3.6448233434894876`*^9, 
   3.644823421489625*^9}, 3.6448234865573387`*^9, {3.6448235387238307`*^9, 
   3.644823713038537*^9}, {3.644823860677196*^9, 3.644823870021612*^9}, {
   3.6448242666523094`*^9, 3.644824291237952*^9}, {3.6448252449548664`*^9, 
   3.6448252962165565`*^9}, {3.6448253634058743`*^9, 3.644825363842675*^9}, {
   3.6450072256287556`*^9, 3.645007280962053*^9}, {3.6450169312970805`*^9, 
   3.6450169342298856`*^9}, {3.6450169654455404`*^9, 
   3.6450169688463464`*^9}, {3.6450177968141203`*^9, 3.645017834800187*^9}, {
   3.645017929102353*^9, 3.645017968492422*^9}, {3.6450193939449253`*^9, 
   3.6450194018697395`*^9}, 3.6450197868160152`*^9, 3.645020071719316*^9, {
   3.645020128628216*^9, 3.6450201842267137`*^9}, {3.6450204938248577`*^9, 
   3.645020622852684*^9}, {3.645020702288024*^9, 3.6450207027716246`*^9}, {
   3.6450208572430954`*^9, 3.6450209118899918`*^9}, {3.6450211002135224`*^9, 
   3.6450211042227297`*^9}, {3.6450213223891125`*^9, 
   3.6450213617947817`*^9}, {3.6450214293117003`*^9, 
   3.6450214360197124`*^9}, {3.645021623781642*^9, 3.6450216384612675`*^9}, 
   3.645022218542288*^9, {3.6450223914997916`*^9, 3.6450224016398096`*^9}, {
   3.645022442324681*^9, 3.6450224495162935`*^9}, {3.645022482198351*^9, 
   3.6450224871435595`*^9}, {3.6450228715670357`*^9, 
   3.6450228815198526`*^9}, {3.646027042688283*^9, 3.646027052001499*^9}, {
   3.6462198915346093`*^9, 3.6462199234522653`*^9}, {3.6579627831807632`*^9, 
   3.657962852632085*^9}, {3.6579633134100943`*^9, 3.6579633139248953`*^9}, {
   3.6579633511153603`*^9, 3.6579633642193837`*^9}, {3.657963414061471*^9, 
   3.6579634889104023`*^9}, 3.6579646753121767`*^9, {3.6579699269031343`*^9, 
   3.6579699477447705`*^9}, 3.658126009235588*^9, 3.658293102114973*^9, 
   3.6768783038926*^9, {3.6768783553882904`*^9, 3.6768783944975595`*^9}, {
   3.676880354157769*^9, 3.676880357886176*^9}, 3.6771621866163535`*^9, 
   3.678085582242901*^9, 3.6780860408701067`*^9, {3.6780861119906316`*^9, 
   3.678086113800235*^9}, 3.678086249489273*^9, {3.678086901080076*^9, 
   3.678086915198101*^9}, 3.6780871763737593`*^9, {3.678087228493451*^9, 
   3.6780872315354567`*^9}, {3.678103599588773*^9, 3.678103602911579*^9}, 
   3.6781036905213327`*^9, {3.678104648445093*^9, 3.6781046565727077`*^9}, {
   3.6781047857409344`*^9, 3.678104791044944*^9}, 3.678105042111785*^9, {
   3.678105157489588*^9, 3.6781051649464006`*^9}, {3.678105265940978*^9, 
   3.678105282055806*^9}, {3.6781060550752506`*^9, 3.678106056510453*^9}, {
   3.6781096113898983`*^9, 3.6781096570199785`*^9}, {3.6781103678588295`*^9, 
   3.678110379044049*^9}, 3.6781104200409207`*^9, {3.678110451006975*^9, 
   3.678110457574587*^9}, {3.678110540317132*^9, 3.6781105680383806`*^9}, {
   3.6781619279743414`*^9, 3.6781619288011427`*^9}, {3.6781620271857157`*^9, 
   3.678162028886119*^9}, {3.6781639589599113`*^9, 3.678163962844318*^9}, {
   3.6790478398517303`*^9, 3.6790479421567097`*^9}, {3.6872550533548594`*^9, 
   3.6872550574576664`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "TClenshawArr", " ", "===", "===", 
     "==="}], "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"TClenshawArr", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nx", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
          RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"k", "=", 
              RowBox[{"na", "-", "1"}]}], ",", 
             RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"k", "--"}], ",", " ", 
             RowBox[{
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{
               RowBox[{"a", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
               RowBox[{"2", " ", 
                RowBox[{
                "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
                " ", 
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
            RowBox[{
             RowBox[{
             "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "-", 
             RowBox[{
              RowBox[{
              "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
              " ", 
              RowBox[{
              "b", "\[LeftDoubleBracket]", "2", 
               "\[RightDoubleBracket]"}]}]}]}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "TClenshaw", " ", "===", "===", "==="}],
      "=", "\[Equal]"}], "*)"}], 
   RowBox[{
    RowBox[{
     RowBox[{"TClenshaw", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"b", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", 
             RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", 
           RowBox[{"na", "-", "1"}]}], ",", 
          RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
          RowBox[{"k", "--"}], ",", " ", 
          RowBox[{
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"a", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
            RowBox[{"2", " ", "x", " ", 
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
            RowBox[{"b", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{
          RowBox[{"b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
           "-", 
          RowBox[{"x", " ", 
           RowBox[{
           "b", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "xArr", " ", "===", "===", "==="}], "=",
      "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xArr", "[", 
      RowBox[{"a0_", ",", "h_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "k"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"a0", "+", 
            RowBox[{"k", " ", "h"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "x", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.6450071138077593`*^9, {3.645007456914762*^9, 3.645007459129966*^9}, {
   3.6450075111872573`*^9, 3.645007582791383*^9}, 3.645007627984662*^9, {
   3.6450078165265937`*^9, 3.6450078233594055`*^9}, {3.6450078748862963`*^9, 
   3.645007899393939*^9}, {3.645008124783135*^9, 3.645008137980758*^9}, 
   3.6450081844376397`*^9, {3.645008336132306*^9, 3.6450083894376*^9}, {
   3.6450166530549917`*^9, 3.6450166564089975`*^9}, {3.645016960063531*^9, 
   3.6450169735575542`*^9}, {3.6450749513076916`*^9, 
   3.6450750020857806`*^9}, {3.645075034003437*^9, 3.645075180862095*^9}, {
   3.6450752446194067`*^9, 3.645075260687435*^9}, {3.6450755254355*^9, 
   3.6450755693339767`*^9}, {3.645076094056956*^9, 3.645076198592739*^9}, {
   3.6450762317739973`*^9, 3.6450762863428936`*^9}, 3.6451652140993147`*^9, 
   3.6451656379988594`*^9, {3.657963513402446*^9, 3.6579635160388503`*^9}, 
   3.6579635492669086`*^9, {3.658128974818036*^9, 3.658128975036436*^9}, {
   3.678085727603956*^9, 3.678085738352375*^9}, {3.6781065331584954`*^9, 
   3.678106548399722*^9}, 3.6781621299118967`*^9, {3.6790478428157353`*^9, 
   3.679047867697779*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "un\[Alpha]", " ", "===", "===", "==="}],
     "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"uArr", "[", 
      RowBox[{"fu_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "len", ",", "k"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"len", "=", 
         StyleBox[
          RowBox[{"Length", "[", "x", "]"}], "SearchResultSummary"]}], 
        StyleBox[";", "SearchResultSummary"], 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"fu", "[", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "len"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXi", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXi", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "z_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"rez", ",", "Rez"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{"g", "  ", 
              RowBox[{"Log", "[", 
               FractionBox[
                RowBox[{"z", "-", "1"}], 
                RowBox[{"z", "+", "1"}]], "]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXiPlus", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXiPlus", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"r", ",", "rr"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                FractionBox["1", "2"]}], " ", 
               RowBox[{"Log", "[", "G", "]"}]}], "+", 
              RowBox[{"g", "  ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"1", "-", "x"}], 
                 RowBox[{"1", "+", "x"}]], "]"}]}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.645007175209467*^9, {3.6450076371730785`*^9, 3.64500766086952*^9}, 
   3.6450082424853415`*^9, {3.645010022606546*^9, 3.6450100533698*^9}, {
   3.645010149450369*^9, 3.6450101526483746`*^9}, {3.6450169843371735`*^9, 
   3.645016995241593*^9}, {3.645074828987877*^9, 3.6450748723871527`*^9}, {
   3.6450754108064985`*^9, 3.6450754397913494`*^9}, {3.6450754729726076`*^9, 
   3.6450754733158083`*^9}, {3.645076542261343*^9, 3.645076673207973*^9}, 
   3.645076738696888*^9, {3.657963065042058*^9, 3.657963066804861*^9}, {
   3.6768784863973207`*^9, 3.6768785039629517`*^9}, {3.679047843845337*^9, 
   3.679047867713379*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "\[IndentingNewLine]", "       ", 
   StyleBox[
    RowBox[{
     RowBox[{
     "\:041c\:043e\:0434\:0435\:043b\:044c\:043d\:044b\:0439", " ", 
      "\:043f\:0440\:0438\:043c\:0435\:0440"}], " ", 
     StyleBox["\[IndentingNewLine]", "Text",
      FontFamily->"Tahoma",
      FontSize->18,
      FontColor->RGBColor[0, 1, 1],
      Background->RGBColor[1, 0.85, 0.85]], 
     RowBox[{"\:0421\:0418\:0423", " ", "\:0441", " ", 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox["\:043a", "Text",
           FontFamily->"Cambria",
           FontSize->18,
           FontColor->RGBColor[1, 0, 1]], "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], "Text",
         FontFamily->"Cambria",
         FontSize->18,
         FontColor->RGBColor[1, 0, 1]], 
        "\:043e\:043c\:043f\:043b\:0435\:043a", 
        StyleBox[
         StyleBox["\:0441", "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], "Text",
         FontFamily->"Cambria",
         FontSize->18,
         FontColor->RGBColor[1, 0, 1]], "\:043d\:044b\:043c\:0438"}], "Text",
       FontFamily->"Cambria",
       FontSize->18,
       FontColor->RGBColor[1, 0, 1]], " ", 
      "\:043a\:043e\:044d\:0444\:0444\:0438\:0446\:0438\:0435\:043d\:0442\
\:0430\:043c\:0438"}]}], "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], 
   StyleBox[" ", "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], 
   StyleBox["\[IndentingNewLine]", "Text",
    FontFamily->"Tahoma",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"v", "=", 
     RowBox[{
      FractionBox["\[Pi]", "4"], "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[ImaginaryI]"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fa", "=", 
     RowBox[{"Cos", "[", "v", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fb", "=", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], "  ", 
      RowBox[{"Sin", "[", "v", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"fa", ",", "\"\< \>\"", ",", "fb"}], "]"}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       "\[Kappa]"}], "}"}], "=", 
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"fa", ",", "fb", ",", "1"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<\[Alpha]=\>\"", ",", "\[Alpha]", ",", "\"\< \[Beta]=\>\"", ",", 
       "\[Beta]", ",", "\"\< \[Kappa]1=\>\"", ",", "\[Kappa]1", ",", 
       "\"\< \[Kappa]2=\>\"", ",", "\[Kappa]2", ",", "\"\< \[Kappa]=\>\"", 
       ",", "\[Kappa]"}], "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXi2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"\"\<FXi2=\>\"", ",", "FXi2"}], "]"}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"az", "=", 
     FractionBox["1", "FXi2"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], ":=", 
     FractionBox["az", 
      RowBox[{"x", "-", "2"}]]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.644114786069357*^9, 3.644114843773859*^9}, 
   3.6441148791703205`*^9, {3.6441149825673027`*^9, 3.644115050708222*^9}, 
   3.6441152091265*^9, {3.644115433532894*^9, 3.6441154950126023`*^9}, 
   3.6441155446050897`*^9, {3.644116578262905*^9, 3.6441166515050335`*^9}, {
   3.644116795493287*^9, 3.6441168082853093`*^9}, 3.644116864461008*^9, {
   3.644116897673466*^9, 3.6441169016826735`*^9}, {3.6441169639891825`*^9, 
   3.644116969729993*^9}, {3.6441171411118937`*^9, 3.644117146634303*^9}, {
   3.644118387629949*^9, 3.64411839950157*^9}, {3.644152854219634*^9, 
   3.6441528732984676`*^9}, {3.644153022247529*^9, 3.6441530286435404`*^9}, {
   3.6441530881888447`*^9, 3.6441531016516685`*^9}, {3.6441531993390408`*^9, 
   3.644153299491216*^9}, {3.644153422247832*^9, 3.6441534301414456`*^9}, 
   3.644153488953549*^9, 3.6441535317288237`*^9, {3.644153575986102*^9, 
   3.6441535792465076`*^9}, 3.6441536258593893`*^9, 3.64415367173907*^9, {
   3.6441537113163395`*^9, 3.644153714202345*^9}, {3.644153755948018*^9, 
   3.644153759458024*^9}, {3.6441538841646433`*^9, 3.644153887362649*^9}, 
   3.644739585140424*^9, {3.644740574088561*^9, 3.644740576210164*^9}, {
   3.6447407494484687`*^9, 3.6447408334702163`*^9}, 3.6447410194693427`*^9, {
   3.6447411620691934`*^9, 3.6447411713356094`*^9}, {3.644741601443965*^9, 
   3.644741625093607*^9}, {3.6447418847716627`*^9, 3.644741888016468*^9}, 
   3.644742285567567*^9, {3.644762467490097*^9, 3.644762555599052*^9}, {
   3.6447626129291525`*^9, 3.6447626231159706`*^9}, {3.6447648714407215`*^9, 
   3.6447648823607407`*^9}, {3.644764932124828*^9, 3.6447649484268565`*^9}, {
   3.6447651007611237`*^9, 3.6447651016347256`*^9}, {3.644765335447936*^9, 
   3.6447653829656196`*^9}, {3.6447654257564945`*^9, 3.644765427020097*^9}, {
   3.6447655560791235`*^9, 3.64476556525194*^9}, {3.6447657592382803`*^9, 
   3.6447657633722878`*^9}, {3.644766052705996*^9, 3.644766053283197*^9}, {
   3.6448004532326493`*^9, 3.644800461594264*^9}, {3.6448005042291393`*^9, 
   3.64480053326079*^9}, {3.644800582775277*^9, 3.644800611104927*^9}, 
   3.6448006627566175`*^9, 3.6448008028136635`*^9, {3.6448031319913545`*^9, 
   3.644803162364608*^9}, {3.644805558487508*^9, 3.6448055744307356`*^9}, 
   3.644808139925823*^9, {3.644824317227598*^9, 3.644824334574828*^9}, 
   3.6448253856983137`*^9, {3.6448264776660023`*^9, 3.6448265154960685`*^9}, {
   3.6448296129922047`*^9, 3.6448296151918087`*^9}, {3.6448301069826727`*^9, 
   3.644830107887474*^9}, {3.645007332176943*^9, 3.645007333237745*^9}, {
   3.6450080415413885`*^9, 3.64500804222779*^9}, 3.6450085610847015`*^9, 
   3.645008624686013*^9, 3.6450086626096797`*^9, 3.645019478918275*^9, 
   3.6450209285040207`*^9, {3.645020960016076*^9, 3.645020960811678*^9}, {
   3.6450221019008827`*^9, 3.6450221424297543`*^9}, {3.645022294249221*^9, 
   3.645022324575674*^9}, {3.6450229137651095`*^9, 3.645022914576311*^9}, 
   3.645023088001816*^9, 3.6450231411511087`*^9, 3.6450231830059824`*^9, {
   3.6450232293380637`*^9, 3.6450232302272654`*^9}, {3.645023302751793*^9, 
   3.6450233037969947`*^9}, {3.6450753511363935`*^9, 3.6450753545216*^9}, {
   3.6450757196402407`*^9, 3.6450757220426455`*^9}, {3.645077330405927*^9, 
   3.645077346083955*^9}, 3.6450779005401287`*^9, 3.64507803214196*^9, 
   3.64508013294925*^9, {3.645244371818203*^9, 3.6452443721926036`*^9}, {
   3.657963604194605*^9, 3.6579636046158056`*^9}, 3.657971014064046*^9, 
   3.65934439095805*^9, {3.6768785651082597`*^9, 3.6768785997871203`*^9}, {
   3.6768786808892636`*^9, 3.6768786873008747`*^9}, {3.6780858744002137`*^9, 
   3.6780859099994764`*^9}, 3.6780861922215724`*^9, {3.67810310862751*^9, 
   3.678103141013167*^9}, {3.678103472654149*^9, 3.678103480344963*^9}, {
   3.6781038584400277`*^9, 3.678103893274889*^9}, {3.678103924615344*^9, 
   3.6781039290925517`*^9}, {3.6781039772186365`*^9, 3.6781039898858585`*^9}, 
   3.678104055561974*^9, {3.678109966384122*^9, 3.678109968100125*^9}, {
   3.678110044959861*^9, 3.6781100726499095`*^9}, 3.6781101400652285`*^9, 
   3.6781104705694094`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nnn", "=", "35"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pp", "=", 
    RowBox[{"FpC", "[", 
     RowBox[{"fa", ",", "fb", ",", "1", ",", 
      RowBox[{"nnn", "+", "1"}]}], "]"}]}], ";"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Alpha]0", "=", 
   RowBox[{"-", "1."}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.645077333697533*^9, 3.645077340655145*^9}, 
   3.6450776562281*^9, 3.6460267676909995`*^9, {3.6579629093381844`*^9, 
   3.6579629154845953`*^9}, {3.6579631492198057`*^9, 3.657963149875007*^9}, 
   3.6579636440526752`*^9, {3.6768786186319537`*^9, 3.6768786194431553`*^9}, {
   3.6768787228845377`*^9, 3.676878746190978*^9}, {3.676878935512911*^9, 
   3.6768789364957123`*^9}, {3.6768801499846106`*^9, 3.676880158533426*^9}, {
   3.6771622411068497`*^9, 3.677162266768894*^9}, {3.678085987921613*^9, 
   3.678085988530014*^9}, {3.6780869902342324`*^9, 3.6780870158806777`*^9}, {
   3.6780870609335566`*^9, 3.67808706283676*^9}, {3.6780872567451005`*^9, 
   3.6780872580243025`*^9}, {3.6781034915769825`*^9, 3.678103494993388*^9}, 
   3.678103983474247*^9, 3.678110142452033*^9, 3.6781104743134165`*^9, {
   3.678110685584587*^9, 3.678110686395789*^9}, {3.678110749814301*^9, 
   3.678110779625953*^9}, {3.680062142058257*^9, 3.6800621427758584`*^9}, 
   3.6800621863779345`*^9, {3.6800622196839933`*^9, 3.680062220385995*^9}, 
   3.68006225192925*^9, {3.680062304158142*^9, 3.6800623047509427`*^9}, 
   3.6800623438758116`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ck\[Gamma]", "=", 
   RowBox[{"FckTT1", "[", 
    RowBox[{"nnn", ",", "f", ",", "\[Alpha]0", ",", "pp"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Print", "[", "ck\[Gamma]", "]"}], ";"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.6393244379150887`*^9, 3.639324502711795*^9}, {
   3.639324833566719*^9, 3.6393248376679535`*^9}, {3.639325553181878*^9, 
   3.6393255538149147`*^9}, 3.63932632370695*^9, 3.639836755732641*^9, {
   3.644765500075025*^9, 3.644765518857458*^9}, {3.6447655823807697`*^9, 
   3.644765587513179*^9}, 3.6447659100281453`*^9, {3.6448006968894777`*^9, 
   3.644800726311129*^9}, {3.6448010066904216`*^9, 3.644801028202859*^9}, 
   3.6448031350021596`*^9, {3.6448070921410336`*^9, 3.6448071041218543`*^9}, 
   3.644808156385846*^9, {3.6448175293582*^9, 3.6448175390458174`*^9}, 
   3.644822497603698*^9, {3.644822788949809*^9, 3.6448228286518793`*^9}, 
   3.645008023367357*^9, {3.6450085505546827`*^9, 3.645008552801087*^9}, 
   3.645020284098089*^9, 3.6450223273212786`*^9, 3.6450232908021717`*^9, 
   3.646027267032277*^9, 3.6579629195562024`*^9, {3.6768787131657205`*^9, 
   3.6768787140705223`*^9}, 3.6768787586398*^9, {3.676880089752905*^9, 
   3.67688010380853*^9}, 3.678085936971924*^9, {3.678087076954785*^9, 
   3.6780870910572095`*^9}, {3.6781034575221224`*^9, 3.678103463262933*^9}, {
   3.6781035021226006`*^9, 3.6781035070210094`*^9}, {3.6781046712991333`*^9, 
   3.678104681423551*^9}, 3.678105213290886*^9, {3.6781055517466803`*^9, 
   3.6781055547574863`*^9}, 3.6781056098255825`*^9, {3.678106561285345*^9, 
   3.6781065644833508`*^9}, {3.6781097228208942`*^9, 
   3.6781097247864976`*^9}, {3.6781099212220426`*^9, 3.67810992554325*^9}, {
   3.678110478806224*^9, 3.678110479851426*^9}, {3.6781106269128847`*^9, 
   3.6781106276772857`*^9}, 3.6781107753047457`*^9, {3.6781621977096157`*^9, 
   3.678162197725216*^9}, {3.6872550664900827`*^9, 3.6872550666928825`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a0", "=", 
   RowBox[{"-", "0.99"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hh", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b0", "=", "0.99"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kk", "=", 
   RowBox[{
    RowBox[{"Floor", "[", 
     FractionBox[
      RowBox[{"b0", "-", "a0"}], "hh"], "]"}], "+", "1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "kk", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xx", "=", 
   RowBox[{"xArr", "[", 
    RowBox[{"a0", ",", "hh", ",", "kk"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yy", "=", 
    RowBox[{"TClenshawArr", "[", 
     RowBox[{"ck\[Gamma]", ",", "xx"}], "]"}]}], ";"}], " "}]}], "Input",
 CellChangeTimes->{{3.644828003719778*^9, 3.6448280670714893`*^9}, {
   3.6448281175843782`*^9, 3.6448281329660053`*^9}, 3.6450223362600946`*^9, {
   3.6450752874414816`*^9, 3.64507532048234*^9}, {3.6450756789085693`*^9, 
   3.645075685460581*^9}, {3.64507631863495*^9, 3.645076388226672*^9}, {
   3.645077181144865*^9, 3.645077182892068*^9}, {3.6450773567387733`*^9, 
   3.6450774630841603`*^9}, {3.645077612158022*^9, 3.6450776193184347`*^9}, {
   3.645165236750554*^9, 3.6451652415553627`*^9}, {3.645935206823159*^9, 
   3.6459352070727596`*^9}, {3.658126024335609*^9, 3.658126025645611*^9}, 
   3.6781046855107584`*^9, {3.678106224460348*^9, 3.6781062258331504`*^9}, {
   3.67810662125185*^9, 3.6781066236854544`*^9}, {3.678106708206403*^9, 
   3.6781067090956044`*^9}, {3.6781067398900585`*^9, 3.678106741309661*^9}, 
   3.678109758248556*^9, 3.6781098827991753`*^9, {3.678162197740816*^9, 
   3.6781622113128395`*^9}}],

Cell[BoxData["199"], "Print",
 CellChangeTimes->{3.678110957174667*^9, 3.6781619486755776`*^9, 
  3.678162241374092*^9, 3.679047992778799*^9, 3.680055784764233*^9, 
  3.6800621481422677`*^9, 3.680062191026743*^9, 3.680062224988003*^9, 
  3.680062256921259*^9, 3.680062310054952*^9, 3.6800623489926205`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"zz", "=", 
   RowBox[{"uArr", "[", 
    RowBox[{"ut", ",", "xx"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.644829983680056*^9, {3.6450101129463043`*^9, 3.6450101182503138`*^9}, 
   3.6450223401133013`*^9, {3.645076413592317*^9, 3.6450764138263173`*^9}, 
   3.645076504930477*^9, {3.6450766859999957`*^9, 3.645076730179273*^9}, {
   3.6450771883208776`*^9, 3.645077188851279*^9}, 3.64508013294925*^9, 
   3.678109759933359*^9, {3.678109869445552*^9, 3.6781098729087577`*^9}}],

Cell["\<\
\:041f\:043e\:0433\:0440\:0435\:0448\:043d\:043e\:0441\:0442\:044c \:043f\
\:0440\:0438\:0431\:043b\:0438\:0436\:0435\:043d\:043d\:043e\:0433\:043e \
\:0440\:0435\:0448\:0435\:043d\:0438\:044f \:0432 \:0442\:043e\:0447\:043a\
\:0430\:0445 \:0438\:0437 \:043e\:0442\:0440\:0435\:0437\:043a\:0430 [-1; 1]\
\>", "Text",
 CellChangeTimes->{{3.63983583974425*^9, 3.639835868969921*^9}, {
  3.644824046083522*^9, 3.6448240474407244`*^9}, {3.644824083164787*^9, 
  3.6448240869711933`*^9}},
 FontFamily->"Arial Narrow",
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{"\"\<eps=\>\"", ",", 
     RowBox[{"Max", "[", 
      FractionBox[
       RowBox[{"Abs", "[", 
        RowBox[{"yy", "-", "zz"}], "]"}], 
       RowBox[{"Abs", "[", "zz", "]"}]], "]"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]", 
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"**", "**", "**", "**", "**", "**", "**"}], "*", " ", "obXP1"}], 
    " ", "****************)"}],
   FontFamily->"Courier New"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"obXP1", "[", 
    RowBox[{"n_", ",", "\[Alpha]0_", ",", "p_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aS", ",", "rez"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"aSyst", ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"aM", ",", "m", ",", "j", ",", "k"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         StyleBox[
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"===", "===", "==="}], "=", " ", 
            RowBox[{"Ik\[Gamma]", " ", "===", "===", "===", "==="}]}], "*)"}],
          FontFamily->"Courier New"], "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Ik\[Gamma]", "[", "k_", "]"}], ":=", 
           RowBox[{"Module", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"aa", ",", "z", ",", "k2", ",", "r"}], "}"}], ",", 
             "\[IndentingNewLine]", 
             StyleBox[
              RowBox[{"(*", 
               RowBox[{
                RowBox[{"===", "===", "==="}], "=", " ", 
                RowBox[{"akn", " ", "===", "===", "===", "==="}]}], "*)"}],
              FontFamily->"Courier New"], 
             StyleBox["\[IndentingNewLine]",
              FontFamily->"Courier New"], 
             RowBox[{
              RowBox[{
               RowBox[{"akn", "[", "nn_", "]"}], ":=", 
               RowBox[{"Module", "[", 
                RowBox[{
                 RowBox[{"{", 
                  RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"nn", "\[LessEqual]", "1"}], ",", 
                    RowBox[{"Return", "[", 
                    RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"a", "=", 
                   RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                   "a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "=", 
                   SuperscriptBox["2.", 
                    RowBox[{"nn", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"For", "[", 
                   RowBox[{
                    RowBox[{"kk", "=", "0"}], ",", 
                    RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"nn", "-", "2"}], "2"], "]"}]}], ",", 
                    RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"nn", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", " ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Return", "[", "a", "]"}]}]}], 
                "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
              RowBox[{"aa", "=", 
               RowBox[{"akn", "[", "k", "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"k2", "=", 
               RowBox[{"Floor", "[", 
                FractionBox["k", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"z", "=", 
               RowBox[{
                UnderoverscriptBox["\[Sum]", 
                 RowBox[{"r", "=", "0"}], "k2"], 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"p", "\[LeftDoubleBracket]", 
                   RowBox[{"k", "+", "2", "-", 
                    RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}], " ", 
                  RowBox[{"aa", "\[LeftDoubleBracket]", 
                   RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}]}], 
                 ")"}]}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"Return", "[", "z", "]"}]}]}], "\[IndentingNewLine]", 
            "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"aM", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"m", ",", "0", ",", 
               RowBox[{"n", "+", "1"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"j", ",", "0", ",", 
               RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"m", "=", "0"}], ",", 
            RowBox[{"m", "\[LessEqual]", "n"}], ",", 
            RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"k", "=", 
               RowBox[{"m", "+", "1"}]}], ",", 
              RowBox[{"k", "\[LessEqual]", 
               RowBox[{"n", "+", "1"}]}], ",", 
              RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"aM", "\[LeftDoubleBracket]", 
                RowBox[{
                 RowBox[{"m", "+", "1"}], ",", 
                 RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{"\[Gamma]jk1", "[", 
                RowBox[{"m", ",", 
                 RowBox[{"k", "-", "1"}], ",", "p"}], "]"}]}]}], "]"}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"k", "=", "0"}], ",", 
            RowBox[{"k", "\[LessEqual]", 
             RowBox[{"n", "+", "1"}]}], ",", 
            RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"aM", "\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"n", "+", "2"}], ",", 
               RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
             RowBox[{"Ik\[Gamma]", "[", "k", "]"}]}]}], "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
         "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
      RowBox[{"aS1", "=", 
       RowBox[{"Inverse", "[", "aS", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rez", "=", 
       RowBox[{
        RowBox[{"Norm", "[", "aS", "]"}], "*", 
        RowBox[{"Norm", "[", "aS1", "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Obysl=\>\"", ",", 
    RowBox[{"obXP1", "[", 
     RowBox[{"nnn", ",", "\[Alpha]0", ",", "pp"}], "]"}]}], "]"}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.6448240967212105`*^9, 3.6448241352220783`*^9}, 
   3.6448245521796107`*^9, {3.6448247364315343`*^9, 3.6448247441847477`*^9}, {
   3.644826673207945*^9, 3.6448267122080135`*^9}, {3.644826956644843*^9, 
   3.644826982338088*^9}, 3.6448295252732506`*^9, {3.64501008765866*^9, 
   3.6450100950218735`*^9}, {3.6450101881540365`*^9, 3.645010191274042*^9}, {
   3.645012789037405*^9, 3.6450127934678125`*^9}, 3.6450223444345093`*^9, {
   3.6450234096431804`*^9, 3.6450234252276077`*^9}, {3.645076445697173*^9, 
   3.645076452873186*^9}, {3.6450767662777367`*^9, 3.6450767889757767`*^9}, {
   3.658032092056542*^9, 3.6580320996693554`*^9}, 3.679047843860937*^9, {
   3.6790479611731434`*^9, 3.679047961578744*^9}, {3.6800557252501287`*^9, 
   3.680055760584191*^9}, {3.68005607848435*^9, 3.6800560854419622`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"eps=\"\>", "\[InvisibleSpace]", "1.0978025108487242`*^-14"}],
  SequenceForm["eps=", 1.0978025108487242`*^-14],
  Editable->False]], "Print",
 CellChangeTimes->{3.6781109572370667`*^9, 3.678161948722378*^9, 
  3.6781622414208927`*^9, 3.679047992856799*^9, 3.680055786105836*^9, 
  3.680062148189068*^9, 3.6800621910735435`*^9, 3.6800622250504026`*^9, 
  3.680062256999259*^9, 3.6800623101173525`*^9, 3.6800623490862207`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Obysl=\"\>", "\[InvisibleSpace]", "381.84887070117895`"}],
  SequenceForm["Obysl=", 381.84887070117895`],
  Editable->False]], "Print",
 CellChangeTimes->{3.6781109572370667`*^9, 3.678161948722378*^9, 
  3.6781622414208927`*^9, 3.679047992856799*^9, 3.680055786105836*^9, 
  3.680062148189068*^9, 3.6800621910735435`*^9, 3.6800622250504026`*^9, 
  3.680062256999259*^9, 3.6800623101173525`*^9, 3.6800623495542216`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"ListLinePlot", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"zz", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          " ", "-", " ", 
         RowBox[{
         "yy", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
        "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6398353919906397`*^9, 3.639835400260113*^9}, {
   3.639835573419017*^9, 3.639835576747207*^9}, 3.6398409550458283`*^9, {
   3.6398421324081697`*^9, 3.639842138978545*^9}, {3.6398422109976645`*^9, 
   3.6398422190481253`*^9}, 3.639843815326427*^9, 3.644800832141715*^9, {
   3.644801050292498*^9, 3.644801055924108*^9}, {3.644805421800068*^9, 
   3.644805449380916*^9}, 3.644814195962737*^9, 3.644816348100125*^9, {
   3.6448225820154457`*^9, 3.6448226041206846`*^9}, 3.6448244142909684`*^9, 
   3.644824678181032*^9, {3.644826785294142*^9, 3.6448267926573553`*^9}, {
   3.6448292687028*^9, 3.6448292816508226`*^9}, {3.645010266778175*^9, 
   3.6450103084302483`*^9}, {3.645010371095558*^9, 3.645010390345992*^9}, 
   3.645010433745268*^9, {3.6450105300910373`*^9, 3.645010530543438*^9}, {
   3.645010562320694*^9, 3.6450105838955317`*^9}, 3.6450127410517206`*^9, 
   3.6450223477261147`*^9, {3.6450234585336666`*^9, 3.645023503945346*^9}, {
   3.645076837039461*^9, 3.6450768539030905`*^9}, {3.645076886600748*^9, 
   3.645076917192402*^9}, {3.6450769523704634`*^9, 3.6450769643980846`*^9}, {
   3.6450771192751565`*^9, 3.6450771301951756`*^9}, {3.6450775918623867`*^9, 
   3.6450775921275873`*^9}, {3.6459351984303446`*^9, 3.645935201222749*^9}, {
   3.6581260313556185`*^9, 3.6581260317456193`*^9}, {3.679047843860937*^9, 
   3.679047867713379*^9}, {3.6790479646675496`*^9, 3.67904796508875*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], LineBox[CompressedData["
1:eJw9lwlUU2cWx+NWFW1lERWta61KRcXiaK0fftpWwd0RqUtBQRSp2qKooEgd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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.99}, {0, 5.123366510219868*^-15}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0396, 0.0396}, {1.0246733020439737`*^-16, 
   1.0246733020439737`*^-16}}]], "Output",
 CellChangeTimes->{3.6781109572682667`*^9, 3.678161948940778*^9, 
  3.6781622414520926`*^9, 3.6790479930283995`*^9, 3.680055786277436*^9, 
  3.680062148345068*^9, 3.6800621912763433`*^9, 3.6800622252532034`*^9, 
  3.68006225762326*^9, 3.680062310663353*^9, 3.680062349694622*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"un", "[", "x_", "]"}], ":=", 
   RowBox[{"TClenshaw", "[", 
    RowBox[{"ck\[Gamma]", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]n", "[", "x_", "]"}], ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"FXiPlus", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}],
       "]"}], 
     RowBox[{"fa", "-", "fb"}]], " ", 
    RowBox[{"un", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]", "[", "x_", "]"}], ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"FXiPlus", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}],
       "]"}], 
     RowBox[{"fa", "-", "fb"}]], " ", 
    RowBox[{"ut", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
      ",", " ", 
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"\[Phi]", "[", 
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          "]"}], " ", "-", " ", 
        RowBox[{"\[Phi]n", "[", 
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          "]"}]}], "]"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quit", "[", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          ",", " ", 
         RowBox[{"\[Phi]", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}]}]}], 
    "\[RightDoubleBracket]"}], "*)"}]}]}], "Input",
 CellChangeTimes->{
  3.657963101951723*^9, {3.6581260358656254`*^9, 3.658126036305626*^9}, 
   3.678087424850996*^9, {3.678087455239849*^9, 3.678087477501088*^9}, {
   3.6780875662496443`*^9, 3.6780875681060476`*^9}, {3.678087674732235*^9, 
   3.6780876827506485`*^9}, {3.6780877185683117`*^9, 
   3.6780877276007276`*^9}, {3.6781031916040554`*^9, 3.678103219060104*^9}, {
   3.6781032593549747`*^9, 3.6781032846582193`*^9}, {3.6781033339855056`*^9, 
   3.678103354265541*^9}, {3.6781033943888116`*^9, 3.6781034023292255`*^9}, {
   3.678105631962022*^9, 3.6781056392472343`*^9}, 3.678106579646577*^9, {
   3.678162197740816*^9, 3.678162221000457*^9}, {3.6790478438765373`*^9, 
   3.67904786811898*^9}, {3.6790479713443613`*^9, 3.679047980969578*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], LineBox[CompressedData["
1:eJw9lglQFGcWxweNhiAR2FIQdUE28QDd8kATyX74QEuQEFEOXYlQKkQUd11Q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      "]], 
     LineBox[{{0.9584868335905689, 1.9121505525003266`*^-15}, {0.96, 
      1.7763568394002505`*^-15}, {0.960604860459694, 
      1.9121505525003266`*^-15}}]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.99}, {0, 1.9121505525003266`*^-15}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0396, 0.0396}, {3.8243011050006535`*^-17, 
   3.8243011050006535`*^-17}}]], "Output",
 CellChangeTimes->{3.678110957408667*^9, 3.678161949112378*^9, 
  3.678162241592493*^9, 3.6790479932311993`*^9, 3.680055786433436*^9, 
  3.680062148719469*^9, 3.680062191697544*^9, 3.680062225705604*^9, 
  3.68006225781046*^9, 3.6800623108193536`*^9, 3.680062349913022*^9}]
}, Open  ]]
},
WindowSize->{667, 744},
WindowMargins->{{Automatic, 70}, {Automatic, 3}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 4123, 101, 362, "Input"],
Cell[4683, 123, 9935, 183, 445, "Input"],
Cell[14621, 308, 22312, 500, 1986, "Input"],
Cell[36936, 810, 7191, 170, 608, "Input"],
Cell[44130, 982, 6850, 173, 953, "Input"],
Cell[50983, 1157, 7906, 168, 415, "Input"],
Cell[58892, 1327, 1516, 28, 80, "Input"],
Cell[60411, 1357, 1995, 32, 58, "Input"],
Cell[CellGroupData[{
Cell[62431, 1393, 1730, 39, 186, "Input"],
Cell[64164, 1434, 306, 4, 27, "Print"]
}, Open  ]],
Cell[64485, 1441, 519, 10, 35, "Input"],
Cell[65007, 1453, 537, 10, 39, "Text"],
Cell[CellGroupData[{
Cell[65569, 1467, 9609, 216, 1058, "Input"],
Cell[CellGroupData[{
Cell[75203, 1687, 473, 8, 27, "Print"],
Cell[75679, 1697, 467, 8, 27, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[76195, 1711, 2037, 37, 58, "Input"],
Cell[78235, 1750, 3661, 64, 306, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81933, 1819, 2875, 73, 203, "Input"],
Cell[84811, 1894, 3797, 67, 306, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
