(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     77143,       1736]
NotebookOptionsPosition[     75742,       1689]
NotebookOutlinePosition[     76244,       1707]
CellTagsIndexPosition[     76201,       1704]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "F\[Kappa]C", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"F\[Kappa]C", "[", 
     RowBox[{"a_", ",", "b_", ",", "klass_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "t", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "g", ",", "\[Alpha]", 
        ",", "\[Beta]"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"g", "=", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"2.", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{"a", "-", "b"}], 
           RowBox[{"a", "+", "b"}]], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"t", "=", 
        RowBox[{"Re", "[", " ", "g", "]"}]}], " ", ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Abs", "[", "t", "]"}], "<", 
          SuperscriptBox["10", 
           RowBox[{"-", "16"}]]}], ",", 
         RowBox[{"Return", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<Not\>\"", ",", "\"\<Not\>\"", ",", "\"\<Not\>\""}], 
           "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"klass", "==", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[Kappa]2", "=", 
            RowBox[{"Floor", "[", 
             RowBox[{"1", "-", "t"}], "]"}]}], ";", 
           RowBox[{"\[Kappa]1", "=", 
            RowBox[{"Floor", "[", 
             RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"klass", "==", "2"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Kappa]2", "=", 
              RowBox[{"Floor", "[", 
               RowBox[{"-", "t"}], "]"}]}], ";", 
             RowBox[{"\[Kappa]1", "=", 
              RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"klass", "==", "3"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Kappa]2", "=", 
                RowBox[{"Floor", "[", 
                 RowBox[{"-", "t"}], "]"}]}], ";", 
               RowBox[{"\[Kappa]1", "=", 
                RowBox[{"Floor", "[", 
                 RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"klass", "\[Equal]", "4"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"\[Kappa]2", "=", 
                  RowBox[{"Floor", "[", 
                   RowBox[{"1", "-", "t"}], "]"}]}], ";", 
                 RowBox[{"\[Kappa]1", "=", 
                  RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", "None"}], 
              "]"}]}], "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]", "=", 
        RowBox[{"g", "-", "\[Kappa]1"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Beta]", "=", 
        RowBox[{
         RowBox[{"-", "g"}], "-", "\[Kappa]2"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"{", " ", 
         RowBox[{
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
          RowBox[{"\[Kappa]1", "+", "\[Kappa]2"}]}], "}"}], "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.6447414251948557`*^9, {3.6447415128046093`*^9, 3.644741532632244*^9}, {
   3.644799799544701*^9, 3.644799832538759*^9}, {3.645021718739009*^9, 
   3.645021723387817*^9}, {3.645021911845749*^9, 3.6450219149657545`*^9}, 
   3.645932810976946*^9, {3.646220516415708*^9, 3.64622053458974*^9}, {
   3.65796782934225*^9, 3.657967831370253*^9}, 3.67687822976127*^9, {
   3.6790460200419307`*^9, 3.6790460200731306`*^9}, {3.679046051429186*^9, 
   3.6790460557035933`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "==="}], "=", " ", 
     RowBox[{"FpC", " ", "===", "===", "===", "==="}]}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"FpC", "[", 
     RowBox[{"a_", ",", "b_", ",", "klass_", " ", ",", "n_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{"p", ",", "g", ",", "v", ",", "k", ",", "i"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
          "\[Kappa]"}], "}"}], "=", 
        RowBox[{"F\[Kappa]C", "[", 
         RowBox[{"a", ",", "b", ",", "klass"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Chi]", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"\[Kappa]", "<", "0"}], ",", 
          RowBox[{"-", "\[Kappa]"}], ",", "\[Kappa]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"g", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"v", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"p", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "\[Chi]"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "0"}], ",", 
         RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{
          RowBox[{"g", "\[LeftDoubleBracket]", 
           RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           RowBox[{"g", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
           FractionBox[
            RowBox[{"i", "-", "\[Alpha]"}], 
            RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"v", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "0"}], ",", 
         RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{
          RowBox[{"v", "\[LeftDoubleBracket]", 
           RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           RowBox[{"v", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
           FractionBox[
            RowBox[{"\[Beta]", "-", "i"}], 
            RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "0"}], ",", 
         RowBox[{"k", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"k", "++"}], ",", 
         RowBox[{
          RowBox[{"p", "\[LeftDoubleBracket]", 
           RowBox[{"\[Chi]", "+", "k", "+", "1"}], "\[RightDoubleBracket]"}], 
          "=", 
          RowBox[{
           UnderoverscriptBox["\[Sum]", 
            RowBox[{"i", "=", "0"}], "k"], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"g", "\[LeftDoubleBracket]", 
              RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
             RowBox[{"v", "\[LeftDoubleBracket]", 
              RowBox[{"k", "-", "i", "+", "1"}], "\[RightDoubleBracket]"}]}], 
            ")"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "p", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.638033899486045*^9, 3.6380339063524375`*^9}, {
   3.6393243253296494`*^9, 3.6393243325680637`*^9}, 3.639324420188075*^9, {
   3.6418151015055103`*^9, 3.6418151037987146`*^9}, {3.6418151373387737`*^9, 
   3.6418152433097596`*^9}, {3.643537594784018*^9, 3.643537619432061*^9}, {
   3.6435376720041533`*^9, 3.643537757679504*^9}, {3.6435378017495813`*^9, 
   3.6435379776086903`*^9}, {3.643538038901198*^9, 3.6435380595400343`*^9}, {
   3.643538110099723*^9, 3.6435381585378084`*^9}, {3.643538193060669*^9, 
   3.643538323898099*^9}, {3.6435383778273935`*^9, 3.6435385777417445`*^9}, {
   3.6435386216402216`*^9, 3.6435387165819883`*^9}, {3.6435388373106003`*^9, 
   3.643538932642368*^9}, {3.643539271714964*^9, 3.6435395855095153`*^9}, 
   3.643539637722807*^9, {3.6435396968313103`*^9, 3.643539743459792*^9}, {
   3.643539789230273*^9, 3.6435397922566786`*^9}, {3.6435398237999334`*^9, 
   3.643539906573679*^9}, 3.643539943327344*^9, {3.6435400359915066`*^9, 
   3.643540058611546*^9}, {3.6435406315225525`*^9, 3.6435406370293617`*^9}, {
   3.6435407163867016`*^9, 3.643540785588423*^9}, {3.643540882994994*^9, 
   3.6435409042890315`*^9}, {3.64354093770429*^9, 3.643540944037901*^9}, {
   3.6435410705385237`*^9, 3.6435411012705774`*^9}, {3.6435411501142635`*^9, 
   3.64354119382554*^9}, {3.643543589601348*^9, 3.643543618055798*^9}, 
   3.643547097911835*^9, {3.643547128082288*^9, 3.6435471350867004`*^9}, {
   3.64371267363628*^9, 3.6437129034090834`*^9}, {3.6437129458255577`*^9, 
   3.643713142885104*^9}, {3.643713253208498*^9, 3.643713372267907*^9}, {
   3.643713436165619*^9, 3.643713442998431*^9}, {3.6437853664251623`*^9, 
   3.6437853901996045`*^9}, {3.643785621844411*^9, 3.6437856333104315`*^9}, {
   3.6439499079923115`*^9, 3.643949925277142*^9}, 3.643950102977054*^9, {
   3.643950167873168*^9, 3.6439502114752445`*^9}, {3.643950268384145*^9, 
   3.643950305200209*^9}, {3.64395039681917*^9, 3.6439504123723974`*^9}, {
   3.643950462058485*^9, 3.6439505470318336`*^9}, {3.6439518015378704`*^9, 
   3.6439518539539623`*^9}, {3.643951924060486*^9, 3.643951930628097*^9}, {
   3.6439520106330376`*^9, 3.643952075981552*^9}, {3.6439523801508865`*^9, 
   3.643952381508089*^9}, 3.6439527307927027`*^9, {3.6439693715876384`*^9, 
   3.643969403879695*^9}, {3.643969434596149*^9, 3.6439694487297735`*^9}, {
   3.6439695152638907`*^9, 3.643969591844425*^9}, {3.643969695007406*^9, 
   3.6439696989074135`*^9}, {3.643969732868673*^9, 3.6439703254045134`*^9}, {
   3.643970370706993*^9, 3.6439704017978477`*^9}, {3.6439704430599203`*^9, 
   3.6439708327174044`*^9}, {3.643970929031974*^9, 3.643971207118062*^9}, 
   3.6439712561645484`*^9, {3.643971289002606*^9, 3.6439714799937415`*^9}, {
   3.643971521209014*^9, 3.6439715543590717`*^9}, {3.6439718400786905`*^9, 
   3.643972003816578*^9}, 3.6439729767186885`*^9, {3.6439730126299515`*^9, 
   3.643973092190091*^9}, {3.64397458896152*^9, 3.643974617712371*^9}, {
   3.643974686851692*^9, 3.643974858015193*^9}, {3.6439749572469673`*^9, 
   3.643974978275804*^9}, {3.6441096139550295`*^9, 3.6441096391334734`*^9}, 
   3.644110087509461*^9, 3.6441130946099854`*^9, {3.6441131424396696`*^9, 
   3.6441131777113314`*^9}, {3.644113235057032*^9, 3.644113259767475*^9}, {
   3.6441133049139547`*^9, 3.6441133178151774`*^9}, {3.6441133542724414`*^9, 
   3.6441136549005694`*^9}, {3.6441136880506277`*^9, 3.644113725818294*^9}, {
   3.6441137583911514`*^9, 3.6441137875320024`*^9}, {3.644114414167104*^9, 
   3.6441144451019583`*^9}, 3.6441147767405405`*^9, 3.644114933084016*^9, {
   3.644115122281148*^9, 3.644115196802479*^9}, {3.644115239608954*^9, 
   3.6441152445073624`*^9}, {3.644115324317103*^9, 3.644115346749942*^9}, 
   3.6441154056088457`*^9, {3.6441163865229683`*^9, 3.6441165277344165`*^9}, {
   3.6441167037027254`*^9, 3.6441167470708017`*^9}, 3.644117069070967*^9, {
   3.644117219829632*^9, 3.644117220204033*^9}, {3.6441173260502186`*^9, 
   3.644117353677867*^9}, {3.6441174333628073`*^9, 3.6441175788330626`*^9}, {
   3.6441181532075377`*^9, 3.6441181554383416`*^9}, 3.644147191148188*^9, {
   3.6441473627484894`*^9, 3.6441475761880646`*^9}, {3.6441476453117857`*^9, 
   3.6441476697102284`*^9}, {3.644147703421888*^9, 3.644147707025494*^9}, {
   3.6441477933092456`*^9, 3.6441479555495305`*^9}, {3.6441479901503916`*^9, 
   3.6441479957820015`*^9}, {3.644148041287281*^9, 3.6441480960901775`*^9}, {
   3.6441481336550436`*^9, 3.644148201421562*^9}, {3.6441482325124173`*^9, 
   3.6441482844605083`*^9}, {3.6441483156449633`*^9, 3.644148339918606*^9}, {
   3.644148391835497*^9, 3.64414843913478*^9}, {3.6441527440366406`*^9, 
   3.6441527587786665`*^9}, 3.6441529825766597`*^9, {3.644153974332802*^9, 
   3.6441539777492075`*^9}, {3.6447395253767185`*^9, 3.644739563035185*^9}, {
   3.6447400133299756`*^9, 3.644740036090416*^9}, {3.644799875844435*^9, 
   3.6447998867020545`*^9}, {3.644802354704389*^9, 3.6448023644544067`*^9}, {
   3.6448024049676776`*^9, 3.6448025554299417`*^9}, {3.6457044940035925`*^9, 
   3.6457045255780478`*^9}, {3.6457045952773714`*^9, 3.645704606478191*^9}, {
   3.6579626479441257`*^9, 3.6579626622961507`*^9}, {3.6579627152270436`*^9, 
   3.6579627290018682`*^9}, 3.6579633048456793`*^9, {3.6579640486408844`*^9, 
   3.6579640556920967`*^9}, 3.6579640954565663`*^9, {3.657964253514118*^9, 
   3.657964254392168*^9}, {3.6579645358947315`*^9, 3.657964537454734*^9}, {
   3.6579646239568863`*^9, 3.657964624565287*^9}, {3.6579646547045403`*^9, 
   3.6579646606481504`*^9}, 3.6579647427978945`*^9, {3.6581259921955643`*^9, 
   3.658125993755566*^9}, {3.6582930756573267`*^9, 3.658293090165352*^9}, 
   3.676878251429708*^9, {3.676879920639007*^9, 3.67687992230821*^9}, {
   3.679046020088731*^9, 3.6790460449083743`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Alpha]jk0", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Alpha]jk0", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[Alpha]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
         RowBox[{"H\[Alpha]", " ", "===", "===", "===", "===", 
          RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"H\[Alpha]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"a", ",", "\[Delta]", ",", "M2", ",", "h", ",", "r"}], 
            "}"}], ",", "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"akn", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"aa", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"n", "\[LessEqual]", "1"}], ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"aa", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 SuperscriptBox["2.", 
                  RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "0"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"n", "-", "2"}], "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"n", "-", "1.", "-", 
                    RowBox[{"2.", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", " ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "aa", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"a", "=", 
             RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"h", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"a", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "+", "2", "-", 
                  RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}]}], 
               ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", 
             RowBox[{"2", " ", "h"}], "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"And", "[", 
           RowBox[{
            RowBox[{"j", "==", "k"}], ",", 
            RowBox[{"k", "==", "0"}]}], "]"}], ",", 
          RowBox[{"\[Alpha]", "=", "1"}], ",", "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"And", "[", 
             RowBox[{
              RowBox[{"j", "==", "k"}], ",", 
              RowBox[{"k", "\[NotEqual]", "0"}]}], "]"}], ",", 
            RowBox[{"\[Alpha]", "=", "0.5"}], ",", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"And", "[", 
               RowBox[{"j", "==", 
                RowBox[{"k", "-", "1"}]}], "]"}], ",", 
              RowBox[{"\[Alpha]", "=", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}], 
              ",", "\[IndentingNewLine]", 
              RowBox[{"\[Alpha]", "=", 
               RowBox[{
                RowBox[{"H\[Alpha]", "[", 
                 RowBox[{"k", "-", "j", "-", "1"}], "]"}], "+", 
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"k", "-", "j"}], "\[Equal]", "2"}], ",", 
                  RowBox[{"-", "0.5"}], ",", "0"}], "]"}]}]}]}], "]"}]}], 
           "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Alpha]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FckTU0", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckTU0", "[", 
      RowBox[{"n_", ",", "ff_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"f", ",", "c", ",", "temp", ",", "l", ",", "j"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"===", "===", "==="}], "=", " ", 
          RowBox[{"fjU", " ", "===", "===", "===", "==="}]}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"fjU", "[", 
          RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"ft", ",", "G", ",", "x", ",", "k", ",", "jj"}], "}"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ft", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"x", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", "k"}], "-", "1."}], 
                  RowBox[{
                   RowBox[{"2", "n"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"G", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"jj", "=", "0"}], ",", 
              RowBox[{"jj", "\[LessEqual]", "nn"}], ",", 
              RowBox[{"jj", "++"}], ",", 
              RowBox[{
               RowBox[{"G", "\[LeftDoubleBracket]", 
                RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{
                FractionBox["1.", 
                 RowBox[{"nn", "+", "1"}]], " ", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"k", "=", "1"}], 
                  RowBox[{"nn", "+", "1"}]], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], " ", 
                   RowBox[{"ChebyshevT", "[", 
                    RowBox[{"jj", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"jj", "=", "0"}], ",", 
              RowBox[{"jj", "\[LessEqual]", 
               RowBox[{"nn", "-", "2"}]}], ",", 
              RowBox[{"jj", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"ft", "\[LeftDoubleBracket]", 
                RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{
                RowBox[{"G", "\[LeftDoubleBracket]", 
                 RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "-", 
                RowBox[{"G", "\[LeftDoubleBracket]", 
                 RowBox[{"jj", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
             "ft", "\[LeftDoubleBracket]", "nn", "\[RightDoubleBracket]"}], 
             "=", 
             RowBox[{
             "G", "\[LeftDoubleBracket]", "nn", "\[RightDoubleBracket]"}]}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ft", "\[LeftDoubleBracket]", 
              RowBox[{"nn", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
             RowBox[{"G", "\[LeftDoubleBracket]", 
              RowBox[{"nn", "+", "1"}], "\[RightDoubleBracket]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", 
        StyleBox["\[IndentingNewLine]",
         FontFamily->"Courier New"], 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"f", "=", 
         RowBox[{"fjU", "[", 
          RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"c", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"l", ",", "1", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"c", "\[LeftDoubleBracket]", 
          RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
         FractionBox[
          RowBox[{"f", "\[LeftDoubleBracket]", 
           RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], 
          RowBox[{"\[Alpha]jk0", "[", 
           RowBox[{"n", ",", "n", ",", "p"}], "]"}]]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"l", "=", "1"}], ",", 
          RowBox[{"l", "\[LessEqual]", "n"}], ",", 
          RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"temp", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"j", "=", "1"}], "l"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"c", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "j", "+", "1"}], 
                "\[RightDoubleBracket]"}], " ", 
               RowBox[{"\[Alpha]jk0", "[", 
                RowBox[{
                 RowBox[{"n", "-", "l"}], ",", 
                 RowBox[{"n", "-", "l", "+", "j"}], ",", "p"}], "]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"c", "\[LeftDoubleBracket]", 
             RowBox[{"n", "-", "l", "+", "1"}], "\[RightDoubleBracket]"}], 
            "=", 
            RowBox[{
             FractionBox["1", 
              RowBox[{"\[Alpha]jk0", "[", 
               RowBox[{
                RowBox[{"n", "-", "l"}], ",", 
                RowBox[{"n", "-", "l"}], ",", "p"}], "]"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "1"}], "\[RightDoubleBracket]"}], 
               "-", "temp"}], ")"}]}]}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "c", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.64474023765837*^9, 3.644740239935974*^9}, {
   3.6447403627393894`*^9, 3.644740374923011*^9}, 3.6447417450422173`*^9, {
   3.6448002410098767`*^9, 3.6448002516334953`*^9}, 3.6448003973377514`*^9, {
   3.6448012880057154`*^9, 3.644801290969721*^9}, 3.6448021371932073`*^9, 
   3.644802824889215*^9, 3.644803034241583*^9, {3.644803221020711*^9, 
   3.6448032881008286`*^9}, {3.644803497406396*^9, 3.6448035006824017`*^9}, 
   3.644803533224059*^9, 3.644803650317865*^9, {3.6448054797541695`*^9, 
   3.6448055014226074`*^9}, 3.6448070038604784`*^9, 3.6448076130415487`*^9, {
   3.644816608152581*^9, 3.6448166501166553`*^9}, {3.6448167065575542`*^9, 
   3.64481671558997*^9}, {3.644819229056817*^9, 3.6448192481512504`*^9}, {
   3.6448193436546183`*^9, 3.6448195523205843`*^9}, {3.6448197587456856`*^9, 
   3.6448197839865303`*^9}, 3.6448199565696335`*^9, {3.644821947609132*^9, 
   3.6448220101028414`*^9}, {3.644822278782113*^9, 3.644822387217904*^9}, {
   3.644822865374344*^9, 3.644822866840746*^9}, {3.6448230461942616`*^9, 
   3.644823067613099*^9}, {3.644823100841157*^9, 3.6448231153959827`*^9}, {
   3.6448233107762303`*^9, 3.644823311509432*^9}, {3.6448233434894876`*^9, 
   3.644823421489625*^9}, 3.6448234865573387`*^9, {3.6448235387238307`*^9, 
   3.644823713038537*^9}, {3.644823860677196*^9, 3.644823870021612*^9}, {
   3.6448242666523094`*^9, 3.644824291237952*^9}, {3.6448252449548664`*^9, 
   3.6448252962165565`*^9}, {3.6448253634058743`*^9, 3.644825363842675*^9}, {
   3.6450072256287556`*^9, 3.645007280962053*^9}, {3.6450169312970805`*^9, 
   3.6450169342298856`*^9}, {3.6450169654455404`*^9, 
   3.6450169688463464`*^9}, {3.6450177968141203`*^9, 3.645017834800187*^9}, {
   3.645017929102353*^9, 3.645017968492422*^9}, {3.6450193939449253`*^9, 
   3.6450194018697395`*^9}, 3.6450197868160152`*^9, 3.645020071719316*^9, {
   3.645020128628216*^9, 3.6450201842267137`*^9}, {3.6450204938248577`*^9, 
   3.645020622852684*^9}, {3.645020702288024*^9, 3.6450207027716246`*^9}, {
   3.6450208572430954`*^9, 3.6450209118899918`*^9}, {3.6450211002135224`*^9, 
   3.6450211042227297`*^9}, {3.6450213223891125`*^9, 
   3.6450213617947817`*^9}, {3.6450214293117003`*^9, 
   3.6450214360197124`*^9}, {3.645021623781642*^9, 3.6450216384612675`*^9}, 
   3.645022218542288*^9, {3.6450223914997916`*^9, 3.6450224016398096`*^9}, {
   3.645022442324681*^9, 3.6450224495162935`*^9}, {3.645022482198351*^9, 
   3.6450224871435595`*^9}, {3.6450228715670357`*^9, 
   3.6450228815198526`*^9}, {3.646027042688283*^9, 3.646027052001499*^9}, {
   3.6462198915346093`*^9, 3.6462199234522653`*^9}, {3.6579627831807632`*^9, 
   3.657962852632085*^9}, {3.6579633134100943`*^9, 3.6579633139248953`*^9}, {
   3.6579633511153603`*^9, 3.6579633642193837`*^9}, {3.657963414061471*^9, 
   3.6579634889104023`*^9}, 3.6579646753121767`*^9, {3.6579699269031343`*^9, 
   3.6579699477447705`*^9}, 3.658126009235588*^9, 3.658293102114973*^9, 
   3.6768783038926*^9, {3.6768783553882904`*^9, 3.6768783944975595`*^9}, {
   3.676880354157769*^9, 3.676880357886176*^9}, 3.6771621866163535`*^9, 
   3.678085582242901*^9, 3.6780860408701067`*^9, {3.6780861119906316`*^9, 
   3.678086113800235*^9}, 3.678086249489273*^9, {3.678086901080076*^9, 
   3.678086915198101*^9}, 3.6780871763737593`*^9, {3.678087228493451*^9, 
   3.6780872315354567`*^9}, {3.678103599588773*^9, 3.678103602911579*^9}, 
   3.6781036905213327`*^9, {3.6790460209779325`*^9, 3.6790460693380175`*^9}, {
   3.6872552477428017`*^9, 3.687255253031211*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "TClenshawArr", " ", "===", "===", 
     "==="}], "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"TClenshawArr", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nx", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
          RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"k", "=", 
              RowBox[{"na", "-", "1"}]}], ",", 
             RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"k", "--"}], ",", " ", 
             RowBox[{
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{
               RowBox[{"a", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
               RowBox[{"2", " ", 
                RowBox[{
                "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
                " ", 
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
            RowBox[{
             RowBox[{
             "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "-", 
             RowBox[{
              RowBox[{
              "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
              " ", 
              RowBox[{
              "b", "\[LeftDoubleBracket]", "2", 
               "\[RightDoubleBracket]"}]}]}]}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "TClenshaw", " ", "===", "===", "==="}],
      "=", "\[Equal]"}], "*)"}], 
   RowBox[{
    RowBox[{
     RowBox[{"TClenshaw", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"b", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", 
             RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", 
           RowBox[{"na", "-", "1"}]}], ",", 
          RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
          RowBox[{"k", "--"}], ",", " ", 
          RowBox[{
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"a", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
            RowBox[{"2", " ", "x", " ", 
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
            RowBox[{"b", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{
          RowBox[{"b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
           "-", 
          RowBox[{"x", " ", 
           RowBox[{
           "b", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "xArr", " ", "===", "===", "==="}], "=",
      "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xArr", "[", 
      RowBox[{"a0_", ",", "h_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "k"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"a0", "+", 
            RowBox[{"k", " ", "h"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "x", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.6450071138077593`*^9, {3.645007456914762*^9, 3.645007459129966*^9}, {
   3.6450075111872573`*^9, 3.645007582791383*^9}, 3.645007627984662*^9, {
   3.6450078165265937`*^9, 3.6450078233594055`*^9}, {3.6450078748862963`*^9, 
   3.645007899393939*^9}, {3.645008124783135*^9, 3.645008137980758*^9}, 
   3.6450081844376397`*^9, {3.645008336132306*^9, 3.6450083894376*^9}, {
   3.6450166530549917`*^9, 3.6450166564089975`*^9}, {3.645016960063531*^9, 
   3.6450169735575542`*^9}, {3.6450749513076916`*^9, 
   3.6450750020857806`*^9}, {3.645075034003437*^9, 3.645075180862095*^9}, {
   3.6450752446194067`*^9, 3.645075260687435*^9}, {3.6450755254355*^9, 
   3.6450755693339767`*^9}, {3.645076094056956*^9, 3.645076198592739*^9}, {
   3.6450762317739973`*^9, 3.6450762863428936`*^9}, 3.6451652140993147`*^9, 
   3.6451656379988594`*^9, {3.657963513402446*^9, 3.6579635160388503`*^9}, 
   3.6579635492669086`*^9, {3.658128974818036*^9, 3.658128975036436*^9}, {
   3.678085727603956*^9, 3.678085738352375*^9}, {3.679046023676737*^9, 
   3.679046047326379*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "un\[Alpha]", " ", "===", "===", "==="}],
     "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"uArr", "[", 
      RowBox[{"fu_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "len", ",", "k"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"len", "=", 
         StyleBox[
          RowBox[{"Length", "[", "x", "]"}], "SearchResultSummary"]}], 
        StyleBox[";", "SearchResultSummary"], 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"fu", "[", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "len"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXi", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXi", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "z_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"rez", ",", "Rez"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{"g", "  ", 
              RowBox[{"Log", "[", 
               FractionBox[
                RowBox[{"z", "-", "1"}], 
                RowBox[{"z", "+", "1"}]], "]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXiPlus", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXiPlus", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"r", ",", "rr"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                FractionBox["1", "2"]}], " ", 
               RowBox[{"Log", "[", "G", "]"}]}], "+", 
              RowBox[{"g", "  ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"1", "-", "x"}], 
                 RowBox[{"1", "+", "x"}]], "]"}]}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.645007175209467*^9, {3.6450076371730785`*^9, 3.64500766086952*^9}, 
   3.6450082424853415`*^9, {3.645010022606546*^9, 3.6450100533698*^9}, {
   3.645010149450369*^9, 3.6450101526483746`*^9}, {3.6450169843371735`*^9, 
   3.645016995241593*^9}, {3.645074828987877*^9, 3.6450748723871527`*^9}, {
   3.6450754108064985`*^9, 3.6450754397913494`*^9}, {3.6450754729726076`*^9, 
   3.6450754733158083`*^9}, {3.645076542261343*^9, 3.645076673207973*^9}, 
   3.645076738696888*^9, {3.657963065042058*^9, 3.657963066804861*^9}, {
   3.6768784863973207`*^9, 3.6768785039629517`*^9}, {3.679046024706339*^9, 
   3.6790460473419785`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "\[IndentingNewLine]", "       ", 
   StyleBox[
    RowBox[{
     RowBox[{
     "\:041c\:043e\:0434\:0435\:043b\:044c\:043d\:044b\:0439", " ", 
      "\:043f\:0440\:0438\:043c\:0435\:0440"}], " ", 
     StyleBox["\[IndentingNewLine]", "Text",
      FontFamily->"Tahoma",
      FontSize->18,
      FontColor->RGBColor[0, 1, 1],
      Background->RGBColor[1, 0.85, 0.85]], 
     RowBox[{"\:0421\:0418\:0423", " ", "\:0441", " ", 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox["\:0432", "Text",
           FontFamily->"Cambria",
           FontSize->18,
           FontColor->RGBColor[1, 0, 1]], "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], "Text",
         FontFamily->"Cambria",
         FontSize->18,
         FontColor->RGBColor[1, 0, 1]], 
        "\:0435\:0449\:0435\:0441\:0442\:0432\:0435\:043d\:043d\:044b\:043c\
\:0438"}]], " ", 
      "\:043a\:043e\:044d\:0444\:0444\:0438\:0446\:0438\:0435\:043d\:0442\
\:0430\:043c\:0438"}]}], "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], 
   StyleBox[" ", "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], 
   StyleBox["\[IndentingNewLine]", "Text",
    FontFamily->"Tahoma",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"v", "=", 
     FractionBox["\[Pi]", "3"]}], " ", ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fa", "=", 
     RowBox[{"Cos", "[", "v", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fb", "=", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], "  ", 
      RowBox[{"Sin", "[", "v", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"fa", ",", "\"\< \>\"", ",", "fb"}], "]"}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       "\[Kappa]"}], "}"}], "=", 
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"fa", ",", "fb", ",", "3"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<\[Alpha]=\>\"", ",", "\[Alpha]", ",", "\"\< \[Beta]=\>\"", ",", 
       "\[Beta]", ",", "\"\< \[Kappa]1=\>\"", ",", "\[Kappa]1", ",", 
       "\"\< \[Kappa]2=\>\"", ",", "\[Kappa]2", ",", "\"\< \[Kappa]=\>\"", 
       ",", "\[Kappa]"}], "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXi2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"\"\<FXi2=\>\"", ",", "FXi2"}], "]"}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"az", "=", 
    FractionBox["1", "FXi2"]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], ":=", 
     FractionBox["az", 
      RowBox[{"x", "-", "2"}]]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.644114786069357*^9, 3.644114843773859*^9}, 
   3.6441148791703205`*^9, {3.6441149825673027`*^9, 3.644115050708222*^9}, 
   3.6441152091265*^9, {3.644115433532894*^9, 3.6441154950126023`*^9}, 
   3.6441155446050897`*^9, {3.644116578262905*^9, 3.6441166515050335`*^9}, {
   3.644116795493287*^9, 3.6441168082853093`*^9}, 3.644116864461008*^9, {
   3.644116897673466*^9, 3.6441169016826735`*^9}, {3.6441169639891825`*^9, 
   3.644116969729993*^9}, {3.6441171411118937`*^9, 3.644117146634303*^9}, {
   3.644118387629949*^9, 3.64411839950157*^9}, {3.644152854219634*^9, 
   3.6441528732984676`*^9}, {3.644153022247529*^9, 3.6441530286435404`*^9}, {
   3.6441530881888447`*^9, 3.6441531016516685`*^9}, {3.6441531993390408`*^9, 
   3.644153299491216*^9}, {3.644153422247832*^9, 3.6441534301414456`*^9}, 
   3.644153488953549*^9, 3.6441535317288237`*^9, {3.644153575986102*^9, 
   3.6441535792465076`*^9}, 3.6441536258593893`*^9, 3.64415367173907*^9, {
   3.6441537113163395`*^9, 3.644153714202345*^9}, {3.644153755948018*^9, 
   3.644153759458024*^9}, {3.6441538841646433`*^9, 3.644153887362649*^9}, 
   3.644739585140424*^9, {3.644740574088561*^9, 3.644740576210164*^9}, {
   3.6447407494484687`*^9, 3.6447408334702163`*^9}, 3.6447410194693427`*^9, {
   3.6447411620691934`*^9, 3.6447411713356094`*^9}, {3.644741601443965*^9, 
   3.644741625093607*^9}, {3.6447418847716627`*^9, 3.644741888016468*^9}, 
   3.644742285567567*^9, {3.644762467490097*^9, 3.644762555599052*^9}, {
   3.6447626129291525`*^9, 3.6447626231159706`*^9}, {3.6447648714407215`*^9, 
   3.6447648823607407`*^9}, {3.644764932124828*^9, 3.6447649484268565`*^9}, {
   3.6447651007611237`*^9, 3.6447651016347256`*^9}, {3.644765335447936*^9, 
   3.6447653829656196`*^9}, {3.6447654257564945`*^9, 3.644765427020097*^9}, {
   3.6447655560791235`*^9, 3.64476556525194*^9}, {3.6447657592382803`*^9, 
   3.6447657633722878`*^9}, {3.644766052705996*^9, 3.644766053283197*^9}, {
   3.6448004532326493`*^9, 3.644800461594264*^9}, {3.6448005042291393`*^9, 
   3.64480053326079*^9}, {3.644800582775277*^9, 3.644800611104927*^9}, 
   3.6448006627566175`*^9, 3.6448008028136635`*^9, {3.6448031319913545`*^9, 
   3.644803162364608*^9}, {3.644805558487508*^9, 3.6448055744307356`*^9}, 
   3.644808139925823*^9, {3.644824317227598*^9, 3.644824334574828*^9}, 
   3.6448253856983137`*^9, {3.6448264776660023`*^9, 3.6448265154960685`*^9}, {
   3.6448296129922047`*^9, 3.6448296151918087`*^9}, {3.6448301069826727`*^9, 
   3.644830107887474*^9}, {3.645007332176943*^9, 3.645007333237745*^9}, {
   3.6450080415413885`*^9, 3.64500804222779*^9}, 3.6450085610847015`*^9, 
   3.645008624686013*^9, 3.6450086626096797`*^9, 3.645019478918275*^9, 
   3.6450209285040207`*^9, {3.645020960016076*^9, 3.645020960811678*^9}, {
   3.6450221019008827`*^9, 3.6450221424297543`*^9}, {3.645022294249221*^9, 
   3.645022324575674*^9}, {3.6450229137651095`*^9, 3.645022914576311*^9}, 
   3.645023088001816*^9, 3.6450231411511087`*^9, 3.6450231830059824`*^9, {
   3.6450232293380637`*^9, 3.6450232302272654`*^9}, {3.645023302751793*^9, 
   3.6450233037969947`*^9}, {3.6450753511363935`*^9, 3.6450753545216*^9}, {
   3.6450757196402407`*^9, 3.6450757220426455`*^9}, {3.645077330405927*^9, 
   3.645077346083955*^9}, 3.6450779005401287`*^9, 3.64507803214196*^9, 
   3.64508013294925*^9, {3.645244371818203*^9, 3.6452443721926036`*^9}, {
   3.657963604194605*^9, 3.6579636046158056`*^9}, 3.657971014064046*^9, 
   3.65934439095805*^9, {3.6768785651082597`*^9, 3.6768785997871203`*^9}, {
   3.6768786808892636`*^9, 3.6768786873008747`*^9}, {3.6780858744002137`*^9, 
   3.6780859099994764`*^9}, 3.6780861922215724`*^9, {3.67810310862751*^9, 
   3.678103141013167*^9}, {3.678103472654149*^9, 3.678103480344963*^9}, {
   3.6781038584400277`*^9, 3.678103893274889*^9}, 3.6781664672702184`*^9, {
   3.679046140267342*^9, 3.6790461518269625`*^9}}],

Cell[BoxData[
 RowBox[{"0.4807498567691361`", "\[VeryThinSpace]", "-", 
  RowBox[{"1.8664827184757982`*^-17", " ", "\[ImaginaryI]"}]}]], "Output",
 CellChangeTimes->{
  3.678103413998046*^9, 3.678103824463168*^9, {3.67810388265127*^9, 
   3.6781038982980976`*^9}, 3.678108818538105*^9, 3.678166477316636*^9, 
   3.679046111692092*^9, 3.679046160266577*^9, 3.6800598878878913`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nnn", "=", "25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pp", "=", 
    RowBox[{"FpC", "[", 
     RowBox[{"fa", ",", "fb", ",", "3", ",", "nnn"}], "]"}]}], ";"}], 
  " "}]}], "Input",
 CellChangeTimes->{{3.645077333697533*^9, 3.645077340655145*^9}, 
   3.6450776562281*^9, 3.6460267676909995`*^9, {3.6579629093381844`*^9, 
   3.6579629154845953`*^9}, {3.6579631492198057`*^9, 3.657963149875007*^9}, 
   3.6579636440526752`*^9, {3.6768786186319537`*^9, 3.6768786194431553`*^9}, {
   3.6768787228845377`*^9, 3.676878746190978*^9}, {3.676878935512911*^9, 
   3.6768789364957123`*^9}, {3.6768801499846106`*^9, 3.676880158533426*^9}, {
   3.6771622411068497`*^9, 3.677162266768894*^9}, {3.678085987921613*^9, 
   3.678085988530014*^9}, {3.6780869902342324`*^9, 3.6780870158806777`*^9}, {
   3.6780870609335566`*^9, 3.67808706283676*^9}, {3.6780872567451005`*^9, 
   3.6780872580243025`*^9}, {3.6781034915769825`*^9, 3.678103494993388*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ck\[Alpha]", "=", 
   RowBox[{"FckTU0", "[", 
    RowBox[{"nnn", ",", "f", ",", "pp"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Print", "[", "ck\[Alpha]", "]"}], ";"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.6393244379150887`*^9, 3.639324502711795*^9}, {
   3.639324833566719*^9, 3.6393248376679535`*^9}, {3.639325553181878*^9, 
   3.6393255538149147`*^9}, 3.63932632370695*^9, 3.639836755732641*^9, {
   3.644765500075025*^9, 3.644765518857458*^9}, {3.6447655823807697`*^9, 
   3.644765587513179*^9}, 3.6447659100281453`*^9, {3.6448006968894777`*^9, 
   3.644800726311129*^9}, {3.6448010066904216`*^9, 3.644801028202859*^9}, 
   3.6448031350021596`*^9, {3.6448070921410336`*^9, 3.6448071041218543`*^9}, 
   3.644808156385846*^9, {3.6448175293582*^9, 3.6448175390458174`*^9}, 
   3.644822497603698*^9, {3.644822788949809*^9, 3.6448228286518793`*^9}, 
   3.645008023367357*^9, {3.6450085505546827`*^9, 3.645008552801087*^9}, 
   3.645020284098089*^9, 3.6450223273212786`*^9, 3.6450232908021717`*^9, 
   3.646027267032277*^9, 3.6579629195562024`*^9, {3.6768787131657205`*^9, 
   3.6768787140705223`*^9}, 3.6768787586398*^9, {3.676880089752905*^9, 
   3.67688010380853*^9}, 3.678085936971924*^9, {3.678087076954785*^9, 
   3.6780870910572095`*^9}, {3.6781034575221224`*^9, 3.678103463262933*^9}, {
   3.6781035021226006`*^9, 3.6781035070210094`*^9}, {3.687255260394424*^9, 
   3.6872552608156247`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a0", "=", 
   RowBox[{"-", "0.99"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hh", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b0", "=", "0.99"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kk", "=", 
   RowBox[{
    RowBox[{"Floor", "[", 
     FractionBox[
      RowBox[{"b0", "-", "a0"}], "hh"], "]"}], "+", "1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "kk", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xx", "=", 
   RowBox[{"xArr", "[", 
    RowBox[{"a0", ",", "hh", ",", "kk"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yy", "=", 
   RowBox[{"TClenshawArr", "[", 
    RowBox[{"ck\[Alpha]", ",", "xx"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.644828003719778*^9, 3.6448280670714893`*^9}, {
   3.6448281175843782`*^9, 3.6448281329660053`*^9}, 3.6450223362600946`*^9, {
   3.6450752874414816`*^9, 3.64507532048234*^9}, {3.6450756789085693`*^9, 
   3.645075685460581*^9}, {3.64507631863495*^9, 3.645076388226672*^9}, {
   3.645077181144865*^9, 3.645077182892068*^9}, {3.6450773567387733`*^9, 
   3.6450774630841603`*^9}, {3.645077612158022*^9, 3.6450776193184347`*^9}, {
   3.645165236750554*^9, 3.6451652415553627`*^9}, {3.645935206823159*^9, 
   3.6459352070727596`*^9}, {3.658126024335609*^9, 3.658126025645611*^9}, {
   3.67810880410808*^9, 3.678108806151683*^9}}],

Cell[BoxData["199"], "Print",
 CellChangeTimes->{
  3.678103414154046*^9, 3.678103824603568*^9, {3.6781038827916703`*^9, 
   3.678103898407298*^9}, 3.6781088186473055`*^9, 3.6781664774258366`*^9, 
   3.6790461118168917`*^9, 3.679046160406977*^9, 3.6800598879970913`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"zz", "=", 
   RowBox[{"uArr", "[", 
    RowBox[{"ut", ",", "xx"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.644829983680056*^9, {3.6450101129463043`*^9, 3.6450101182503138`*^9}, 
   3.6450223401133013`*^9, {3.645076413592317*^9, 3.6450764138263173`*^9}, 
   3.645076504930477*^9, {3.6450766859999957`*^9, 3.645076730179273*^9}, {
   3.6450771883208776`*^9, 3.645077188851279*^9}, 3.64508013294925*^9}],

Cell["\<\
\:041f\:043e\:0433\:0440\:0435\:0448\:043d\:043e\:0441\:0442\:044c \:043f\
\:0440\:0438\:0431\:043b\:0438\:0436\:0435\:043d\:043d\:043e\:0433\:043e \
\:0440\:0435\:0448\:0435\:043d\:0438\:044f \:0432 \:0442\:043e\:0447\:043a\
\:0430\:0445 \:0438\:0437 \:043e\:0442\:0440\:0435\:0437\:043a\:0430 [-1; 1]\
\>", "Text",
 CellChangeTimes->{{3.63983583974425*^9, 3.639835868969921*^9}, {
  3.644824046083522*^9, 3.6448240474407244`*^9}, {3.644824083164787*^9, 
  3.6448240869711933`*^9}},
 FontFamily->"Arial Narrow",
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{"\"\<eps=\>\"", ",", 
     RowBox[{"Max", "[", 
      FractionBox[
       RowBox[{"Abs", "[", 
        RowBox[{"yy", "-", "zz"}], "]"}], 
       RowBox[{"Abs", "[", "zz", "]"}]], "]"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]", 
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"**", "**", "**", "**", "**", "**", "**"}], "*", " ", "obX0"}], 
    " ", "****************)"}],
   FontFamily->"Courier New"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"obX0", "[", 
    RowBox[{"n_", ",", "p_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aS", ",", "aS1", ",", "rez"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"aSyst", ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"aM", ",", "m", ",", "j", ",", "k"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         StyleBox[
          RowBox[{"(*", 
           RowBox[{"===", "=="}], "*)"}],
          FontFamily->"Courier New"], 
         StyleBox["\[IndentingNewLine]",
          FontFamily->"Courier New"], 
         RowBox[{
          RowBox[{"aM", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"m", "=", "0"}], ",", 
            RowBox[{"m", "\[LessEqual]", "n"}], ",", 
            RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"k", "=", "m"}], ",", 
               RowBox[{"k", "\[LessEqual]", "n"}], ",", 
               RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"aM", "\[LeftDoubleBracket]", 
                 RowBox[{
                  RowBox[{"m", "+", "1"}], ",", 
                  RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                RowBox[{
                 RowBox[{"aM", "\[LeftDoubleBracket]", 
                  RowBox[{
                   RowBox[{"m", "+", "1"}], ",", 
                   RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                 RowBox[{"\[Alpha]jk0", "[", 
                  RowBox[{"m", ",", "k", ",", "p"}], "]"}]}]}]}], "]"}], 
             ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
         "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
      RowBox[{"aS1", "=", 
       RowBox[{"Inverse", "[", "aS", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rez", "=", 
       RowBox[{
        RowBox[{"Norm", "[", "aS", "]"}], "*", 
        RowBox[{"Norm", "[", "aS1", "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Obysl=\>\"", ",", 
    RowBox[{"obX0", "[", 
     RowBox[{"nnn", ",", "pp"}], "]"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6448240967212105`*^9, 3.6448241352220783`*^9}, 
   3.6448245521796107`*^9, {3.6448247364315343`*^9, 3.6448247441847477`*^9}, {
   3.644826673207945*^9, 3.6448267122080135`*^9}, {3.644826956644843*^9, 
   3.644826982338088*^9}, 3.6448295252732506`*^9, {3.64501008765866*^9, 
   3.6450100950218735`*^9}, {3.6450101881540365`*^9, 3.645010191274042*^9}, {
   3.645012789037405*^9, 3.6450127934678125`*^9}, 3.6450223444345093`*^9, {
   3.6450234096431804`*^9, 3.6450234252276077`*^9}, {3.645076445697173*^9, 
   3.645076452873186*^9}, {3.6450767662777367`*^9, 3.6450767889757767`*^9}, {
   3.658032092056542*^9, 3.6580320996693554`*^9}, 3.679046024721939*^9, {
   3.6790460910844555`*^9, 3.679046091443256*^9}, {3.6800598832390833`*^9, 
   3.680059884081485*^9}, {3.6800603825959606`*^9, 3.680060390442774*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"eps=\"\>", "\[InvisibleSpace]", "6.703006705211658`*^-13"}],
  SequenceForm["eps=", 6.703006705211658*^-13],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.6781034141696463`*^9, 3.6781038246347685`*^9, {3.6781038828228703`*^9, 
   3.678103898438498*^9}, 3.6781088187253056`*^9, 3.6781664774882364`*^9, 
   3.6790461118948917`*^9, 3.6790461604693775`*^9, 3.680059888075092*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Obysl=\"\>", "\[InvisibleSpace]", "6753.164276599273`"}],
  SequenceForm["Obysl=", 6753.164276599273],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.6781034141696463`*^9, 3.6781038246347685`*^9, {3.6781038828228703`*^9, 
   3.678103898438498*^9}, 3.6781088187253056`*^9, 3.6781664774882364`*^9, 
   3.6790461118948917`*^9, 3.6790461604693775`*^9, 3.680059888153092*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"ListLinePlot", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"zz", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          " ", "-", " ", 
         RowBox[{
         "yy", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
        "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6398353919906397`*^9, 3.639835400260113*^9}, {
   3.639835573419017*^9, 3.639835576747207*^9}, 3.6398409550458283`*^9, {
   3.6398421324081697`*^9, 3.639842138978545*^9}, {3.6398422109976645`*^9, 
   3.6398422190481253`*^9}, 3.639843815326427*^9, 3.644800832141715*^9, {
   3.644801050292498*^9, 3.644801055924108*^9}, {3.644805421800068*^9, 
   3.644805449380916*^9}, 3.644814195962737*^9, 3.644816348100125*^9, {
   3.6448225820154457`*^9, 3.6448226041206846`*^9}, 3.6448244142909684`*^9, 
   3.644824678181032*^9, {3.644826785294142*^9, 3.6448267926573553`*^9}, {
   3.6448292687028*^9, 3.6448292816508226`*^9}, {3.645010266778175*^9, 
   3.6450103084302483`*^9}, {3.645010371095558*^9, 3.645010390345992*^9}, 
   3.645010433745268*^9, {3.6450105300910373`*^9, 3.645010530543438*^9}, {
   3.645010562320694*^9, 3.6450105838955317`*^9}, 3.6450127410517206`*^9, 
   3.6450223477261147`*^9, {3.6450234585336666`*^9, 3.645023503945346*^9}, {
   3.645076837039461*^9, 3.6450768539030905`*^9}, {3.645076886600748*^9, 
   3.645076917192402*^9}, {3.6450769523704634`*^9, 3.6450769643980846`*^9}, {
   3.6450771192751565`*^9, 3.6450771301951756`*^9}, {3.6450775918623867`*^9, 
   3.6450775921275873`*^9}, {3.6459351984303446`*^9, 3.645935201222749*^9}, {
   3.6581260313556185`*^9, 3.6581260317456193`*^9}, {3.679046024721939*^9, 
   3.6790460473419785`*^9}, {3.679046087512049*^9, 3.67904608788645*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.9719985465116279, 9.298117831235686*^-15}, {-0.97, 
      1.6653345369377348`*^-15}, {-0.9648789571694599, 
      9.298117831235686*^-15}}], 
     LineBox[{{-0.9439873417721518, 9.298117831235686*^-15}, {-0.94, 
      5.800915303666443*^-15}, {-0.9299999999999999, 
      2.7755575615628914`*^-15}, {-0.9199999999999999, 
      7.632783294297951*^-15}, {-0.91, 8.18789480661053*^-15}, {-0.9, 
      5.523359547510154*^-15}, {-0.89, 1.4988010832439613`*^-15}, {-0.88, 
      2.4147350785597155`*^-15}, {-0.87, 4.85722573273506*^-15}, {-0.86, 
      5.412337245047638*^-15}, {-0.85, 3.941291737419306*^-15}, {-0.84, 
      1.0547118733938987`*^-15}, {-0.83, 2.6922908347160046`*^-15}, {-0.82, 
      6.439293542825908*^-15}, {-0.8109649122807018, 
      9.298117831235686*^-15}}], LineBox[CompressedData["
1:eJxVlk1olFcUhj+KC5EuXLhVdGe7qtpFB07M7NqllS5dSKEqdFFxJVLKLFS6
KE0WXbRSSsAsdBMiBIwiOomT1p80xPzH+DMz0TjJTJKJRhu6EDPnPPcVPwjD
k3u/c8953/ude/d8+8Ph7z7KsuzK5l/rd+f1oeP7fqndylpPc0vb4f5d5+pf
w11Zm/9mcP6V9XxZObOj50VwNm5HOgZf7z2SuGLbpi+ebNsGH31lHq5/Ibj4
vx3zB9791nZ4QDj/1lrROgafa/5msM2IidfNw+2CC0s27M8z1p+0Mx4w8W37
xBOE81Xz9Kbn4YZ5uHNwtmYH/IHLa1bxgFX0aJqX2wHn63bQC048b41WuHqF
eGN24Y/Wk7jbvoqA5D9hb1rlvi7DFev2guHigoUfcLZo8Zu4hv5PmT+P3k+I
N4e+cFZCz8fwEPo9Yv5T83T2Jl60s67PHPWtWdnTf4g+69QPF/6j3ln02qC+
GcY3qAcuv2E/TZPPOvsncZP9MgW/YH9MEm+W/QBnvfg/wfioTXm4cfKv2H73
d1z1/eoBxxhfxb8HjK/hF3z0Jf6MMv8lfsDFJvqP8H4Dvf+Vn6HvsPQOPe8p
399dv7vUU7BDHvAOfN+2uj7/wA+t6HoM8X7VTnv9JXjBPvd6b8M16htQ/VFP
kXpq5H8TTvneUPzI7xrrPyafq+oHsX4fPGg1X+8K3Gm9Hr9H32enx7us+k/6
+93wpBV9/l/wjBV8/Df5H3yWeLP4wbP5fTHeHv8YSe/DAyl+e9I7xrvhfuuK
/OBh5ve0p/yaUV/7h/n0Mf+JbQ994DLxrok/C301P+LfhB/ZpfAHnmK9AXjU
vgh/4RLrl+DetD/grrR/4Btpf8H30v5TfPanmP0rZn9LH/a/8mGe9OT7gTvT
9wX3pe8PvmOd8X3CY+zncXjaZuL7hmftx/j+4TnbHf1Bepaif2j8RPQXvf9x
9B940nqjP2n/fBP9Cx60jehv0vvP6H/SOx/9ES6m/il96K/Sj/6r9ejPGqd/
Sx/6u+LT/6Un5wP8fS5+y/Kf8wX+O50/8IN0PsET6fyS/pxv2p+cf2LOR/kX
flZVTzXOV9UT/s4rv/NxPkvP8BvO/5z7NM53xi/h/zO9PxL3A+kR++G5/DoV
9wsx9w/4WI77ieJzf5H/3G+UP/cf6cn9SH5zf9L78VtTfty/tF74ARfO58KP
mvINPxb1fviRuIgfi9Ij/FjS9xh+LEnf8GNJ64cfdcULP+qqL/yoq77wo6H5
4cd7Dj8aih9+LGv98GNZ9YQfy5offqyof4QfK5offqxovfBjVRx+rGp++JH4
p9w7tlC2MA==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.99}, {0, 9.298117831235686*^-15}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0396, 0.0396}, {1.8596235662471373`*^-16, 
   1.8596235662471373`*^-16}}]], "Output",
 CellChangeTimes->{
  3.6781034141852465`*^9, 3.6781038246659684`*^9, {3.6781038828384705`*^9, 
   3.678103898469698*^9}, 3.6781088187565055`*^9, 3.678166477597437*^9, 
   3.6790461123940926`*^9, 3.6790461605005774`*^9, 3.680059888199892*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"un", "[", "x_", "]"}], ":=", 
   RowBox[{"TClenshaw", "[", 
    RowBox[{"ck\[Alpha]", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]n", "[", "x_", "]"}], ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"FXiPlus", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}],
       "]"}], 
     RowBox[{"fa", "-", "fb"}]], " ", 
    RowBox[{"un", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]", "[", "x_", "]"}], ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"FXiPlus", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}],
       "]"}], 
     RowBox[{"fa", "-", "fb"}]], " ", 
    RowBox[{"ut", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
      ",", " ", 
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"\[Phi]", "[", 
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          "]"}], " ", "-", " ", 
        RowBox[{"\[Phi]n", "[", 
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          "]"}]}], "]"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quit", "[", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          ",", " ", 
         RowBox[{"\[Phi]", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}]}]}], 
    "\[RightDoubleBracket]"}], "*)"}]}]}], "Input",
 CellChangeTimes->{
  3.657963101951723*^9, {3.6581260358656254`*^9, 3.658126036305626*^9}, 
   3.678087424850996*^9, {3.678087455239849*^9, 3.678087477501088*^9}, {
   3.6780875662496443`*^9, 3.6780875681060476`*^9}, {3.678087674732235*^9, 
   3.6780876827506485`*^9}, {3.6780877185683117`*^9, 
   3.6780877276007276`*^9}, {3.6781031916040554`*^9, 3.678103219060104*^9}, {
   3.6781032593549747`*^9, 3.6781032846582193`*^9}, {3.6781033339855056`*^9, 
   3.678103354265541*^9}, {3.6781033943888116`*^9, 3.6781034023292255`*^9}, {
   3.679046024737539*^9, 3.679046047747579*^9}, {3.679046096029664*^9, 
   3.6790460994460697`*^9}, {3.680143139558097*^9, 3.680143144097705*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], LineBox[CompressedData["
1:eJxVVgtQlNcVJmraSpv6IplMaVEmrYJUk8EaKTn0KtiAglHBFBOxBCOxahWi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      "]], 
     LineBox[{{0.9817015467184761, 4.944286485722395*^-15}, {0.99, 
      0.}}]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.99}, {0, 4.944286485722395*^-15}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0396, 0.0396}, {9.88857297144479*^-17, 
   9.88857297144479*^-17}}]], "Output",
 CellChangeTimes->{
  3.6781034143412466`*^9, 3.6781038248531685`*^9, {3.6781038829944706`*^9, 
   3.678103898625698*^9}, 3.678108818959306*^9, 3.6781664777222366`*^9, 
   3.679046112550093*^9, 3.6790461606565776`*^9, 3.680059888340292*^9}]
}, Open  ]]
},
WindowSize->{667, 744},
WindowMargins->{{Automatic, 58}, {9, Automatic}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 4129, 101, 362, "Input"],
Cell[4689, 123, 9937, 183, 445, "Input"],
Cell[14629, 308, 17672, 384, 1529, "Input"],
Cell[32304, 694, 7113, 169, 608, "Input"],
Cell[39420, 865, 6852, 173, 953, "Input"],
Cell[CellGroupData[{
Cell[46297, 1042, 7248, 150, 415, "Input"],
Cell[53548, 1194, 380, 6, 35, "Output"]
}, Open  ]],
Cell[53943, 1203, 996, 18, 58, "Input"],
Cell[54942, 1223, 1494, 26, 58, "Input"],
Cell[CellGroupData[{
Cell[56461, 1253, 1429, 34, 186, "Input"],
Cell[57893, 1289, 270, 4, 27, "Print"]
}, Open  ]],
Cell[58178, 1296, 445, 9, 35, "Input"],
Cell[58626, 1307, 537, 10, 39, "Text"],
Cell[CellGroupData[{
Cell[59188, 1321, 4566, 107, 475, "Input"],
Cell[CellGroupData[{
Cell[63779, 1432, 432, 8, 27, "Print"],
Cell[64214, 1442, 426, 8, 27, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[64689, 1456, 2037, 37, 58, "Input"],
Cell[66729, 1495, 2865, 52, 306, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69631, 1552, 2800, 72, 203, "Input"],
Cell[72434, 1626, 3292, 60, 312, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
