(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     77516,       1733]
NotebookOptionsPosition[     76186,       1689]
NotebookOutlinePosition[     76689,       1707]
CellTagsIndexPosition[     76646,       1704]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "F\[Kappa]C", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"F\[Kappa]C", "[", 
     RowBox[{"a_", ",", "b_", ",", "klass_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "t", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "g", ",", "\[Alpha]", 
        ",", "\[Beta]"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"g", "=", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"2.", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{"a", "-", "b"}], 
           RowBox[{"a", "+", "b"}]], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"t", "=", 
        RowBox[{"Re", "[", " ", "g", "]"}]}], " ", ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Abs", "[", "t", "]"}], "<", 
          SuperscriptBox["10", 
           RowBox[{"-", "16"}]]}], ",", 
         RowBox[{"Return", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<Not\>\"", ",", "\"\<Not\>\"", ",", "\"\<Not\>\""}], 
           "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"klass", "==", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[Kappa]2", "=", 
            RowBox[{"Floor", "[", 
             RowBox[{"1", "-", "t"}], "]"}]}], ";", 
           RowBox[{"\[Kappa]1", "=", 
            RowBox[{"Floor", "[", 
             RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"klass", "==", "2"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Kappa]2", "=", 
              RowBox[{"Floor", "[", 
               RowBox[{"-", "t"}], "]"}]}], ";", 
             RowBox[{"\[Kappa]1", "=", 
              RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"klass", "==", "3"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Kappa]2", "=", 
                RowBox[{"Floor", "[", 
                 RowBox[{"-", "t"}], "]"}]}], ";", 
               RowBox[{"\[Kappa]1", "=", 
                RowBox[{"Floor", "[", 
                 RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"klass", "\[Equal]", "4"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"\[Kappa]2", "=", 
                  RowBox[{"Floor", "[", 
                   RowBox[{"1", "-", "t"}], "]"}]}], ";", 
                 RowBox[{"\[Kappa]1", "=", 
                  RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", "None"}], 
              "]"}]}], "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]", "=", 
        RowBox[{"g", "-", "\[Kappa]1"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Beta]", "=", 
        RowBox[{
         RowBox[{"-", "g"}], "-", "\[Kappa]2"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"{", " ", 
         RowBox[{
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
          RowBox[{"\[Kappa]1", "+", "\[Kappa]2"}]}], "}"}], "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.6447414251948557`*^9, {3.6447415128046093`*^9, 3.644741532632244*^9}, {
   3.644799799544701*^9, 3.644799832538759*^9}, {3.645021718739009*^9, 
   3.645021723387817*^9}, {3.645021911845749*^9, 3.6450219149657545`*^9}, 
   3.645932810976946*^9, {3.646220516415708*^9, 3.64622053458974*^9}, {
   3.65796782934225*^9, 3.657967831370253*^9}, 3.67687822976127*^9, {
   3.67904881900825*^9, 3.679048829772269*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "==="}], "=", " ", 
     RowBox[{"FpC", " ", "===", "===", "===", "==="}]}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"FpC", "[", 
     RowBox[{"a_", ",", "b_", ",", "klass_", " ", ",", "n_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{"p", ",", "g", ",", "v", ",", "k", ",", "i"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
          "\[Kappa]"}], "}"}], "=", 
        RowBox[{"F\[Kappa]C", "[", 
         RowBox[{"a", ",", "b", ",", "klass"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Chi]", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"\[Kappa]", "<", "0"}], ",", 
          RowBox[{"-", "\[Kappa]"}], ",", "\[Kappa]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"g", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"v", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"p", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "\[Chi]"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "0"}], ",", 
         RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{
          RowBox[{"g", "\[LeftDoubleBracket]", 
           RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           RowBox[{"g", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
           FractionBox[
            RowBox[{"i", "-", "\[Alpha]"}], 
            RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"v", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "0"}], ",", 
         RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{
          RowBox[{"v", "\[LeftDoubleBracket]", 
           RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           RowBox[{"v", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
           FractionBox[
            RowBox[{"\[Beta]", "-", "i"}], 
            RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "0"}], ",", 
         RowBox[{"k", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"k", "++"}], ",", 
         RowBox[{
          RowBox[{"p", "\[LeftDoubleBracket]", 
           RowBox[{"\[Chi]", "+", "k", "+", "1"}], "\[RightDoubleBracket]"}], 
          "=", 
          RowBox[{
           UnderoverscriptBox["\[Sum]", 
            RowBox[{"i", "=", "0"}], "k"], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"g", "\[LeftDoubleBracket]", 
              RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
             RowBox[{"v", "\[LeftDoubleBracket]", 
              RowBox[{"k", "-", "i", "+", "1"}], "\[RightDoubleBracket]"}]}], 
            ")"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "p", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.638033899486045*^9, 3.6380339063524375`*^9}, {
   3.6393243253296494`*^9, 3.6393243325680637`*^9}, 3.639324420188075*^9, {
   3.6418151015055103`*^9, 3.6418151037987146`*^9}, {3.6418151373387737`*^9, 
   3.6418152433097596`*^9}, {3.643537594784018*^9, 3.643537619432061*^9}, {
   3.6435376720041533`*^9, 3.643537757679504*^9}, {3.6435378017495813`*^9, 
   3.6435379776086903`*^9}, {3.643538038901198*^9, 3.6435380595400343`*^9}, {
   3.643538110099723*^9, 3.6435381585378084`*^9}, {3.643538193060669*^9, 
   3.643538323898099*^9}, {3.6435383778273935`*^9, 3.6435385777417445`*^9}, {
   3.6435386216402216`*^9, 3.6435387165819883`*^9}, {3.6435388373106003`*^9, 
   3.643538932642368*^9}, {3.643539271714964*^9, 3.6435395855095153`*^9}, 
   3.643539637722807*^9, {3.6435396968313103`*^9, 3.643539743459792*^9}, {
   3.643539789230273*^9, 3.6435397922566786`*^9}, {3.6435398237999334`*^9, 
   3.643539906573679*^9}, 3.643539943327344*^9, {3.6435400359915066`*^9, 
   3.643540058611546*^9}, {3.6435406315225525`*^9, 3.6435406370293617`*^9}, {
   3.6435407163867016`*^9, 3.643540785588423*^9}, {3.643540882994994*^9, 
   3.6435409042890315`*^9}, {3.64354093770429*^9, 3.643540944037901*^9}, {
   3.6435410705385237`*^9, 3.6435411012705774`*^9}, {3.6435411501142635`*^9, 
   3.64354119382554*^9}, {3.643543589601348*^9, 3.643543618055798*^9}, 
   3.643547097911835*^9, {3.643547128082288*^9, 3.6435471350867004`*^9}, {
   3.64371267363628*^9, 3.6437129034090834`*^9}, {3.6437129458255577`*^9, 
   3.643713142885104*^9}, {3.643713253208498*^9, 3.643713372267907*^9}, {
   3.643713436165619*^9, 3.643713442998431*^9}, {3.6437853664251623`*^9, 
   3.6437853901996045`*^9}, {3.643785621844411*^9, 3.6437856333104315`*^9}, {
   3.6439499079923115`*^9, 3.643949925277142*^9}, 3.643950102977054*^9, {
   3.643950167873168*^9, 3.6439502114752445`*^9}, {3.643950268384145*^9, 
   3.643950305200209*^9}, {3.64395039681917*^9, 3.6439504123723974`*^9}, {
   3.643950462058485*^9, 3.6439505470318336`*^9}, {3.6439518015378704`*^9, 
   3.6439518539539623`*^9}, {3.643951924060486*^9, 3.643951930628097*^9}, {
   3.6439520106330376`*^9, 3.643952075981552*^9}, {3.6439523801508865`*^9, 
   3.643952381508089*^9}, 3.6439527307927027`*^9, {3.6439693715876384`*^9, 
   3.643969403879695*^9}, {3.643969434596149*^9, 3.6439694487297735`*^9}, {
   3.6439695152638907`*^9, 3.643969591844425*^9}, {3.643969695007406*^9, 
   3.6439696989074135`*^9}, {3.643969732868673*^9, 3.6439703254045134`*^9}, {
   3.643970370706993*^9, 3.6439704017978477`*^9}, {3.6439704430599203`*^9, 
   3.6439708327174044`*^9}, {3.643970929031974*^9, 3.643971207118062*^9}, 
   3.6439712561645484`*^9, {3.643971289002606*^9, 3.6439714799937415`*^9}, {
   3.643971521209014*^9, 3.6439715543590717`*^9}, {3.6439718400786905`*^9, 
   3.643972003816578*^9}, 3.6439729767186885`*^9, {3.6439730126299515`*^9, 
   3.643973092190091*^9}, {3.64397458896152*^9, 3.643974617712371*^9}, {
   3.643974686851692*^9, 3.643974858015193*^9}, {3.6439749572469673`*^9, 
   3.643974978275804*^9}, {3.6441096139550295`*^9, 3.6441096391334734`*^9}, 
   3.644110087509461*^9, 3.6441130946099854`*^9, {3.6441131424396696`*^9, 
   3.6441131777113314`*^9}, {3.644113235057032*^9, 3.644113259767475*^9}, {
   3.6441133049139547`*^9, 3.6441133178151774`*^9}, {3.6441133542724414`*^9, 
   3.6441136549005694`*^9}, {3.6441136880506277`*^9, 3.644113725818294*^9}, {
   3.6441137583911514`*^9, 3.6441137875320024`*^9}, {3.644114414167104*^9, 
   3.6441144451019583`*^9}, 3.6441147767405405`*^9, 3.644114933084016*^9, {
   3.644115122281148*^9, 3.644115196802479*^9}, {3.644115239608954*^9, 
   3.6441152445073624`*^9}, {3.644115324317103*^9, 3.644115346749942*^9}, 
   3.6441154056088457`*^9, {3.6441163865229683`*^9, 3.6441165277344165`*^9}, {
   3.6441167037027254`*^9, 3.6441167470708017`*^9}, 3.644117069070967*^9, {
   3.644117219829632*^9, 3.644117220204033*^9}, {3.6441173260502186`*^9, 
   3.644117353677867*^9}, {3.6441174333628073`*^9, 3.6441175788330626`*^9}, {
   3.6441181532075377`*^9, 3.6441181554383416`*^9}, 3.644147191148188*^9, {
   3.6441473627484894`*^9, 3.6441475761880646`*^9}, {3.6441476453117857`*^9, 
   3.6441476697102284`*^9}, {3.644147703421888*^9, 3.644147707025494*^9}, {
   3.6441477933092456`*^9, 3.6441479555495305`*^9}, {3.6441479901503916`*^9, 
   3.6441479957820015`*^9}, {3.644148041287281*^9, 3.6441480960901775`*^9}, {
   3.6441481336550436`*^9, 3.644148201421562*^9}, {3.6441482325124173`*^9, 
   3.6441482844605083`*^9}, {3.6441483156449633`*^9, 3.644148339918606*^9}, {
   3.644148391835497*^9, 3.64414843913478*^9}, {3.6441527440366406`*^9, 
   3.6441527587786665`*^9}, 3.6441529825766597`*^9, {3.644153974332802*^9, 
   3.6441539777492075`*^9}, {3.6447395253767185`*^9, 3.644739563035185*^9}, {
   3.6447400133299756`*^9, 3.644740036090416*^9}, {3.644799875844435*^9, 
   3.6447998867020545`*^9}, {3.644802354704389*^9, 3.6448023644544067`*^9}, {
   3.6448024049676776`*^9, 3.6448025554299417`*^9}, {3.6457044940035925`*^9, 
   3.6457045255780478`*^9}, {3.6457045952773714`*^9, 3.645704606478191*^9}, {
   3.6579626479441257`*^9, 3.6579626622961507`*^9}, {3.6579627152270436`*^9, 
   3.6579627290018682`*^9}, 3.6579633048456793`*^9, {3.6579640486408844`*^9, 
   3.6579640556920967`*^9}, 3.6579640954565663`*^9, {3.657964253514118*^9, 
   3.657964254392168*^9}, {3.6579645358947315`*^9, 3.657964537454734*^9}, {
   3.6579646239568863`*^9, 3.657964624565287*^9}, {3.6579646547045403`*^9, 
   3.6579646606481504`*^9}, 3.6579647427978945`*^9, {3.6581259921955643`*^9, 
   3.658125993755566*^9}, {3.6582930756573267`*^9, 3.658293090165352*^9}, 
   3.676878251429708*^9, {3.676879920639007*^9, 3.67687992230821*^9}, {
   3.6790488034550223`*^9, 3.679048820318652*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Eta]jk0", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Eta]jk0", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Eta]", ",", "hj", ",", "kj2", ",", "l"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "fr\[Eta]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"fr\[Eta]", "[", 
          RowBox[{"l_", ",", "M_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aa", ",", "r", ",", "m"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"akn", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"n", "\[LessEqual]", "1"}], ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"a", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "a", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                 "=", 
                 SuperscriptBox["2.", 
                  RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "0"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"n", "-", "2"}], "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"n", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", " ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1."}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "a", "]"}]}]}], "\[IndentingNewLine]", 
              "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"l", "\[GreaterEqual]", 
               RowBox[{"Floor", "[", 
                FractionBox["M", "2"], "]"}]}], ",", 
              RowBox[{"Return", "[", "1.", "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"aa", "=", 
             RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"r", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"m", "=", "0"}], "l"], 
              RowBox[{"aa", "\[LeftDoubleBracket]", 
               RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "r", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"hj", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"j", "==", "0"}], ",", "1.", ",", "2."}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"kj2", "=", 
         RowBox[{"Floor", "[", 
          FractionBox[
           RowBox[{"k", "-", "j"}], "2"], "]"}]}], ";", 
        RowBox[{"\[Eta]", "=", 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{"l", "=", "0"}], "kj2"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"fr\[Eta]", "[", 
             RowBox[{"l", ",", 
              RowBox[{"k", "-", "j", "+", "1"}]}], "]"}], "  ", 
            RowBox[{"p", "\[LeftDoubleBracket]", 
             RowBox[{"k", "-", "j", "-", 
              RowBox[{"2", "l"}], "+", "1"}], "\[RightDoubleBracket]"}]}], 
           ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"\[Eta]", " ", "hj"}], "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FckUT0", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckUT0", "[", 
      RowBox[{"n_", ",", "ff_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"f", ",", "c", ",", "temp", ",", "j", ",", "l"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"===", "===", "==="}], "=", " ", 
          RowBox[{"fjT", " ", "===", "===", "===", "==="}]}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"fjT", "[", 
          RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"fn", ",", "x", ",", "k", ",", "jj"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"fn", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"x", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", "k"}], "-", "1."}], 
                  RowBox[{
                   RowBox[{"2", "nn"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
             "fn", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"nn", "+", "1"}]], " ", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"k", "=", "1"}], 
                RowBox[{"nn", "+", "1"}]], 
               RowBox[{"(", 
                RowBox[{"fu", "[", 
                 RowBox[{
                 "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
                 "]"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"jj", "=", "1"}], ",", 
              RowBox[{"jj", "\[LessEqual]", "nn"}], ",", 
              RowBox[{"jj", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"fn", "\[LeftDoubleBracket]", 
                RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{
                FractionBox["2.", 
                 RowBox[{"nn", "+", "1."}]], " ", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"k", "=", "1"}], 
                  RowBox[{"nn", "+", "1"}]], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], " ", 
                   RowBox[{"ChebyshevT", "[", 
                    RowBox[{"jj", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "fn", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"f", "=", 
         RowBox[{"fjT", "[", 
          RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"c", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"c", "\[LeftDoubleBracket]", 
          RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
         FractionBox[
          RowBox[{"f", "\[LeftDoubleBracket]", 
           RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], 
          RowBox[{"\[Eta]jk0", "[", 
           RowBox[{"n", ",", "n", ",", "p"}], "]"}]]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"l", "=", "1"}], ",", 
          RowBox[{"l", "\[LessEqual]", "n"}], ",", 
          RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"temp", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"j", "=", "1"}], "l"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"c", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "j", "+", "1"}], 
                "\[RightDoubleBracket]"}], " ", 
               RowBox[{"\[Eta]jk0", "[", 
                RowBox[{
                 RowBox[{"n", "-", "l"}], ",", 
                 RowBox[{"n", "-", "l", "+", "j"}], ",", "p"}], "]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"c", "\[LeftDoubleBracket]", 
             RowBox[{"n", "-", "l", "+", "1"}], "\[RightDoubleBracket]"}], 
            "=", 
            RowBox[{
             FractionBox["1.", 
              RowBox[{"\[Eta]jk0", "[", 
               RowBox[{
                RowBox[{"n", "-", "l"}], ",", 
                RowBox[{"n", "-", "l"}], ",", "p"}], "]"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "1"}], "\[RightDoubleBracket]"}], 
               "-", "temp"}], ")"}]}]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "c", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.64474023765837*^9, 3.644740239935974*^9}, {
   3.6447403627393894`*^9, 3.644740374923011*^9}, 3.6447417450422173`*^9, {
   3.6448002410098767`*^9, 3.6448002516334953`*^9}, 3.6448003973377514`*^9, {
   3.6448012880057154`*^9, 3.644801290969721*^9}, 3.6448021371932073`*^9, 
   3.644802824889215*^9, 3.644803034241583*^9, {3.644803221020711*^9, 
   3.6448032881008286`*^9}, {3.644803497406396*^9, 3.6448035006824017`*^9}, 
   3.644803533224059*^9, 3.644803650317865*^9, {3.6448054797541695`*^9, 
   3.6448055014226074`*^9}, 3.6448070038604784`*^9, 3.6448076130415487`*^9, {
   3.644816608152581*^9, 3.6448166501166553`*^9}, {3.6448167065575542`*^9, 
   3.64481671558997*^9}, {3.644819229056817*^9, 3.6448192481512504`*^9}, {
   3.6448193436546183`*^9, 3.6448195523205843`*^9}, {3.6448197587456856`*^9, 
   3.6448197839865303`*^9}, 3.6448199565696335`*^9, {3.644821947609132*^9, 
   3.6448220101028414`*^9}, {3.644822278782113*^9, 3.644822387217904*^9}, {
   3.644822865374344*^9, 3.644822866840746*^9}, {3.6448230461942616`*^9, 
   3.644823067613099*^9}, {3.644823100841157*^9, 3.6448231153959827`*^9}, {
   3.6448233107762303`*^9, 3.644823311509432*^9}, {3.6448233434894876`*^9, 
   3.644823421489625*^9}, 3.6448234865573387`*^9, {3.6448235387238307`*^9, 
   3.644823713038537*^9}, {3.644823860677196*^9, 3.644823870021612*^9}, {
   3.6448242666523094`*^9, 3.644824291237952*^9}, {3.6448252449548664`*^9, 
   3.6448252962165565`*^9}, {3.6448253634058743`*^9, 3.644825363842675*^9}, {
   3.6450072256287556`*^9, 3.645007280962053*^9}, {3.6450169312970805`*^9, 
   3.6450169342298856`*^9}, {3.6450169654455404`*^9, 
   3.6450169688463464`*^9}, {3.6450177968141203`*^9, 3.645017834800187*^9}, {
   3.645017929102353*^9, 3.645017968492422*^9}, {3.6450193939449253`*^9, 
   3.6450194018697395`*^9}, 3.6450197868160152`*^9, 3.645020071719316*^9, {
   3.645020128628216*^9, 3.6450201842267137`*^9}, {3.6450204938248577`*^9, 
   3.645020622852684*^9}, {3.645020702288024*^9, 3.6450207027716246`*^9}, {
   3.6450208572430954`*^9, 3.6450209118899918`*^9}, {3.6450211002135224`*^9, 
   3.6450211042227297`*^9}, {3.6450213223891125`*^9, 
   3.6450213617947817`*^9}, {3.6450214293117003`*^9, 
   3.6450214360197124`*^9}, {3.645021623781642*^9, 3.6450216384612675`*^9}, 
   3.645022218542288*^9, {3.6450223914997916`*^9, 3.6450224016398096`*^9}, {
   3.645022442324681*^9, 3.6450224495162935`*^9}, {3.645022482198351*^9, 
   3.6450224871435595`*^9}, {3.6450228715670357`*^9, 
   3.6450228815198526`*^9}, {3.646027042688283*^9, 3.646027052001499*^9}, {
   3.6462198915346093`*^9, 3.6462199234522653`*^9}, {3.6579627831807632`*^9, 
   3.657962852632085*^9}, {3.6579633134100943`*^9, 3.6579633139248953`*^9}, {
   3.6579633511153603`*^9, 3.6579633642193837`*^9}, {3.657963414061471*^9, 
   3.6579634889104023`*^9}, 3.6579646753121767`*^9, {3.6579699269031343`*^9, 
   3.6579699477447705`*^9}, 3.658126009235588*^9, 3.658293102114973*^9, 
   3.6768783038926*^9, {3.6768783553882904`*^9, 3.6768783944975595`*^9}, {
   3.676880354157769*^9, 3.676880357886176*^9}, 3.6771621866163535`*^9, 
   3.678085582242901*^9, 3.6780860408701067`*^9, {3.6780861119906316`*^9, 
   3.678086113800235*^9}, 3.678086249489273*^9, {3.678086901080076*^9, 
   3.678086915198101*^9}, 3.6780871763737593`*^9, {3.678087228493451*^9, 
   3.6780872315354567`*^9}, {3.678103599588773*^9, 3.678103602911579*^9}, 
   3.6781036905213327`*^9, {3.678104648445093*^9, 3.6781046565727077`*^9}, {
   3.6781047857409344`*^9, 3.678104791044944*^9}, 3.678105042111785*^9, {
   3.678105157489588*^9, 3.6781051649464006`*^9}, {3.678105265940978*^9, 
   3.678105282055806*^9}, {3.6781060550752506`*^9, 3.678106056510453*^9}, {
   3.6781096113898983`*^9, 3.6781096570199785`*^9}, {3.678629462972333*^9, 
   3.678629464438735*^9}, {3.679048804718625*^9, 3.6790488383678837`*^9}, {
   3.6872555974702168`*^9, 3.687255603039427*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"===", "===", "==="}], "=", " ", 
    RowBox[{"UClenshawArr", " ", "===", "===", "===", "\[Equal]"}]}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"UClenshawArr", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx", ",", "x2"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nx", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
          RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"x2", "=", 
            RowBox[{"2", " ", 
             RowBox[{
             "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]}]}], 
           " ", ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"k", "=", 
              RowBox[{"na", "-", "1"}]}], ",", 
             RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"k", "--"}], ",", " ", 
             RowBox[{
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{
               RowBox[{"a", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
               RowBox[{"x2", "  ", 
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
            RowBox[{
            "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
           ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "UClenshaw", " ", "===", "===", "==="}],
      "=", "\[Equal]"}], "*)"}], 
   RowBox[{
    RowBox[{
     RowBox[{"UClenshaw", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"b", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", 
             RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", 
           RowBox[{"na", "-", "1"}]}], ",", 
          RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
          RowBox[{"k", "--"}], ",", " ", 
          RowBox[{
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"a", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
            RowBox[{"2", " ", "x", " ", 
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
            RowBox[{"b", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{
         "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "xArr", " ", "===", "===", "==="}], "=",
      "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xArr", "[", 
      RowBox[{"a0_", ",", "h_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "k"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"a0", "+", 
            RowBox[{"k", " ", "h"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "x", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.6450071138077593`*^9, {3.645007456914762*^9, 3.645007459129966*^9}, {
   3.6450075111872573`*^9, 3.645007582791383*^9}, 3.645007627984662*^9, {
   3.6450078165265937`*^9, 3.6450078233594055`*^9}, {3.6450078748862963`*^9, 
   3.645007899393939*^9}, {3.645008124783135*^9, 3.645008137980758*^9}, 
   3.6450081844376397`*^9, {3.645008336132306*^9, 3.6450083894376*^9}, {
   3.6450166530549917`*^9, 3.6450166564089975`*^9}, {3.645016960063531*^9, 
   3.6450169735575542`*^9}, {3.6450749513076916`*^9, 
   3.6450750020857806`*^9}, {3.645075034003437*^9, 3.645075180862095*^9}, {
   3.6450752446194067`*^9, 3.645075260687435*^9}, {3.6450755254355*^9, 
   3.6450755693339767`*^9}, {3.645076094056956*^9, 3.645076198592739*^9}, {
   3.6450762317739973`*^9, 3.6450762863428936`*^9}, 3.6451652140993147`*^9, 
   3.6451656379988594`*^9, {3.657963513402446*^9, 3.6579635160388503`*^9}, 
   3.6579635492669086`*^9, {3.658128974818036*^9, 3.658128975036436*^9}, {
   3.678085727603956*^9, 3.678085738352375*^9}, {3.6781065331584954`*^9, 
   3.678106548399722*^9}, {3.679048806777828*^9, 3.679048822487056*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "un\[Alpha]", " ", "===", "===", "==="}],
     "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"uArr", "[", 
      RowBox[{"fu_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "len", ",", "k"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"len", "=", 
         StyleBox[
          RowBox[{"Length", "[", "x", "]"}], "SearchResultSummary"]}], 
        StyleBox[";", "SearchResultSummary"], 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"fu", "[", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "len"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXi", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXi", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "z_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"rez", ",", "Rez"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{"g", "  ", 
              RowBox[{"Log", "[", 
               FractionBox[
                RowBox[{"z", "-", "1"}], 
                RowBox[{"z", "+", "1"}]], "]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXiPlus", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXiPlus", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"r", ",", "rr"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                FractionBox["1", "2"]}], " ", 
               RowBox[{"Log", "[", "G", "]"}]}], "+", 
              RowBox[{"g", "  ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"1", "-", "x"}], 
                 RowBox[{"1", "+", "x"}]], "]"}]}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.645007175209467*^9, {3.6450076371730785`*^9, 3.64500766086952*^9}, 
   3.6450082424853415`*^9, {3.645010022606546*^9, 3.6450100533698*^9}, {
   3.645010149450369*^9, 3.6450101526483746`*^9}, {3.6450169843371735`*^9, 
   3.645016995241593*^9}, {3.645074828987877*^9, 3.6450748723871527`*^9}, {
   3.6450754108064985`*^9, 3.6450754397913494`*^9}, {3.6450754729726076`*^9, 
   3.6450754733158083`*^9}, {3.645076542261343*^9, 3.645076673207973*^9}, 
   3.645076738696888*^9, {3.657963065042058*^9, 3.657963066804861*^9}, {
   3.6768784863973207`*^9, 3.6768785039629517`*^9}, {3.6790488078074303`*^9, 
   3.679048822487056*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "\[IndentingNewLine]", "       ", 
   StyleBox[
    RowBox[{
     RowBox[{
     "\:041c\:043e\:0434\:0435\:043b\:044c\:043d\:044b\:0439", " ", 
      "\:043f\:0440\:0438\:043c\:0435\:0440"}], " ", 
     StyleBox["\[IndentingNewLine]", "Text",
      FontFamily->"Tahoma",
      FontSize->18,
      FontColor->RGBColor[0, 1, 1],
      Background->RGBColor[1, 0.85, 0.85]], 
     RowBox[{"\:0421\:0418\:0423", " ", "\:0441", " ", 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox["\:043a", "Text",
           FontFamily->"Cambria",
           FontSize->18,
           FontColor->RGBColor[1, 0, 1]], "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], "Text",
         FontFamily->"Cambria",
         FontSize->18,
         FontColor->RGBColor[1, 0, 1]], 
        "\:043e\:043c\:043f\:043b\:0435\:043a", 
        StyleBox[
         StyleBox["\:0441", "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], "Text",
         FontFamily->"Cambria",
         FontSize->18,
         FontColor->RGBColor[1, 0, 1]], "\:043d\:044b\:043c\:0438"}], "Text",
       FontFamily->"Cambria",
       FontSize->18,
       FontColor->RGBColor[1, 0, 1]], " ", 
      "\:043a\:043e\:044d\:0444\:0444\:0438\:0446\:0438\:0435\:043d\:0442\
\:0430\:043c\:0438"}]}], "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], 
   StyleBox[" ", "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], 
   StyleBox["\[IndentingNewLine]", "Text",
    FontFamily->"Tahoma",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"v", "=", 
     RowBox[{
      FractionBox["\[Pi]", "6"], "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[ImaginaryI]"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fa", "=", 
     RowBox[{"Cos", "[", "v", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fb", "=", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], "  ", 
      RowBox[{"Sin", "[", "v", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"fa", ",", "\"\< \>\"", ",", "fb"}], "]"}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       "\[Kappa]"}], "}"}], "=", 
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"fa", ",", "fb", ",", "4"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<\[Alpha]=\>\"", ",", "\[Alpha]", ",", "\"\< \[Beta]=\>\"", ",", 
       "\[Beta]", ",", "\"\< \[Kappa]1=\>\"", ",", "\[Kappa]1", ",", 
       "\"\< \[Kappa]2=\>\"", ",", "\[Kappa]2", ",", "\"\< \[Kappa]=\>\"", 
       ",", "\[Kappa]"}], "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXi2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"\"\<FXi2=\>\"", ",", "FXi2"}], "]"}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"az", "=", 
     FractionBox["1", "FXi2"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], ":=", 
     FractionBox["az", 
      RowBox[{"x", "-", "2"}]]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.644114786069357*^9, 3.644114843773859*^9}, 
   3.6441148791703205`*^9, {3.6441149825673027`*^9, 3.644115050708222*^9}, 
   3.6441152091265*^9, {3.644115433532894*^9, 3.6441154950126023`*^9}, 
   3.6441155446050897`*^9, {3.644116578262905*^9, 3.6441166515050335`*^9}, {
   3.644116795493287*^9, 3.6441168082853093`*^9}, 3.644116864461008*^9, {
   3.644116897673466*^9, 3.6441169016826735`*^9}, {3.6441169639891825`*^9, 
   3.644116969729993*^9}, {3.6441171411118937`*^9, 3.644117146634303*^9}, {
   3.644118387629949*^9, 3.64411839950157*^9}, {3.644152854219634*^9, 
   3.6441528732984676`*^9}, {3.644153022247529*^9, 3.6441530286435404`*^9}, {
   3.6441530881888447`*^9, 3.6441531016516685`*^9}, {3.6441531993390408`*^9, 
   3.644153299491216*^9}, {3.644153422247832*^9, 3.6441534301414456`*^9}, 
   3.644153488953549*^9, 3.6441535317288237`*^9, {3.644153575986102*^9, 
   3.6441535792465076`*^9}, 3.6441536258593893`*^9, 3.64415367173907*^9, {
   3.6441537113163395`*^9, 3.644153714202345*^9}, {3.644153755948018*^9, 
   3.644153759458024*^9}, {3.6441538841646433`*^9, 3.644153887362649*^9}, 
   3.644739585140424*^9, {3.644740574088561*^9, 3.644740576210164*^9}, {
   3.6447407494484687`*^9, 3.6447408334702163`*^9}, 3.6447410194693427`*^9, {
   3.6447411620691934`*^9, 3.6447411713356094`*^9}, {3.644741601443965*^9, 
   3.644741625093607*^9}, {3.6447418847716627`*^9, 3.644741888016468*^9}, 
   3.644742285567567*^9, {3.644762467490097*^9, 3.644762555599052*^9}, {
   3.6447626129291525`*^9, 3.6447626231159706`*^9}, {3.6447648714407215`*^9, 
   3.6447648823607407`*^9}, {3.644764932124828*^9, 3.6447649484268565`*^9}, {
   3.6447651007611237`*^9, 3.6447651016347256`*^9}, {3.644765335447936*^9, 
   3.6447653829656196`*^9}, {3.6447654257564945`*^9, 3.644765427020097*^9}, {
   3.6447655560791235`*^9, 3.64476556525194*^9}, {3.6447657592382803`*^9, 
   3.6447657633722878`*^9}, {3.644766052705996*^9, 3.644766053283197*^9}, {
   3.6448004532326493`*^9, 3.644800461594264*^9}, {3.6448005042291393`*^9, 
   3.64480053326079*^9}, {3.644800582775277*^9, 3.644800611104927*^9}, 
   3.6448006627566175`*^9, 3.6448008028136635`*^9, {3.6448031319913545`*^9, 
   3.644803162364608*^9}, {3.644805558487508*^9, 3.6448055744307356`*^9}, 
   3.644808139925823*^9, {3.644824317227598*^9, 3.644824334574828*^9}, 
   3.6448253856983137`*^9, {3.6448264776660023`*^9, 3.6448265154960685`*^9}, {
   3.6448296129922047`*^9, 3.6448296151918087`*^9}, {3.6448301069826727`*^9, 
   3.644830107887474*^9}, {3.645007332176943*^9, 3.645007333237745*^9}, {
   3.6450080415413885`*^9, 3.64500804222779*^9}, 3.6450085610847015`*^9, 
   3.645008624686013*^9, 3.6450086626096797`*^9, 3.645019478918275*^9, 
   3.6450209285040207`*^9, {3.645020960016076*^9, 3.645020960811678*^9}, {
   3.6450221019008827`*^9, 3.6450221424297543`*^9}, {3.645022294249221*^9, 
   3.645022324575674*^9}, {3.6450229137651095`*^9, 3.645022914576311*^9}, 
   3.645023088001816*^9, 3.6450231411511087`*^9, 3.6450231830059824`*^9, {
   3.6450232293380637`*^9, 3.6450232302272654`*^9}, {3.645023302751793*^9, 
   3.6450233037969947`*^9}, {3.6450753511363935`*^9, 3.6450753545216*^9}, {
   3.6450757196402407`*^9, 3.6450757220426455`*^9}, {3.645077330405927*^9, 
   3.645077346083955*^9}, 3.6450779005401287`*^9, 3.64507803214196*^9, 
   3.64508013294925*^9, {3.645244371818203*^9, 3.6452443721926036`*^9}, {
   3.657963604194605*^9, 3.6579636046158056`*^9}, 3.657971014064046*^9, 
   3.65934439095805*^9, {3.6768785651082597`*^9, 3.6768785997871203`*^9}, {
   3.6768786808892636`*^9, 3.6768786873008747`*^9}, {3.6780858744002137`*^9, 
   3.6780859099994764`*^9}, 3.6780861922215724`*^9, {3.67810310862751*^9, 
   3.678103141013167*^9}, {3.678103472654149*^9, 3.678103480344963*^9}, {
   3.6781038584400277`*^9, 3.678103893274889*^9}, {3.678103924615344*^9, 
   3.6781039290925517`*^9}, {3.6781039772186365`*^9, 3.6781039898858585`*^9}, 
   3.678104055561974*^9, {3.678109966384122*^9, 3.678109968100125*^9}, {
   3.678110044959861*^9, 3.6781100726499095`*^9}, 3.6781667187974606`*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nnn", "=", "25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pp", "=", 
    RowBox[{"FpC", "[", 
     RowBox[{"fa", ",", "fb", ",", "4", ",", "nnn"}], "]"}]}], ";"}], 
  " "}]}], "Input",
 CellChangeTimes->{{3.645077333697533*^9, 3.645077340655145*^9}, 
   3.6450776562281*^9, 3.6460267676909995`*^9, {3.6579629093381844`*^9, 
   3.6579629154845953`*^9}, {3.6579631492198057`*^9, 3.657963149875007*^9}, 
   3.6579636440526752`*^9, {3.6768786186319537`*^9, 3.6768786194431553`*^9}, {
   3.6768787228845377`*^9, 3.676878746190978*^9}, {3.676878935512911*^9, 
   3.6768789364957123`*^9}, {3.6768801499846106`*^9, 3.676880158533426*^9}, {
   3.6771622411068497`*^9, 3.677162266768894*^9}, {3.678085987921613*^9, 
   3.678085988530014*^9}, {3.6780869902342324`*^9, 3.6780870158806777`*^9}, {
   3.6780870609335566`*^9, 3.67808706283676*^9}, {3.6780872567451005`*^9, 
   3.6780872580243025`*^9}, {3.6781034915769825`*^9, 3.678103494993388*^9}, 
   3.678103983474247*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ck\[Eta]", "=", 
   RowBox[{"FckUT0", "[", 
    RowBox[{"nnn", ",", "f", ",", "pp"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Print", "[", "ck\[Eta]", "]"}], ";"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.6393244379150887`*^9, 3.639324502711795*^9}, {
   3.639324833566719*^9, 3.6393248376679535`*^9}, {3.639325553181878*^9, 
   3.6393255538149147`*^9}, 3.63932632370695*^9, 3.639836755732641*^9, {
   3.644765500075025*^9, 3.644765518857458*^9}, {3.6447655823807697`*^9, 
   3.644765587513179*^9}, 3.6447659100281453`*^9, {3.6448006968894777`*^9, 
   3.644800726311129*^9}, {3.6448010066904216`*^9, 3.644801028202859*^9}, 
   3.6448031350021596`*^9, {3.6448070921410336`*^9, 3.6448071041218543`*^9}, 
   3.644808156385846*^9, {3.6448175293582*^9, 3.6448175390458174`*^9}, 
   3.644822497603698*^9, {3.644822788949809*^9, 3.6448228286518793`*^9}, 
   3.645008023367357*^9, {3.6450085505546827`*^9, 3.645008552801087*^9}, 
   3.645020284098089*^9, 3.6450223273212786`*^9, 3.6450232908021717`*^9, 
   3.646027267032277*^9, 3.6579629195562024`*^9, {3.6768787131657205`*^9, 
   3.6768787140705223`*^9}, 3.6768787586398*^9, {3.676880089752905*^9, 
   3.67688010380853*^9}, 3.678085936971924*^9, {3.678087076954785*^9, 
   3.6780870910572095`*^9}, {3.6781034575221224`*^9, 3.678103463262933*^9}, {
   3.6781035021226006`*^9, 3.6781035070210094`*^9}, {3.6781046712991333`*^9, 
   3.678104681423551*^9}, 3.678105213290886*^9, {3.6781055517466803`*^9, 
   3.6781055547574863`*^9}, 3.6781056098255825`*^9, {3.678106561285345*^9, 
   3.6781065644833508`*^9}, {3.6781097228208942`*^9, 
   3.6781097247864976`*^9}, {3.6781099212220426`*^9, 3.67810992554325*^9}, {
   3.6872556110110407`*^9, 3.687255611307441*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a0", "=", 
   RowBox[{"-", "0.99"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hh", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b0", "=", "0.99"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kk", "=", 
   RowBox[{
    RowBox[{"Floor", "[", 
     FractionBox[
      RowBox[{"b0", "-", "a0"}], "hh"], "]"}], "+", "1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", "kk", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xx", "=", 
   RowBox[{"xArr", "[", 
    RowBox[{"a0", ",", "hh", ",", "kk"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"yy", "=", 
    RowBox[{"UClenshawArr", "[", 
     RowBox[{"ck\[Eta]", ",", "xx"}], "]"}]}], ";"}], " "}]}], "Input",
 CellChangeTimes->{{3.644828003719778*^9, 3.6448280670714893`*^9}, {
   3.6448281175843782`*^9, 3.6448281329660053`*^9}, 3.6450223362600946`*^9, {
   3.6450752874414816`*^9, 3.64507532048234*^9}, {3.6450756789085693`*^9, 
   3.645075685460581*^9}, {3.64507631863495*^9, 3.645076388226672*^9}, {
   3.645077181144865*^9, 3.645077182892068*^9}, {3.6450773567387733`*^9, 
   3.6450774630841603`*^9}, {3.645077612158022*^9, 3.6450776193184347`*^9}, {
   3.645165236750554*^9, 3.6451652415553627`*^9}, {3.645935206823159*^9, 
   3.6459352070727596`*^9}, {3.658126024335609*^9, 3.658126025645611*^9}, 
   3.6781046855107584`*^9, {3.678106224460348*^9, 3.6781062258331504`*^9}, {
   3.67810662125185*^9, 3.6781066236854544`*^9}, {3.678106708206403*^9, 
   3.6781067090956044`*^9}, {3.6781067398900585`*^9, 3.678106741309661*^9}, 
   3.678109758248556*^9, 3.6781098827991753`*^9}],

Cell[BoxData["199"], "Print",
 CellChangeTimes->{3.6781067769869237`*^9, 3.678109694085644*^9, 
  3.6781097314009094`*^9, 3.678109808714645*^9, 3.6781099031728106`*^9, 
  3.67811008406913*^9, 3.6781667460195084`*^9, 3.67862947275355*^9, 
  3.6790488756519494`*^9, 3.680060655747241*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"zz", "=", 
   RowBox[{"uArr", "[", 
    RowBox[{"ut", ",", "xx"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.644829983680056*^9, {3.6450101129463043`*^9, 3.6450101182503138`*^9}, 
   3.6450223401133013`*^9, {3.645076413592317*^9, 3.6450764138263173`*^9}, 
   3.645076504930477*^9, {3.6450766859999957`*^9, 3.645076730179273*^9}, {
   3.6450771883208776`*^9, 3.645077188851279*^9}, 3.64508013294925*^9, 
   3.678109759933359*^9, {3.678109869445552*^9, 3.6781098729087577`*^9}}],

Cell["\<\
\:041f\:043e\:0433\:0440\:0435\:0448\:043d\:043e\:0441\:0442\:044c \:043f\
\:0440\:0438\:0431\:043b\:0438\:0436\:0435\:043d\:043d\:043e\:0433\:043e \
\:0440\:0435\:0448\:0435\:043d\:0438\:044f \:0432 \:0442\:043e\:0447\:043a\
\:0430\:0445 \:0438\:0437 \:043e\:0442\:0440\:0435\:0437\:043a\:0430 [-1; 1]\
\>", "Text",
 CellChangeTimes->{{3.63983583974425*^9, 3.639835868969921*^9}, {
  3.644824046083522*^9, 3.6448240474407244`*^9}, {3.644824083164787*^9, 
  3.6448240869711933`*^9}},
 FontFamily->"Arial Narrow",
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{"\"\<eps=\>\"", ",", 
     RowBox[{"Max", "[", 
      FractionBox[
       RowBox[{"Abs", "[", 
        RowBox[{"yy", "-", "zz"}], "]"}], 
       RowBox[{"Abs", "[", "zz", "]"}]], "]"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   StyleBox[
    RowBox[{"**", "**", "**", "**", "**", "**", "**", " ", "obX0"}],
    FontFamily->"Courier New"], 
   StyleBox[" ",
    FontFamily->"Courier New"], 
   StyleBox["****************)",
    FontFamily->"Courier New"]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"obX0", "[", 
    RowBox[{"n_", ",", "p_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aS", ",", "aS1", ",", "rez"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"aSyst", ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"aM", ",", "m", ",", "j", ",", "k"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         StyleBox[
          RowBox[{"(*", 
           RowBox[{"===", "=="}], "*)"}],
          FontFamily->"Courier New"], 
         StyleBox["\[IndentingNewLine]",
          FontFamily->"Courier New"], 
         RowBox[{
          RowBox[{"aM", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"j", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"m", "=", "0"}], ",", 
            RowBox[{"m", "\[LessEqual]", "n"}], ",", 
            RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"k", "=", "m"}], ",", 
               RowBox[{"k", "\[LessEqual]", "n"}], ",", 
               RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"aM", "\[LeftDoubleBracket]", 
                 RowBox[{
                  RowBox[{"m", "+", "1"}], ",", 
                  RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                RowBox[{
                 RowBox[{"aM", "\[LeftDoubleBracket]", 
                  RowBox[{
                   RowBox[{"m", "+", "1"}], ",", 
                   RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                 RowBox[{"\[Eta]jk0", "[", 
                  RowBox[{"m", ",", "k", ",", "p"}], "]"}]}]}]}], "]"}], 
             ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
         "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
      RowBox[{"aS1", "=", 
       RowBox[{"Inverse", "[", "aS", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rez", "=", 
       RowBox[{
        RowBox[{"Norm", "[", "aS", "]"}], "*", 
        RowBox[{"Norm", "[", "aS1", "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Obysl=\>\"", ",", 
    RowBox[{"obX0", "[", 
     RowBox[{"nnn", ",", "pp"}], "]"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6448240967212105`*^9, 3.6448241352220783`*^9}, 
   3.6448245521796107`*^9, {3.6448247364315343`*^9, 3.6448247441847477`*^9}, {
   3.644826673207945*^9, 3.6448267122080135`*^9}, {3.644826956644843*^9, 
   3.644826982338088*^9}, 3.6448295252732506`*^9, {3.64501008765866*^9, 
   3.6450100950218735`*^9}, {3.6450101881540365`*^9, 3.645010191274042*^9}, {
   3.645012789037405*^9, 3.6450127934678125`*^9}, 3.6450223444345093`*^9, {
   3.6450234096431804`*^9, 3.6450234252276077`*^9}, {3.645076445697173*^9, 
   3.645076452873186*^9}, {3.6450767662777367`*^9, 3.6450767889757767`*^9}, {
   3.658032092056542*^9, 3.6580320996693554`*^9}, {3.679048822487056*^9, 
   3.679048850941506*^9}, {3.680060647245226*^9, 3.6800606479628267`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"eps=\"\>", "\[InvisibleSpace]", "2.0508938254944756`*^-14"}],
  SequenceForm["eps=", 2.0508938254944756`*^-14],
  Editable->False]], "Print",
 CellChangeTimes->{3.678106777189724*^9, 3.6781096941480436`*^9, 
  3.6781097314633093`*^9, 3.678109808839445*^9, 3.678109903266411*^9, 
  3.6781100841471295`*^9, 3.678166746081908*^9, 3.67862947281595*^9, 
  3.6790488756987495`*^9, 3.680060655825241*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Obysl=\"\>", "\[InvisibleSpace]", "93.61429621378795`"}],
  SequenceForm["Obysl=", 93.61429621378795],
  Editable->False]], "Print",
 CellChangeTimes->{3.678106777189724*^9, 3.6781096941480436`*^9, 
  3.6781097314633093`*^9, 3.678109808839445*^9, 3.678109903266411*^9, 
  3.6781100841471295`*^9, 3.678166746081908*^9, 3.67862947281595*^9, 
  3.6790488756987495`*^9, 3.680060656168442*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"ListLinePlot", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"zz", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          " ", "-", " ", 
         RowBox[{
         "yy", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
        "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6398353919906397`*^9, 3.639835400260113*^9}, {
   3.639835573419017*^9, 3.639835576747207*^9}, 3.6398409550458283`*^9, {
   3.6398421324081697`*^9, 3.639842138978545*^9}, {3.6398422109976645`*^9, 
   3.6398422190481253`*^9}, 3.639843815326427*^9, 3.644800832141715*^9, {
   3.644801050292498*^9, 3.644801055924108*^9}, {3.644805421800068*^9, 
   3.644805449380916*^9}, 3.644814195962737*^9, 3.644816348100125*^9, {
   3.6448225820154457`*^9, 3.6448226041206846`*^9}, 3.6448244142909684`*^9, 
   3.644824678181032*^9, {3.644826785294142*^9, 3.6448267926573553`*^9}, {
   3.6448292687028*^9, 3.6448292816508226`*^9}, {3.645010266778175*^9, 
   3.6450103084302483`*^9}, {3.645010371095558*^9, 3.645010390345992*^9}, 
   3.645010433745268*^9, {3.6450105300910373`*^9, 3.645010530543438*^9}, {
   3.645010562320694*^9, 3.6450105838955317`*^9}, 3.6450127410517206`*^9, 
   3.6450223477261147`*^9, {3.6450234585336666`*^9, 3.645023503945346*^9}, {
   3.645076837039461*^9, 3.6450768539030905`*^9}, {3.645076886600748*^9, 
   3.645076917192402*^9}, {3.6450769523704634`*^9, 3.6450769643980846`*^9}, {
   3.6450771192751565`*^9, 3.6450771301951756`*^9}, {3.6450775918623867`*^9, 
   3.6450775921275873`*^9}, {3.6459351984303446`*^9, 3.645935201222749*^9}, {
   3.6581260313556185`*^9, 3.6581260317456193`*^9}, {3.6790488078230305`*^9, 
   3.679048822502656*^9}, {3.67904885903792*^9, 3.679048859412321*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], LineBox[CompressedData["
1:eJw9lgtUzfkWx8+UcpPxmFtiFhVzuxxX8jb4ZWc8ygqR4SYxrohrRtIoJCam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      "]], 
     LineBox[{{0.9497991876373624, 5.2021061568304*^-15}, {0.95, 
      5.164700352369265*^-15}, {0.9501706841284171, 
      5.2021061568304*^-15}}]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.99}, {0, 5.2021061568304*^-15}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0396, 0.0396}, {1.04042123136608*^-16, 
   1.04042123136608*^-16}}]], "Output",
 CellChangeTimes->{3.6781067773925247`*^9, 3.678109694257244*^9, 
  3.6781097315569096`*^9, 3.678109808979845*^9, 3.678109903360011*^9, 
  3.67811008424073*^9, 3.6781667461755085`*^9, 3.67862947284715*^9, 
  3.6790488758547497`*^9, 3.680060656355642*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"un", "[", "x_", "]"}], ":=", 
   RowBox[{"UClenshaw", "[", 
    RowBox[{"ck\[Eta]", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]n", "[", "x_", "]"}], ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"FXiPlus", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}],
       "]"}], 
     RowBox[{"fa", "-", "fb"}]], " ", 
    RowBox[{"un", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]", "[", "x_", "]"}], ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"FXiPlus", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}],
       "]"}], 
     RowBox[{"fa", "-", "fb"}]], " ", 
    RowBox[{"ut", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
      ",", " ", 
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"\[Phi]", "[", 
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          "]"}], " ", "-", " ", 
        RowBox[{"\[Phi]n", "[", 
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          "]"}]}], "]"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quit", "[", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          ",", " ", 
         RowBox[{"\[Phi]", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "}"}], ",", " ", 
       RowBox[{"{", 
        RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}]}]}], 
    "\[RightDoubleBracket]"}], "*)"}]}]}], "Input",
 CellChangeTimes->{
  3.657963101951723*^9, {3.6581260358656254`*^9, 3.658126036305626*^9}, 
   3.678087424850996*^9, {3.678087455239849*^9, 3.678087477501088*^9}, {
   3.6780875662496443`*^9, 3.6780875681060476`*^9}, {3.678087674732235*^9, 
   3.6780876827506485`*^9}, {3.6780877185683117`*^9, 
   3.6780877276007276`*^9}, {3.6781031916040554`*^9, 3.678103219060104*^9}, {
   3.6781032593549747`*^9, 3.6781032846582193`*^9}, {3.6781033339855056`*^9, 
   3.678103354265541*^9}, {3.6781033943888116`*^9, 3.6781034023292255`*^9}, {
   3.678105631962022*^9, 3.6781056392472343`*^9}, 3.678106579646577*^9, {
   3.67904880783863*^9, 3.6790488229082565`*^9}, {3.6790488552783136`*^9, 
   3.679048867820736*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], LineBox[CompressedData["
1:eJw9lwlUU2cWxwO4gnYAdapWEQbHERW14oLy4VXbChYcF3DcqJ7KSOlUBbdq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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.99}, {0, 2.248030287623391*^-15}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0396, 0.0396}, {4.496060575246783*^-17, 
   4.496060575246783*^-17}}]], "Output",
 CellChangeTimes->{3.678106777688925*^9, 3.6781096944912443`*^9, 
  3.67810973179091*^9, 3.6781098092294455`*^9, 3.6781099035784116`*^9, 
  3.6781100844747305`*^9, 3.6781667463939085`*^9, 3.6786294729875507`*^9, 
  3.67904887610435*^9, 3.6800606564960423`*^9}]
}, Open  ]]
},
WindowSize->{667, 744},
WindowMargins->{{Automatic, 25}, {-4, Automatic}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 4072, 100, 362, "Input"],
Cell[4632, 122, 9937, 183, 445, "Input"],
Cell[14572, 307, 16388, 358, 1500, "Input"],
Cell[30963, 667, 6770, 159, 630, "Input"],
Cell[37736, 828, 6852, 173, 953, "Input"],
Cell[44591, 1003, 7878, 167, 415, "Input"],
Cell[52472, 1172, 1022, 19, 58, "Input"],
Cell[53497, 1193, 1795, 30, 58, "Input"],
Cell[CellGroupData[{
Cell[55317, 1227, 1676, 38, 186, "Input"],
Cell[56996, 1267, 286, 4, 27, "Print"]
}, Open  ]],
Cell[57297, 1274, 519, 10, 35, "Input"],
Cell[57819, 1286, 537, 10, 39, "Text"],
Cell[CellGroupData[{
Cell[58381, 1300, 4553, 108, 475, "Input"],
Cell[CellGroupData[{
Cell[62959, 1412, 446, 8, 27, "Print"],
Cell[63408, 1422, 437, 8, 27, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[63894, 1436, 2037, 37, 58, "Input"],
Cell[65934, 1475, 3747, 67, 306, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69718, 1547, 2827, 73, 203, "Input"],
Cell[72548, 1622, 3622, 64, 306, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
