(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     92834,       2122]
NotebookOptionsPosition[     91969,       2091]
NotebookOutlinePosition[     92314,       2106]
CellTagsIndexPosition[     92271,       2103]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "F\[Kappa]C", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "t", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "g", ",", "\[Alpha]", 
         ",", "\[Beta]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g", "=", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"2.", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
          RowBox[{"Log", "[", 
           FractionBox[
            RowBox[{"a", "-", "b"}], 
            RowBox[{"a", "+", "b"}]], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"t", "=", 
         RowBox[{"Re", "[", " ", "g", "]"}]}], " ", ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", "t", "]"}], "<", 
           SuperscriptBox["10", 
            RowBox[{"-", "16"}]]}], ",", 
          RowBox[{"Return", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<Not\>\"", ",", "\"\<Not\>\"", ",", "\"\<Not\>\""}], 
            "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"klass", "==", "1"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Kappa]2", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "-", "t"}], "]"}]}], ";", 
            RowBox[{"\[Kappa]1", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"klass", "==", "2"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[Kappa]2", "=", 
               RowBox[{"Floor", "[", 
                RowBox[{"-", "t"}], "]"}]}], ";", 
              RowBox[{"\[Kappa]1", "=", 
               RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"klass", "==", "3"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"\[Kappa]2", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"-", "t"}], "]"}]}], ";", 
                RowBox[{"\[Kappa]1", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"klass", "\[Equal]", "4"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\[Kappa]2", "=", 
                   RowBox[{"Floor", "[", 
                    RowBox[{"1", "-", "t"}], "]"}]}], ";", 
                  RowBox[{"\[Kappa]1", "=", 
                   RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", "None"}],
                "]"}]}], "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Alpha]", "=", 
         RowBox[{"g", "-", "\[Kappa]1"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Beta]", "=", 
         RowBox[{
          RowBox[{"-", "g"}], "-", "\[Kappa]2"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"{", " ", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
           RowBox[{"\[Kappa]1", "+", "\[Kappa]2"}]}], "}"}], "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FpC", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FpC", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_", " ", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{
        "p", ",", "g", ",", "v", ",", "k", ",", "i", ",", "cp", ",", 
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
         "\[Kappa]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",",
            "\[Kappa]"}], "}"}], "=", 
         RowBox[{"F\[Kappa]C", "[", 
          RowBox[{"a", ",", "b", ",", "klass"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Kappa]", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"\[Kappa]", "<", "0"}], ",", 
           RowBox[{"-", "\[Kappa]"}], ",", "\[Kappa]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"g", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"v", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"p", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "\[Kappa]"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"g", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"g", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"g", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"i", "-", "\[Alpha]"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"v", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"v", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"v", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"\[Beta]", "-", "i"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "0"}], ",", 
          RowBox[{"k", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"k", "++"}], ",", 
          RowBox[{
           RowBox[{"p", "\[LeftDoubleBracket]", 
            RowBox[{"\[Kappa]", "+", "k", "+", "1"}], 
            "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            UnderoverscriptBox["\[Sum]", 
             RowBox[{"i", "=", "0"}], "k"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"g", "\[LeftDoubleBracket]", 
               RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
              RowBox[{"v", "\[LeftDoubleBracket]", 
               RowBox[{"k", "-", "i", "+", "1"}], "\[RightDoubleBracket]"}]}],
              ")"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "p", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6763012402617617`*^9, 3.67630129040025*^9}, 
   3.67630133574953*^9, {3.676301371551593*^9, 3.676301463841355*^9}, {
   3.676301514260643*^9, 3.676301705548179*^9}, {3.6763017388542376`*^9, 
   3.6763019744614515`*^9}, {3.676302012946719*^9, 3.6763021015392747`*^9}, 
   3.6763021460313535`*^9, {3.676302209039864*^9, 3.6763022481491327`*^9}, {
   3.676302342841299*^9, 3.6763023589873276`*^9}, {3.676302441683073*^9, 
   3.6763024466906815`*^9}, {3.676302477687936*^9, 3.676302506766387*^9}, {
   3.6763025558440733`*^9, 3.6763025605552816`*^9}, {3.676302593315339*^9, 
   3.6763025952653427`*^9}, {3.676302631005005*^9, 3.676303078444991*^9}, {
   3.6763034530640492`*^9, 3.676304064959524*^9}, {3.6763041803841267`*^9, 
   3.6763041908205447`*^9}, {3.676304233096619*^9, 3.6763042338454204`*^9}, {
   3.6763042663402777`*^9, 3.676304271129486*^9}, {3.6763043093651533`*^9, 
   3.6763043243255796`*^9}, {3.676304358442839*^9, 3.6763043851812863`*^9}, {
   3.6763371956588154`*^9, 3.6763373281342483`*^9}, {3.6763373790371375`*^9, 
   3.676337379848339*^9}, {3.676337410471193*^9, 3.6763374473964577`*^9}, 
   3.6763374791425133`*^9, {3.6763375594202547`*^9, 3.676337568749071*^9}, 
   3.6763376214771633`*^9, {3.6763377018485045`*^9, 3.6763377833430476`*^9}, {
   3.6763378352599387`*^9, 3.6763378360087404`*^9}, {3.6763378800632176`*^9, 
   3.6763378818260207`*^9}, {3.676337937143718*^9, 3.676337948141737*^9}, {
   3.6763379972194233`*^9, 3.6763381025820084`*^9}, {3.676338243611057*^9, 
   3.6763382746863112`*^9}, {3.6763386145329084`*^9, 3.676338644578561*^9}, 
   3.6763387004422593`*^9, {3.6763388018816385`*^9, 3.676338861723344*^9}, {
   3.6763390489108725`*^9, 3.6763391602794685`*^9}, {3.676339231377993*^9, 
   3.6763392369316034`*^9}, {3.6763393804286556`*^9, 
   3.6763394207079268`*^9}, {3.676340433932106*^9, 3.6763404631821575`*^9}, {
   3.6763404995926213`*^9, 3.6763406448288765`*^9}, {3.676340675826131*^9, 
   3.676340687338951*^9}, {3.676340816444778*^9, 3.6763408387684174`*^9}, {
   3.6763410720884275`*^9, 3.6763411295745287`*^9}, 3.6763412087602673`*^9, {
   3.67634126716677*^9, 3.6763412863236036`*^9}, {3.676341331813284*^9, 
   3.6763413367584925`*^9}, {3.6763413685201483`*^9, 
   3.6763414108898225`*^9}, {3.676341474366334*^9, 3.6763415208232155`*^9}, {
   3.6763415713361044`*^9, 3.676341572225306*^9}, {3.676341906700019*^9, 
   3.6763419069028196`*^9}, {3.676342036429847*^9, 3.6763420388166513`*^9}, {
   3.676342162337668*^9, 3.6763421625560684`*^9}, 3.676342245361014*^9, {
   3.676342388896866*^9, 3.6763423892556667`*^9}, {3.6763425304827147`*^9, 
   3.6763425418707347`*^9}, {3.67634261910647*^9, 3.676342639776507*^9}, {
   3.6763427193834467`*^9, 3.6763427529235053`*^9}, 3.6763429034169693`*^9, {
   3.676343213951115*^9, 3.6763432438095675`*^9}, 3.6763434400891123`*^9, {
   3.676343804084552*^9, 3.676343812212166*^9}, {3.6763458404029284`*^9, 
   3.676345880635399*^9}, {3.6763459470603156`*^9, 3.6763459592595367`*^9}, {
   3.6763460062624197`*^9, 3.6763460197408433`*^9}, {3.676346052672501*^9, 
   3.6763460862905602`*^9}, {3.676346619291607*^9, 3.676346684905322*^9}, 
   3.676346790595508*^9, {3.6763468831192703`*^9, 3.6763468854592743`*^9}, {
   3.676347583678107*^9, 3.676347586298911*^9}, {3.676347671974262*^9, 
   3.676347706731123*^9}, {3.676431125875518*^9, 3.6764311589319763`*^9}, {
   3.6764311918012342`*^9, 3.67643121811848*^9}, {3.676432439179425*^9, 
   3.6764324399594264`*^9}, {3.6764325088959475`*^9, 
   3.6764325095043488`*^9}, {3.6764325459460125`*^9, 3.676432571592458*^9}, {
   3.6764326209041443`*^9, 3.676432621512545*^9}, {3.676432670496631*^9, 
   3.6764326740378375`*^9}, {3.6764328274985075`*^9, 3.6764328306653132`*^9}, 
   3.676432879290599*^9, {3.6764478321522374`*^9, 3.6764479095751734`*^9}, {
   3.6764479564144564`*^9, 3.676447957490858*^9}, {3.676448107812722*^9, 
   3.6764481182959404`*^9}, {3.6764487331086206`*^9, 3.676448742655837*^9}, {
   3.676448774417493*^9, 3.6764488345711985`*^9}, 3.678355840670622*^9, {
   3.6786303411904593`*^9, 3.6786303521728783`*^9}, {3.678630496972333*^9, 
   3.678630497346733*^9}, {3.6786305309959927`*^9, 3.6786305517596292`*^9}, {
   3.678695051466916*^9, 3.6786950541345205`*^9}, 3.6787672433097754`*^9, 
   3.6787672861630507`*^9, 3.678767374053605*^9, {3.6787674454549303`*^9, 
   3.678767445844931*^9}, {3.678767543407502*^9, 3.67876755906993*^9}, {
   3.6787676112364216`*^9, 3.6787676329048595`*^9}, {3.678767689392559*^9, 
   3.678767708830193*^9}, {3.6787677628374877`*^9, 3.678768108393695*^9}, {
   3.678768160809787*^9, 3.678768165286995*^9}, 3.678768265829171*^9, {
   3.678768300835633*^9, 3.678768306436043*^9}, {3.678769045621211*^9, 
   3.6787690607532377`*^9}, {3.6787691184421387`*^9, 3.6787691291281576`*^9}, 
   3.6787786696472445`*^9, {3.67877870704051*^9, 3.6787787314233527`*^9}, {
   3.678778956999749*^9, 3.6787790122394457`*^9}, {3.6787791093184166`*^9, 
   3.6787791467896824`*^9}, 3.6787887147078047`*^9, {3.678788854510851*^9, 
   3.678788879268094*^9}, {3.678788974584262*^9, 3.678788990340289*^9}, 
   3.678789076795641*^9, 3.6787891180733137`*^9, {3.6787891776810184`*^9, 
   3.678789193390246*^9}, {3.678789263512369*^9, 3.6787892813900003`*^9}, {
   3.6790649393452435`*^9, 3.6790649685484943`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
    "===", "===", "===", " ", "\[CapitalOmega]TTTM1", " ", "===", "===", "===",
      "=="}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalOmega]TTTM1", "[", 
     RowBox[{"fk_", ",", "n_", ",", "p_", ",", "a_", ",", "b_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\[Sigma]", ",", "zn", ",", "m", ",", "k", ",", "j", ",", "ss", ",", 
        "\[CapitalOmega]"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
        RowBox[{"H\[Alpha]", " ", "===", "===", "===", "===", 
         RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"H0", "[", "M_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"aaa", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          StyleBox[
           RowBox[{"(*", 
            RowBox[{
            "===", "===", "===", " ", "akn", " ", "===", "===", "===", "=="}],
             "*)"}],
           FontFamily->"Courier New"], 
          StyleBox["\[IndentingNewLine]",
           FontFamily->"Courier New"], 
          RowBox[{
           RowBox[{
            RowBox[{"akn", "[", "nn_", "]"}], ":=", 
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"aa", ",", "mm", ",", "kk"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"nn", "\[LessEqual]", "1"}], ",", 
                 RowBox[{"Return", "[", 
                  RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"aa", "=", 
                RowBox[{"Table", "[", 
                 RowBox[{"0.", ",", 
                  RowBox[{"{", 
                   RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                "=", 
                SuperscriptBox["2.", 
                 RowBox[{"nn", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"kk", "=", "0"}], ",", 
                 RowBox[{"kk", "\[LessEqual]", 
                  RowBox[{"Floor", "[", 
                   FractionBox[
                    RowBox[{"nn", "-", "2"}], "2"], "]"}]}], ",", 
                 RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"mm", "=", 
                   RowBox[{"nn", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"Return", "[", "aa", "]"}]}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", " ", "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{"===", "=="}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{"aaa", "=", 
            RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"M2", "=", 
            RowBox[{"Floor", "[", 
             FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"h", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"r", "=", "0"}], "M2"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"aaa", "\[LeftDoubleBracket]", 
                RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
               RowBox[{"p", "\[LeftDoubleBracket]", 
                RowBox[{"M", "+", "4", "-", 
                 RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "h", "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", " ", "\[Sigma]mjTT", " ", "===", "===", "===", 
          "=="}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[Sigma]mjTT", "[", 
         RowBox[{"ffk_", ",", "nnn_"}], "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
           "x", ",", "T", ",", "\[Sigma]\[Sigma]", ",", "mmm", ",", "kkk", 
            ",", "jjj", ",", "r", ",", "l", ",", "S", ",", "s", ",", 
            "\[Delta]m", ",", "\[Delta]j"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"x", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", "kkk"}], "-", "1."}], 
                 RowBox[{
                  RowBox[{"2", " ", "nnn"}], "+", "2"}]], " ", "\[Pi]"}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"T", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"mmm", ",", "1", ",", 
                RowBox[{"nnn", "+", "3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"\[Sigma]\[Sigma]", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"mmm", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"mmm", "=", "0"}], ",", 
             RowBox[{"mmm", "\[LessEqual]", 
              RowBox[{"nnn", "+", "2"}]}], ",", 
             RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"kkk", "=", "1"}], ",", 
               RowBox[{"kkk", "\[LessEqual]", 
                RowBox[{"nnn", "+", "1"}]}], ",", 
               RowBox[{"kkk", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"T", "\[LeftDoubleBracket]", 
                 RowBox[{
                  RowBox[{"mmm", "+", "1"}], ",", "kkk"}], 
                 "\[RightDoubleBracket]"}], "=", 
                RowBox[{"ChebyshevT", "[", 
                 RowBox[{"mmm", ",", 
                  RowBox[{
                  "x", "\[LeftDoubleBracket]", "kkk", 
                   "\[RightDoubleBracket]"}]}], "]"}]}]}], 
              "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"mmm", "=", "0"}], ",", 
             RowBox[{"mmm", "\[LessEqual]", "nnn"}], ",", 
             RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"\[Delta]m", "=", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"mmm", "\[Equal]", "0"}], ",", "1.", ",", "2."}], 
                "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"jjj", "=", "0"}], ",", 
                RowBox[{"jjj", "\[LessEqual]", "nnn"}], ",", 
                RowBox[{"jjj", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"\[Delta]j", "=", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"jjj", "\[Equal]", "0"}], ",", "1.", ",", "2."}], 
                   "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"S", "=", "0"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"r", "=", "1"}], ",", 
                   RowBox[{"r", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                   RowBox[{"r", "++"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"l", "=", "1"}], ",", 
                    RowBox[{"l", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                    RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"s", "=", 
                    RowBox[{"s", "+", 
                    RowBox[{
                    RowBox[{"ffk", "[", 
                    RowBox[{
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "l", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "r", 
                    "\[RightDoubleBracket]"}]}], "]"}], " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", "l"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "\[IndentingNewLine]", 
                    "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"S", "=", 
                    RowBox[{"S", "+", 
                    RowBox[{"s", " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"jjj", "+", "1"}], ",", "r"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"\[Sigma]\[Sigma]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", 
                    RowBox[{"jjj", "+", "1"}]}], "\[RightDoubleBracket]"}], 
                  "=", 
                  FractionBox[
                   RowBox[{"\[Delta]m", " ", "\[Delta]j", " ", "S"}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1"}], ")"}]}]]}]}]}], " ", 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "\[Sigma]\[Sigma]", "]"}]}]}], 
         "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{"===", "=="}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{"zn", "=", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", " ", "a"}], "-", 
           RowBox[{"b", " ", "b"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[CapitalOmega]", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Sigma]", "=", 
        RowBox[{"\[Sigma]mjTT", "[", 
         RowBox[{"fk", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"m", "=", "0"}], ",", 
         RowBox[{"m", "\[LessEqual]", "n"}], ",", 
         RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"k", "=", "0"}], ",", 
           RowBox[{"k", "\[LessEqual]", 
            RowBox[{"n", "-", "1"}]}], ",", 
           RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ss", "=", "0"}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"j", "=", "0"}], ",", 
              RowBox[{"j", "\[LessEqual]", "n"}], ",", 
              RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"ss", "=", 
                RowBox[{"ss", "+", 
                 RowBox[{
                  RowBox[{"\[Sigma]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "\[RightDoubleBracket]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"H0", "[", 
                    RowBox[{"k", "+", "j"}], "]"}], "+", 
                    RowBox[{"H0", "[", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"k", "-", "j"}], "]"}], "]"}]}], " ", ")"}]}]}]}],
                ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"m", "+", "1"}], ",", 
               RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
             FractionBox["ss", "zn"]}], ";"}]}], "]"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "\[CapitalOmega]", "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.6787892688631783`*^9, {3.6787915404563694`*^9, 3.67879154072157*^9}, 
   3.678800121618019*^9, {3.678800200288957*^9, 3.678800221707795*^9}, {
   3.6788006071220717`*^9, 3.678800619321293*^9}, {3.678801255126461*^9, 
   3.6788012552668614`*^9}, 3.6788016325587254`*^9, {3.678802166781664*^9, 
   3.6788021669844646`*^9}, {3.6788026395404944`*^9, 
   3.6788026459989057`*^9}, {3.678803181011046*^9, 3.678803181198246*^9}, {
   3.6788033095048723`*^9, 3.678803309520472*^9}, 3.678803434087491*^9, {
   3.6788038616932473`*^9, 3.6788038619740477`*^9}, {3.6790649405152454`*^9, 
   3.6790649860517254`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Mu]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Mu]jk", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Mu]", ",", "t1", ",", "t2", ",", "hj"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "G\[Mu]", " ", "===", "===", "===", "===",
          "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"G\[Mu]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"q1", ",", "q2", ",", "GM", ",", "r"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"q1", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"M", "\[Equal]", "0"}], ",", "1.", ",", "0"}], "]"}]}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"q2", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"M", "\[Equal]", "1"}], ",", "0.5", ",", "0"}], 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"GM", "=", " ", 
             RowBox[{
              RowBox[{"q1", " ", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
              " ", "+", 
              RowBox[{"q2", " ", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "2", 
                "\[RightDoubleBracket]"}]}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "GM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", " ", "H\[Mu]", " ", "===", "===", "===", 
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"H\[Mu]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bb", ",", "Hz", ",", "r", ",", "M2"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"bkn", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"bkn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"b", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"n", "\[Equal]", "0"}], " ", ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"b", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                 "=", 
                 SuperscriptBox["2.", "n"]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "1"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"n", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"b", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "b", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "b", "]"}]}]}], "\[IndentingNewLine]", 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "0"}], ",", 
              RowBox[{"Return", "[", "0.", "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"bb", "=", 
             RowBox[{"bkn", "[", 
              RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox[
               RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Hz", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], 
               RowBox[{" ", "M2", " "}]], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"bb", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "-", 
                  RowBox[{"2", "r"}], "+", "3"}], "\[RightDoubleBracket]"}]}],
                ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "Hz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"hj", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"j", "\[Equal]", "0"}], ",", "1", ",", "2"}], "]"}]}], ";",
         "\[IndentingNewLine]", 
        RowBox[{"t1", "=", 
         RowBox[{"0.5", " ", 
          RowBox[{"G\[Mu]", "[", 
           RowBox[{"k", "-", "1", "+", "j"}], "]"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"k", ">", 
           RowBox[{"j", "+", "1"}]}], ",", 
          RowBox[{"t2", "=", 
           RowBox[{
            RowBox[{"0.5", " ", 
             RowBox[{"G\[Mu]", "[", 
              RowBox[{"k", "-", "1", "-", "j"}], "]"}]}], "+", 
            RowBox[{"H\[Mu]", "[", 
             RowBox[{"k", "-", "1", "-", "j"}], "]"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"t2", "=", 
           RowBox[{"0.5", " ", 
            RowBox[{"G\[Mu]", "[", 
             RowBox[{
              RowBox[{"-", "k"}], "+", "1", "+", "j"}], "]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"\[Mu]", "=", 
         RowBox[{"hj", " ", 
          RowBox[{"(", 
           RowBox[{"t1", "+", "t2"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Mu]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", " ", "FckTTP", " ", 
     "**", "**", "**"}], "******)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckTTP", "[", 
      RowBox[{"ff_", ",", "n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "bS", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "-", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[Mu]jk", "[", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}], ",", "p"}], "]"}]}]}], "]"}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], 
                    "\[RightDoubleBracket]"}]}]}]}], "]"}], ";"}]}], 
             "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"bSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bM", ",", "m", ",", "f"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"fjT", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"fjT", "[", 
              RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"fn", ",", "x", ",", "j", ",", "k"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"fn", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"j", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"x", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", "k"}], "-", "1."}], 
                    RowBox[{
                    RowBox[{"2", "nn"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "fn", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 RowBox[{
                  FractionBox["1", 
                   RowBox[{"nn", "+", "1"}]], " ", 
                  RowBox[{
                   UnderoverscriptBox["\[Sum]", 
                    RowBox[{"k", "=", "1"}], 
                    RowBox[{"nn", "+", "1"}]], 
                   RowBox[{"(", 
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], ")"}]}]}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "1"}], ",", 
                  RowBox[{"j", "\[LessEqual]", "nn"}], ",", 
                  RowBox[{"j", "++"}], ",", 
                  RowBox[{
                   RowBox[{"fn", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    FractionBox["2.", 
                    RowBox[{"nn", "+", "1"}]], " ", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"k", "=", "1"}], 
                    RowBox[{"nn", "+", "1"}]], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], " ", 
                    RowBox[{"ChebyshevT", "[", 
                    RowBox[{"j", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "fn", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"bM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"f", "=", 
             RowBox[{"fjT", "[", 
              RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
               "bM", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}], 
               "=", 
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], "]"}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "bM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
            "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"bS", "=", "bSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"LinearSolve", "[", 
          RowBox[{"aS", ",", "bS"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.678789184716631*^9, {3.6787892186934905`*^9, 3.678789220222293*^9}, {
   3.6787898657194276`*^9, 3.6787899823920326`*^9}, 3.678790133837098*^9, {
   3.6787902166576443`*^9, 3.6787902392308836`*^9}, {3.6787903388058586`*^9, 
   3.6787903432518663`*^9}, {3.6787904411888385`*^9, 3.6787904420000396`*^9}, 
   3.6787917557211475`*^9, 3.6787920188000097`*^9, 3.67879206427409*^9, 
   3.6788001625056906`*^9, {3.6788002871655097`*^9, 3.6788002944351225`*^9}, {
   3.6788003376627984`*^9, 3.678800340892004*^9}, 3.6788008024968147`*^9, {
   3.6788012552668614`*^9, 3.6788012554384613`*^9}, 3.678801320147375*^9, {
   3.6788014614968243`*^9, 3.6788014898420744`*^9}, 3.6788017566101437`*^9, 
   3.6788022880718765`*^9, {3.678802340378769*^9, 3.6788023524375896`*^9}, {
   3.678802422528513*^9, 3.6788024415449467`*^9}, {3.678802485147023*^9, 
   3.6788025007002506`*^9}, {3.678802732391857*^9, 3.6788027512678905`*^9}, {
   3.678802813028399*^9, 3.6788028188160095`*^9}, {3.678802903024957*^9, 
   3.6788029032745576`*^9}, {3.6788029860483027`*^9, 
   3.6788030069055395`*^9}, {3.678803309536072*^9, 3.6788033097700725`*^9}, 
   3.678803368910577*^9, {3.678803557530508*^9, 3.6788035836449537`*^9}, {
   3.6790649422156477`*^9, 3.67906496035848*^9}, {3.6790649921357355`*^9, 
   3.6790650063941607`*^9}, {3.687256063992237*^9, 3.6872560699514475`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "TClenshaw", " ", "===", "===", "==="}], 
    "=", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"TClenshaw", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"b", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", 
             RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", 
           RowBox[{"na", "-", "1"}]}], ",", 
          RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
          RowBox[{"k", "--"}], ",", " ", 
          RowBox[{
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"a", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
            RowBox[{"2", " ", "x", " ", 
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
            RowBox[{"b", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{
          RowBox[{"b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
           "-", 
          RowBox[{"x", " ", 
           RowBox[{
           "b", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "TClenshawArr", " ", "===", "===", 
      "==="}], "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TClenshawArr", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nx", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
          RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"k", "=", 
              RowBox[{"na", "-", "1"}]}], ",", 
             RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"k", "--"}], ",", " ", 
             RowBox[{
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{
               RowBox[{"a", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
               RowBox[{"2", " ", 
                RowBox[{
                "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
                " ", 
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
            RowBox[{
             RowBox[{
             "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "-", 
             RowBox[{
              RowBox[{
              "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
              " ", 
              RowBox[{
              "b", "\[LeftDoubleBracket]", "2", 
               "\[RightDoubleBracket]"}]}]}]}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xArr", "[", 
      RowBox[{"a0_", ",", "h_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "x"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"a0", "+", 
            RowBox[{"k", "*", "h"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "x", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"uArr", "[", 
      RowBox[{"fu_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "y", ",", "len"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"len", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"fu", "[", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "len"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " "}]}]], "Input",
 CellChangeTimes->{{3.6787891219889207`*^9, 3.678789131816938*^9}, {
   3.6788013608166466`*^9, 3.6788013720954666`*^9}, {3.67906494318285*^9, 
   3.679064961419282*^9}, 3.679372302667924*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
    RowBox[{"FXi", " ", "===", "===", "===", 
     RowBox[{"==", 
      RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"FXi", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "z_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"rez", ",", "Rez"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{"g", "  ", 
              RowBox[{"Log", "[", 
               FractionBox[
                RowBox[{"z", "-", "1"}], 
                RowBox[{"z", "+", "1"}]], "]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXiPlus", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXiPlus", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"r", ",", "rr"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                FractionBox["1", "2"]}], " ", 
               RowBox[{"Log", "[", "G", "]"}]}], "+", 
              RowBox[{"g", "  ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"1", "-", "x"}], 
                 RowBox[{"1", "+", "x"}]], "]"}]}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.678789503221591*^9, 3.6787895295388374`*^9}, {
  3.6788018822215643`*^9, 3.678801884405568*^9}, {3.6788815600899453`*^9, 
  3.678881575409172*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "==="}], "=", " ", 
     RowBox[{"Zab", " ", "===", "===", "===", "==="}]}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{
     "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "rez", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"rez", "=", 
        FractionBox[
         RowBox[{"FXiPlus", "[", 
          RowBox[{
          "a", ",", "b", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
          "]"}], 
         RowBox[{"a", "-", "b"}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.678789079946847*^9, {3.6787893283928833`*^9, 3.6787893506541224`*^9}, {
   3.6787894806171513`*^9, 3.678789533594844*^9}, {3.6787903861363416`*^9, 
   3.678790393171954*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "\[IndentingNewLine]", "         ", 
   StyleBox[
    RowBox[{
     RowBox[{
     "\:041c\:043e\:0434\:0435\:043b\:044c\:043d\:044b\:0439", " ", 
      "\:043f\:0440\:0438\:043c\:0435\:0440"}], 
     StyleBox[" ", "Text",
      FontFamily->"Tahoma",
      FontSize->18,
      FontColor->RGBColor[1, 0, 1]], 
     StyleBox["\[IndentingNewLine]", "Text",
      FontFamily->"Tahoma",
      FontSize->18,
      FontColor->RGBColor[1, 0, 1]], 
     RowBox[{"\:0421\:0418\:0423", " ", "\:0441", " ", 
      StyleBox[
       RowBox[{
        StyleBox["\:043a\:043e", "Text",
         FontFamily->"Cambria",
         FontSize->18,
         FontColor->RGBColor[1, 0, 1]], 
        "\:043c\:043f\:043b\:0435\:043a\:0441\:043d\:044b\:043c\:0438"}]], 
      " ", "\:043a\:043e\:044d\:0444\:0444\:0438\:0446\:0438\:0435\:043d\:0442\
\:0430\:043c\:0438"}]}], "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"v", "=", 
     RowBox[{
      FractionBox["\[Pi]", "4."], "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[ImaginaryI]"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fa", "=", 
     RowBox[{"Cos", "[", "v", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fb", "=", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], "  ", 
      RowBox[{"Sin", "[", "v", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       "\[Kappa]"}], "}"}], "=", 
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"fa", ",", "fb", ",", "2"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXi2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXiM2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       RowBox[{"-", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"az", ":=", "FXi2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fxar", "[", "x_", "]"}], ":=", 
     RowBox[{"1", "+", 
      FractionBox["az", 
       RowBox[{"x", "-", "2"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], ":=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cz", ":=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"4", "*", "fb"}]], "*", 
      RowBox[{"(", 
       RowBox[{"4", "+", "FXiM2", "-", "FXi2"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fk", "[", 
      RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["\[ImaginaryI]", 
       RowBox[{"x", "-", "2"}]], "*", 
      FractionBox["1", 
       RowBox[{"t", "+", "2"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"freg", "[", "x_", "]"}], ":=", 
     FractionBox[
      RowBox[{"cz", "*", "\[ImaginaryI]"}], 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"freg", "[", "x", "]"}], "+", 
      RowBox[{"fxar", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", "25"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pp", "=", 
     RowBox[{"FpC", "[", 
      RowBox[{"fa", ",", "fb", ",", "2", ",", 
       RowBox[{
        RowBox[{"2", "*", "n"}], "+", "1"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalOmega]\[CapitalOmega]", "=", 
     RowBox[{"\[CapitalOmega]TTTM1", "[", 
      RowBox[{"fk", ",", "n", ",", "pp", ",", "fa", ",", "fb"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ck\[Mu]", "=", 
     RowBox[{"FckTTP", "[", 
      RowBox[{
      "f", ",", "n", ",", "pp", ",", "\[CapitalOmega]\[CapitalOmega]"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"-", "0.99"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hh", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b0", "=", "0.99"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kk", "=", 
     RowBox[{"Floor", "[", 
      FractionBox[
       RowBox[{"b0", "-", "a0"}], "hh"], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xx", "=", 
     RowBox[{"xArr", "[", 
      RowBox[{"a0", ",", "hh", ",", "kk"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"yy", "=", 
     RowBox[{"TClenshawArr", "[", 
      RowBox[{"ck\[Mu]", ",", "xx"}], "]"}]}], " ", ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zz", "=", 
     RowBox[{"uArr", "[", 
      RowBox[{"ut", ",", "xx"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<eps=\>\"", ",", 
      RowBox[{"Max", "[", 
       FractionBox[
        RowBox[{"Abs", "[", 
         RowBox[{"yy", "-", "zz"}], "]"}], 
        RowBox[{"Abs", "[", "zz", "]"}]], "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"**", "**", "**", "**", "**", "**", "**"}], "*", " ", "obM1"}], 
     " ", "****************)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"obM1", "[", 
      RowBox[{"n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "aS1", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
         "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "0", ",", 
                 RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "-", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Mu]jk", "[", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}], ",", "p"}], "]"}]}]}]}], "]"}], 
               ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"aS1", "=", 
         RowBox[{"Inverse", "[", "aS", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{
          RowBox[{"Norm", "[", "aS", "]"}], "*", 
          RowBox[{"Norm", "[", "aS1", "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Obysl=\>\"", ",", 
      RowBox[{"obM1", "[", 
       RowBox[{"n", ",", "pp", ",", "\[CapitalOmega]\[CapitalOmega]"}], 
       "]"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Quit", "[", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.6787889780474677`*^9, {3.6787893199688683`*^9, 3.678789344320511*^9}, {
   3.6787896437934375`*^9, 3.6787896471318436`*^9}, {3.6787897862216883`*^9, 
   3.6787897962681055`*^9}, {3.6787902921617765`*^9, 3.6787903040801973`*^9}, 
   3.67879040225117*^9, {3.678791097618392*^9, 3.67879110785201*^9}, {
   3.678791362304057*^9, 3.6787913660480633`*^9}, {3.6787916001888742`*^9, 
   3.67879160338688*^9}, {3.678795154391101*^9, 3.678795188570761*^9}, 
   3.678800468593828*^9, {3.6788005083270984`*^9, 3.6788005500883713`*^9}, 
   3.678800659444564*^9, {3.6788008860037613`*^9, 3.678800908811002*^9}, {
   3.678801255017261*^9, 3.6788012550796614`*^9}, 3.6788013889902964`*^9, 
   3.6788016445395465`*^9, {3.678801984542144*^9, 3.678802002310575*^9}, {
   3.6788022446258006`*^9, 3.6788022553274193`*^9}, 3.67880265412652*^9, 
   3.678802868923297*^9, {3.6788030551564245`*^9, 3.678803057824029*^9}, {
   3.678803309785672*^9, 3.6788033098168726`*^9}, 3.678803451075921*^9, {
   3.6793739303743863`*^9, 3.6793739492348194`*^9}, {3.6799775357282114`*^9, 
   3.679977544464227*^9}, {3.6872560788902636`*^9, 3.6872560791398635`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"eps=\"\>", "\[InvisibleSpace]", "3.761714527459306`*^-13"}],
  SequenceForm["eps=", 3.761714527459306*^-13],
  Editable->False]], "Print",
 CellChangeTimes->{3.6800523685843263`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Obysl=\"\>", "\[InvisibleSpace]", "221.10811400938653`"}],
  SequenceForm["Obysl=", 221.10811400938653`],
  Editable->False]], "Print",
 CellChangeTimes->{3.6800523686935263`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"un", "[", "x_", "]"}], ":=", 
   RowBox[{"TClenshaw", "[", 
    RowBox[{"ck\[Mu]", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]n", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
     "]"}], " ", 
    RowBox[{"un", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
     "]"}], " ", 
    RowBox[{"ut", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tab1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"un", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}], " ", "-", " ", 
           RowBox[{"ut", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], ")"}], "/", 
         RowBox[{"ut", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListLinePlot", "[", "tab1", "]"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tab2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Phi]", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}], " ", "-", " ", 
           RowBox[{"\[Phi]n", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], ")"}], "/", 
         RowBox[{"\[Phi]", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", "tab2", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quit", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.678630534599599*^9, {3.678631120023432*^9, 3.678631121474234*^9}, {
   3.67876809995408*^9, 3.6787681124029016`*^9}, 3.678778871667599*^9, 
   3.6787888247459984`*^9, {3.6788007162130632`*^9, 3.678800719411069*^9}, 
   3.6788012551108613`*^9, 3.6788013826878853`*^9, 3.6788033094580717`*^9, {
   3.679064944446452*^9, 3.679064961637682*^9}, {3.6790650250517936`*^9, 
   3.6790650272825975`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.8835105014243516, 2.897530681287097*^-14}, {-0.88, 
      2.331102202618772*^-14}, {-0.87, 6.609619624005835*^-15}, {-0.86, 
      1.305719379892202*^-14}, {-0.85, 
      2.434086531331821*^-14}, {-0.8412848964300061, 
      2.897530681287097*^-14}}], LineBox[CompressedData["
1:eJw9VglUU9cWfUkYQ/IBBZRSRFAQsHwVHCrcy3FABUfiLGgHEKpoBYtMfrAU
BSsOIEoR5VcUa1UqUrUVqt8r0X7Rr4yCgAHDHEYr85wv793Xu1ZWVtbL2/ec
vfcZLH0C1/sJGYb5/cNn/Dtu8q6KtKOtJCfzm2n566ZiLH6dEYRbyUvTheXL
u81wuyxnSmxbCzGNkMmXRRvh86njp4U8NUwrOJkkwe61B42yVrSQ3MOjG0qz
dHGf7fYEea+KxGz42eJEpQRfCRpHVJFTqReSnb7Xx+vH4WQqsjqxOMmoTIIZ
9qgI1hXtirTSxFkrxgGbybM3kso8aT8aR7Pd3vzh/cdpGWcGEBueuJnUfV73
XZtcG7NwOU1k4wH1jvW1htifPU1ke0rR2+arJtiIBWwiAeHatdJgUzyOliBv
JFoLW2q94z7CbHhBjeTNTo+KucOmmIWb0kgqZh7blhAwGb9gTwOZFW9/3jPK
BB9kARuIxlPf3UKxMbZjA2wgpz08jvbLjDAb3ut6kmvkvv8fdkaYhYutJ+d+
epdu4W+EndhTTwKiipvatY0wS19tHfnhX8euVTlMxGy6CXXkYo35izK1AXZl
E64jwbe6q8KL9KgetWTU5fbvc4Y1qB61JGr59qBXISOI06OWFH6Wan8qvA9x
eihJ+RU/idXpMcTpoSTWQX8tTTmrQfVQEmOb6I6UWF2qh5IEtvq3uwZJMcf/
W+KsEEWtytOnfNcQy5yAsQ0h+pTfGmL9XuraUCilfFaT/vyyvUOmepQ/BYkM
XeV8W1sHs+HYKohTx/n3gwpNfITl5w25P72wTLJFEyvZ8KtI1eP29KKjWjT/
KvKMJN0M+FqH5ltJ/GQmS0LTxNRvFaR/ioZzm0yP5lNBLt6tvLjyuB7102vC
GMx61TSoy9lb/JqkjYQ4Wb3Rpn4pJ3azTv72Q5oG9UcZmZf1h/HWTAH1QxlZ
fLy6wMaCofq/IsMRQQnzzQW4nIUrJbtumS1csEYDO7L6lpLmtV5frRvUxqdY
wBJy772s/80yCdWvmJxQFJLFO/Rp/RSTB6JefYc/DWi9FJGrI6ZdLnMNqR5F
xKwnZlWfpyHlv4CoLgmeZxcYUL5fknnJ+Y9tlPqU3xfEoitMFNYhpXw+J3di
rIPjbSX4HMvfM7K8xfdimEKMPVnAfBI7E+U3xYqxDsvPU1JpOLzA94YYP2L5
+JOkzM3ZMnJKjMPZ/J+QKTeyfzIMEuO5bL6PyahNcHTtVTHNL4+I5XrGkdt1
aT6PiNJSQQS/8fX6kBz7wh0F12jQeB+Qestsy51fCml8ueTjOYYtmaoxxMVz
jxwfCHuU2TCEuPvvkovHGtInmA0hFXvfr6RrRlexTH8EZbP4WeTCoWaB5x0G
J7J418kSx2h7ARLhIPb9K8Rtxs8uQaGa+BH7/x+JZP1lk9ZZ2jiafX6WtCdY
bnUq5X8fIXJkfyhkjzbVg2Fk7tKjZ1f8/RzU8hmNfj5a/PswsLxyunxQg8eH
UEXj5uuDIvr8CpSUe3iknRfhdC4+MAtcGH/ajf9/FlQfLvJp9tTAf3H5QeaT
j4yS9mjS9+/Cob5fvVInaWEDjh8gEYPeVy20KF4u3CyLWHHAXxPP5viF0f1e
1//zXx7/IXh7LN0W1SzA1zh9wPd6TGNNmRpx9+VB4UPzG8z5YfQppy/cS143
ZFHRi7j7nwCzda3fkrRuRP0BZ9Lr/xlW10P1egr2ypdWLm0DiPoLun1K8qR1
w4j6D9z3R2SKotWI+hMavrKqD9wi4P0LM4RTJ7leEPL+huz4EvWUTCHvf5hW
7itYqyXk6wPydu2WdikZvn5A+PbbkeuWDF9f8Or2FeN+XTWi9QcF7xZmmC5S
o0SuPiHSY0fFgB1D/VwKDMgd5UIBruDqG8yDky7MjxfiSK7+IdW5xjumTIin
cv0BHISTnv8vV4SfcP0D2oOsChPvCfEurr+Adrd5/spAAZZw/QdklbekO7rG
UDbXn8Bx1Db//rtBtJHrX9Dy/pPZxlZ9aIDrb7A152bd0mXdKI3rf5BUEOpQ
Iu5Bi7j+CNMytMsLnPopn1XwMiC1WCkYRrS/wtOZMQqF3hii/RdOfHLCel45
w/dnWHwouDN5jOH7N3zhnKzYt1vA93eYvHGZ8967DN//ocRtUrz+x2o6n9/C
pTiXMa8/RhGdHzDaWiAyfTmK6HyBwNeb+p091Pz8gWBV0Z59bQzt30p4flK+
IIARUr1qwfWeyunLzSJ+voHL476JDSDi5x8ovfuwJFfIz0c4WpUacXyfAHN6
1sHhiUOtW2NGUR03XyHAp2+l3lg/4vSth1Me3z+8/6IHxXHzGebESVLXMN2I
07secnqWfFcy3I3sufkOSw1W7i+170Oc/g0QsrrcJOHaICrg9gMo3tSTmHt7
GHF+aITyf//42a28IfQNt1+ArPeS1KunH9H9A14IVl+WVfciup+Av6LkYbN1
L6L7CxQnHrH1tehHdL8BpzXTD5eWDvL7DxzcVlK34dkYvx9B5wPvA76Zo4ju
T3DaWJ6xMmyE6qGCrzfZWOfHDlI9VLCoRSdGM6WH6qECndTcQ4IT7+m+oII2
r71Rved66D7RAkZLvnVbOn8Y0f0PzojPhdj5M/x+CMkfKX2KLwuoHq0Qk+IW
v2gVQ/VohU8jS7vNBWqqRytI25MyhuJGqB5t4IfuLA79ZYzq0Qbb7NKT9B4I
af21gYGyy3PLHQ3M6dEOzbIJbrsbRLQe22FBbtQK4w9+4vRohwObnWxKwwep
Hh3gcN/Vw/nwKNWjAzo7fmmt+nved8Acq82zHUK1qd87wf3ghWrHaVp0P+gE
s5lxKZOadKj/OyFw9Q6p984JdJ94B+Gdvb6OQyZ0X3oH+3I/r857NRH/Hw/d
i6Y=
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.98}, {0, 2.897530681287097*^-14}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0394, 0.0394}, {5.795061362574195*^-16, 
   5.795061362574195*^-16}}]], "Output",
 CellChangeTimes->{3.678803810384757*^9, 3.678803892238101*^9, 
  3.6788816011492176`*^9, 3.679065050667039*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.8833667149087874, 2.871438081427334*^-14}, {-0.88, 
      2.3257695075794856`*^-14}, {-0.87, 6.611723719373838*^-15}, {-0.86, 
      1.3082350050623583`*^-14}, {-0.85, 
      2.4368920327049356`*^-14}, {-0.841953650409727, 
      2.871438081427334*^-14}}], LineBox[CompressedData["
1:eJw9Vgs4lOken6vLDDGaQsJg96xNqk2ly/v60ylpu5xYnHNQu92c6qgoStPl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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.98}, {0, 2.871438081427334*^-14}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0394, 0.0394}, {5.742876162854667*^-16, 
   5.742876162854667*^-16}}]], "Output",
 CellChangeTimes->{3.678803810384757*^9, 3.678803892238101*^9, 
  3.6788816011492176`*^9, 
  3.679065050776239*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]]
},
WindowSize->{707, 655},
WindowMargins->{{Automatic, 123}, {Automatic, -4}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 13474, 277, 665, "Input"],
Cell[14034, 299, 15500, 353, 1494, "Input"],
Cell[29537, 654, 17901, 407, 1664, "Input"],
Cell[47441, 1063, 6915, 175, 592, "Input"],
Cell[54359, 1240, 5208, 134, 733, "Input"],
Cell[59570, 1376, 1071, 30, 143, "Input"],
Cell[CellGroupData[{
Cell[60666, 1410, 10894, 278, 1144, "Input"],
Cell[CellGroupData[{
Cell[71585, 1692, 231, 5, 23, "Print"],
Cell[71819, 1699, 228, 5, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[72096, 1710, 3178, 87, 192, "Input"],
Cell[75277, 1799, 3782, 68, 244, "Output"],
Cell[79062, 1869, 12891, 219, 244, 3678, 66, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
