(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     85662,       2008]
NotebookOptionsPosition[     84840,       1978]
NotebookOutlinePosition[     85184,       1993]
CellTagsIndexPosition[     85141,       1990]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "F\[Kappa]C", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "t", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "g", ",", "\[Alpha]", 
         ",", "\[Beta]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g", "=", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"2.", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
          RowBox[{"Log", "[", 
           FractionBox[
            RowBox[{"a", "-", "b"}], 
            RowBox[{"a", "+", "b"}]], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"t", "=", 
         RowBox[{"Re", "[", " ", "g", "]"}]}], " ", ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", "t", "]"}], "<", 
           SuperscriptBox["10", 
            RowBox[{"-", "16"}]]}], ",", 
          RowBox[{"Return", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<Not\>\"", ",", "\"\<Not\>\"", ",", "\"\<Not\>\""}], 
            "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"klass", "==", "1"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Kappa]2", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "-", "t"}], "]"}]}], ";", 
            RowBox[{"\[Kappa]1", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"klass", "==", "2"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[Kappa]2", "=", 
               RowBox[{"Floor", "[", 
                RowBox[{"-", "t"}], "]"}]}], ";", 
              RowBox[{"\[Kappa]1", "=", 
               RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"klass", "==", "3"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"\[Kappa]2", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"-", "t"}], "]"}]}], ";", 
                RowBox[{"\[Kappa]1", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"klass", "\[Equal]", "4"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\[Kappa]2", "=", 
                   RowBox[{"Floor", "[", 
                    RowBox[{"1", "-", "t"}], "]"}]}], ";", 
                  RowBox[{"\[Kappa]1", "=", 
                   RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", "None"}],
                "]"}]}], "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Alpha]", "=", 
         RowBox[{"g", "-", "\[Kappa]1"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Beta]", "=", 
         RowBox[{
          RowBox[{"-", "g"}], "-", "\[Kappa]2"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"{", " ", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
           RowBox[{"\[Kappa]1", "+", "\[Kappa]2"}]}], "}"}], "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FpC", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FpC", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_", " ", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{
        "p", ",", "g", ",", "v", ",", "k", ",", "i", ",", "cp", ",", 
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
         "\[Kappa]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",",
            "\[Kappa]"}], "}"}], "=", 
         RowBox[{"F\[Kappa]C", "[", 
          RowBox[{"a", ",", "b", ",", "klass"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Kappa]", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"\[Kappa]", "<", "0"}], ",", 
           RowBox[{"-", "\[Kappa]"}], ",", "\[Kappa]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"g", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"v", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"p", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "\[Kappa]"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"g", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"g", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"g", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"i", "-", "\[Alpha]"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"v", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"v", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"v", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"\[Beta]", "-", "i"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "0"}], ",", 
          RowBox[{"k", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"k", "++"}], ",", 
          RowBox[{
           RowBox[{"p", "\[LeftDoubleBracket]", 
            RowBox[{"\[Kappa]", "+", "k", "+", "1"}], 
            "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            UnderoverscriptBox["\[Sum]", 
             RowBox[{"i", "=", "0"}], "k"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"g", "\[LeftDoubleBracket]", 
               RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
              RowBox[{"v", "\[LeftDoubleBracket]", 
               RowBox[{"k", "-", "i", "+", "1"}], "\[RightDoubleBracket]"}]}],
              ")"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "p", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6763012402617617`*^9, 3.67630129040025*^9}, 
   3.67630133574953*^9, {3.676301371551593*^9, 3.676301463841355*^9}, {
   3.676301514260643*^9, 3.676301705548179*^9}, {3.6763017388542376`*^9, 
   3.6763019744614515`*^9}, {3.676302012946719*^9, 3.6763021015392747`*^9}, 
   3.6763021460313535`*^9, {3.676302209039864*^9, 3.6763022481491327`*^9}, {
   3.676302342841299*^9, 3.6763023589873276`*^9}, {3.676302441683073*^9, 
   3.6763024466906815`*^9}, {3.676302477687936*^9, 3.676302506766387*^9}, {
   3.6763025558440733`*^9, 3.6763025605552816`*^9}, {3.676302593315339*^9, 
   3.6763025952653427`*^9}, {3.676302631005005*^9, 3.676303078444991*^9}, {
   3.6763034530640492`*^9, 3.676304064959524*^9}, {3.6763041803841267`*^9, 
   3.6763041908205447`*^9}, {3.676304233096619*^9, 3.6763042338454204`*^9}, {
   3.6763042663402777`*^9, 3.676304271129486*^9}, {3.6763043093651533`*^9, 
   3.6763043243255796`*^9}, {3.676304358442839*^9, 3.6763043851812863`*^9}, {
   3.6763371956588154`*^9, 3.6763373281342483`*^9}, {3.6763373790371375`*^9, 
   3.676337379848339*^9}, {3.676337410471193*^9, 3.6763374473964577`*^9}, 
   3.6763374791425133`*^9, {3.6763375594202547`*^9, 3.676337568749071*^9}, 
   3.6763376214771633`*^9, {3.6763377018485045`*^9, 3.6763377833430476`*^9}, {
   3.6763378352599387`*^9, 3.6763378360087404`*^9}, {3.6763378800632176`*^9, 
   3.6763378818260207`*^9}, {3.676337937143718*^9, 3.676337948141737*^9}, {
   3.6763379972194233`*^9, 3.6763381025820084`*^9}, {3.676338243611057*^9, 
   3.6763382746863112`*^9}, {3.6763386145329084`*^9, 3.676338644578561*^9}, 
   3.6763387004422593`*^9, {3.6763388018816385`*^9, 3.676338861723344*^9}, {
   3.6763390489108725`*^9, 3.6763391602794685`*^9}, {3.676339231377993*^9, 
   3.6763392369316034`*^9}, {3.6763393804286556`*^9, 
   3.6763394207079268`*^9}, {3.676340433932106*^9, 3.6763404631821575`*^9}, {
   3.6763404995926213`*^9, 3.6763406448288765`*^9}, {3.676340675826131*^9, 
   3.676340687338951*^9}, {3.676340816444778*^9, 3.6763408387684174`*^9}, {
   3.6763410720884275`*^9, 3.6763411295745287`*^9}, 3.6763412087602673`*^9, {
   3.67634126716677*^9, 3.6763412863236036`*^9}, {3.676341331813284*^9, 
   3.6763413367584925`*^9}, {3.6763413685201483`*^9, 
   3.6763414108898225`*^9}, {3.676341474366334*^9, 3.6763415208232155`*^9}, {
   3.6763415713361044`*^9, 3.676341572225306*^9}, {3.676341906700019*^9, 
   3.6763419069028196`*^9}, {3.676342036429847*^9, 3.6763420388166513`*^9}, {
   3.676342162337668*^9, 3.6763421625560684`*^9}, 3.676342245361014*^9, {
   3.676342388896866*^9, 3.6763423892556667`*^9}, {3.6763425304827147`*^9, 
   3.6763425418707347`*^9}, {3.67634261910647*^9, 3.676342639776507*^9}, {
   3.6763427193834467`*^9, 3.6763427529235053`*^9}, 3.6763429034169693`*^9, {
   3.676343213951115*^9, 3.6763432438095675`*^9}, 3.6763434400891123`*^9, {
   3.676343804084552*^9, 3.676343812212166*^9}, {3.6763458404029284`*^9, 
   3.676345880635399*^9}, {3.6763459470603156`*^9, 3.6763459592595367`*^9}, {
   3.6763460062624197`*^9, 3.6763460197408433`*^9}, {3.676346052672501*^9, 
   3.6763460862905602`*^9}, {3.676346619291607*^9, 3.676346684905322*^9}, 
   3.676346790595508*^9, {3.6763468831192703`*^9, 3.6763468854592743`*^9}, {
   3.676347583678107*^9, 3.676347586298911*^9}, {3.676347671974262*^9, 
   3.676347706731123*^9}, {3.676431125875518*^9, 3.6764311589319763`*^9}, {
   3.6764311918012342`*^9, 3.67643121811848*^9}, {3.676432439179425*^9, 
   3.6764324399594264`*^9}, {3.6764325088959475`*^9, 
   3.6764325095043488`*^9}, {3.6764325459460125`*^9, 3.676432571592458*^9}, {
   3.6764326209041443`*^9, 3.676432621512545*^9}, {3.676432670496631*^9, 
   3.6764326740378375`*^9}, {3.6764328274985075`*^9, 3.6764328306653132`*^9}, 
   3.676432879290599*^9, {3.6764478321522374`*^9, 3.6764479095751734`*^9}, {
   3.6764479564144564`*^9, 3.676447957490858*^9}, {3.676448107812722*^9, 
   3.6764481182959404`*^9}, {3.6764487331086206`*^9, 3.676448742655837*^9}, {
   3.676448774417493*^9, 3.6764488345711985`*^9}, 3.678355840670622*^9, {
   3.6786303411904593`*^9, 3.6786303521728783`*^9}, {3.678630496972333*^9, 
   3.678630497346733*^9}, {3.6786305309959927`*^9, 3.6786305517596292`*^9}, {
   3.678695051466916*^9, 3.6786950541345205`*^9}, 3.6787672433097754`*^9, 
   3.6787672861630507`*^9, 3.678767374053605*^9, {3.6787674454549303`*^9, 
   3.678767445844931*^9}, {3.678767543407502*^9, 3.67876755906993*^9}, {
   3.6787676112364216`*^9, 3.6787676329048595`*^9}, {3.678767689392559*^9, 
   3.678767708830193*^9}, {3.6787677628374877`*^9, 3.678768108393695*^9}, {
   3.678768160809787*^9, 3.678768165286995*^9}, 3.678768265829171*^9, {
   3.678768300835633*^9, 3.678768306436043*^9}, {3.678769045621211*^9, 
   3.6787690607532377`*^9}, {3.6787691184421387`*^9, 3.6787691291281576`*^9}, 
   3.6787786696472445`*^9, {3.67877870704051*^9, 3.6787787314233527`*^9}, {
   3.678778956999749*^9, 3.6787790122394457`*^9}, {3.6787791093184166`*^9, 
   3.6787791467896824`*^9}, 3.6787887147078047`*^9, {3.678788854510851*^9, 
   3.678788879268094*^9}, {3.678788974584262*^9, 3.678788990340289*^9}, 
   3.678789076795641*^9, 3.6787891180733137`*^9, {3.6787891776810184`*^9, 
   3.678789193390246*^9}, {3.678789263512369*^9, 3.6787892813900003`*^9}, {
   3.679064568915891*^9, 3.67906460364594*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
    "===", "===", "===", " ", "\[CapitalOmega]UTTM1", " ", "===", "===", "===",
      "=="}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalOmega]UTTM1", "[", 
     RowBox[{"fk_", ",", "n_", ",", "p_", ",", "a_", ",", "b_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\[Sigma]", ",", "zn", ",", "m", ",", "k", ",", "j", ",", "ss", ",", 
        "\[CapitalOmega]"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
        RowBox[{"H", " ", "===", "===", "===", "===", 
         RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"H", "[", "M_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"aaa", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          StyleBox[
           RowBox[{"(*", 
            RowBox[{
            "===", "===", "===", " ", "akn", " ", "===", "===", "===", "=="}],
             "*)"}],
           FontFamily->"Courier New"], 
          StyleBox["\[IndentingNewLine]",
           FontFamily->"Courier New"], 
          RowBox[{
           RowBox[{
            RowBox[{"akn", "[", "nn_", "]"}], ":=", 
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"aa", ",", "mm", ",", "kk"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"nn", "\[LessEqual]", "1"}], ",", 
                 RowBox[{"Return", "[", 
                  RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"aa", "=", 
                RowBox[{"Table", "[", 
                 RowBox[{"0.", ",", 
                  RowBox[{"{", 
                   RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                "=", 
                SuperscriptBox["2.", 
                 RowBox[{"nn", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"kk", "=", "0"}], ",", 
                 RowBox[{"kk", "\[LessEqual]", 
                  RowBox[{"Floor", "[", 
                   FractionBox[
                    RowBox[{"nn", "-", "2"}], "2"], "]"}]}], ",", 
                 RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"mm", "=", 
                   RowBox[{"nn", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"Return", "[", "aa", "]"}]}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", " ", "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{"===", "=="}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{"aaa", "=", 
            RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"M2", "=", 
            RowBox[{"Floor", "[", 
             FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"h", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"r", "=", "0"}], "M2"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"aaa", "\[LeftDoubleBracket]", 
                RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
               RowBox[{"p", "\[LeftDoubleBracket]", 
                RowBox[{"M", "+", "4", "-", 
                 RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "h", "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", " ", "\[Sigma]mjUT", " ", "===", "===", "===", 
          "=="}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[Sigma]mjUT", "[", 
         RowBox[{"ffk_", ",", "nnn_"}], "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
           "x", ",", "T", ",", "\[Sigma]\[Sigma]", ",", "mmm", ",", "kkk", 
            ",", "jjj", ",", "r", ",", "l", ",", "S", ",", "s", ",", "\[Nu]m",
             ",", "\[Delta]j", ",", "q"}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"x", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", "kkk"}], "-", "1."}], 
                 RowBox[{
                  RowBox[{"2", " ", "nnn"}], "+", "2"}]], " ", "\[Pi]"}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"T", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"mmm", ",", "1", ",", 
                RowBox[{"nnn", "+", "3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"\[Sigma]\[Sigma]", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"mmm", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"mmm", "=", "0"}], ",", 
             RowBox[{"mmm", "\[LessEqual]", 
              RowBox[{"nnn", "+", "2"}]}], ",", 
             RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"kkk", "=", "1"}], ",", 
               RowBox[{"kkk", "\[LessEqual]", 
                RowBox[{"nnn", "+", "1"}]}], ",", 
               RowBox[{"kkk", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"T", "\[LeftDoubleBracket]", 
                 RowBox[{
                  RowBox[{"mmm", "+", "1"}], ",", "kkk"}], 
                 "\[RightDoubleBracket]"}], "=", 
                RowBox[{"ChebyshevT", "[", 
                 RowBox[{"mmm", ",", 
                  RowBox[{
                  "x", "\[LeftDoubleBracket]", "kkk", 
                   "\[RightDoubleBracket]"}]}], "]"}]}]}], 
              "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"mmm", "=", "0"}], ",", 
             RowBox[{"mmm", "\[LessEqual]", "nnn"}], ",", 
             RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"\[Nu]m", "=", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"Or", "[", 
                  RowBox[{
                   RowBox[{"mmm", "\[Equal]", "nnn"}], ",", 
                   RowBox[{"mmm", "\[Equal]", 
                    RowBox[{"nnn", "-", "1"}]}]}], "]"}], ",", "0.", ",", 
                 "1."}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"jjj", "=", "0"}], ",", 
                RowBox[{"jjj", "\[LessEqual]", "nnn"}], ",", 
                RowBox[{"jjj", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"\[Delta]j", "=", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"jjj", "\[Equal]", "0"}], ",", "1.", ",", "2."}], 
                   "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"S", "=", "0"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"r", "=", "1"}], ",", 
                   RowBox[{"r", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                   RowBox[{"r", "++"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"l", "=", "1"}], ",", 
                    RowBox[{"l", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                    RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"q", "=", 
                    RowBox[{
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", "l"}], 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{"\[Nu]m", " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "3"}], ",", "l"}], 
                    "\[RightDoubleBracket]"}]}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"s", "=", 
                    RowBox[{"s", "+", 
                    RowBox[{
                    RowBox[{"ffk", "[", 
                    RowBox[{
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "l", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "r", 
                    "\[RightDoubleBracket]"}]}], "]"}], " ", "q"}]}]}]}]}], 
                    "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"S", "=", 
                    RowBox[{"S", "+", 
                    RowBox[{"s", " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"jjj", "+", "1"}], ",", "r"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"\[Sigma]\[Sigma]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", 
                    RowBox[{"jjj", "+", "1"}]}], "\[RightDoubleBracket]"}], 
                  "=", 
                  FractionBox[
                   RowBox[{"\[Delta]j", " ", "S"}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1"}], ")"}]}]]}]}]}], " ", 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "\[Sigma]\[Sigma]", "]"}]}]}], 
         "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{"===", "=="}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{"zn", "=", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", " ", "a"}], "-", 
           RowBox[{"b", " ", "b"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[CapitalOmega]", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Sigma]", "=", 
        RowBox[{"\[Sigma]mjUT", "[", 
         RowBox[{"fk", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"m", "=", "0"}], ",", 
         RowBox[{"m", "\[LessEqual]", "n"}], ",", 
         RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"k", "=", "0"}], ",", 
           RowBox[{"k", "\[LessEqual]", 
            RowBox[{"n", "-", "1"}]}], ",", 
           RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ss", "=", "0"}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"j", "=", "0"}], ",", 
              RowBox[{"j", "\[LessEqual]", "n"}], ",", 
              RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"ss", "=", 
                RowBox[{"ss", "+", 
                 RowBox[{
                  RowBox[{"\[Sigma]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "\[RightDoubleBracket]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"H", "[", 
                    RowBox[{"k", "+", "j"}], "]"}], "+", 
                    RowBox[{"H", "[", 
                    RowBox[{"Abs", "[", 
                    RowBox[{"k", "-", "j"}], "]"}], "]"}]}], " ", ")"}]}]}]}],
                ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"m", "+", "1"}], ",", 
               RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
             FractionBox["ss", "zn"]}], ";"}]}], "]"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "\[CapitalOmega]", "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.6787892688631783`*^9, {3.6787915404563694`*^9, 3.67879154072157*^9}, 
   3.678800121618019*^9, {3.678800200288957*^9, 3.678800221707795*^9}, {
   3.6788006071220717`*^9, 3.678800619321293*^9}, {3.678801255126461*^9, 
   3.6788012552668614`*^9}, 3.6788016325587254`*^9, {3.678802166781664*^9, 
   3.6788021669844646`*^9}, {3.6788026395404944`*^9, 
   3.6788026459989057`*^9}, {3.678803181011046*^9, 3.678803181198246*^9}, {
   3.679064569685892*^9, 3.6790646296759763`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Delta]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Delta]jk", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[Delta]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "H\[Delta]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], " ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"H\[Delta]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aa", ",", "M2", ",", "HM", ",", "r"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "===", "===", "===", "===", " ", "akn", " ", "===", "===", "===", 
             "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"n", "\[LessEqual]", "1"}], ",", 
                 RowBox[{"Return", "[", 
                  RowBox[{"{", "1.", "}"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"a", "=", 
                   RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                   "a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "=", 
                   SuperscriptBox["2.", 
                    RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"For", "[", 
                   RowBox[{
                    RowBox[{"kk", "=", "0"}], ",", 
                    RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"n", "-", "2"}], "2"], "]"}]}], ",", 
                    RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"n", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Return", "[", "a", "]"}]}]}], "]"}]}], 
              "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"aa", "=", 
             RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"HM", ":=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], 
               RowBox[{" ", "M2", " "}]], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"aa", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "-", 
                  RowBox[{"2", " ", "r"}], "+", "4"}], 
                 "\[RightDoubleBracket]"}]}], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "HM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", " ", "G\[Delta]", " ", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"G\[Delta]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"d1", ",", "d2", ",", "GM"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"d1", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"M", "\[Equal]", "1"}], ",", 
               RowBox[{"-", "0.5"}], ",", "0"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"d2", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"M", "\[Equal]", "2"}], ",", 
               RowBox[{"-", "0.25"}], ",", "0"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"GM", "=", 
             RowBox[{
              RowBox[{"d1", "*", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
              "+", 
              RowBox[{"d2", "*", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "2", 
                "\[RightDoubleBracket]"}]}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "GM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"\[Delta]", "=", 
         RowBox[{"-", 
          RowBox[{"G\[Delta]", "[", 
           RowBox[{"k", "+", "j"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"j", "\[Equal]", 
           RowBox[{"k", "-", "2"}]}], ",", 
          RowBox[{"\[Delta]", "=", 
           RowBox[{"\[Delta]", "+", 
            RowBox[{"H\[Delta]", "[", "0", "]"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"j", "<", 
             RowBox[{"k", "-", "2"}]}], ",", 
            RowBox[{"\[Delta]", "=", 
             RowBox[{"\[Delta]", "+", 
              RowBox[{"2", " ", 
               RowBox[{"H\[Delta]", "[", 
                RowBox[{"k", "-", "j", "-", "2"}], "]"}]}], "+", 
              RowBox[{"G\[Delta]", "[", 
               RowBox[{"k", "-", "j", "-", "2"}], "]"}]}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Delta]", "=", 
             RowBox[{"\[Delta]", "-", 
              RowBox[{"G\[Delta]", "[", 
               RowBox[{"j", "-", "k", "+", "2"}], "]"}]}]}]}], "]"}]}], "]"}],
         ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Delta]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", " ", "FckTUP", " ", 
     "**", "**", "**"}], "******)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckTUP", "[", 
      RowBox[{"ff_", ",", "n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "bS", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"===", "===", "===", "===", "===", "===", "==="}], "="}], 
         "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "-", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Delta]jk", "[", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}], ",", "p"}], "]"}]}]}]}], 
                "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"===", "===", "===", "===", "===", "===", "==="}], "="}], 
          "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"bSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bM", ",", "mm", ",", "f"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"fjU", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], 
           StyleBox["\[IndentingNewLine]",
            FontFamily->"Courier New"], 
           RowBox[{
            RowBox[{
             RowBox[{"fjU", "[", 
              RowBox[{"fu_", ",", "m_"}], "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"ft", ",", "G", ",", "x", ",", "k", ",", "j"}], "}"}],
                ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ft", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"x", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", "k"}], "-", "1."}], 
                    RowBox[{
                    RowBox[{"2", "m"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"G", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "0"}], ",", 
                  RowBox[{"j", "\[LessEqual]", "m"}], ",", 
                  RowBox[{"j", "++"}], ",", 
                  RowBox[{
                   RowBox[{"G", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    FractionBox["1.", 
                    RowBox[{"m", "+", "1."}]], " ", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"k", "=", "1"}], 
                    RowBox[{"m", "+", "1"}]], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], "*", 
                    RowBox[{"ChebyshevT", "[", 
                    RowBox[{"j", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "0"}], ",", 
                  RowBox[{"j", "\[LessEqual]", 
                   RowBox[{"m", "-", "2"}]}], ",", 
                  RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"ft", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    RowBox[{"G", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "-", 
                    RowBox[{"G", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "ft", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}],
                  "=", 
                 RowBox[{
                 "G", "\[LeftDoubleBracket]", "m", 
                  "\[RightDoubleBracket]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"ft", "\[LeftDoubleBracket]", 
                  RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                 RowBox[{"G", "\[LeftDoubleBracket]", 
                  RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"bM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"mm", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"f", "=", 
             RowBox[{"fjU", "[", 
              RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"mm", "=", "1"}], ",", 
              RowBox[{"mm", "\[LessEqual]", "n"}], ",", 
              RowBox[{"mm", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
               "bM", "\[LeftDoubleBracket]", "mm", "\[RightDoubleBracket]"}], 
               "=", 
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"mm", "+", "1"}], "\[RightDoubleBracket]"}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "bM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"===", "===", "===", "===", "===", "===", "==="}], "="}], 
          "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"bS", "=", "bSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"LinearSolve", "[", 
          RowBox[{"aS", ",", "bS"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.678789184716631*^9, {3.6787892186934905`*^9, 3.678789220222293*^9}, {
   3.6787898657194276`*^9, 3.6787899823920326`*^9}, 3.678790133837098*^9, {
   3.6787902166576443`*^9, 3.6787902392308836`*^9}, {3.6787903388058586`*^9, 
   3.6787903432518663`*^9}, {3.6787904411888385`*^9, 3.6787904420000396`*^9}, 
   3.6787917557211475`*^9, 3.6787920188000097`*^9, 3.67879206427409*^9, 
   3.6788001625056906`*^9, {3.6788002871655097`*^9, 3.6788002944351225`*^9}, {
   3.6788003376627984`*^9, 3.678800340892004*^9}, 3.6788008024968147`*^9, {
   3.6788012552668614`*^9, 3.6788012554384613`*^9}, 3.678801320147375*^9, {
   3.6788014614968243`*^9, 3.6788014898420744`*^9}, 3.6788017566101437`*^9, 
   3.6788022880718765`*^9, {3.678802340378769*^9, 3.6788023524375896`*^9}, {
   3.678802422528513*^9, 3.6788024415449467`*^9}, {3.678802485147023*^9, 
   3.6788025007002506`*^9}, {3.678802732391857*^9, 3.6788027512678905`*^9}, {
   3.678802813028399*^9, 3.6788028188160095`*^9}, {3.678802903024957*^9, 
   3.6788029032745576`*^9}, {3.6788029860483027`*^9, 
   3.6788030069055395`*^9}, {3.6790645705758934`*^9, 3.679064592915925*^9}, {
   3.679064644775997*^9, 3.6790646521060076`*^9}, {3.687255977505685*^9, 
   3.687255982638094*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "TClenshaw", " ", "===", "===", "==="}], 
    "=", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"TClenshaw", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"b", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", 
             RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", 
           RowBox[{"na", "-", "1"}]}], ",", 
          RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
          RowBox[{"k", "--"}], ",", " ", 
          RowBox[{
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"a", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
            RowBox[{"2", " ", "x", " ", 
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
            RowBox[{"b", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{
          RowBox[{"b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
           "-", 
          RowBox[{"x", " ", 
           RowBox[{
           "b", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}]}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "TClenshawArr", " ", "===", "===", 
      "==="}], "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"TClenshawArr", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nx", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
          RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"k", "=", 
              RowBox[{"na", "-", "1"}]}], ",", 
             RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"k", "--"}], ",", " ", 
             RowBox[{
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{
               RowBox[{"a", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
               RowBox[{"2", " ", 
                RowBox[{
                "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
                " ", 
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
            RowBox[{
             RowBox[{
             "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "-", 
             RowBox[{
              RowBox[{
              "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
              " ", 
              RowBox[{
              "b", "\[LeftDoubleBracket]", "2", 
               "\[RightDoubleBracket]"}]}]}]}], ";"}]}], 
         "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xArr", "[", 
      RowBox[{"a0_", ",", "h_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "x"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"a0", "+", 
            RowBox[{"k", "*", "h"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "x", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"uArr", "[", 
      RowBox[{"fu_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "y", ",", "len"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"len", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"fu", "[", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "len"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " "}]}]], "Input",
 CellChangeTimes->{{3.6787891219889207`*^9, 3.678789131816938*^9}, {
   3.6788013608166466`*^9, 3.6788013720954666`*^9}, {3.6790645717158947`*^9, 
   3.679064593915926*^9}, 3.6793722771618795`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
    RowBox[{"FXi", " ", "===", "===", "===", 
     RowBox[{"==", 
      RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"FXi", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "z_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"rez", ",", "Rez"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{"g", "  ", 
              RowBox[{"Log", "[", 
               FractionBox[
                RowBox[{"z", "-", "1"}], 
                RowBox[{"z", "+", "1"}]], "]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXiPlus", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXiPlus", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"r", ",", "rr"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                FractionBox["1", "2"]}], " ", 
               RowBox[{"Log", "[", "G", "]"}]}], "+", 
              RowBox[{"g", "  ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"1", "-", "x"}], 
                 RowBox[{"1", "+", "x"}]], "]"}]}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.678789503221591*^9, 3.6787895295388374`*^9}, {
  3.6788018822215643`*^9, 3.678801884405568*^9}, {3.678881686684168*^9, 
  3.6788817008801928`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "==="}], "=", " ", 
     RowBox[{"Zab", " ", "===", "===", "===", "==="}]}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{
     "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "rez", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"rez", "=", 
        FractionBox[
         RowBox[{"FXiPlus", "[", 
          RowBox[{
          "a", ",", "b", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
          "]"}], 
         RowBox[{"a", "-", "b"}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.678789079946847*^9, {3.6787893283928833`*^9, 3.6787893506541224`*^9}, {
   3.6787894806171513`*^9, 3.678789533594844*^9}, {3.6787903861363416`*^9, 
   3.678790393171954*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "\[IndentingNewLine]", "         ", 
   StyleBox[
    RowBox[{
     RowBox[{
     "\:041c\:043e\:0434\:0435\:043b\:044c\:043d\:044b\:0439", " ", 
      "\:043f\:0440\:0438\:043c\:0435\:0440"}], 
     StyleBox[" ", "Text",
      FontFamily->"Tahoma",
      FontSize->18,
      FontColor->RGBColor[1, 0, 1]], 
     StyleBox["\[IndentingNewLine]", "Text",
      FontFamily->"Tahoma",
      FontSize->18,
      FontColor->RGBColor[1, 0, 1]], 
     RowBox[{"\:0421\:0418\:0423", " ", "\:0441", " ", 
      StyleBox[
       RowBox[{
        StyleBox["\:043a\:043e", "Text",
         FontFamily->"Cambria",
         FontSize->18,
         FontColor->RGBColor[1, 0, 1]], 
        "\:043c\:043f\:043b\:0435\:043a\:0441\:043d\:044b\:043c\:0438"}]], 
      " ", "\:043a\:043e\:044d\:0444\:0444\:0438\:0446\:0438\:0435\:043d\:0442\
\:0430\:043c\:0438"}]}], "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"v", "=", 
     RowBox[{
      FractionBox["\[Pi]", "4."], "*", 
      RowBox[{"(", 
       RowBox[{"1", "-", "\[ImaginaryI]"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fa", "=", 
     RowBox[{"Cos", "[", "v", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fb", "=", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], "  ", 
      RowBox[{"Sin", "[", "v", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       "\[Kappa]"}], "}"}], "=", 
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"fa", ",", "fb", ",", "2"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXi2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXiM2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       RowBox[{"-", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"az", ":=", "FXi2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fxar", "[", "x_", "]"}], ":=", 
     RowBox[{"1", "+", 
      FractionBox["az", 
       RowBox[{"x", "-", "2"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], ":=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cz", ":=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"4", "*", "fb"}]], "*", 
      RowBox[{"(", 
       RowBox[{"4", "+", "FXiM2", "-", "FXi2"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fk", "[", 
      RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["\[ImaginaryI]", 
       RowBox[{"x", "-", "2"}]], "*", 
      FractionBox["1", 
       RowBox[{"t", "+", "2"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"freg", "[", "x_", "]"}], ":=", 
     FractionBox[
      RowBox[{"cz", "*", "\[ImaginaryI]"}], 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"freg", "[", "x", "]"}], "+", 
      RowBox[{"fxar", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", "25"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pp", "=", 
     RowBox[{"FpC", "[", 
      RowBox[{"fa", ",", "fb", ",", "2", ",", 
       RowBox[{
        RowBox[{"2", "*", "n"}], "+", "1"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalOmega]\[CapitalOmega]", "=", 
     RowBox[{"\[CapitalOmega]UTTM1", "[", 
      RowBox[{"fk", ",", "n", ",", "pp", ",", "fa", ",", "fb"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ck\[Delta]", "=", 
     RowBox[{"FckTUP", "[", 
      RowBox[{
      "f", ",", "n", ",", "pp", ",", "\[CapitalOmega]\[CapitalOmega]"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"-", "0.99"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hh", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b0", "=", "0.99"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kk", "=", 
     RowBox[{"Floor", "[", 
      FractionBox[
       RowBox[{"b0", "-", "a0"}], "hh"], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xx", "=", 
     RowBox[{"xArr", "[", 
      RowBox[{"a0", ",", "hh", ",", "kk"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"yy", "=", 
     RowBox[{"TClenshawArr", "[", 
      RowBox[{"ck\[Delta]", ",", "xx"}], "]"}]}], " ", ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zz", "=", 
     RowBox[{"uArr", "[", 
      RowBox[{"ut", ",", "xx"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<eps=\>\"", ",", 
      RowBox[{"Max", "[", 
       FractionBox[
        RowBox[{"Abs", "[", 
         RowBox[{"yy", "-", "zz"}], "]"}], 
        RowBox[{"Abs", "[", "zz", "]"}]], "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"**", "**", "**", "**", "**", "**", "**"}], "*", " ", "obM1"}], 
     " ", "****************)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"obM1", "[", 
      RowBox[{"n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "aS1", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
         "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "0", ",", 
                 RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "-", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Delta]jk", "[", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}], ",", "p"}], "]"}]}]}]}], "]"}], 
               ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"aS1", "=", 
         RowBox[{"Inverse", "[", "aS", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{
          RowBox[{"Norm", "[", "aS", "]"}], "*", 
          RowBox[{"Norm", "[", "aS1", "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Obysl=\>\"", ",", 
      RowBox[{"obM1", "[", 
       RowBox[{"n", ",", "pp", ",", "\[CapitalOmega]\[CapitalOmega]"}], 
       "]"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Quit", "[", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.6787889780474677`*^9, {3.6787893199688683`*^9, 3.678789344320511*^9}, {
   3.6787896437934375`*^9, 3.6787896471318436`*^9}, {3.6787897862216883`*^9, 
   3.6787897962681055`*^9}, {3.6787902921617765`*^9, 3.6787903040801973`*^9}, 
   3.67879040225117*^9, {3.678791097618392*^9, 3.67879110785201*^9}, {
   3.678791362304057*^9, 3.6787913660480633`*^9}, {3.6787916001888742`*^9, 
   3.67879160338688*^9}, {3.678795154391101*^9, 3.678795188570761*^9}, 
   3.678800468593828*^9, {3.6788005083270984`*^9, 3.6788005500883713`*^9}, 
   3.678800659444564*^9, {3.6788008860037613`*^9, 3.678800908811002*^9}, {
   3.678801255017261*^9, 3.6788012550796614`*^9}, 3.6788013889902964`*^9, 
   3.6788016445395465`*^9, {3.678801984542144*^9, 3.678802002310575*^9}, {
   3.6788022446258006`*^9, 3.6788022553274193`*^9}, 3.67880265412652*^9, 
   3.678802868923297*^9, {3.6788030551564245`*^9, 3.678803057824029*^9}, {
   3.679373782064926*^9, 3.67937380151816*^9}, {3.6799774639992857`*^9, 
   3.679977473218902*^9}, {3.68725599159251*^9, 3.6872559921385107`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"eps=\"\>", "\[InvisibleSpace]", "3.761918172149313`*^-13"}],
  SequenceForm["eps=", 3.761918172149313*^-13],
  Editable->False]], "Print",
 CellChangeTimes->{3.6800518206333637`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Obysl=\"\>", "\[InvisibleSpace]", "2032.212325160029`"}],
  SequenceForm["Obysl=", 2032.212325160029],
  Editable->False]], "Print",
 CellChangeTimes->{3.6800518208517637`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"un", "[", "x_", "]"}], ":=", 
   RowBox[{"TClenshaw", "[", 
    RowBox[{"ck\[Delta]", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]n", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
     "]"}], " ", 
    RowBox[{"un", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
     "]"}], " ", 
    RowBox[{"ut", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tab1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"un", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}], " ", "-", " ", 
           RowBox[{"ut", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], ")"}], "/", 
         RowBox[{"ut", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListLinePlot", "[", "tab1", "]"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tab2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Phi]", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}], " ", "-", " ", 
           RowBox[{"\[Phi]n", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], ")"}], "/", 
         RowBox[{"\[Phi]", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", "tab2", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quit", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.678630534599599*^9, {3.678631120023432*^9, 3.678631121474234*^9}, {
   3.67876809995408*^9, 3.6787681124029016`*^9}, 3.678778871667599*^9, 
   3.6787888247459984`*^9, {3.6788007162130632`*^9, 3.678800719411069*^9}, 
   3.6788012551108613`*^9, 3.6788013826878853`*^9, {3.679064573025897*^9, 
   3.6790645944059267`*^9}, {3.6790646782560444`*^9, 3.6790646806760473`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.8830464001002485, 2.871349811775148*^-14}, {-0.88, 
      2.3768105352036228`*^-14}, {-0.87, 6.6468799704596744`*^-15}, {-0.86, 
      1.247716169610386*^-14}, {-0.85, 
      2.3856509372254966`*^-14}, {-0.8409834652302011, 
      2.871349811775148*^-14}}], LineBox[CompressedData["
1:eJw9VglUU9cWTULCkDBEjQNSNU4IVL8zAn3XI3UABWUQxVrst4qKv6CIoILi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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.98}, {0, 2.871349811775148*^-14}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0394, 0.0394}, {5.742699623550296*^-16, 
   5.742699623550296*^-16}}]], "Output",
 CellChangeTimes->{3.67880290472536*^9, 3.678802948639437*^9, 
  3.678803037559593*^9, 3.6788817278214397`*^9, 3.679064704686081*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.8830684528877479, 2.8734997655273215`*^-14}, {-0.88, 
      2.378162545148252*^-14}, {-0.87, 6.64951301754223*^-15}, {-0.86, 
      1.2415374622752802`*^-14}, {-0.85, 
      2.3913026004401118`*^-14}, {-0.8410131256932339, 
      2.8734997655273215`*^-14}}], LineBox[CompressedData["
1:eJw9Vgs0lGsXnjHMkXEJI5WyknIp0irR5XttTom/sxKl+9Q5KZdyOkmXv+SU
OvQrlZR0myNObilOF5X+1OtWqoPD7xIiZoyMuwyZ3ObP973fedeaNWvW983z
7v08ez97m/nsW+urxuFwnnz7jH/Pi5fvuXimHZvqJPxgYTsDIa33t4NQO7Z/
Fvhw9S0T1OmVbRrR0YblPf8a+TtYiG5cHz9tuPVeGnZHOshdEiLMdGvDZw8e
e/unvgB9sRJF5w/IceHuFWc3X9dFSUHjiHKs11Np2HNkIlo7Duclxyei8uoC
rHURhz5y3D06rVKk0kCZbuOArTh0/qKVi2MGqXE0K1ErrnvgCp0nByg6PK1W
nJSwNyFJg49ouOxPOGNWuFekoT7yo88nnNnTUJVVb4SENOAnbH6gsPN1w2Q0
jhad34KV6VJH25lTER1eUAu2P/Ysri93CqLhTFvww9hS5dYNk1ExfWTYcfO0
HPtrk1AIDSjDnfkG0/67zghZ0wHKsHiXpTtVIER0eO+bsZbJLm/LNCGi4SKa
sbaOc5dFoxAtpE8z3ldvlqS8JUQ0fRIpvro6xir1tiGi042WYqeiJmt3kT5y
ohOWYrt6YcbJRm2ihwQr3Tq4bbUaRA8Jzlge4yK6NEoxekjw6zVdPXYPBihG
jyYceFg0cKplmGL0aMLLEvMVKUt5RI8m3Ne/fPRxhSbRowmXB/rttSzQRgz/
jdjRYY1XwEddwvdHrPPI/6qPSpfw+xGrxsKCMkx1CJ8N2KnuXDyVrkX4q8ez
Q4xezfxOE9HhWNVj8ae/XIaFfBRO8/MBL/3QULlxER810eHX4RsRqo6bHt+R
/Otw0VD1zadRE0i+tVh38lnfdmDrrQY3BvCvBbzSJvnU4AyHMt+f/LVJPb3H
G31vKRXrBUx5a73H5odsPq+9qEnqpRrL6mb9J1pDg9RHFZbME3sJy7mkHqpw
yKS3xbMWqChG/0ocVD53NBg4qJqGq8A2HZFPtjzmoQW0vhVYw457rFXKRxdo
wP9hI+llPQdzAdGvHC/8Xjh1zFeX9E85PrX8cXf8t/5g9CnDY2aON1XdE4ke
ZXiodfY2CyN9wn8pNul6W1MSMZHwXYJLXrnKVu3VI/wWY3P/XqNHLTqEz3d4
uskRe+ft2ugazd9bvFOxQrJyoQB50oBvsGvFdk7fKgHSpPkpwh25gl1aIQKU
S/PxCrs4vvzrfIoAHaHzL8QvYp51Bj4WIHs63wIcB3FJtRZsfnk43c9lgdRK
i+STizVzDYKPX9Ik8b/EYvcrp2Lva5B4czAn5G6IY44aie8ZFnuaSL3/UFFM
PE+xYIKdaMnIEMXcn4VDf+bnK7Z8peT0fQ+wytmkdU/lEHWfxs/EdzzuLTnn
qaIu0nh38GuXlPnZhmooiP5/Er6b4vFr31V1lEu/H4/DVix5JzfkozD6eSwe
9FkZav2O/R2Ot3keLO5V8IkeHA5fLZvX+/Sf5zBnd6a7qlmD/T/YtjmHt2X9
gw+ibXuSS3jq5HkSnDOZ5/WijIcSmPigcv2c88susO9nQv7tlHunDTVQL5Mf
6Kn5KHZNZe/Lguouk1RxHx9NZPiB3cpJqZO6+QTvGRyoiB/pduSj+Qy/YHxc
WramWIPgv4RVR/4WbHiqhtIYfUDcEHnMo4RD7suDqLTQkz+Vj1CLGX3Bb7dy
VfK+LxRzfyEY+m5xqAtWUKQ+4HmOdscZtX6iVxHE7is6bTZ9kCL1BbZS5+2F
vUMUqT+o+uGMwXHxKEXqE5Q3+F6jdzhs/cIyb5MPvzdx2fqGLm89+V0bNbb+
4VDVzs9H+Vy2P+B3W6675xYO2z9gl9B7v16mIn5YDnmR7dbp9iqK9B88F734
hTuJgy4y/QnhHvvSEi9ySD1XwKWF4bzcFC6qYfobtLPMndNP8FAo0/+g45QZ
YDnKQzMYf4DkyW4Sbro6KmT8A3KmcyNPpfNQAOMv4LMgpPmNlxrSZvwHDLqm
Gecac9B9xp9ApUief+vrEOXN+Bf4xi/dUFL2hVIy/gYzSx/WWO5QUGLG/yA8
MG+Tyfk+ypnxR3hS9WDUbP0A4bMOzG1LZVcCv1LEXyF1cnuOYsUoRfwXtCqv
Dy+YxWH9GY4WdZ1rX8Nh/RuG0jk9dXkc1t9h0MmtL+Myh/V/uFc/zcsgdozM
50Y4cMFlv1vKKEXmB0wdvlrtP3OMIvMFxlzbfMRbVez8gRqj46K4TVzi302Q
/yBhLPBPNeKHElhWuv/N1K08dr5Brfy0XbiuOjv/QCM3K6zxNx47H+HQbI/L
V9ZxiZ5S6OhwjcnuHaOkzHwFcdCbnTemDFGMvs1g0fX8REFhP3Wamc9w8ud7
/36sr6AYvZthZ5R3aDLqp+Yw8x1G0uZMOPzjAMXoLwNx7JKiwSolVcrsB2C8
MWbo1PqvFFMPLSDL8im4VPWVCmb2C7h8cO2j1CdfKLJ/QJzpXEVvbD9F9hOQ
7O8JcXrfT5H9BfbYJi5MrB+kyH4DjbzXDoExw+z+AzbefgXeh1j+WyGuKsx6
jlRFkf0JFIk6UTtuqIgecljnI1vWazlC9JCDwZTcaynVA0QPOfyS96ne1LGP
7AtyiE7c+VHa00f6pw0MHRKkS+uVFNn/oLJ2x+bC0THST23wYan+O5ERl+jR
DtFhtZVBm9j+aodMRePeN36sHu2w+OiVH2XXh4keHTCjKft8xGoV0aMDknof
pQdEq5H+64C41GSvqG/zmdGjE34bWnOhWKJO+rETznmYdeb8ykWMHp2w0Yyr
NzeS1aMLXP+wtQp+NEL06II9R7Z57rJRJ/O+C7oP3100fJlP6r0bLNZvFEUY
88l+0A1KF5n/4CA7v7pBPq/3ysQ4A7JP9IBNlfUT/23GZF/qgYbP+G6BiRD9
H5WxmM4=
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.98}, {0, 2.8734997655273215`*^-14}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0394, 0.0394}, {5.746999531054643*^-16, 
   5.746999531054643*^-16}}]], "Output",
 CellChangeTimes->{3.67880290472536*^9, 3.678802948639437*^9, 
  3.678803037559593*^9, 3.6788817278214397`*^9, 3.6790647048060813`*^9}]
}, Open  ]]
},
WindowSize->{707, 648},
WindowMargins->{{Automatic, 18}, {Automatic, 19}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 13469, 277, 665, "Input"],
Cell[14029, 299, 15917, 363, 1534, "Input"],
Cell[29949, 664, 19492, 437, 1791, "Input"],
Cell[49444, 1103, 6920, 175, 592, "Input"],
Cell[56367, 1280, 5208, 134, 733, "Input"],
Cell[61578, 1416, 1071, 30, 143, "Input"],
Cell[CellGroupData[{
Cell[62674, 1450, 10821, 277, 1144, "Input"],
Cell[CellGroupData[{
Cell[73520, 1731, 231, 5, 23, "Print"],
Cell[73754, 1738, 225, 5, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[74028, 1749, 3155, 86, 192, "Input"],
Cell[77186, 1837, 3817, 68, 244, "Output"],
Cell[81006, 1907, 3818, 68, 244, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
