(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     81248,       1927]
NotebookOptionsPosition[     80426,       1897]
NotebookOutlinePosition[     80770,       1912]
CellTagsIndexPosition[     80727,       1909]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "F\[Kappa]C", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "t", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "g", ",", "\[Alpha]", 
         ",", "\[Beta]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g", "=", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"2.", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
          RowBox[{"Log", "[", 
           FractionBox[
            RowBox[{"a", "-", "b"}], 
            RowBox[{"a", "+", "b"}]], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"t", "=", 
         RowBox[{"Re", "[", " ", "g", "]"}]}], " ", ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", "t", "]"}], "<", 
           SuperscriptBox["10", 
            RowBox[{"-", "16"}]]}], ",", 
          RowBox[{"Return", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<Not\>\"", ",", "\"\<Not\>\"", ",", "\"\<Not\>\""}], 
            "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"klass", "==", "1"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Kappa]2", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "-", "t"}], "]"}]}], ";", 
            RowBox[{"\[Kappa]1", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"klass", "==", "2"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[Kappa]2", "=", 
               RowBox[{"Floor", "[", 
                RowBox[{"-", "t"}], "]"}]}], ";", 
              RowBox[{"\[Kappa]1", "=", 
               RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"klass", "==", "3"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"\[Kappa]2", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"-", "t"}], "]"}]}], ";", 
                RowBox[{"\[Kappa]1", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"klass", "\[Equal]", "4"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\[Kappa]2", "=", 
                   RowBox[{"Floor", "[", 
                    RowBox[{"1", "-", "t"}], "]"}]}], ";", 
                  RowBox[{"\[Kappa]1", "=", 
                   RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", "None"}],
                "]"}]}], "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Alpha]", "=", 
         RowBox[{"g", "-", "\[Kappa]1"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Beta]", "=", 
         RowBox[{
          RowBox[{"-", "g"}], "-", "\[Kappa]2"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"{", " ", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
           RowBox[{"\[Kappa]1", "+", "\[Kappa]2"}]}], "}"}], "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FpC", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FpC", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_", " ", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{
        "p", ",", "g", ",", "v", ",", "k", ",", "i", ",", "cp", ",", 
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
         "\[Kappa]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",",
            "\[Kappa]"}], "}"}], "=", 
         RowBox[{"F\[Kappa]C", "[", 
          RowBox[{"a", ",", "b", ",", "klass"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Kappa]", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"\[Kappa]", "<", "0"}], ",", 
           RowBox[{"-", "\[Kappa]"}], ",", "\[Kappa]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"g", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"v", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"p", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "\[Kappa]"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"g", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"g", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"g", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"i", "-", "\[Alpha]"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"v", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"v", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"v", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"\[Beta]", "-", "i"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "0"}], ",", 
          RowBox[{"k", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"k", "++"}], ",", 
          RowBox[{
           RowBox[{"p", "\[LeftDoubleBracket]", 
            RowBox[{"\[Kappa]", "+", "k", "+", "1"}], 
            "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            UnderoverscriptBox["\[Sum]", 
             RowBox[{"i", "=", "0"}], "k"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"g", "\[LeftDoubleBracket]", 
               RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
              RowBox[{"v", "\[LeftDoubleBracket]", 
               RowBox[{"k", "-", "i", "+", "1"}], "\[RightDoubleBracket]"}]}],
              ")"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "p", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6763012402617617`*^9, 3.67630129040025*^9}, 
   3.67630133574953*^9, {3.676301371551593*^9, 3.676301463841355*^9}, {
   3.676301514260643*^9, 3.676301705548179*^9}, {3.6763017388542376`*^9, 
   3.6763019744614515`*^9}, {3.676302012946719*^9, 3.6763021015392747`*^9}, 
   3.6763021460313535`*^9, {3.676302209039864*^9, 3.6763022481491327`*^9}, {
   3.676302342841299*^9, 3.6763023589873276`*^9}, {3.676302441683073*^9, 
   3.6763024466906815`*^9}, {3.676302477687936*^9, 3.676302506766387*^9}, {
   3.6763025558440733`*^9, 3.6763025605552816`*^9}, {3.676302593315339*^9, 
   3.6763025952653427`*^9}, {3.676302631005005*^9, 3.676303078444991*^9}, {
   3.6763034530640492`*^9, 3.676304064959524*^9}, {3.6763041803841267`*^9, 
   3.6763041908205447`*^9}, {3.676304233096619*^9, 3.6763042338454204`*^9}, {
   3.6763042663402777`*^9, 3.676304271129486*^9}, {3.6763043093651533`*^9, 
   3.6763043243255796`*^9}, {3.676304358442839*^9, 3.6763043851812863`*^9}, {
   3.6763371956588154`*^9, 3.6763373281342483`*^9}, {3.6763373790371375`*^9, 
   3.676337379848339*^9}, {3.676337410471193*^9, 3.6763374473964577`*^9}, 
   3.6763374791425133`*^9, {3.6763375594202547`*^9, 3.676337568749071*^9}, 
   3.6763376214771633`*^9, {3.6763377018485045`*^9, 3.6763377833430476`*^9}, {
   3.6763378352599387`*^9, 3.6763378360087404`*^9}, {3.6763378800632176`*^9, 
   3.6763378818260207`*^9}, {3.676337937143718*^9, 3.676337948141737*^9}, {
   3.6763379972194233`*^9, 3.6763381025820084`*^9}, {3.676338243611057*^9, 
   3.6763382746863112`*^9}, {3.6763386145329084`*^9, 3.676338644578561*^9}, 
   3.6763387004422593`*^9, {3.6763388018816385`*^9, 3.676338861723344*^9}, {
   3.6763390489108725`*^9, 3.6763391602794685`*^9}, {3.676339231377993*^9, 
   3.6763392369316034`*^9}, {3.6763393804286556`*^9, 
   3.6763394207079268`*^9}, {3.676340433932106*^9, 3.6763404631821575`*^9}, {
   3.6763404995926213`*^9, 3.6763406448288765`*^9}, {3.676340675826131*^9, 
   3.676340687338951*^9}, {3.676340816444778*^9, 3.6763408387684174`*^9}, {
   3.6763410720884275`*^9, 3.6763411295745287`*^9}, 3.6763412087602673`*^9, {
   3.67634126716677*^9, 3.6763412863236036`*^9}, {3.676341331813284*^9, 
   3.6763413367584925`*^9}, {3.6763413685201483`*^9, 
   3.6763414108898225`*^9}, {3.676341474366334*^9, 3.6763415208232155`*^9}, {
   3.6763415713361044`*^9, 3.676341572225306*^9}, {3.676341906700019*^9, 
   3.6763419069028196`*^9}, {3.676342036429847*^9, 3.6763420388166513`*^9}, {
   3.676342162337668*^9, 3.6763421625560684`*^9}, 3.676342245361014*^9, {
   3.676342388896866*^9, 3.6763423892556667`*^9}, {3.6763425304827147`*^9, 
   3.6763425418707347`*^9}, {3.67634261910647*^9, 3.676342639776507*^9}, {
   3.6763427193834467`*^9, 3.6763427529235053`*^9}, 3.6763429034169693`*^9, {
   3.676343213951115*^9, 3.6763432438095675`*^9}, 3.6763434400891123`*^9, {
   3.676343804084552*^9, 3.676343812212166*^9}, {3.6763458404029284`*^9, 
   3.676345880635399*^9}, {3.6763459470603156`*^9, 3.6763459592595367`*^9}, {
   3.6763460062624197`*^9, 3.6763460197408433`*^9}, {3.676346052672501*^9, 
   3.6763460862905602`*^9}, {3.676346619291607*^9, 3.676346684905322*^9}, 
   3.676346790595508*^9, {3.6763468831192703`*^9, 3.6763468854592743`*^9}, {
   3.676347583678107*^9, 3.676347586298911*^9}, {3.676347671974262*^9, 
   3.676347706731123*^9}, {3.676431125875518*^9, 3.6764311589319763`*^9}, {
   3.6764311918012342`*^9, 3.67643121811848*^9}, {3.676432439179425*^9, 
   3.6764324399594264`*^9}, {3.6764325088959475`*^9, 
   3.6764325095043488`*^9}, {3.6764325459460125`*^9, 3.676432571592458*^9}, {
   3.6764326209041443`*^9, 3.676432621512545*^9}, {3.676432670496631*^9, 
   3.6764326740378375`*^9}, {3.6764328274985075`*^9, 3.6764328306653132`*^9}, 
   3.676432879290599*^9, {3.6764478321522374`*^9, 3.6764479095751734`*^9}, {
   3.6764479564144564`*^9, 3.676447957490858*^9}, {3.676448107812722*^9, 
   3.6764481182959404`*^9}, {3.6764487331086206`*^9, 3.676448742655837*^9}, {
   3.676448774417493*^9, 3.6764488345711985`*^9}, 3.678355840670622*^9, {
   3.6786303411904593`*^9, 3.6786303521728783`*^9}, {3.678630496972333*^9, 
   3.678630497346733*^9}, {3.6786305309959927`*^9, 3.6786305517596292`*^9}, {
   3.678695051466916*^9, 3.6786950541345205`*^9}, 3.6787672433097754`*^9, 
   3.6787672861630507`*^9, 3.678767374053605*^9, {3.6787674454549303`*^9, 
   3.678767445844931*^9}, {3.678767543407502*^9, 3.67876755906993*^9}, {
   3.6787676112364216`*^9, 3.6787676329048595`*^9}, {3.678767689392559*^9, 
   3.678767708830193*^9}, {3.6787677628374877`*^9, 3.678768108393695*^9}, {
   3.678768160809787*^9, 3.678768165286995*^9}, 3.678768265829171*^9, {
   3.678768300835633*^9, 3.678768306436043*^9}, {3.678769045621211*^9, 
   3.6787690607532377`*^9}, {3.6787691184421387`*^9, 3.6787691291281576`*^9}, 
   3.6787786696472445`*^9, {3.67877870704051*^9, 3.6787787314233527`*^9}, {
   3.678778956999749*^9, 3.6787790122394457`*^9}, {3.6787791093184166`*^9, 
   3.6787791467896824`*^9}, 3.6787887147078047`*^9, {3.678788854510851*^9, 
   3.678788879268094*^9}, {3.678788974584262*^9, 3.678788990340289*^9}, 
   3.678789076795641*^9, 3.6787891180733137`*^9, {3.6787891776810184`*^9, 
   3.678789193390246*^9}, {3.678789263512369*^9, 3.6787892813900003`*^9}, {
   3.679045200684165*^9, 3.679045238204217*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
    "===", "===", "===", " ", "\[CapitalOmega]TTUM1", " ", "===", "===", "===",
      "=="}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalOmega]TTUM1", "[", 
     RowBox[{"fk_", ",", "n_", ",", "p_", ",", "a_", ",", "b_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\[Sigma]", ",", "zn", ",", "m", ",", "k", ",", "j", ",", "ss", ",", 
        "\[CapitalOmega]"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
        RowBox[{"Hz", " ", "===", "===", "===", "===", 
         RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Hz", "[", "MM_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
            RowBox[{"H", " ", "===", "===", "===", "===", 
             RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"H", "[", "M_", "]"}], ":=", 
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"bbb", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              StyleBox[
               RowBox[{"(*", 
                RowBox[{
                "===", "===", "===", " ", "bkn", " ", "===", "===", "===", 
                 "=="}], "*)"}],
               FontFamily->"Courier New"], 
              StyleBox["\[IndentingNewLine]",
               FontFamily->"Courier New"], 
              RowBox[{
               RowBox[{
                RowBox[{"bkn", "[", "nn_", "]"}], ":=", 
                RowBox[{"Module", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"bb", ",", "mm", ",", "kk"}], "}"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"bb", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0.", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    "bb", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "=", 
                    SuperscriptBox["2.", "nn"]}], ";", "\[IndentingNewLine]", 
                   RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"kk", "=", "1"}], ",", 
                    RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}]}], ",", 
                    RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"nn", "+", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"bb", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "bb", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Return", "[", "bb", "]"}]}]}], 
                 "\[IndentingNewLine]", "]"}]}], ";", " ", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"M", "\[Equal]", "0"}], ",", 
                 RowBox[{"Return", "[", "0.", "]"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"bbb", "=", 
                RowBox[{"bkn", "[", 
                 RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"M2", "=", 
                RowBox[{"Floor", "[", 
                 FractionBox[
                  RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"h", "=", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"r", "=", "0"}], "M2"], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"bbb", "\[LeftDoubleBracket]", 
                    RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                   RowBox[{"p", "\[LeftDoubleBracket]", 
                    RowBox[{"M", "+", "3", "-", 
                    RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}]}], 
                  ")"}]}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"Return", "[", "h", "]"}]}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{"===", "=="}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"MM", "\[GreaterSlantEqual]", "0"}], ",", 
             RowBox[{"Return", "[", 
              RowBox[{"H", "[", 
               RowBox[{"MM", "+", "1"}], "]"}], "]"}], ",", 
             RowBox[{"Return", "[", 
              RowBox[{"-", 
               RowBox[{"H", "[", 
                RowBox[{
                 RowBox[{"-", "MM"}], "-", "1"}], "]"}]}], "]"}]}], "]"}]}]}],
          "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", " ", "\[Sigma]mjTT", " ", "===", "===", "===", 
          "=="}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[Sigma]mjTT", "[", 
         RowBox[{"ffk_", ",", "nnn_"}], "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
           "x", ",", "T", ",", "\[Sigma]\[Sigma]", ",", "mmm", ",", "kkk", 
            ",", "jjj", ",", "r", ",", "l", ",", "S", ",", "s", ",", 
            "\[Delta]m", ",", "\[Delta]j"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"x", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", "kkk"}], "-", "1."}], 
                 RowBox[{
                  RowBox[{"2", " ", "nnn"}], "+", "2."}]], " ", "\[Pi]"}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"T", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"mmm", ",", "1", ",", 
                RowBox[{"nnn", "+", "3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"\[Sigma]\[Sigma]", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"mmm", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"mmm", "=", "0"}], ",", 
             RowBox[{"mmm", "\[LessEqual]", 
              RowBox[{"nnn", "+", "2"}]}], ",", 
             RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"kkk", "=", "1"}], ",", 
               RowBox[{"kkk", "\[LessEqual]", 
                RowBox[{"nnn", "+", "1"}]}], ",", 
               RowBox[{"kkk", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"T", "\[LeftDoubleBracket]", 
                 RowBox[{
                  RowBox[{"mmm", "+", "1"}], ",", "kkk"}], 
                 "\[RightDoubleBracket]"}], "=", 
                RowBox[{"ChebyshevT", "[", 
                 RowBox[{"mmm", ",", 
                  RowBox[{
                  "x", "\[LeftDoubleBracket]", "kkk", 
                   "\[RightDoubleBracket]"}]}], "]"}]}]}], 
              "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"mmm", "=", "0"}], ",", 
             RowBox[{"mmm", "\[LessEqual]", "nnn"}], ",", 
             RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"\[Delta]m", "=", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"mmm", "\[Equal]", "0"}], ",", "1.", ",", "2."}], 
                "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"jjj", "=", "0"}], ",", 
                RowBox[{"jjj", "\[LessEqual]", "nnn"}], ",", 
                RowBox[{"jjj", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"\[Delta]j", "=", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"jjj", "\[Equal]", "0"}], ",", "1.", ",", "2."}], 
                   "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"S", "=", "0"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"r", "=", "1"}], ",", 
                   RowBox[{"r", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                   RowBox[{"r", "++"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"l", "=", "1"}], ",", 
                    RowBox[{"l", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                    RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{"s", "=", 
                    RowBox[{"s", "+", 
                    RowBox[{
                    RowBox[{"ffk", "[", 
                    RowBox[{
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "l", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "r", 
                    "\[RightDoubleBracket]"}]}], "]"}], " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", "l"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "\[IndentingNewLine]", 
                    "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"S", "=", 
                    RowBox[{"S", "+", 
                    RowBox[{"s", " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"jjj", "+", "1"}], ",", "r"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"\[Sigma]\[Sigma]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", 
                    RowBox[{"jjj", "+", "1"}]}], "\[RightDoubleBracket]"}], 
                  "=", 
                  FractionBox[
                   RowBox[{"\[Delta]m", " ", "\[Delta]j", " ", "S"}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1."}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1."}], ")"}]}]]}]}]}], " ", 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "\[Sigma]\[Sigma]", "]"}]}]}], 
         "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{"===", "=="}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{"zn", "=", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", " ", "a"}], "-", 
           RowBox[{"b", " ", "b"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[CapitalOmega]", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Sigma]", "=", 
        RowBox[{"\[Sigma]mjTT", "[", 
         RowBox[{"fk", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"m", "=", "0"}], ",", 
         RowBox[{"m", "\[LessEqual]", "n"}], ",", 
         RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"k", "=", "0"}], ",", 
           RowBox[{"k", "\[LessEqual]", 
            RowBox[{"n", "-", "1"}]}], ",", 
           RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ss", "=", "0"}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"j", "=", "0"}], ",", 
              RowBox[{"j", "\[LessEqual]", "n"}], ",", 
              RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"ss", "=", 
                RowBox[{"ss", "+", 
                 RowBox[{
                  RowBox[{"\[Sigma]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "\[RightDoubleBracket]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Hz", "[", 
                    RowBox[{"k", "+", "j"}], "]"}], "+", 
                    RowBox[{"Hz", "[", 
                    RowBox[{"k", "-", "j"}], "]"}]}], " ", ")"}]}]}]}], 
               ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"m", "+", "1"}], ",", 
               RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
             FractionBox["ss", "zn"]}], ";"}]}], "]"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "\[CapitalOmega]", "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.6787892688631783`*^9, {3.6787915404563694`*^9, 3.67879154072157*^9}, {
   3.679045201694166*^9, 3.6790452553542414`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Beta]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Beta]jk", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[Beta]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "r\[Beta]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"r\[Beta]", "[", 
          RowBox[{"l_", ",", "M_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aa", ",", "rez", ",", "m"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "===", "===", "===", "===", " ", "akn", " ", "===", "===", "===", 
             "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"n", "\[LessEqual]", "1"}], ",", 
                 RowBox[{"Return", "[", 
                  RowBox[{"{", "1.", "}"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"a", "=", 
                   RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                   "a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "=", 
                   SuperscriptBox["2.", 
                    RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"For", "[", 
                   RowBox[{
                    RowBox[{"kk", "=", "0"}], ",", 
                    RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"n", "-", "2"}], "2"], "]"}]}], ",", 
                    RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"n", "-", "1.", "-", 
                    RowBox[{"2.", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1."}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Return", "[", "a", "]"}]}]}], "]"}]}], 
              "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"l", "\[GreaterEqual]", 
               RowBox[{"Floor", "[", 
                FractionBox["M", "2"], "]"}]}], ",", 
              RowBox[{"Return", "[", "1.", "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"aa", "=", 
             RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rez", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"m", "=", "0"}], "l"], 
              RowBox[{"aa", "\[LeftDoubleBracket]", 
               RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", " ", "H\[Beta]", " ", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"H\[Beta]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"l", ",", "rez", ",", "M2"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rez", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"l", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"r\[Beta]", "[", 
                 RowBox[{"l", ",", "M"}], "]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "+", "2", "-", 
                  RowBox[{"2", " ", "l"}]}], "\[RightDoubleBracket]"}]}], 
               ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", 
             RowBox[{"2.", " ", "rez"}], "]"}], ";"}]}], 
          "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"j", "\[Equal]", "k"}], ",", 
          RowBox[{"\[Beta]", "=", "1."}], ",", 
          RowBox[{"\[Beta]", "=", " ", 
           RowBox[{"H\[Beta]", "[", 
            RowBox[{"k", "-", "j"}], "]"}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Beta]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", " ", "FckUTP"}], 
    " ", "************)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckUTP", "[", 
      RowBox[{"ff_", ",", "n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "bS", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "0", ",", 
                 RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "-", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Beta]jk", "[", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}], ",", "p"}], "]"}]}]}]}], "]"}], 
               ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
            "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"bSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bM", ",", "m", ",", "f"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"fjT", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"fjT", "[", 
              RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"ft", ",", "x", ",", "kk", ",", "jj"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ft", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"x", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", "kk"}], "-", "1."}], 
                    RowBox[{
                    RowBox[{"2", "nn"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 RowBox[{
                  FractionBox["1", 
                   RowBox[{"nn", "+", "1"}]], " ", 
                  RowBox[{
                   UnderoverscriptBox["\[Sum]", 
                    RowBox[{"kk", "=", "1"}], 
                    RowBox[{"nn", "+", "1"}]], 
                   RowBox[{"(", 
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}], "]"}], ")"}]}]}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"jj", "=", "1"}], ",", 
                  RowBox[{"jj", "\[LessEqual]", "nn"}], ",", 
                  RowBox[{"jj", "++"}], ",", 
                  RowBox[{
                   RowBox[{"ft", "\[LeftDoubleBracket]", 
                    RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    FractionBox["2", 
                    RowBox[{"nn", "+", "1"}]], " ", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"kk", "=", "1"}], 
                    RowBox[{"nn", "+", "1"}]], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}], "]"}], " ", 
                    RowBox[{"ChebyshevT", "[", 
                    RowBox[{"jj", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"bM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"f", "=", 
             RowBox[{"fjT", "[", 
              RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
               "bM", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}], 
               "=", 
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], "]"}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "bM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
            "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"bS", "=", "bSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"LinearSolve", "[", 
          RowBox[{"aS", ",", "bS"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.678789184716631*^9, {3.6787892186934905`*^9, 3.678789220222293*^9}, {
   3.6787898657194276`*^9, 3.6787899823920326`*^9}, 3.678790133837098*^9, {
   3.6787902166576443`*^9, 3.6787902392308836`*^9}, {3.6787903388058586`*^9, 
   3.6787903432518663`*^9}, {3.6787904411888385`*^9, 3.6787904420000396`*^9}, 
   3.6787917557211475`*^9, 3.6787920188000097`*^9, 3.67879206427409*^9, {
   3.679045202874168*^9, 3.679045228124203*^9}, {3.6790452669642577`*^9, 
   3.6790452805642767`*^9}, {3.687255921719987*^9, 3.6872559261347947`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "UClenshaw", " ", "===", "===", "==="}], 
    "=", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"UClenshaw", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"b", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", 
             RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", 
           RowBox[{"na", "-", "1"}]}], ",", 
          RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
          RowBox[{"k", "--"}], ",", " ", 
          RowBox[{
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"a", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
            RowBox[{"2", " ", "x", " ", 
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
            RowBox[{"b", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{
         "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "==="}], "=", " ", 
     RowBox[{"UClenshawArr", " ", "===", "===", "===", "\[Equal]"}]}], "*)"}], 
   RowBox[{
    RowBox[{
     RowBox[{"UClenshawArr", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx", ",", "x2"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nx", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
          RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"x2", "=", 
            RowBox[{"2", " ", 
             RowBox[{
             "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]}]}], 
           " ", ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"k", "=", 
              RowBox[{"na", "-", "1"}]}], ",", 
             RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"k", "--"}], ",", " ", 
             RowBox[{
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{
               RowBox[{"a", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
               RowBox[{"x2", "  ", 
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
            RowBox[{
            "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
           ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xArr", "[", 
      RowBox[{"a0_", ",", "h_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "x"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"a0", "+", 
            RowBox[{"k", "*", "h"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "x", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"uArr", "[", 
      RowBox[{"fu_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "y", ",", "len"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"len", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"fu", "[", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "len"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " "}]}]], "Input",
 CellChangeTimes->{{3.6787891219889207`*^9, 3.678789131816938*^9}, {
   3.6790452039741697`*^9, 3.6790452289542046`*^9}, 3.6793722657738595`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
    RowBox[{"FXi", " ", "===", "===", "===", 
     RowBox[{"==", 
      RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"FXi", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "z_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"rez", ",", "Rez"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{"g", "  ", 
              RowBox[{"Log", "[", 
               FractionBox[
                RowBox[{"z", "-", "1"}], 
                RowBox[{"z", "+", "1"}]], "]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXiPlus", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXiPlus", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"r", ",", "rr"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                FractionBox["1", "2"]}], " ", 
               RowBox[{"Log", "[", "G", "]"}]}], "+", 
              RowBox[{"g", "  ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"1", "-", "x"}], 
                 RowBox[{"1", "+", "x"}]], "]"}]}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.678789503221591*^9, 3.6787895295388374`*^9}, {
  3.6788818015315695`*^9, 3.678881815477994*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "==="}], "=", " ", 
     RowBox[{"Zab", " ", "===", "===", "===", "==="}]}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{
     "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "rez", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"rez", "=", 
        FractionBox[
         RowBox[{"FXiPlus", "[", 
          RowBox[{
          "a", ",", "b", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
          "]"}], 
         RowBox[{"a", "-", "b"}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.678789079946847*^9, {3.6787893283928833`*^9, 3.6787893506541224`*^9}, {
   3.6787894806171513`*^9, 3.678789533594844*^9}, {3.6787903861363416`*^9, 
   3.678790393171954*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "\[IndentingNewLine]", "         ", 
   StyleBox[
    RowBox[{
     RowBox[{
     "\:041c\:043e\:0434\:0435\:043b\:044c\:043d\:044b\:0439", " ", 
      "\:043f\:0440\:0438\:043c\:0435\:0440"}], 
     StyleBox[" ", "Text",
      FontFamily->"Tahoma",
      FontSize->18,
      FontColor->RGBColor[1, 0, 1]], 
     StyleBox["\[IndentingNewLine]", "Text",
      FontFamily->"Tahoma",
      FontSize->18,
      FontColor->RGBColor[1, 0, 1]], 
     RowBox[{"\:0421\:0418\:0423", " ", "\:0441", " ", 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox[
           StyleBox["\:0432", "Text",
            FontFamily->"Cambria",
            FontSize->18,
            FontColor->RGBColor[1, 0, 1]], "Text",
           FontFamily->"Cambria",
           FontSize->18,
           FontColor->RGBColor[1, 0, 1]], "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], "Text",
         FontFamily->"Cambria",
         FontSize->18,
         FontColor->RGBColor[1, 0, 1]], 
        "\:0435\:0449\:0435\:0441\:0442\:0432\:0435\:043d\:043d\:044b\:043c\
\:0438"}]], " ", 
      "\:043a\:043e\:044d\:0444\:0444\:0438\:0446\:0438\:0435\:043d\:0442\
\:0430\:043c\:0438"}]}], "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"v", "=", 
     FractionBox["\[Pi]", "4."]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fa", "=", 
     RowBox[{"Cos", "[", "v", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fb", "=", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], "  ", 
      RowBox[{"Sin", "[", "v", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       "\[Kappa]"}], "}"}], "=", 
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"fa", ",", "fb", ",", "2"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXi2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXiM2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       RowBox[{"-", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"az", ":=", "FXi2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fxar", "[", "x_", "]"}], ":=", 
     RowBox[{"1", "+", 
      FractionBox["az", 
       RowBox[{"x", "-", "2"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], ":=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cz", ":=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"4", "*", "fb"}]], "*", 
      RowBox[{"(", 
       RowBox[{"4", "+", "FXiM2", "-", "FXi2"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fk", "[", 
      RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["\[ImaginaryI]", 
       RowBox[{"x", "-", "2"}]], "*", 
      FractionBox["1", 
       RowBox[{"t", "+", "2"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"freg", "[", "x_", "]"}], ":=", 
     FractionBox[
      RowBox[{"cz", "*", "\[ImaginaryI]"}], 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"freg", "[", "x", "]"}], "+", 
      RowBox[{"fxar", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", "25"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pp", "=", 
     RowBox[{"FpC", "[", 
      RowBox[{"fa", ",", "fb", ",", "2", ",", 
       RowBox[{
        RowBox[{"2", "*", "n"}], "+", "1"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalOmega]\[CapitalOmega]", "=", 
     RowBox[{"\[CapitalOmega]TTUM1", "[", 
      RowBox[{"fk", ",", "n", ",", "pp", ",", "fa", ",", "fb"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ck\[Beta]", "=", 
     RowBox[{"FckUTP", "[", 
      RowBox[{
      "f", ",", "n", ",", "pp", ",", "\[CapitalOmega]\[CapitalOmega]"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"-", "0.99"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hh", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b0", "=", "0.99"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kk", "=", 
     RowBox[{"Floor", "[", 
      FractionBox[
       RowBox[{"b0", "-", "a0"}], "hh"], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xx", "=", 
     RowBox[{"xArr", "[", 
      RowBox[{"a0", ",", "hh", ",", "kk"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"yy", "=", 
     RowBox[{"UClenshawArr", "[", 
      RowBox[{"ck\[Beta]", ",", "xx"}], "]"}]}], " ", ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zz", "=", 
     RowBox[{"uArr", "[", 
      RowBox[{"ut", ",", "xx"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<eps=\>\"", ",", 
      RowBox[{"Max", "[", 
       FractionBox[
        RowBox[{"Abs", "[", 
         RowBox[{"yy", "-", "zz"}], "]"}], 
        RowBox[{"Abs", "[", "zz", "]"}]], "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"**", "**", "**", "**", "**", "**", "**"}], "*", " ", "obM1"}], 
     " ", "****************)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"obM1", "[", 
      RowBox[{"n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "aS1", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
         "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "0", ",", 
                 RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "-", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Beta]jk", "[", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}], ",", "p"}], "]"}]}]}]}], "]"}], 
               ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"aS1", "=", 
         RowBox[{"Inverse", "[", "aS", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{
          RowBox[{"Norm", "[", "aS", "]"}], "*", 
          RowBox[{"Norm", "[", "aS1", "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Obysl=\>\"", ",", 
      RowBox[{"obM1", "[", 
       RowBox[{"n", ",", "pp", ",", "\[CapitalOmega]\[CapitalOmega]"}], 
       "]"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Quit", "[", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.6787889780474677`*^9, {3.6787893199688683`*^9, 3.678789344320511*^9}, {
   3.6787896437934375`*^9, 3.6787896471318436`*^9}, {3.6787897862216883`*^9, 
   3.6787897962681055`*^9}, {3.6787902921617765`*^9, 3.6787903040801973`*^9}, 
   3.67879040225117*^9, {3.678791097618392*^9, 3.67879110785201*^9}, {
   3.678791362304057*^9, 3.6787913660480633`*^9}, {3.6787916001888742`*^9, 
   3.67879160338688*^9}, {3.678795154391101*^9, 3.678795188570761*^9}, {
   3.67879533498542*^9, 3.6787953574806595`*^9}, {3.6787954047019424`*^9, 
   3.6787954063087454`*^9}, {3.6790454385489073`*^9, 
   3.6790454499057274`*^9}, {3.679373729180833*^9, 3.679373749148868*^9}, {
   3.679373819364591*^9, 3.6793738200041924`*^9}, {3.679977435388836*^9, 
   3.6799774363872375`*^9}, {3.6872559374292145`*^9, 3.687255937772415*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"eps=\"\>", "\[InvisibleSpace]", "2.8548274855211276`*^-13"}],
  SequenceForm["eps=", 2.8548274855211276`*^-13],
  Editable->False]], "Print",
 CellChangeTimes->{3.6793738612506647`*^9, 3.6800514289166756`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Obysl=\"\>", "\[InvisibleSpace]", "34.23673162446564`"}],
  SequenceForm["Obysl=", 34.23673162446564],
  Editable->False]], "Print",
 CellChangeTimes->{3.6793738612506647`*^9, 3.6800514292754765`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"un", "[", "x_", "]"}], ":=", 
   RowBox[{"UClenshaw", "[", 
    RowBox[{"ck\[Beta]", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]n", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
     "]"}], " ", 
    RowBox[{"un", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
     "]"}], " ", 
    RowBox[{"ut", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tab1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"un", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}], " ", "-", " ", 
           RowBox[{"ut", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], ")"}], "/", 
         RowBox[{"ut", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListLinePlot", "[", "tab1", "]"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tab2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Phi]", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}], " ", "-", " ", 
           RowBox[{"\[Phi]n", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], ")"}], "/", 
         RowBox[{"\[Phi]", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", "tab2", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quit", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.678630534599599*^9, {3.678631120023432*^9, 3.678631121474234*^9}, {
   3.67876809995408*^9, 3.6787681124029016`*^9}, 3.678778871667599*^9, 
   3.6787888247459984`*^9, {3.6790452048041706`*^9, 3.679045228974204*^9}, {
   3.6790453004843044`*^9, 3.6790453033443084`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.924893585156835, 
      2.1187496201946488`*^-14}, {-0.9199999999999999, 
      4.862776847858186*^-15}, {-0.91, 
      1.9707568910121156`*^-14}, {-0.9085540731098818, 
      2.1187496201946488`*^-14}}], 
     LineBox[{{-0.8857943347032569, 2.1187496201946488`*^-14}, {-0.88, 
      1.3908874052503961`*^-14}, {-0.87, 2.3897550605056497`*^-15}, {-0.86, 
      1.746380817735371*^-14}, {-0.8565696752748657, 
      2.1187496201946488`*^-14}}], LineBox[CompressedData["
1:eJxVVltslEUY3RYotdRAYokaFTAkpuILsSai+X7HF/FGokV80BATTLzyQJVE
TUElhvpEpESMQkxjQo3yQAMBFYgyhRZvlKaltNsWWvbWdrfb2/ay3W671P2/
c+bBSTZ/Zmfmu5xzvm/mwTd3bX2rMBAI/JL/+d89O+97ofzOYbunrOHZcO/d
3kjl2TU1yYRdnZ9Wd9/lHT3ij4TVT0+B91y4Or8zYbf62yr/lHT59oOXZuL2
y2T+4KsBr77KKwkei9u1+dWzm+/wsC9u9e/aEi+gI27xLfJ8N2UNQ1btLs+K
b618+5C92pIfW65I/lT+6JBVM2enBN9BW+GPV5Z6b+sYtBrna6VemRocRLyp
lZ5v7eClAfuov79jpadxVA1YjfN0qafm1gwgn9Qyr0VHzKrZrjmpVoMxCztB
eVgDjFndtmVYNLxgFOfbF0TN1UStwhRe6mmcFVHkU1rs4f+IVXOjxZ6mezCC
fL4u8p7ShCNWv7kC8hEm3hkBH2HyERbwEbZNvpkvQuQjZDf4n+KMgI+Q1f+/
KSQfIauwP76cfITAR54f4H/L7vWtbi31gHc/8M+UEN9+2+Xn/fFy4tlnP/C/
q5YQv5v2MT+fqaxoOOU3oYe6hOxXfG5AD1WnJaTh91p1UzcsyL8XfN7r8u0B
PhUBD/l12xX+tmsun26cH1tCPQWB1/FCD/oJWg3j/gLqpQv2e+YEvHaCrx0T
Aj10Un9B8n+d/oOieQc7qL+UqK4qON+dla/U4DWrcXzk+GtHfdQsZf20w1/P
MtZLm9W0iovIRxv4uGcZ8W9FfVYXEu+ryOdAjvi2WI0zO0U8/wXet2PyneL3
D/I9ckpeVoN/W+g0LMWKz1+wt5CSRsXjMvT1XkY+Ub/N6AdlC6K8VjShPn5d
FOR3kfp29d9oFffXb7NeL9hzqp85xvu7VfcrphnfOfuOb++hOOP5jfXeRv9n
OL8mcfV3CvoLxuWk/t8Avg9NSa3aOw4+1melSs/Xk/9FaYTQ4O+zgLdP1w9b
1LWb70d9/piTwP/GvHDdaJ7RGc4PG8SXdPaN4nX4BtfrDerKyg+Izyz64/Mo
9zcYpfXTCZlAflhfm+H5MwYynpdVwMeoHo7maO+cUV5252Qj8DXDvp0Xc7R/
waBOsvIz+MH80DT9XTQPaNjjsgn8GjV7pI/+m80uDfCE04d5XgXc5/Rj1qmg
Rp2+jC4XTDn9GdTdrNMn8Jl2emgxqodkRqhvg7Y8S/20Ah9vmny0Gf3sG2d/
azMRtRtjP2w3qOtm6rMdfB27LrWoT6P97clB6rkD+fakpBv1bWA2LXtR/wZ9
JCvIsxP7n8hJM/oH+N+0IO+ivxj08zkpBXHEf0ZOoj9hf2ZMtqF/wV9VVDLo
b9zfJN8jMMM+KE+jPzLeIdc/DfripOuv0Ed2xvVfrmeE/dlovbY4vPvAx7a0
sL9Tr5PEv99U4h7n/XzLaFbrO8lHCHwELgnvF6P9542ou38MeJlw9xP8l6bd
/WVa/fmBOXe/QS+bF8hfmPHM836IGJ2+lCGfEejnkSmBDiLQ344E+Y1Szx2C
Phw1uCcayXcU+E+EZQPud6M4Xh4h/zHuT0kr3geIb3CSehiA/50p+RDvC5x/
JsH7ZcA08f3A9wn5OCN8v0AvFRH3vgGe6ybc+4fnZ9z7CHjcTAvfT4wvTT7i
PD9JPuLsH44PrucH32+orz9c/SSA38VJ8pGgXubIRwL2Zh0fw8Bvo+Nj2Gh/
/nacfHAevEI+ksj3dIx8JA10mSYfSegtlSMfI+aE5pcjHyPG3XfgY4T8tpOP
UeBfM0Y+RqnfRfIxCj3+VMD3zBjq5fwM+RhDveXfV+BjDHquK+J7Yhz94P2V
fC+Ng8/VBd5/6WKx5g==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.98}, {0, 2.1187496201946488`*^-14}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0394, 0.0394}, {4.2374992403892977`*^-16, 
   4.2374992403892977`*^-16}}]], "Output",
 CellChangeTimes->{3.679373861500265*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.9248986390980957, 
      2.1202818447883066`*^-14}, {-0.9199999999999999, 
      4.80595379997274*^-15}, {-0.91, 
      1.9860794290664575`*^-14}, {-0.9086856637167706, 
      2.1202818447883066`*^-14}}], 
     LineBox[{{-0.8857954067742946, 2.1202818447883066`*^-14}, {-0.88, 
      1.3895219962972201`*^-14}, {-0.87, 2.5171216573279773`*^-15}, {-0.86, 
      1.752241736070615*^-14}, {-0.8565792062591827, 
      2.1202818447883066`*^-14}}], LineBox[CompressedData["
1:eJxVlns8lGkbx4dFjFOF6IBQkU46qNj7ca03lbK1kdBuW2/1Jt56Xx2Wkra0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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.98}, {0, 2.1202818447883066`*^-14}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0394, 0.0394}, {4.240563689576613*^-16, 
   4.240563689576613*^-16}}]], "Output",
 CellChangeTimes->{3.6793738616562653`*^9}]
}, Open  ]]
},
WindowSize->{707, 655},
WindowMargins->{{Automatic, 88}, {Automatic, 24}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 13470, 277, 665, "Input"],
Cell[14030, 299, 16064, 367, 1587, "Input"],
Cell[30097, 668, 16290, 371, 1683, "Input"],
Cell[46390, 1041, 6476, 164, 612, "Input"],
Cell[52869, 1207, 5157, 133, 733, "Input"],
Cell[58029, 1342, 1071, 30, 143, "Input"],
Cell[CellGroupData[{
Cell[59125, 1376, 10875, 283, 1144, "Input"],
Cell[CellGroupData[{
Cell[70025, 1663, 258, 5, 23, "Print"],
Cell[70286, 1670, 249, 5, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[70584, 1681, 3054, 85, 192, "Input"],
Cell[73641, 1768, 2888, 54, 244, "Output"],
Cell[76532, 1824, 3878, 70, 244, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
