(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     97198,       2200]
NotebookOptionsPosition[     96333,       2169]
NotebookOutlinePosition[     96678,       2184]
CellTagsIndexPosition[     96635,       2181]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "F\[Kappa]C", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "t", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "g", ",", "\[Alpha]", 
         ",", "\[Beta]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g", "=", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"2.", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
          RowBox[{"Log", "[", 
           FractionBox[
            RowBox[{"a", "-", "b"}], 
            RowBox[{"a", "+", "b"}]], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"t", "=", 
         RowBox[{"Re", "[", " ", "g", "]"}]}], " ", ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"Abs", "[", "t", "]"}], "<", 
           SuperscriptBox["10", 
            RowBox[{"-", "16"}]]}], ",", 
          RowBox[{"Return", "[", 
           RowBox[{"{", 
            RowBox[{"\"\<Not\>\"", ",", "\"\<Not\>\"", ",", "\"\<Not\>\""}], 
            "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"klass", "==", "1"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"\[Kappa]2", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "-", "t"}], "]"}]}], ";", 
            RowBox[{"\[Kappa]1", "=", 
             RowBox[{"Floor", "[", 
              RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"klass", "==", "2"}], ",", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"\[Kappa]2", "=", 
               RowBox[{"Floor", "[", 
                RowBox[{"-", "t"}], "]"}]}], ";", 
              RowBox[{"\[Kappa]1", "=", 
               RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"klass", "==", "3"}], ",", 
              RowBox[{"{", 
               RowBox[{
                RowBox[{"\[Kappa]2", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"-", "t"}], "]"}]}], ";", 
                RowBox[{"\[Kappa]1", "=", 
                 RowBox[{"Floor", "[", 
                  RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"klass", "\[Equal]", "4"}], ",", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"\[Kappa]2", "=", 
                   RowBox[{"Floor", "[", 
                    RowBox[{"1", "-", "t"}], "]"}]}], ";", 
                  RowBox[{"\[Kappa]1", "=", 
                   RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", "None"}],
                "]"}]}], "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Alpha]", "=", 
         RowBox[{"g", "-", "\[Kappa]1"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Beta]", "=", 
         RowBox[{
          RowBox[{"-", "g"}], "-", "\[Kappa]2"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"{", " ", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
           RowBox[{"\[Kappa]1", "+", "\[Kappa]2"}]}], "}"}], "]"}]}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FpC", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FpC", "[", 
      RowBox[{"a_", ",", "b_", ",", "klass_", " ", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{
        "p", ",", "g", ",", "v", ",", "k", ",", "i", ",", "cp", ",", 
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
         "\[Kappa]"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
          "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",",
            "\[Kappa]"}], "}"}], "=", 
         RowBox[{"F\[Kappa]C", "[", 
          RowBox[{"a", ",", "b", ",", "klass"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"\[Kappa]", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"\[Kappa]", "<", "0"}], ",", 
           RowBox[{"-", "\[Kappa]"}], ",", "\[Kappa]"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"g", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"v", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"p", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "\[Kappa]"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"g", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"g", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"g", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"i", "-", "\[Alpha]"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"v", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", "1"}], ";", "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"i", "=", "0"}], ",", 
          RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"i", "++"}], ",", 
          RowBox[{
           RowBox[{"v", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"v", "\[LeftDoubleBracket]", 
             RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            FractionBox[
             RowBox[{"\[Beta]", "-", "i"}], 
             RowBox[{"i", "+", "1"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", "0"}], ",", 
          RowBox[{"k", "\[LessSlantEqual]", "n"}], ",", 
          RowBox[{"k", "++"}], ",", 
          RowBox[{
           RowBox[{"p", "\[LeftDoubleBracket]", 
            RowBox[{"\[Kappa]", "+", "k", "+", "1"}], 
            "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            UnderoverscriptBox["\[Sum]", 
             RowBox[{"i", "=", "0"}], "k"], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"g", "\[LeftDoubleBracket]", 
               RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
              RowBox[{"v", "\[LeftDoubleBracket]", 
               RowBox[{"k", "-", "i", "+", "1"}], "\[RightDoubleBracket]"}]}],
              ")"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "p", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6763012402617617`*^9, 3.67630129040025*^9}, 
   3.67630133574953*^9, {3.676301371551593*^9, 3.676301463841355*^9}, {
   3.676301514260643*^9, 3.676301705548179*^9}, {3.6763017388542376`*^9, 
   3.6763019744614515`*^9}, {3.676302012946719*^9, 3.6763021015392747`*^9}, 
   3.6763021460313535`*^9, {3.676302209039864*^9, 3.6763022481491327`*^9}, {
   3.676302342841299*^9, 3.6763023589873276`*^9}, {3.676302441683073*^9, 
   3.6763024466906815`*^9}, {3.676302477687936*^9, 3.676302506766387*^9}, {
   3.6763025558440733`*^9, 3.6763025605552816`*^9}, {3.676302593315339*^9, 
   3.6763025952653427`*^9}, {3.676302631005005*^9, 3.676303078444991*^9}, {
   3.6763034530640492`*^9, 3.676304064959524*^9}, {3.6763041803841267`*^9, 
   3.6763041908205447`*^9}, {3.676304233096619*^9, 3.6763042338454204`*^9}, {
   3.6763042663402777`*^9, 3.676304271129486*^9}, {3.6763043093651533`*^9, 
   3.6763043243255796`*^9}, {3.676304358442839*^9, 3.6763043851812863`*^9}, {
   3.6763371956588154`*^9, 3.6763373281342483`*^9}, {3.6763373790371375`*^9, 
   3.676337379848339*^9}, {3.676337410471193*^9, 3.6763374473964577`*^9}, 
   3.6763374791425133`*^9, {3.6763375594202547`*^9, 3.676337568749071*^9}, 
   3.6763376214771633`*^9, {3.6763377018485045`*^9, 3.6763377833430476`*^9}, {
   3.6763378352599387`*^9, 3.6763378360087404`*^9}, {3.6763378800632176`*^9, 
   3.6763378818260207`*^9}, {3.676337937143718*^9, 3.676337948141737*^9}, {
   3.6763379972194233`*^9, 3.6763381025820084`*^9}, {3.676338243611057*^9, 
   3.6763382746863112`*^9}, {3.6763386145329084`*^9, 3.676338644578561*^9}, 
   3.6763387004422593`*^9, {3.6763388018816385`*^9, 3.676338861723344*^9}, {
   3.6763390489108725`*^9, 3.6763391602794685`*^9}, {3.676339231377993*^9, 
   3.6763392369316034`*^9}, {3.6763393804286556`*^9, 
   3.6763394207079268`*^9}, {3.676340433932106*^9, 3.6763404631821575`*^9}, {
   3.6763404995926213`*^9, 3.6763406448288765`*^9}, {3.676340675826131*^9, 
   3.676340687338951*^9}, {3.676340816444778*^9, 3.6763408387684174`*^9}, {
   3.6763410720884275`*^9, 3.6763411295745287`*^9}, 3.6763412087602673`*^9, {
   3.67634126716677*^9, 3.6763412863236036`*^9}, {3.676341331813284*^9, 
   3.6763413367584925`*^9}, {3.6763413685201483`*^9, 
   3.6763414108898225`*^9}, {3.676341474366334*^9, 3.6763415208232155`*^9}, {
   3.6763415713361044`*^9, 3.676341572225306*^9}, {3.676341906700019*^9, 
   3.6763419069028196`*^9}, {3.676342036429847*^9, 3.6763420388166513`*^9}, {
   3.676342162337668*^9, 3.6763421625560684`*^9}, 3.676342245361014*^9, {
   3.676342388896866*^9, 3.6763423892556667`*^9}, {3.6763425304827147`*^9, 
   3.6763425418707347`*^9}, {3.67634261910647*^9, 3.676342639776507*^9}, {
   3.6763427193834467`*^9, 3.6763427529235053`*^9}, 3.6763429034169693`*^9, {
   3.676343213951115*^9, 3.6763432438095675`*^9}, 3.6763434400891123`*^9, {
   3.676343804084552*^9, 3.676343812212166*^9}, {3.6763458404029284`*^9, 
   3.676345880635399*^9}, {3.6763459470603156`*^9, 3.6763459592595367`*^9}, {
   3.6763460062624197`*^9, 3.6763460197408433`*^9}, {3.676346052672501*^9, 
   3.6763460862905602`*^9}, {3.676346619291607*^9, 3.676346684905322*^9}, 
   3.676346790595508*^9, {3.6763468831192703`*^9, 3.6763468854592743`*^9}, {
   3.676347583678107*^9, 3.676347586298911*^9}, {3.676347671974262*^9, 
   3.676347706731123*^9}, {3.676431125875518*^9, 3.6764311589319763`*^9}, {
   3.6764311918012342`*^9, 3.67643121811848*^9}, {3.676432439179425*^9, 
   3.6764324399594264`*^9}, {3.6764325088959475`*^9, 
   3.6764325095043488`*^9}, {3.6764325459460125`*^9, 3.676432571592458*^9}, {
   3.6764326209041443`*^9, 3.676432621512545*^9}, {3.676432670496631*^9, 
   3.6764326740378375`*^9}, {3.6764328274985075`*^9, 3.6764328306653132`*^9}, 
   3.676432879290599*^9, {3.6764478321522374`*^9, 3.6764479095751734`*^9}, {
   3.6764479564144564`*^9, 3.676447957490858*^9}, {3.676448107812722*^9, 
   3.6764481182959404`*^9}, {3.6764487331086206`*^9, 3.676448742655837*^9}, {
   3.676448774417493*^9, 3.6764488345711985`*^9}, 3.678355840670622*^9, {
   3.6786303411904593`*^9, 3.6786303521728783`*^9}, {3.678630496972333*^9, 
   3.678630497346733*^9}, {3.6786305309959927`*^9, 3.6786305517596292`*^9}, {
   3.678695051466916*^9, 3.6786950541345205`*^9}, 3.6787672433097754`*^9, 
   3.6787672861630507`*^9, 3.678767374053605*^9, {3.6787674454549303`*^9, 
   3.678767445844931*^9}, {3.678767543407502*^9, 3.67876755906993*^9}, {
   3.6787676112364216`*^9, 3.6787676329048595`*^9}, {3.678767689392559*^9, 
   3.678767708830193*^9}, {3.6787677628374877`*^9, 3.678768108393695*^9}, {
   3.678768160809787*^9, 3.678768165286995*^9}, 3.678768265829171*^9, {
   3.678768300835633*^9, 3.678768306436043*^9}, {3.678769045621211*^9, 
   3.6787690607532377`*^9}, {3.6787691184421387`*^9, 3.6787691291281576`*^9}, 
   3.6787786696472445`*^9, {3.67877870704051*^9, 3.6787787314233527`*^9}, {
   3.678778956999749*^9, 3.6787790122394457`*^9}, {3.6787791093184166`*^9, 
   3.6787791467896824`*^9}, 3.6787887147078047`*^9, {3.678788854510851*^9, 
   3.678788879268094*^9}, {3.678788974584262*^9, 3.678788990340289*^9}, 
   3.678789076795641*^9, 3.6787891180733137`*^9, {3.6787891776810184`*^9, 
   3.678789193390246*^9}, {3.678789263512369*^9, 3.6787892813900003`*^9}, {
   3.6790651497352123`*^9, 3.679065179063264*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
    "===", "===", "===", " ", "\[CapitalOmega]UTUM1", " ", "===", "===", "===",
      "=="}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalOmega]UTUM1", "[", 
     RowBox[{"fk_", ",", "n_", ",", "p_", ",", "a_", ",", "b_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\[Sigma]", ",", "zn", ",", "m", ",", "k", ",", "j", ",", "ss", ",", 
        "\[CapitalOmega]"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
        RowBox[{"Hz", " ", "===", "===", "===", "===", 
         RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Hz", "[", "MM_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
            RowBox[{"H", " ", "===", "===", "===", "===", 
             RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"H", "[", "M_", "]"}], ":=", 
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"bbb", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              StyleBox[
               RowBox[{"(*", 
                RowBox[{
                "===", "===", "===", " ", "bkn", " ", "===", "===", "===", 
                 "=="}], "*)"}],
               FontFamily->"Courier New"], 
              StyleBox["\[IndentingNewLine]",
               FontFamily->"Courier New"], 
              RowBox[{
               RowBox[{
                RowBox[{"bkn", "[", "nn_", "]"}], ":=", 
                RowBox[{"Module", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"bb", ",", "mm", ",", "kk"}], "}"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"bb", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0.", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    "bb", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "=", 
                    SuperscriptBox["2.", "nn"]}], ";", "\[IndentingNewLine]", 
                   RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"kk", "=", "1"}], ",", 
                    RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}]}], ",", 
                    RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"nn", "+", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"bb", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "bb", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Return", "[", "bb", "]"}]}]}], 
                 "\[IndentingNewLine]", "]"}]}], ";", " ", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"M", "\[Equal]", "0"}], ",", 
                 RowBox[{"Return", "[", "0.", "]"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"bbb", "=", 
                RowBox[{"bkn", "[", 
                 RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"M2", "=", 
                RowBox[{"Floor", "[", 
                 FractionBox[
                  RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"h", "=", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"r", "=", "0"}], "M2"], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"bbb", "\[LeftDoubleBracket]", 
                    RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                   RowBox[{"p", "\[LeftDoubleBracket]", 
                    RowBox[{"M", "+", "3", "-", 
                    RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}]}], 
                  ")"}]}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"Return", "[", "h", "]"}]}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{"===", "=="}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"MM", "\[GreaterSlantEqual]", "0"}], ",", 
             RowBox[{"Return", "[", 
              RowBox[{"H", "[", 
               RowBox[{"MM", "+", "1"}], "]"}], "]"}], ",", 
             RowBox[{"Return", "[", 
              RowBox[{"-", 
               RowBox[{"H", "[", 
                RowBox[{
                 RowBox[{"-", "MM"}], "-", "1"}], "]"}]}], "]"}]}], "]"}]}]}],
          "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", " ", "\[Sigma]mjUT", " ", "===", "===", "===", 
          "=="}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[Sigma]mjUT", "[", 
         RowBox[{"ffk_", ",", "nnn_"}], "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
           "x", ",", "T", ",", "\[Sigma]\[Sigma]", ",", "mmm", ",", "kkk", 
            ",", "jjj", ",", "r", ",", "l", ",", "S", ",", "s", ",", "\[Nu]m",
             ",", "\[Delta]j", ",", "q"}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"x", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{
                FractionBox[
                 RowBox[{
                  RowBox[{"2", " ", "kkk"}], "-", "1."}], 
                 RowBox[{
                  RowBox[{"2", " ", "nnn"}], "+", "2"}]], " ", "\[Pi]"}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"T", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"mmm", ",", "1", ",", 
                RowBox[{"nnn", "+", "3"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"\[Sigma]\[Sigma]", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"mmm", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"mmm", "=", "0"}], ",", 
             RowBox[{"mmm", "\[LessEqual]", 
              RowBox[{"nnn", "+", "2"}]}], ",", 
             RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"kkk", "=", "1"}], ",", 
               RowBox[{"kkk", "\[LessEqual]", 
                RowBox[{"nnn", "+", "1"}]}], ",", 
               RowBox[{"kkk", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"T", "\[LeftDoubleBracket]", 
                 RowBox[{
                  RowBox[{"mmm", "+", "1"}], ",", "kkk"}], 
                 "\[RightDoubleBracket]"}], "=", 
                RowBox[{"ChebyshevT", "[", 
                 RowBox[{"mmm", ",", 
                  RowBox[{
                  "x", "\[LeftDoubleBracket]", "kkk", 
                   "\[RightDoubleBracket]"}]}], "]"}]}]}], 
              "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "]"}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"mmm", "=", "0"}], ",", 
             RowBox[{"mmm", "\[LessEqual]", "nnn"}], ",", 
             RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"\[Nu]m", "=", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"Or", "[", 
                  RowBox[{
                   RowBox[{"mmm", "\[Equal]", "nnn"}], ",", 
                   RowBox[{"mmm", "\[Equal]", 
                    RowBox[{"nnn", "-", "1"}]}]}], "]"}], ",", "0.", ",", 
                 "1."}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"jjj", "=", "0"}], ",", 
                RowBox[{"jjj", "\[LessEqual]", "nnn"}], ",", 
                RowBox[{"jjj", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"\[Delta]j", "=", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"jjj", "\[Equal]", "0"}], ",", "1.", ",", "2."}], 
                   "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"S", "=", "0"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"r", "=", "1"}], ",", 
                   RowBox[{"r", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                   RowBox[{"r", "++"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"l", "=", "1"}], ",", 
                    RowBox[{"l", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                    RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"q", "=", 
                    RowBox[{
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", "l"}], 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{"\[Nu]m", " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "3"}], ",", "l"}], 
                    "\[RightDoubleBracket]"}]}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"s", "=", 
                    RowBox[{"s", "+", 
                    RowBox[{
                    RowBox[{"ffk", "[", 
                    RowBox[{
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "l", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "r", 
                    "\[RightDoubleBracket]"}]}], "]"}], " ", "q"}]}]}]}]}], 
                    "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"S", "=", 
                    RowBox[{"S", "+", 
                    RowBox[{"s", " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"jjj", "+", "1"}], ",", "r"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"\[Sigma]\[Sigma]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", 
                    RowBox[{"jjj", "+", "1"}]}], "\[RightDoubleBracket]"}], 
                  "=", 
                  FractionBox[
                   RowBox[{"\[Delta]j", " ", "S"}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1"}], ")"}]}]]}]}]}], " ", 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "\[Sigma]\[Sigma]", "]"}]}]}], 
         "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{"===", "=="}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{"zn", "=", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", " ", "a"}], "-", 
           RowBox[{"b", " ", "b"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[CapitalOmega]", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Sigma]", "=", 
        RowBox[{"\[Sigma]mjUT", "[", 
         RowBox[{"fk", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"m", "=", "0"}], ",", 
         RowBox[{"m", "\[LessEqual]", "n"}], ",", 
         RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"k", "=", "0"}], ",", 
           RowBox[{"k", "\[LessEqual]", 
            RowBox[{"n", "-", "1"}]}], ",", 
           RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ss", "=", "0"}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"j", "=", "0"}], ",", 
              RowBox[{"j", "\[LessEqual]", "n"}], ",", 
              RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"ss", "=", 
                RowBox[{"ss", "+", 
                 RowBox[{
                  RowBox[{"\[Sigma]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "\[RightDoubleBracket]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Hz", "[", 
                    RowBox[{"k", "+", "j"}], "]"}], "+", 
                    RowBox[{"Hz", "[", 
                    RowBox[{"k", "-", "j"}], "]"}]}], " ", ")"}]}]}]}], 
               ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"m", "+", "1"}], ",", 
               RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
             FractionBox["ss", "zn"]}], ";"}]}], "]"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "\[CapitalOmega]", "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.6787892688631783`*^9, {3.6787915404563694`*^9, 3.67879154072157*^9}, 
   3.678800121618019*^9, {3.678800200288957*^9, 3.678800221707795*^9}, {
   3.6788006071220717`*^9, 3.678800619321293*^9}, {3.6790651506400137`*^9, 
   3.6790651926976876`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Sigma]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]jk", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Sigma]", ",", "t1", ",", "t2", ",", "hj"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "G\[Sigma]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"G\[Sigma]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"q1", ",", "q2", ",", "GM", ",", "r"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"q1", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"M", "\[Equal]", "0"}], ",", "1.", ",", "0"}], "]"}]}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"q2", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"M", "\[Equal]", "1"}], ",", "0.5", ",", "0"}], 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"GM", "=", " ", 
             RowBox[{
              RowBox[{"q1", " ", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
              " ", "+", 
              RowBox[{"q2", " ", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "2", 
                "\[RightDoubleBracket]"}]}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "GM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", " ", "H\[Sigma]", " ", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"H\[Sigma]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bb", ",", "Hz", ",", "r", ",", "M2"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"bkn", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"bkn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"b", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"n", "\[Equal]", "0"}], " ", ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"b", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                 "=", 
                 SuperscriptBox["2.", "n"]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "1"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"n", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"b", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "b", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "b", "]"}]}]}], "\[IndentingNewLine]", 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "0"}], ",", 
              RowBox[{"Return", "[", "0.", "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"bb", "=", 
             RowBox[{"bkn", "[", 
              RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox[
               RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Hz", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], 
               RowBox[{" ", "M2", " "}]], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"bb", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "-", 
                  RowBox[{"2", "r"}], "+", "3"}], "\[RightDoubleBracket]"}]}],
                ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "Hz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Sigma]", "=", 
         RowBox[{"-", 
          RowBox[{"G\[Sigma]", "[", 
           RowBox[{"k", "+", "j", "+", "1"}], "]"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"j", "<", 
           RowBox[{"k", "-", "1"}]}], ",", 
          RowBox[{"\[Sigma]", "=", 
           RowBox[{"\[Sigma]", "+", 
            RowBox[{"G\[Sigma]", "[", 
             RowBox[{"k", "-", "j", "-", "1"}], "]"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"H\[Sigma]", "[", 
              RowBox[{"k", "-", "1", "-", "j"}], "]"}]}]}]}], ",", 
          RowBox[{"\[Sigma]", "=", 
           RowBox[{"\[Sigma]", "+", 
            RowBox[{"G\[Sigma]", "[", 
             RowBox[{"j", "-", "k", "+", "1"}], "]"}]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Sigma]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", " ", "FckUUP", " ", 
     "**", "**", "**"}], "******)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckUUP", "[", 
      RowBox[{"ff_", ",", "n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "bS", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "-", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[Sigma]jk", "[", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}], ",", "p"}], "]"}]}]}], "]"}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], 
                    "\[RightDoubleBracket]"}]}]}]}], "]"}], ";"}]}], 
             "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"bSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bM", ",", "m", ",", "f"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"fjU", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], 
           StyleBox["\[IndentingNewLine]",
            FontFamily->"Courier New"], 
           RowBox[{
            RowBox[{
             RowBox[{"fjU", "[", 
              RowBox[{"fu_", ",", "m_"}], "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"ft", ",", "G", ",", "x", ",", "k", ",", "j"}], "}"}],
                ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ft", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"x", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", "k"}], "-", "1."}], 
                    RowBox[{
                    RowBox[{"2", "m"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"G", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "0"}], ",", 
                  RowBox[{"j", "\[LessEqual]", "m"}], ",", 
                  RowBox[{"j", "++"}], ",", 
                  RowBox[{
                   RowBox[{"G", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    FractionBox["1.", 
                    RowBox[{"m", "+", "1"}]], " ", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"k", "=", "1"}], 
                    RowBox[{"m", "+", "1"}]], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], "*", 
                    RowBox[{"ChebyshevT", "[", 
                    RowBox[{"j", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "0"}], ",", 
                  RowBox[{"j", "\[LessEqual]", 
                   RowBox[{"m", "-", "2"}]}], ",", 
                  RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"ft", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    RowBox[{"G", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "-", 
                    RowBox[{"G", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "ft", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}],
                  "=", 
                 RowBox[{
                 "G", "\[LeftDoubleBracket]", "m", 
                  "\[RightDoubleBracket]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"ft", "\[LeftDoubleBracket]", 
                  RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                 RowBox[{"G", "\[LeftDoubleBracket]", 
                  RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"bM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"f", "=", 
             RowBox[{"fjU", "[", 
              RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
               "bM", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}], 
               "=", 
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], "]"}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "bM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"bS", "=", "bSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"LinearSolve", "[", 
          RowBox[{"aS", ",", "bS"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.678789184716631*^9, {3.6787892186934905`*^9, 3.678789220222293*^9}, {
   3.6787898657194276`*^9, 3.6787899823920326`*^9}, 3.678790133837098*^9, {
   3.6787902166576443`*^9, 3.6787902392308836`*^9}, {3.6787903388058586`*^9, 
   3.6787903432518663`*^9}, {3.6787904411888385`*^9, 3.6787904420000396`*^9}, 
   3.6787917557211475`*^9, 3.6787920188000097`*^9, 3.67879206427409*^9, 
   3.6788001625056906`*^9, {3.6788002871655097`*^9, 3.6788002944351225`*^9}, {
   3.6788003376627984`*^9, 3.678800340892004*^9}, 3.6788008024968147`*^9, {
   3.6790651517320156`*^9, 3.6790651710916495`*^9}, {3.6790652029001055`*^9, 
   3.6790652313233557`*^9}, {3.687256203035281*^9, 3.687256210242494*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "UClenshaw", " ", "===", "===", "==="}], 
    "=", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"UClenshaw", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"b", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", 
             RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", 
           RowBox[{"na", "-", "1"}]}], ",", 
          RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
          RowBox[{"k", "--"}], ",", " ", 
          RowBox[{
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"a", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
            RowBox[{"2", " ", "x", " ", 
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
            RowBox[{"b", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{
         "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "==="}], "=", " ", 
     RowBox[{"UClenshawArr", " ", "===", "===", "===", "\[Equal]"}]}], "*)"}], 
   RowBox[{
    RowBox[{
     RowBox[{"UClenshawArr", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx", ",", "x2"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nx", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
          RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"x2", "=", 
            RowBox[{"2", " ", 
             RowBox[{
             "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]}]}], 
           " ", ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"k", "=", 
              RowBox[{"na", "-", "1"}]}], ",", 
             RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"k", "--"}], ",", " ", 
             RowBox[{
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{
               RowBox[{"a", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
               RowBox[{"x2", "  ", 
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
            RowBox[{
            "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
           ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xArr", "[", 
      RowBox[{"a0_", ",", "h_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "x"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"a0", "+", 
            RowBox[{"k", "*", "h"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "x", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"uArr", "[", 
      RowBox[{"fu_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"k", ",", "y", ",", "len"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"len", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"fu", "[", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "len"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], " "}]}]], "Input",
 CellChangeTimes->{{3.6787891219889207`*^9, 3.678789131816938*^9}, {
   3.6790651531048183`*^9, 3.6790651719340515`*^9}, 3.6793723433215957`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
    RowBox[{"FXi", " ", "===", "===", "===", 
     RowBox[{"==", 
      RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"FXi", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "z_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"rez", ",", "Rez"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{"g", "  ", 
              RowBox[{"Log", "[", 
               FractionBox[
                RowBox[{"z", "-", "1"}], 
                RowBox[{"z", "+", "1"}]], "]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXiPlus", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXiPlus", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"r", ",", "rr"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                FractionBox["1", "2"]}], " ", 
               RowBox[{"Log", "[", "G", "]"}]}], "+", 
              RowBox[{"g", "  ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"1", "-", "x"}], 
                 RowBox[{"1", "+", "x"}]], "]"}]}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.678789503221591*^9, 3.6787895295388374`*^9}, {
  3.678881432887322*^9, 3.678881451092554*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "==="}], "=", " ", 
     RowBox[{"Zab", " ", "===", "===", "===", "==="}]}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{
     "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "rez", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"rez", "=", 
        FractionBox[
         RowBox[{"FXiPlus", "[", 
          RowBox[{
          "a", ",", "b", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
          "]"}], 
         RowBox[{"a", "-", "b"}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.678789079946847*^9, {3.6787893283928833`*^9, 3.6787893506541224`*^9}, {
   3.6787894806171513`*^9, 3.678789533594844*^9}, {3.6787903861363416`*^9, 
   3.678790393171954*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "\[IndentingNewLine]", "         ", 
   StyleBox[
    RowBox[{
     RowBox[{
     "\:041c\:043e\:0434\:0435\:043b\:044c\:043d\:044b\:0439", " ", 
      "\:043f\:0440\:0438\:043c\:0435\:0440"}], 
     StyleBox[" ", "Text",
      FontFamily->"Tahoma",
      FontSize->18,
      FontColor->RGBColor[1, 0, 1]], 
     StyleBox["\[IndentingNewLine]", "Text",
      FontFamily->"Tahoma",
      FontSize->18,
      FontColor->RGBColor[1, 0, 1]], 
     RowBox[{"\:0421\:0418\:0423", " ", "\:0441", " ", 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox["\:0432", "Text",
           FontFamily->"Cambria",
           FontSize->18,
           FontColor->RGBColor[1, 0, 1]], "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], "Text",
         FontFamily->"Cambria",
         FontSize->18,
         FontColor->RGBColor[1, 0, 1]], 
        "\:0435\:0449\:0435\:0441\:0442\:0432\:0435\:043d\:043d\:044b\:043c\
\:0438"}]], " ", 
      "\:043a\:043e\:044d\:0444\:0444\:0438\:0446\:0438\:0435\:043d\:0442\
\:0430\:043c\:0438"}]}], "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"v", "=", 
     FractionBox["\[Pi]", "4."]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fa", "=", 
     RowBox[{"Cos", "[", "v", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fb", "=", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], "  ", 
      RowBox[{"Sin", "[", "v", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       "\[Kappa]"}], "}"}], "=", 
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"fa", ",", "fb", ",", "2"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXi2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXiM2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       RowBox[{"-", "2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"az", ":=", "FXi2"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fxar", "[", "x_", "]"}], ":=", 
     RowBox[{"1", "+", 
      FractionBox["az", 
       RowBox[{"x", "-", "2"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], ":=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"cz", ":=", 
     RowBox[{
      FractionBox["1", 
       RowBox[{"4", "*", "fb"}]], "*", 
      RowBox[{"(", 
       RowBox[{"4", "+", "FXiM2", "-", "FXi2"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"fk", "[", 
      RowBox[{"x_", ",", "t_"}], "]"}], ":=", 
     RowBox[{
      FractionBox["\[ImaginaryI]", 
       RowBox[{"x", "-", "2"}]], "*", 
      FractionBox["1", 
       RowBox[{"t", "+", "2"}]]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"freg", "[", "x_", "]"}], ":=", 
     FractionBox[
      RowBox[{"cz", "*", "\[ImaginaryI]"}], 
      RowBox[{"x", "-", "2"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], ":=", 
     RowBox[{
      RowBox[{"freg", "[", "x", "]"}], "+", 
      RowBox[{"fxar", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"n", "=", "25"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"pp", "=", 
     RowBox[{"FpC", "[", 
      RowBox[{"fa", ",", "fb", ",", "2", ",", 
       RowBox[{
        RowBox[{"2", "*", "n"}], "+", "1"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalOmega]\[CapitalOmega]", "=", 
     RowBox[{"\[CapitalOmega]UTUM1", "[", 
      RowBox[{"fk", ",", "n", ",", "pp", ",", "fa", ",", "fb"}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ck\[Sigma]", "=", 
     RowBox[{"FckUUP", "[", 
      RowBox[{
      "f", ",", "n", ",", "pp", ",", "\[CapitalOmega]\[CapitalOmega]"}], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a0", "=", 
     RowBox[{"-", "0.99"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"hh", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"b0", "=", "0.99"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kk", "=", 
     RowBox[{"Floor", "[", 
      FractionBox[
       RowBox[{"b0", "-", "a0"}], "hh"], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xx", "=", 
     RowBox[{"xArr", "[", 
      RowBox[{"a0", ",", "hh", ",", "kk"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"yy", "=", 
     RowBox[{"UClenshawArr", "[", 
      RowBox[{"ck\[Sigma]", ",", "xx"}], "]"}]}], " ", ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"zz", "=", 
     RowBox[{"uArr", "[", 
      RowBox[{"ut", ",", "xx"}], "]"}]}], ";"}], " ", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<eps=\>\"", ",", 
      RowBox[{"Max", "[", 
       FractionBox[
        RowBox[{"Abs", "[", 
         RowBox[{"yy", "-", "zz"}], "]"}], 
        RowBox[{"Abs", "[", "zz", "]"}]], "]"}]}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"**", "**", "**", "**", "**", "**", "**"}], "*", " ", "obM1"}], 
     " ", "****************)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"obM1", "[", 
      RowBox[{"n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "aS1", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
         "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "0", ",", 
                 RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "-", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Sigma]jk", "[", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}], ",", "p"}], "]"}]}]}]}], "]"}], 
               ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"aS1", "=", 
         RowBox[{"Inverse", "[", "aS", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{
          RowBox[{"Norm", "[", "aS", "]"}], "*", 
          RowBox[{"Norm", "[", "aS1", "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Obysl=\>\"", ",", 
      RowBox[{"obM1", "[", 
       RowBox[{"n", ",", "pp", ",", "\[CapitalOmega]\[CapitalOmega]"}], 
       "]"}]}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Quit", "[", "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.6787889780474677`*^9, {3.6787893199688683`*^9, 3.678789344320511*^9}, {
   3.6787896437934375`*^9, 3.6787896471318436`*^9}, {3.6787897862216883`*^9, 
   3.6787897962681055`*^9}, {3.6787902921617765`*^9, 3.6787903040801973`*^9}, 
   3.67879040225117*^9, {3.678791097618392*^9, 3.67879110785201*^9}, {
   3.678791362304057*^9, 3.6787913660480633`*^9}, {3.6787916001888742`*^9, 
   3.67879160338688*^9}, {3.678795154391101*^9, 3.678795188570761*^9}, 
   3.678800468593828*^9, {3.6788005083270984`*^9, 3.6788005500883713`*^9}, 
   3.678800659444564*^9, {3.6788008860037613`*^9, 3.678800908811002*^9}, {
   3.6790652985162735`*^9, 3.679065308874691*^9}, {3.6793740493089952`*^9, 
   3.6793740682318287`*^9}, {3.6799776305451784`*^9, 
   3.6799776312003794`*^9}, {3.6872562191813097`*^9, 3.6872562194777102`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"eps=\"\>", "\[InvisibleSpace]", "2.8681057528956445`*^-13"}],
  SequenceForm["eps=", 2.8681057528956445`*^-13],
  Editable->False]], "Print",
 CellChangeTimes->{3.6800532410002584`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Obysl=\"\>", "\[InvisibleSpace]", "95.07927299732155`"}],
  SequenceForm["Obysl=", 95.07927299732155],
  Editable->False]], "Print",
 CellChangeTimes->{3.6800532411562586`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"un", "[", "x_", "]"}], ":=", 
   RowBox[{"UClenshaw", "[", 
    RowBox[{"ck\[Sigma]", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]n", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
     "]"}], " ", 
    RowBox[{"un", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]", "[", "x_", "]"}], ":=", 
   RowBox[{
    RowBox[{"Zab", "[", 
     RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}], 
     "]"}], " ", 
    RowBox[{"ut", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tab1", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"un", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}], " ", "-", " ", 
           RowBox[{"ut", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], ")"}], "/", 
         RowBox[{"ut", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListLinePlot", "[", "tab1", "]"}], " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tab2", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Phi]", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}], " ", "-", " ", 
           RowBox[{"\[Phi]n", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], ")"}], "/", 
         RowBox[{"\[Phi]", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", "tab2", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quit", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.678630534599599*^9, {3.678631120023432*^9, 3.678631121474234*^9}, {
   3.67876809995408*^9, 3.6787681124029016`*^9}, 3.678778871667599*^9, 
   3.6787888247459984`*^9, {3.6788007162130632`*^9, 3.678800719411069*^9}, {
   3.679065154540021*^9, 3.679065172542452*^9}, {3.6790652444117785`*^9, 
   3.6790652468297825`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.9247114243199411, 
      2.196437476342794*^-14}, {-0.9199999999999999, 
      6.321609902215642*^-15}, {-0.91, 
      1.8415269309457472`*^-14}, {-0.9065875853970965, 
      2.196437476342794*^-14}}], 
     LineBox[{{-0.8873059411192644, 2.196437476342794*^-14}, {-0.88, 
      1.2789769243681802`*^-14}, {-0.87, 3.6642910927753294`*^-15}, {-0.86, 
      1.8575141425003494`*^-14}, {-0.8568766625741764, 
      2.196437476342794*^-14}}], LineBox[CompressedData["
1:eJw9VltsVFUUHR6FtkIDWgIaU1ESUvkwxprIx74eEoNo5IMSgn4QP0hQEk1a
NUYDxtTwiB/G8tFEMAYwrURjbIop0EHllIdSTSEdap/QdmY6M53pTFva6cz0
BWPvXut6k/bMyTlnn73XWnvv8/T+qt0Hlvp8vguLf+545f29k2eKRu2t9sXv
8gYnVdlSdiyZsBXu99g659tT7pew7nL7zuXOa6FDpY07Ena3u63yomTL99Ve
y8Ttbd0wLw3VTnFPfdzquS9WONgXt+7/ls8LHZ9+cavDyWVO4w7X4IjFvRlx
rZXvG7E99a6hC1KsP0Zwf3tO1FxLzD7rbixc6byjX8y+6w4XS5xSNRizOmxe
67jWaq9Frbq1ba2jY3XU6r7mEkfNlUWtxrG90ME9EcS/KS+HdGME56tjoveW
R6y6WTsk8HPYrnO31eVEzR0btjpuX+qonYph+PdXgaPwhcLAY+8KB3bC9il3
/nCZ87IGHAYeh/MCXELwpyIt4CNkdegLCPgIWeCQIB9B63cv2PCAfATtYXfX
EwXkI2j1mstF5CMIPtasdoD/kP3APVZT4gDvQat2Nq0mvoOIf6KIeA5Y9eOl
AuJ3D/z35UXdKb8He02TclTxuUs9tUlQ3e+H/5vDgvj7YW+HF28f419gfL2I
57KP8fQSjyXUUw/0843PgX56EF/NAwFO3eBjc0agjy7iNyLQQxfirf+V/P9r
AXNEutVcJ/T1dkZeUL86Ec+qvHytBu/g/k+WMZ8C9gf32JEVzJ8A7isrdHBP
h1VY3vDyo4N8rCT+t8Fny3LifQv4+n0O8G23oCFHPP+BnrvG5KQC8zfs+bpl
lxpsw/qFTilUR29ajevNlLQqHn9aDePRaflU479hezXuGXlR470OPtLz1OdV
1IOAl/+tVmlYP8d8vUK+MtTD74j/3AT985OfIfpzyeLcWd7fDLwbQxLX+84z
/+5Lk+5rpL5yckLt/QQ+5KFU6/kG2Du5xGnV/aftceZnja7Xwf5z3vwo8Ozy
kQ/vywvXzRJNmxnO6wzinxTaN4rLz1GuNxjklZWz8M9Abz3c32guuePWhNxH
fEbhfmWa55sN7p+RNcDHaB1qm6U9v0GezMnzwBfnj8zS/hVzQvHKyo/gx0DW
93nfVfOLxh+XreDXqLlTt3j/DVMF3Xn6MDklMurpx0AXU56+TN79zmQ9/WGe
n/P0Cf+/fEA9tBvk2YJQ30bhqpqnfm4b5GlOmB/AY+M09dZhoM8k62GAePZS
nwGDuvybAIc75nV3381B6rkTfMRSAjudvD8tnwEoA/1lZSPqA/wJz8oN1A+e
n5GDqC+Yv5qVVag/5hEdp6QJ9cnotR/FZQ/ql1H3kn0yg/rGeP3yHQob8R2W
baiPBnV2wqufRvvPnoxXX432k7JZr/5ivXRBWJ+N1r/YPPEeAB8HZ4X1Hfp9
L0P8B80BDWic/XnIoE6GyUeQ+mwR9hfmQ7/Xf+hPyutPyIcn017/MmF3+D7r
9Tfgd27G63//88/+aHTYkiWfnBdPShj9FfreEya/w8SrVY6jPxs0hm7yPWzU
/McjsgX9nfqaJP8R2CvNCN45EeZHhnqIYv74tHyI94UZVb8n2F+iwLc8RHxj
Bjg0sx/FwMdiPeD7xmg465Pe+8d4/Z/vI/A5PS18P1F/U+QjTj7GyUec+A14
7zPWizbv/QZ+TifIRwL793t8JIjfAvlIGDX71kPyMYr1r+bIxyjOPzNFPkaZ
f33kI0m8guQjifjSafKRpL7myUfK6K7KOfKRMhrGrinykSIf58nHGNarJ8nH
GPj+w8f34Bji9y/le2Yc874c+Rg3+h7eeZd8jAPvugK+JybMdcWnhO+lCeKX
l/8AzHCmaw==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.98}, {0, 2.196437476342794*^-14}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0394, 0.0394}, {4.392874952685588*^-16, 
   4.392874952685588*^-16}}]], "Output",
 CellChangeTimes->{3.678800943755063*^9, 3.6788814786422024`*^9, 
  3.6790652719614267`*^9, 3.6790653322123327`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.924702599310668, 
      2.1930697493405708`*^-14}, {-0.9199999999999999, 
      6.293510928535731*^-15}, {-0.91, 
      1.8397367342931394`*^-14}, {-0.9066405205697143, 
      2.1930697493405708`*^-14}}], 
     LineBox[{{-0.8872460856843682, 2.1930697493405708`*^-14}, {-0.88, 
      1.2723333941998642`*^-14}, {-0.87, 3.775682485991966*^-15}, {-0.86, 
      1.8561882797358213`*^-14}, {-0.8568936899933862, 
      2.1930697493405708`*^-14}}], LineBox[CompressedData["
1:eJw1Vgk4Vesa3pQyXSeF06MUN5VmJHnqX311utJJgyYUt5HoNpDklOqiNBy3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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.98}, {0, 2.1930697493405708`*^-14}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0394, 0.0394}, {4.3861394986811416`*^-16, 
   4.3861394986811416`*^-16}}]], "Output",
 CellChangeTimes->{3.678800943755063*^9, 3.6788814786422024`*^9, 
  3.6790652719614267`*^9, 
  3.6790653323371325`*^9},ImageCache->GraphicsData["CompressedBitmap", "\<\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\
\>"]]
}, Open  ]]
},
WindowSize->{707, 655},
WindowMargins->{{Automatic, 102}, {Automatic, 33}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 13472, 277, 665, "Input"],
Cell[14032, 299, 16744, 381, 1627, "Input"],
Cell[30779, 682, 17951, 406, 1654, "Input"],
Cell[48733, 1090, 6476, 164, 612, "Input"],
Cell[55212, 1256, 5155, 133, 733, "Input"],
Cell[60370, 1391, 1071, 30, 143, "Input"],
Cell[CellGroupData[{
Cell[61466, 1425, 10748, 279, 1144, "Input"],
Cell[CellGroupData[{
Cell[72239, 1708, 234, 5, 23, "Print"],
Cell[72476, 1715, 225, 5, 23, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[72750, 1726, 3105, 86, 192, "Input"],
Cell[75858, 1814, 2944, 55, 244, "Output"],
Cell[78805, 1871, 17512, 295, 244, 3834, 69, "CachedBoxData", "BoxData", \
"Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
