(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     85645,       1861]
NotebookOptionsPosition[     84303,       1818]
NotebookOutlinePosition[     84807,       1836]
CellTagsIndexPosition[     84764,       1833]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "F\[Kappa]C", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"F\[Kappa]C", "[", 
     RowBox[{"a_", ",", "b_", ",", "klass_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "t", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "g", ",", "\[Alpha]", 
        ",", "\[Beta]"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"g", "=", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"2.", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{"a", "-", "b"}], 
           RowBox[{"a", "+", "b"}]], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"t", "=", 
        RowBox[{"Re", "[", " ", "g", "]"}]}], " ", ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Abs", "[", "t", "]"}], "<", 
          SuperscriptBox["10", 
           RowBox[{"-", "16"}]]}], ",", 
         RowBox[{"Return", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<Not\>\"", ",", "\"\<Not\>\"", ",", "\"\<Not\>\""}], 
           "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"klass", "==", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[Kappa]2", "=", 
            RowBox[{"Floor", "[", 
             RowBox[{"1", "-", "t"}], "]"}]}], ";", 
           RowBox[{"\[Kappa]1", "=", 
            RowBox[{"Floor", "[", 
             RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"klass", "==", "2"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Kappa]2", "=", 
              RowBox[{"Floor", "[", 
               RowBox[{"-", "t"}], "]"}]}], ";", 
             RowBox[{"\[Kappa]1", "=", 
              RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"klass", "==", "3"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Kappa]2", "=", 
                RowBox[{"Floor", "[", 
                 RowBox[{"-", "t"}], "]"}]}], ";", 
               RowBox[{"\[Kappa]1", "=", 
                RowBox[{"Floor", "[", 
                 RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"klass", "\[Equal]", "4"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"\[Kappa]2", "=", 
                  RowBox[{"Floor", "[", 
                   RowBox[{"1", "-", "t"}], "]"}]}], ";", 
                 RowBox[{"\[Kappa]1", "=", 
                  RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", "None"}], 
              "]"}]}], "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]", "=", 
        RowBox[{"g", "-", "\[Kappa]1"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Beta]", "=", 
        RowBox[{
         RowBox[{"-", "g"}], "-", "\[Kappa]2"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"{", " ", 
         RowBox[{
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
          RowBox[{"\[Kappa]1", "+", "\[Kappa]2"}]}], "}"}], "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.6447414251948557`*^9, {3.6447415128046093`*^9, 3.644741532632244*^9}, {
   3.644799799544701*^9, 3.644799832538759*^9}, {3.645021718739009*^9, 
   3.645021723387817*^9}, {3.645021911845749*^9, 3.6450219149657545`*^9}, 
   3.645933035422942*^9, {3.646197588114273*^9, 3.646197607083906*^9}, 
   3.67817122606915*^9, {3.6782855000968256`*^9, 3.6782855000968256`*^9}, {
   3.6782859304967823`*^9, 3.6782859304967823`*^9}, {3.6782866827105045`*^9, 
   3.6782866891377153`*^9}, {3.6790467565418296`*^9, 3.67904676825745*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "==="}], "=", " ", 
     RowBox[{"FpC", " ", "===", "===", "===", "==="}]}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"FpC", "[", 
     RowBox[{"a_", ",", "b_", ",", "klass_", " ", ",", "n_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{"p", ",", "g", ",", "v", ",", "k", ",", "i"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
          "\[Kappa]"}], "}"}], "=", 
        RowBox[{"F\[Kappa]C", "[", 
         RowBox[{"a", ",", "b", ",", "klass"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Chi]", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"\[Kappa]", "<", "0"}], ",", 
          RowBox[{"-", "\[Kappa]"}], ",", "\[Kappa]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"g", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"v", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"p", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "\[Chi]"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "0"}], ",", 
         RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{
          RowBox[{"g", "\[LeftDoubleBracket]", 
           RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           RowBox[{"g", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
           FractionBox[
            RowBox[{"i", "-", "\[Alpha]"}], 
            RowBox[{"i", "+", "1."}]]}]}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"v", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "0"}], ",", 
         RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{
          RowBox[{"v", "\[LeftDoubleBracket]", 
           RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           RowBox[{"v", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
           FractionBox[
            RowBox[{"\[Beta]", "-", "i"}], 
            RowBox[{"i", "+", "1."}]]}]}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "0"}], ",", 
         RowBox[{"k", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"k", "++"}], ",", 
         RowBox[{
          RowBox[{"p", "\[LeftDoubleBracket]", 
           RowBox[{"\[Chi]", "+", "k", "+", "1"}], "\[RightDoubleBracket]"}], 
          "=", 
          RowBox[{
           UnderoverscriptBox["\[Sum]", 
            RowBox[{"i", "=", "0"}], "k"], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"g", "\[LeftDoubleBracket]", 
              RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
             RowBox[{"v", "\[LeftDoubleBracket]", 
              RowBox[{"k", "-", "i", "+", "1"}], "\[RightDoubleBracket]"}]}], 
            ")"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "p", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.638033899486045*^9, 3.6380339063524375`*^9}, {
   3.6393243253296494`*^9, 3.6393243325680637`*^9}, 3.639324420188075*^9, {
   3.6418151015055103`*^9, 3.6418151037987146`*^9}, {3.6418151373387737`*^9, 
   3.6418152433097596`*^9}, {3.643537594784018*^9, 3.643537619432061*^9}, {
   3.6435376720041533`*^9, 3.643537757679504*^9}, {3.6435378017495813`*^9, 
   3.6435379776086903`*^9}, {3.643538038901198*^9, 3.6435380595400343`*^9}, {
   3.643538110099723*^9, 3.6435381585378084`*^9}, {3.643538193060669*^9, 
   3.643538323898099*^9}, {3.6435383778273935`*^9, 3.6435385777417445`*^9}, {
   3.6435386216402216`*^9, 3.6435387165819883`*^9}, {3.6435388373106003`*^9, 
   3.643538932642368*^9}, {3.643539271714964*^9, 3.6435395855095153`*^9}, 
   3.643539637722807*^9, {3.6435396968313103`*^9, 3.643539743459792*^9}, {
   3.643539789230273*^9, 3.6435397922566786`*^9}, {3.6435398237999334`*^9, 
   3.643539906573679*^9}, 3.643539943327344*^9, {3.6435400359915066`*^9, 
   3.643540058611546*^9}, {3.6435406315225525`*^9, 3.6435406370293617`*^9}, {
   3.6435407163867016`*^9, 3.643540785588423*^9}, {3.643540882994994*^9, 
   3.6435409042890315`*^9}, {3.64354093770429*^9, 3.643540944037901*^9}, {
   3.6435410705385237`*^9, 3.6435411012705774`*^9}, {3.6435411501142635`*^9, 
   3.64354119382554*^9}, {3.643543589601348*^9, 3.643543618055798*^9}, 
   3.643547097911835*^9, {3.643547128082288*^9, 3.6435471350867004`*^9}, {
   3.64371267363628*^9, 3.6437129034090834`*^9}, {3.6437129458255577`*^9, 
   3.643713142885104*^9}, {3.643713253208498*^9, 3.643713372267907*^9}, {
   3.643713436165619*^9, 3.643713442998431*^9}, {3.6437853664251623`*^9, 
   3.6437853901996045`*^9}, {3.643785621844411*^9, 3.6437856333104315`*^9}, {
   3.6439499079923115`*^9, 3.643949925277142*^9}, 3.643950102977054*^9, {
   3.643950167873168*^9, 3.6439502114752445`*^9}, {3.643950268384145*^9, 
   3.643950305200209*^9}, {3.64395039681917*^9, 3.6439504123723974`*^9}, {
   3.643950462058485*^9, 3.6439505470318336`*^9}, {3.6439518015378704`*^9, 
   3.6439518539539623`*^9}, {3.643951924060486*^9, 3.643951930628097*^9}, {
   3.6439520106330376`*^9, 3.643952075981552*^9}, {3.6439523801508865`*^9, 
   3.643952381508089*^9}, 3.6439527307927027`*^9, {3.6439693715876384`*^9, 
   3.643969403879695*^9}, {3.643969434596149*^9, 3.6439694487297735`*^9}, {
   3.6439695152638907`*^9, 3.643969591844425*^9}, {3.643969695007406*^9, 
   3.6439696989074135`*^9}, {3.643969732868673*^9, 3.6439703254045134`*^9}, {
   3.643970370706993*^9, 3.6439704017978477`*^9}, {3.6439704430599203`*^9, 
   3.6439708327174044`*^9}, {3.643970929031974*^9, 3.643971207118062*^9}, 
   3.6439712561645484`*^9, {3.643971289002606*^9, 3.6439714799937415`*^9}, {
   3.643971521209014*^9, 3.6439715543590717`*^9}, {3.6439718400786905`*^9, 
   3.643972003816578*^9}, 3.6439729767186885`*^9, {3.6439730126299515`*^9, 
   3.643973092190091*^9}, {3.64397458896152*^9, 3.643974617712371*^9}, {
   3.643974686851692*^9, 3.643974858015193*^9}, {3.6439749572469673`*^9, 
   3.643974978275804*^9}, {3.6441096139550295`*^9, 3.6441096391334734`*^9}, 
   3.644110087509461*^9, 3.6441130946099854`*^9, {3.6441131424396696`*^9, 
   3.6441131777113314`*^9}, {3.644113235057032*^9, 3.644113259767475*^9}, {
   3.6441133049139547`*^9, 3.6441133178151774`*^9}, {3.6441133542724414`*^9, 
   3.6441136549005694`*^9}, {3.6441136880506277`*^9, 3.644113725818294*^9}, {
   3.6441137583911514`*^9, 3.6441137875320024`*^9}, {3.644114414167104*^9, 
   3.6441144451019583`*^9}, 3.6441147767405405`*^9, 3.644114933084016*^9, {
   3.644115122281148*^9, 3.644115196802479*^9}, {3.644115239608954*^9, 
   3.6441152445073624`*^9}, {3.644115324317103*^9, 3.644115346749942*^9}, 
   3.6441154056088457`*^9, {3.6441163865229683`*^9, 3.6441165277344165`*^9}, {
   3.6441167037027254`*^9, 3.6441167470708017`*^9}, 3.644117069070967*^9, {
   3.644117219829632*^9, 3.644117220204033*^9}, {3.6441173260502186`*^9, 
   3.644117353677867*^9}, {3.6441174333628073`*^9, 3.6441175788330626`*^9}, {
   3.6441181532075377`*^9, 3.6441181554383416`*^9}, 3.644147191148188*^9, {
   3.6441473627484894`*^9, 3.6441475761880646`*^9}, {3.6441476453117857`*^9, 
   3.6441476697102284`*^9}, {3.644147703421888*^9, 3.644147707025494*^9}, {
   3.6441477933092456`*^9, 3.6441479555495305`*^9}, {3.6441479901503916`*^9, 
   3.6441479957820015`*^9}, {3.644148041287281*^9, 3.6441480960901775`*^9}, {
   3.6441481336550436`*^9, 3.644148201421562*^9}, {3.6441482325124173`*^9, 
   3.6441482844605083`*^9}, {3.6441483156449633`*^9, 3.644148339918606*^9}, {
   3.644148391835497*^9, 3.64414843913478*^9}, {3.6441527440366406`*^9, 
   3.6441527587786665`*^9}, 3.6441529825766597`*^9, {3.644153974332802*^9, 
   3.6441539777492075`*^9}, {3.6447395253767185`*^9, 3.644739563035185*^9}, {
   3.6447400133299756`*^9, 3.644740036090416*^9}, {3.644799875844435*^9, 
   3.6447998867020545`*^9}, {3.644802354704389*^9, 3.6448023644544067`*^9}, {
   3.6448024049676776`*^9, 3.6448025554299417`*^9}, {3.6457094974687896`*^9, 
   3.645709523318035*^9}, {3.6457681675056677`*^9, 3.6457681682856693`*^9}, 
   3.6460215690343833`*^9, {3.6460216684220676`*^9, 3.6460217386820865`*^9}, {
   3.646486806738964*^9, 3.6464868508870416`*^9}, 3.646486887671906*^9, {
   3.64648742532063*^9, 3.646487443167062*^9}, {3.6465371213614616`*^9, 
   3.6465371220010624`*^9}, {3.658124852793969*^9, 3.6581248760740013`*^9}, {
   3.65831871113118*^9, 3.658318726169606*^9}, 3.678171254164799*^9, {
   3.678171923265175*^9, 3.6781719252931786`*^9}, {3.678285500112426*^9, 
   3.678285500112426*^9}, {3.6782859305123825`*^9, 3.6782859305123825`*^9}, 
   3.6782866702148824`*^9, 3.6782868434375863`*^9, {3.6790467330169883`*^9, 
   3.679046757836632*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Beta]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Beta]jk", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[Beta]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "r\[Beta]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"r\[Beta]", "[", 
          RowBox[{"l_", ",", "M_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aa", ",", "rez", ",", "m"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "===", "===", "===", "===", " ", "akn", " ", "===", "===", "===", 
             "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"n", "\[LessEqual]", "1"}], ",", 
                 RowBox[{"Return", "[", 
                  RowBox[{"{", "1.", "}"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"a", "=", 
                   RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                   "a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "=", 
                   SuperscriptBox["2.", 
                    RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"For", "[", 
                   RowBox[{
                    RowBox[{"kk", "=", "0"}], ",", 
                    RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"n", "-", "2"}], "2"], "]"}]}], ",", 
                    RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"n", "-", "1.", "-", 
                    RowBox[{"2.", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1."}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Return", "[", "a", "]"}]}]}], "]"}]}], 
              "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"l", "\[GreaterEqual]", 
               RowBox[{"Floor", "[", 
                FractionBox["M", "2"], "]"}]}], ",", 
              RowBox[{"Return", "[", "1.", "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"aa", "=", 
             RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rez", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"m", "=", "0"}], "l"], 
              RowBox[{"aa", "\[LeftDoubleBracket]", 
               RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", " ", "H\[Beta]", " ", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"H\[Beta]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"l", ",", "re", ",", "M2"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"re", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"l", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"r\[Beta]", "[", 
                 RowBox[{"l", ",", "M"}], "]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "+", "2", "-", 
                  RowBox[{"2", " ", "l"}]}], "\[RightDoubleBracket]"}]}], 
               ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "re", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"j", "\[Equal]", "k"}], ",", 
          RowBox[{"\[Beta]", "=", "1."}], ",", 
          RowBox[{"\[Beta]", "=", 
           RowBox[{"2.", " ", 
            RowBox[{"H\[Beta]", "[", 
             RowBox[{"k", "-", "j"}], "]"}]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Beta]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FckUT", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckUT", "[", 
      RowBox[{"n_", ",", "ff_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"f", ",", "c", ",", "j", ",", "l", ",", "temp"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"===", "===", "==="}], "=", " ", 
          RowBox[{"fjT", " ", "===", "===", "===", "==="}]}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"fjT", "[", 
          RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"ft", ",", "x", ",", "k", ",", "jj"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ft", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"x", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", "k"}], "-", "1."}], 
                  RowBox[{
                   RowBox[{"2", "nn"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
             "ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"nn", "+", "1."}]], " ", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"k", "=", "1"}], 
                RowBox[{"nn", "+", "1"}]], 
               RowBox[{"(", 
                RowBox[{"fu", "[", 
                 RowBox[{
                 "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
                 "]"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"jj", "=", "1"}], ",", 
              RowBox[{"jj", "\[LessEqual]", "nn"}], ",", 
              RowBox[{"jj", "++"}], ",", 
              RowBox[{
               RowBox[{"ft", "\[LeftDoubleBracket]", 
                RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{
                FractionBox["2.", 
                 RowBox[{"nn", "+", "1."}]], " ", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"k", "=", "1"}], 
                  RowBox[{"nn", "+", "1"}]], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], " ", 
                   RowBox[{"ChebyshevT", "[", 
                    RowBox[{"jj", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"f", "=", 
         RowBox[{"fjT", "[", 
          RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"c", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "0", ",", 
             RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"c", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
         "=", 
         FractionBox[
          RowBox[{"f", "\[LeftDoubleBracket]", 
           RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], 
          RowBox[{"\[Beta]jk", "[", 
           RowBox[{"n", ",", "n", ",", "p"}], "]"}]]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"l", "=", "1"}], ",", 
          RowBox[{"l", "\[LessEqual]", 
           RowBox[{"n", "-", "1"}]}], ",", 
          RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"temp", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"j", "=", "1"}], "l"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"c", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "j"}], "\[RightDoubleBracket]"}], 
               " ", 
               RowBox[{"\[Beta]jk", "[", 
                RowBox[{
                 RowBox[{"n", "-", "l"}], ",", 
                 RowBox[{"n", "-", "l", "+", "j"}], ",", "p"}], "]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"c", "\[LeftDoubleBracket]", 
             RowBox[{"n", "-", "l"}], "\[RightDoubleBracket]"}], "=", 
            FractionBox[
             RowBox[{
              RowBox[{"f", "\[LeftDoubleBracket]", 
               RowBox[{"n", "-", "l", "+", "1"}], "\[RightDoubleBracket]"}], 
              "-", "temp"}], 
             RowBox[{"\[Beta]jk", "[", 
              RowBox[{
               RowBox[{"n", "-", "l"}], ",", 
               RowBox[{"n", "-", "l"}], ",", "p"}], "]"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "c", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.64474023765837*^9, 3.644740239935974*^9}, {
   3.6447403627393894`*^9, 3.644740374923011*^9}, 3.6447417450422173`*^9, {
   3.6448002410098767`*^9, 3.6448002516334953`*^9}, 3.6448003973377514`*^9, {
   3.6448012880057154`*^9, 3.644801290969721*^9}, 3.6448021371932073`*^9, 
   3.644802824889215*^9, 3.644803034241583*^9, {3.644803221020711*^9, 
   3.6448032881008286`*^9}, {3.644803497406396*^9, 3.6448035006824017`*^9}, 
   3.644803533224059*^9, 3.644803650317865*^9, {3.6448054797541695`*^9, 
   3.6448055014226074`*^9}, 3.6448070038604784`*^9, 3.6448076130415487`*^9, {
   3.644816608152581*^9, 3.6448166501166553`*^9}, {3.6448167065575542`*^9, 
   3.64481671558997*^9}, {3.644819229056817*^9, 3.6448192481512504`*^9}, {
   3.6448193436546183`*^9, 3.6448195523205843`*^9}, {3.6448197587456856`*^9, 
   3.6448197839865303`*^9}, 3.6448199565696335`*^9, {3.644821947609132*^9, 
   3.6448220101028414`*^9}, {3.644822278782113*^9, 3.644822387217904*^9}, {
   3.644822865374344*^9, 3.644822866840746*^9}, {3.6448230461942616`*^9, 
   3.644823067613099*^9}, {3.644823100841157*^9, 3.6448231153959827`*^9}, {
   3.6448233107762303`*^9, 3.644823311509432*^9}, {3.6448233434894876`*^9, 
   3.644823421489625*^9}, 3.6448234865573387`*^9, {3.6448235387238307`*^9, 
   3.644823713038537*^9}, {3.644823860677196*^9, 3.644823870021612*^9}, {
   3.6448242666523094`*^9, 3.644824291237952*^9}, {3.6448252449548664`*^9, 
   3.6448252962165565`*^9}, {3.6448253634058743`*^9, 3.644825363842675*^9}, {
   3.6450072256287556`*^9, 3.645007280962053*^9}, {3.6450169312970805`*^9, 
   3.6450169342298856`*^9}, {3.6450169654455404`*^9, 
   3.6450169688463464`*^9}, {3.6450177968141203`*^9, 3.645017834800187*^9}, {
   3.645017929102353*^9, 3.645017968492422*^9}, {3.6450193939449253`*^9, 
   3.6450194018697395`*^9}, 3.6450197868160152`*^9, 3.645020071719316*^9, {
   3.645020128628216*^9, 3.6450201842267137`*^9}, {3.6450204938248577`*^9, 
   3.645020622852684*^9}, {3.645020702288024*^9, 3.6450207027716246`*^9}, {
   3.6450208572430954`*^9, 3.6450209118899918`*^9}, {3.6450211002135224`*^9, 
   3.6450211042227297`*^9}, {3.6450213223891125`*^9, 
   3.6450213617947817`*^9}, {3.6450214293117003`*^9, 
   3.6450214360197124`*^9}, {3.645021623781642*^9, 3.6450216384612675`*^9}, 
   3.645022218542288*^9, {3.6450223914997916`*^9, 3.6450224016398096`*^9}, {
   3.645022442324681*^9, 3.6450224495162935`*^9}, {3.645022482198351*^9, 
   3.6450224871435595`*^9}, {3.6450228715670357`*^9, 
   3.6450228815198526`*^9}, {3.6450806389165397`*^9, 3.645080639899341*^9}, {
   3.645089832239679*^9, 3.6450898394624915`*^9}, {3.6451811703768764`*^9, 
   3.6451811760240865`*^9}, {3.6451812280189776`*^9, 
   3.6451812838202753`*^9}, {3.6451813276651535`*^9, 
   3.6451813319863605`*^9}, {3.6452423844479103`*^9, 3.6452424003131385`*^9}, 
   3.6452460380167313`*^9, {3.645246245884697*^9, 3.645246250408705*^9}, {
   3.645246697708291*^9, 3.645246710406713*^9}, {3.645246783414841*^9, 
   3.6452467864412465`*^9}, 3.6452485234311*^9, 3.6452485810076017`*^9, {
   3.6452486738433647`*^9, 3.6452486925633974`*^9}, {3.64552805761368*^9, 
   3.6455280608584857`*^9}, {3.6455281269090014`*^9, 
   3.6455281496070414`*^9}, {3.6455284021894855`*^9, 
   3.6455284296299334`*^9}, {3.6455285674717755`*^9, 3.6455285682985773`*^9}, 
   3.64570993499756*^9, {3.645764426608693*^9, 3.645764470943971*^9}, {
   3.645764531316077*^9, 3.6457645401144924`*^9}, 3.645764628859049*^9, {
   3.645764921981965*^9, 3.6457650649250154`*^9}, 3.6457650995726767`*^9, 
   3.645765212704075*^9, {3.6457654529756975`*^9, 3.6457654952829714`*^9}, {
   3.645765685228905*^9, 3.645765718628564*^9}, {3.6457658123223286`*^9, 
   3.6457658231175475`*^9}, {3.645765937184948*^9, 3.6457659797418222`*^9}, {
   3.6457661757645674`*^9, 3.645766255465108*^9}, 3.6457663714981117`*^9, {
   3.6457666521782055`*^9, 3.645766656593013*^9}, {3.6457667866724415`*^9, 
   3.645766786922042*^9}, 3.645767688101226*^9, 3.64576835048279*^9, {
   3.6457692371476755`*^9, 3.645769251797696*^9}, {3.645770037348796*^9, 
   3.645770124728918*^9}, {3.645770502569447*^9, 3.6457705027894473`*^9}, {
   3.645771126927141*^9, 3.6457712215257072`*^9}, {3.645771477678158*^9, 
   3.645771539095465*^9}, {3.6457717122709703`*^9, 3.6457717343762093`*^9}, {
   3.645933110505874*^9, 3.6459331186022882`*^9}, {3.6460211448921237`*^9, 
   3.6460211628261495`*^9}, 3.6460212907504663`*^9, {3.646021828820242*^9, 
   3.6460218755879173`*^9}, 3.6460496253896847`*^9, {3.646049715289442*^9, 
   3.6460497214670534`*^9}, {3.6460497672571335`*^9, 3.646049769129137*^9}, {
   3.6461977316345253`*^9, 3.6461977379369364`*^9}, {3.646221851029656*^9, 
   3.64622188159011*^9}, {3.646227558199793*^9, 3.6462275711478157`*^9}, {
   3.646485927336338*^9, 3.646485930830744*^9}, {3.6464859867724423`*^9, 
   3.6464860167088947`*^9}, 3.6464860507481546`*^9, {3.646486096893036*^9, 
   3.646486157343142*^9}, {3.6464862095564337`*^9, 3.6464863029849977`*^9}, {
   3.646486940493599*^9, 3.6464870136265273`*^9}, 3.658124894354027*^9, {
   3.658318733470419*^9, 3.6583187367308245`*^9}, {3.6583188188545694`*^9, 
   3.6583188313969913`*^9}, 3.678171325332124*^9, {3.6781718852947083`*^9, 
   3.678171951064424*^9}, {3.678172005756521*^9, 3.678172006333722*^9}, {
   3.6782843406103845`*^9, 3.6782844274713373`*^9}, 3.6782845620887737`*^9, 
   3.6782853889622307`*^9, 3.6782856383754683`*^9, {3.678285858034655*^9, 
   3.6782858602810593`*^9}, {3.6782860797266445`*^9, 3.6782861077286935`*^9}, 
   3.678286200860857*^9, {3.67904673428059*^9, 3.6790467794114695`*^9}, 
   3.6792149061697483`*^9, {3.6792150720136395`*^9, 3.679215081670057*^9}, {
   3.6872562740926065`*^9, 3.687256280036217*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "UClenshawArr", " ", "===", "===", 
     "==="}], "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"UClenshawArr", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nx", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
          RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"k", "=", 
              RowBox[{"na", "-", "1"}]}], ",", 
             RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"k", "--"}], ",", " ", 
             RowBox[{
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{
               RowBox[{"a", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
               RowBox[{"2", " ", 
                RowBox[{
                "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
                " ", 
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
            RowBox[{
            "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
           ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "UClenshaw", " ", "===", "===", "==="}],
      "=", "\[Equal]"}], "*)"}], 
   RowBox[{
    RowBox[{
     RowBox[{"UClenshaw", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"b", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", 
             RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", 
           RowBox[{"na", "-", "1"}]}], ",", 
          RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
          RowBox[{"k", "--"}], ",", " ", 
          RowBox[{
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"a", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
            RowBox[{"2", " ", "x", " ", 
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
            RowBox[{"b", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{
         "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "xArr", " ", "===", "===", "==="}], "=",
      "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xArr", "[", 
      RowBox[{"a0_", ",", "h_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "k"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"a0", "+", 
            RowBox[{"k", " ", "h"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "x", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.6450071138077593`*^9, {3.645007456914762*^9, 3.645007459129966*^9}, {
   3.6450075111872573`*^9, 3.645007582791383*^9}, 3.645007627984662*^9, {
   3.6450078165265937`*^9, 3.6450078233594055`*^9}, {3.6450078748862963`*^9, 
   3.645007899393939*^9}, {3.645008124783135*^9, 3.645008137980758*^9}, 
   3.6450081844376397`*^9, {3.645008336132306*^9, 3.6450083894376*^9}, {
   3.6450166530549917`*^9, 3.6450166564089975`*^9}, {3.645016960063531*^9, 
   3.6450169735575542`*^9}, {3.6450749513076916`*^9, 
   3.6450750020857806`*^9}, {3.645075034003437*^9, 3.645075180862095*^9}, {
   3.6450752446194067`*^9, 3.645075260687435*^9}, {3.6450755254355*^9, 
   3.6450755693339767`*^9}, {3.645076094056956*^9, 3.645076198592739*^9}, {
   3.6450762317739973`*^9, 3.6450762863428936`*^9}, {3.6451650432182145`*^9, 
   3.645165045917019*^9}, {3.645167398053551*^9, 3.6451674387540226`*^9}, {
   3.6451691842722883`*^9, 3.6451691860506916`*^9}, {3.6451816701635327`*^9, 
   3.645181672121645*^9}, {3.645187670795145*^9, 3.6451876713723464`*^9}, 
   3.6457665275651865`*^9, {3.645766616188942*^9, 3.645766616547743*^9}, {
   3.6581291714835825`*^9, 3.6581291717799826`*^9}, 3.658318850007824*^9, 
   3.67817152221327*^9, {3.678285415575877*^9, 3.6782854257626953`*^9}, {
   3.6782854649499636`*^9, 3.678285464981164*^9}, {3.6790467365893946`*^9, 
   3.679046759693035*^9}, {3.6792157266531897`*^9, 3.6792157344688034`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "un\[Alpha]", " ", "===", "===", "==="}],
     "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"uArr", "[", 
      RowBox[{"fu_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "len", ",", "k"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"len", "=", 
         StyleBox[
          RowBox[{"Length", "[", "x", "]"}], "SearchResultSummary"]}], 
        StyleBox[";", "SearchResultSummary"], 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"fu", "[", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "len"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXi", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXi", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "z_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"rez", ",", "Rez"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{"g", "  ", 
              RowBox[{"Log", "[", 
               FractionBox[
                RowBox[{"z", "-", "1."}], 
                RowBox[{"z", "+", "1."}]], "]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXiPlus", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXiPlus", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"r", ",", "rr"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                FractionBox["1.", "2."]}], " ", 
               RowBox[{"Log", "[", "G", "]"}]}], "+", 
              RowBox[{"g", "  ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"1.", "-", "x"}], 
                 RowBox[{"1.", "+", "x"}]], "]"}]}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.645007175209467*^9, {3.6450076371730785`*^9, 3.64500766086952*^9}, 
   3.6450082424853415`*^9, {3.645010022606546*^9, 3.6450100533698*^9}, {
   3.645010149450369*^9, 3.6450101526483746`*^9}, {3.6450169843371735`*^9, 
   3.645016995241593*^9}, {3.645074828987877*^9, 3.6450748723871527`*^9}, {
   3.6450754108064985`*^9, 3.6450754397913494`*^9}, {3.6450754729726076`*^9, 
   3.6450754733158083`*^9}, {3.645076542261343*^9, 3.645076673207973*^9}, 
   3.645076738696888*^9, {3.658063147247617*^9, 3.658063148177618*^9}, 
   3.678171552789324*^9, {3.67817214188236*^9, 3.678172167310405*^9}, {
   3.6790467378061967`*^9, 3.679046759693035*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "\[IndentingNewLine]", "       ", 
   StyleBox[
    RowBox[{
     RowBox[{
     "\:041c\:043e\:0434\:0435\:043b\:044c\:043d\:044b\:0439", " ", 
      "\:043f\:0440\:0438\:043c\:0435\:0440"}], " ", 
     StyleBox["\[IndentingNewLine]", "Text",
      FontFamily->"Tahoma",
      FontSize->18,
      FontColor->RGBColor[0, 1, 1],
      Background->RGBColor[1, 0.85, 0.85]], 
     RowBox[{"\:0421\:0418\:0423", " ", "\:0441", " ", 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox["\:043a", "Text",
           FontFamily->"Cambria",
           FontSize->18,
           FontColor->RGBColor[1, 0, 1]], "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], "Text",
         FontFamily->"Cambria",
         FontSize->18,
         FontColor->RGBColor[1, 0, 1]], 
        "\:043e\:043c\:043f\:043b\:0435\:043a", 
        StyleBox[
         StyleBox["\:0441", "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], "Text",
         FontFamily->"Cambria",
         FontSize->18,
         FontColor->RGBColor[1, 0, 1]], "\:043d\:044b\:043c\:0438"}]], " ", 
      "\:043a\:043e\:044d\:0444\:0444\:0438\:0446\:0438\:0435\:043d\:0442\
\:0430\:043c\:0438"}]}], "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], 
   StyleBox[" ", "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], 
   StyleBox["\[IndentingNewLine]", "Text",
    FontFamily->"Tahoma",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"v", "=", 
     RowBox[{
      FractionBox["\[Pi]", "4"], "*", 
      RowBox[{"(", 
       RowBox[{"1.", "-", "\[ImaginaryI]"}], ")"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fa", "=", 
     RowBox[{"Cos", "[", "v", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fb", "=", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], "  ", 
      RowBox[{"Sin", "[", "v", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"fa", ",", "\"\< \>\"", ",", "fb"}], "]"}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       "\[Kappa]"}], "}"}], "=", 
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"fa", ",", "fb", ",", "2"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<\[Alpha]=\>\"", ",", "\[Alpha]", ",", "\"\< \[Delta]=\>\"", ",", 
       "\[Delta]", ",", "\"\< \[Kappa]1=\>\"", ",", "\[Kappa]1", ",", 
       "\"\< \[Kappa]2=\>\"", ",", "\[Kappa]2", ",", "\"\< \[Kappa]=\>\"", 
       ",", "\[Kappa]"}], "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXi2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"\"\<FXi2=\>\"", ",", "FXi2"}], "]"}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], ":=", 
     FractionBox["1.", 
      RowBox[{"x", "-", "2."}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], "=", 
     RowBox[{
      FractionBox["FXi2", 
       RowBox[{"x", "-", "2."}]], "+", "1."}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], "=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.644114786069357*^9, 3.644114843773859*^9}, 
   3.6441148791703205`*^9, {3.6441149825673027`*^9, 3.644115050708222*^9}, 
   3.6441152091265*^9, {3.644115433532894*^9, 3.6441154950126023`*^9}, 
   3.6441155446050897`*^9, {3.644116578262905*^9, 3.6441166515050335`*^9}, {
   3.644116795493287*^9, 3.6441168082853093`*^9}, 3.644116864461008*^9, {
   3.644116897673466*^9, 3.6441169016826735`*^9}, {3.6441169639891825`*^9, 
   3.644116969729993*^9}, {3.6441171411118937`*^9, 3.644117146634303*^9}, {
   3.644118387629949*^9, 3.64411839950157*^9}, {3.644152854219634*^9, 
   3.6441528732984676`*^9}, {3.644153022247529*^9, 3.6441530286435404`*^9}, {
   3.6441530881888447`*^9, 3.6441531016516685`*^9}, {3.6441531993390408`*^9, 
   3.644153299491216*^9}, {3.644153422247832*^9, 3.6441534301414456`*^9}, 
   3.644153488953549*^9, 3.6441535317288237`*^9, {3.644153575986102*^9, 
   3.6441535792465076`*^9}, 3.6441536258593893`*^9, 3.64415367173907*^9, {
   3.6441537113163395`*^9, 3.644153714202345*^9}, {3.644153755948018*^9, 
   3.644153759458024*^9}, {3.6441538841646433`*^9, 3.644153887362649*^9}, 
   3.644739585140424*^9, {3.644740574088561*^9, 3.644740576210164*^9}, {
   3.6447407494484687`*^9, 3.6447408334702163`*^9}, 3.6447410194693427`*^9, {
   3.6447411620691934`*^9, 3.6447411713356094`*^9}, {3.644741601443965*^9, 
   3.644741625093607*^9}, {3.6447418847716627`*^9, 3.644741888016468*^9}, 
   3.644742285567567*^9, {3.644762467490097*^9, 3.644762555599052*^9}, {
   3.6447626129291525`*^9, 3.6447626231159706`*^9}, {3.6447648714407215`*^9, 
   3.6447648823607407`*^9}, {3.644764932124828*^9, 3.6447649484268565`*^9}, {
   3.6447651007611237`*^9, 3.6447651016347256`*^9}, {3.644765335447936*^9, 
   3.6447653829656196`*^9}, {3.6447654257564945`*^9, 3.644765427020097*^9}, {
   3.6447655560791235`*^9, 3.64476556525194*^9}, {3.6447657592382803`*^9, 
   3.6447657633722878`*^9}, {3.644766052705996*^9, 3.644766053283197*^9}, {
   3.6448004532326493`*^9, 3.644800461594264*^9}, {3.6448005042291393`*^9, 
   3.64480053326079*^9}, {3.644800582775277*^9, 3.644800611104927*^9}, 
   3.6448006627566175`*^9, 3.6448008028136635`*^9, {3.6448031319913545`*^9, 
   3.644803162364608*^9}, {3.644805558487508*^9, 3.6448055744307356`*^9}, 
   3.644808139925823*^9, {3.644824317227598*^9, 3.644824334574828*^9}, 
   3.6448253856983137`*^9, {3.6448264776660023`*^9, 3.6448265154960685`*^9}, {
   3.6448296129922047`*^9, 3.6448296151918087`*^9}, {3.6448301069826727`*^9, 
   3.644830107887474*^9}, {3.645007332176943*^9, 3.645007333237745*^9}, {
   3.6450080415413885`*^9, 3.64500804222779*^9}, 3.6450085610847015`*^9, 
   3.645008624686013*^9, 3.6450086626096797`*^9, 3.645019478918275*^9, 
   3.6450209285040207`*^9, {3.645020960016076*^9, 3.645020960811678*^9}, {
   3.6450221019008827`*^9, 3.6450221424297543`*^9}, {3.645022294249221*^9, 
   3.645022324575674*^9}, {3.6450229137651095`*^9, 3.645022914576311*^9}, 
   3.645023088001816*^9, 3.6450231411511087`*^9, 3.6450231830059824`*^9, {
   3.6450232293380637`*^9, 3.6450232302272654`*^9}, {3.645023302751793*^9, 
   3.6450233037969947`*^9}, {3.6450753511363935`*^9, 3.6450753545216*^9}, {
   3.6450757196402407`*^9, 3.6450757220426455`*^9}, {3.645077330405927*^9, 
   3.645077346083955*^9}, 3.6450801487040777`*^9, 3.6451676533479996`*^9, 
   3.645242286900939*^9, {3.6452423331238203`*^9, 3.6452423533258553`*^9}, {
   3.6452459318405447`*^9, 3.64524594070136*^9}, {3.6452464556114655`*^9, 
   3.64524645815427*^9}, {3.6452465244387865`*^9, 3.6452466074465322`*^9}, {
   3.6464870492725897`*^9, 3.6464870548417997`*^9}, 3.6464871852458515`*^9, 
   3.6464876535358315`*^9, {3.6465371314390793`*^9, 3.6465371320474806`*^9}, {
   3.659269967974105*^9, 3.659269968613706*^9}, 3.678171580572973*^9, {
   3.67817167567714*^9, 3.6781717709933076`*^9}, {3.678172087875065*^9, 
   3.6781721241451287`*^9}, 3.6782848947805595`*^9, 3.678284933015827*^9, {
   3.6782855001280255`*^9, 3.6782855001436253`*^9}, {3.6782857362812405`*^9, 
   3.6782857665920935`*^9}, {3.6782859010127306`*^9, 
   3.6782859305279827`*^9}, {3.679047005914666*^9, 3.67904701404228*^9}, {
   3.6792157932233067`*^9, 3.6792158198993535`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nnn", "=", "25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pp", "=", 
   RowBox[{"FpC", "[", 
    RowBox[{"fa", ",", "fb", ",", "2", ",", "nnn"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.645077333697533*^9, 3.645077340655145*^9}, 
   3.6450776562281*^9, {3.645167692925269*^9, 3.645167696809676*^9}, {
   3.645168873098542*^9, 3.645168876748948*^9}, {3.645168915780217*^9, 
   3.6451689386342573`*^9}, {3.645169116084569*^9, 3.6451691381586075`*^9}, {
   3.645765119759112*^9, 3.6457651204299135`*^9}, {3.645767270784893*^9, 
   3.645767272173295*^9}, 3.6457684392001457`*^9, {3.6459336477304187`*^9, 
   3.6459336499612226`*^9}, {3.646021899604291*^9, 3.646021900537344*^9}, 
   3.646209166418764*^9, {3.6464863784167557`*^9, 3.646486379200801*^9}, 
   3.646486727369623*^9, {3.6581192139310226`*^9, 3.658119214820224*^9}, {
   3.6781717776857195`*^9, 3.678171804455366*^9}, {3.678172310529456*^9, 
   3.6781723114186583`*^9}, {3.6782847164658456`*^9, 3.678284717308247*^9}, 
   3.679215200542266*^9, 3.67921532264368*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ck\[Beta]", "=", 
   RowBox[{"FckUT", "[", 
    RowBox[{"nnn", ",", "f", ",", "pp"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6393244379150887`*^9, 3.639324502711795*^9}, {
   3.639324833566719*^9, 3.6393248376679535`*^9}, {3.639325553181878*^9, 
   3.6393255538149147`*^9}, 3.63932632370695*^9, 3.639836755732641*^9, {
   3.644765500075025*^9, 3.644765518857458*^9}, {3.6447655823807697`*^9, 
   3.644765587513179*^9}, 3.6447659100281453`*^9, {3.6448006968894777`*^9, 
   3.644800726311129*^9}, {3.6448010066904216`*^9, 3.644801028202859*^9}, 
   3.6448031350021596`*^9, {3.6448070921410336`*^9, 3.6448071041218543`*^9}, 
   3.644808156385846*^9, {3.6448175293582*^9, 3.6448175390458174`*^9}, 
   3.644822497603698*^9, {3.644822788949809*^9, 3.6448228286518793`*^9}, 
   3.645008023367357*^9, {3.6450085505546827`*^9, 3.645008552801087*^9}, 
   3.645020284098089*^9, 3.6450223273212786`*^9, 3.6450232908021717`*^9, {
   3.6451813692080264`*^9, 3.645181375713238*^9}, 3.6452423485054474`*^9, {
   3.6452462649011307`*^9, 3.6452462717807426`*^9}, {3.6452485996652346`*^9, 
   3.6452486071688476`*^9}, 3.6457669580855427`*^9, {3.64602177143596*^9, 
   3.6460217722990093`*^9}, 3.646049802622396*^9, 3.646486724390018*^9, {
   3.6781718099153757`*^9, 3.6781718101493764`*^9}, {3.678284592945628*^9, 
   3.678284629902093*^9}, {3.678284722752657*^9, 3.6782847240474586`*^9}, {
   3.6782847984127893`*^9, 3.678284802343996*^9}, {3.6782855000344257`*^9, 
   3.6782855000656257`*^9}, {3.6782859305279827`*^9, 
   3.6782859305279827`*^9}, {3.6792150905464725`*^9, 3.6792151009204903`*^9}, 
   3.6792152036466713`*^9, 3.6792153246092834`*^9, {3.6792154828247614`*^9, 
   3.6792154853207655`*^9}, {3.680059639060252*^9, 3.680059640869856*^9}, {
   3.6872562899422345`*^9, 3.687256290316635*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"a0", "=", 
   RowBox[{"-", "0.99"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hh", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b0", "=", "0.99"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kk", "=", 
   RowBox[{
    RowBox[{"Floor", "[", 
     FractionBox[
      RowBox[{"b0", "-", "a0"}], "hh"], "]"}], "+", "1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xx", "=", 
   RowBox[{"xArr", "[", 
    RowBox[{"a0", ",", "hh", ",", "kk"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yy", "=", 
   RowBox[{"UClenshawArr", "[", 
    RowBox[{"ck\[Beta]", ",", "xx"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.644828003719778*^9, 3.6448280670714893`*^9}, {
   3.6448281175843782`*^9, 3.6448281329660053`*^9}, 3.6450223362600946`*^9, {
   3.6450752874414816`*^9, 3.64507532048234*^9}, {3.6450756789085693`*^9, 
   3.645075685460581*^9}, {3.64507631863495*^9, 3.645076388226672*^9}, {
   3.645077181144865*^9, 3.645077182892068*^9}, {3.6450773567387733`*^9, 
   3.6450774630841603`*^9}, {3.645077612158022*^9, 3.6450776193184347`*^9}, {
   3.6451650566342382`*^9, 3.6451650637010503`*^9}, {3.6451813828892508`*^9, 
   3.6451814127477026`*^9}, {3.645242361079069*^9, 3.645242363824674*^9}, {
   3.6452464118377886`*^9, 3.6452464128205905`*^9}, {3.6452486241728773`*^9, 
   3.6452486258732805`*^9}, 3.6459330929246435`*^9, 3.646021783520651*^9, 
   3.6461979286628714`*^9, 3.646197976086955*^9, 3.646209173859977*^9, {
   3.6464864970145392`*^9, 3.6464865018638163`*^9}, 3.6464867018947783`*^9, 
   3.678172306317449*^9, 3.6782848201592274`*^9, 3.6782855000812254`*^9, 
   3.6782859304343824`*^9, 3.6792151054132986`*^9, {3.6792152897588224`*^9, 
   3.679215291864826*^9}, {3.6792153479625244`*^9, 3.679215348383725*^9}, 
   3.67921540781983*^9, 3.679215756433642*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"zz", "=", 
   RowBox[{"uArr", "[", 
    RowBox[{"ut", ",", "xx"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.644829983680056*^9, {3.6450101129463043`*^9, 3.6450101182503138`*^9}, 
   3.6450223401133013`*^9, {3.645076413592317*^9, 3.6450764138263173`*^9}, 
   3.645076504930477*^9, {3.6450766859999957`*^9, 3.645076730179273*^9}, {
   3.6450771883208776`*^9, 3.645077188851279*^9}, 3.645080148719678*^9, 
   3.64593309662185*^9, 3.646021790897073*^9, 3.646209177479183*^9, 
   3.6464866803043404`*^9, 3.6781723025734425`*^9, 3.6782848334816513`*^9, 
   3.6792154097854333`*^9, 3.6792156508994565`*^9}],

Cell["\<\
\:041f\:043e\:0433\:0440\:0435\:0448\:043d\:043e\:0441\:0442\:044c \:043f\
\:0440\:0438\:0431\:043b\:0438\:0436\:0435\:043d\:043d\:043e\:0433\:043e \
\:0440\:0435\:0448\:0435\:043d\:0438\:044f \:0432 \:0442\:043e\:0447\:043a\
\:0430\:0445 \:0438\:0437 \:043e\:0442\:0440\:0435\:0437\:043a\:0430 [-1; 1]\
\>", "Text",
 CellChangeTimes->{{3.63983583974425*^9, 3.639835868969921*^9}, {
  3.644824046083522*^9, 3.6448240474407244`*^9}, {3.644824083164787*^9, 
  3.6448240869711933`*^9}},
 FontFamily->"Arial Narrow",
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<eps=\>\"", ",", 
    RowBox[{"Max", "[", 
     RowBox[{"Abs", "[", 
      RowBox[{"yy", "-", "zz"}], "]"}], "]"}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{3.680165242156415*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"eps=\"\>", "\[InvisibleSpace]", "1.2617764793961856`*^-13"}],
  SequenceForm["eps=", 1.2617764793961856`*^-13],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.680165267038459*^9, {3.6801655864334197`*^9, 3.680165604654252*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"**", "**", "**", "**", "**", "**", "**"}], "*", " ", 
     StyleBox[
      RowBox[{"\:0427", "\:0438\:0441\:043b\:043e"}]], " ", 
     "\:043e\:0431\:0443\:0441\:043b\:043e\:0432\:043b\:0435\:043d\:043d\:043e\
\:0441\:0442\:0438"}], " ", "*******)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"obXM1", "[", 
      RowBox[{"n_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "aS1", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", 
         "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "0", ",", 
                 RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "-", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[Beta]jk", "[", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}], ",", "p"}], "]"}]}]}], "]"}], 
               ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"aS1", "=", 
         RowBox[{"Inverse", "[", "aS", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{
          RowBox[{"Norm", "[", "aS", "]"}], "*", 
          RowBox[{"Norm", "[", "aS1", "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Print", "[", 
     RowBox[{"\"\<Obysl=\>\"", ",", 
      RowBox[{"obXM1", "[", 
       RowBox[{"nnn", ",", "pp"}], "]"}]}], "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6448240967212105`*^9, 3.6448241352220783`*^9}, 
   3.6448245521796107`*^9, {3.6448247364315343`*^9, 3.6448247441847477`*^9}, {
   3.644826673207945*^9, 3.6448267122080135`*^9}, {3.644826956644843*^9, 
   3.644826982338088*^9}, 3.6448295252732506`*^9, {3.64501008765866*^9, 
   3.6450100950218735`*^9}, {3.6450101881540365`*^9, 3.645010191274042*^9}, {
   3.645012789037405*^9, 3.6450127934678125`*^9}, 3.6450223444345093`*^9, {
   3.6450234096431804`*^9, 3.6450234252276077`*^9}, {3.645076445697173*^9, 
   3.645076452873186*^9}, {3.6450767662777367`*^9, 3.6450767889757767`*^9}, 
   3.679046759693035*^9, {3.679046879499245*^9, 3.6790468805288467`*^9}, {
   3.680059647765068*^9, 3.6800596641606965`*^9}, {3.6801652229683814`*^9, 
   3.6801652447304196`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Obysl=\"\>", "\[InvisibleSpace]", "63.90916925230039`"}],
  SequenceForm["Obysl=", 63.90916925230039],
  Editable->False]], "Print",
 CellChangeTimes->{
  3.6790469059648914`*^9, 3.679047023573897*^9, 3.67921511770612*^9, 
   3.679215213209488*^9, 3.679215365200555*^9, 3.679215417866247*^9, 
   3.6792154936823807`*^9, 3.6792157436104193`*^9, 3.6792158443445964`*^9, 
   3.680059672803112*^9, 3.6801652673348594`*^9, {3.6801655867766204`*^9, 
   3.6801656049818525`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"ListLinePlot", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
           "zz", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], " ", 
           "-", " ", 
           RowBox[{
           "yy", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
          ")"}], "/", 
         RowBox[{
         "zz", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
        "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6398353919906397`*^9, 3.639835400260113*^9}, {
   3.639835573419017*^9, 3.639835576747207*^9}, 3.6398409550458283`*^9, {
   3.6398421324081697`*^9, 3.639842138978545*^9}, {3.6398422109976645`*^9, 
   3.6398422190481253`*^9}, 3.639843815326427*^9, 3.644800832141715*^9, {
   3.644801050292498*^9, 3.644801055924108*^9}, {3.644805421800068*^9, 
   3.644805449380916*^9}, 3.644814195962737*^9, 3.644816348100125*^9, {
   3.6448225820154457`*^9, 3.6448226041206846`*^9}, 3.6448244142909684`*^9, 
   3.644824678181032*^9, {3.644826785294142*^9, 3.6448267926573553`*^9}, {
   3.6448292687028*^9, 3.6448292816508226`*^9}, {3.645010266778175*^9, 
   3.6450103084302483`*^9}, {3.645010371095558*^9, 3.645010390345992*^9}, 
   3.645010433745268*^9, {3.6450105300910373`*^9, 3.645010530543438*^9}, {
   3.645010562320694*^9, 3.6450105838955317`*^9}, 3.6450127410517206`*^9, 
   3.6450223477261147`*^9, {3.6450234585336666`*^9, 3.645023503945346*^9}, {
   3.645076837039461*^9, 3.6450768539030905`*^9}, {3.645076886600748*^9, 
   3.645076917192402*^9}, {3.6450769523704634`*^9, 3.6450769643980846`*^9}, {
   3.6450771192751565`*^9, 3.6450771301951756`*^9}, {3.6450775918623867`*^9, 
   3.6450775921275873`*^9}, {3.645868567759739*^9, 3.6458685701621437`*^9}, {
   3.645933635936798*^9, 3.6459336363111987`*^9}, {3.6581188994900694`*^9, 
   3.658118908990486*^9}, {3.6790467378217964`*^9, 3.6790467597086353`*^9}, {
   3.679046827053953*^9, 3.679046827287954*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.8828803977292541, 2.8730407746224245`*^-14}, {-0.88, 
      2.405450927443752*^-14}, {-0.87, 6.754388750244344*^-15}, {-0.86, 
      1.1980232892065871`*^-14}, {-0.85, 
      2.3475167104581168`*^-14}, {-0.8404010601752916, 
      2.8730407746224245`*^-14}}], LineBox[CompressedData["
1:eJw9Vgs4lGkb/sYg50MOm/yLMn87Sa5+IvS+ng6S7bAOpb9EbSVaikl/ZR06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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.99}, {0, 2.8730407746224245`*^-14}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0396, 0.0396}, {5.746081549244849*^-16, 
   5.746081549244849*^-16}}]], "Output",
 CellChangeTimes->{
  3.6782856924295635`*^9, 3.6782857828317223`*^9, 3.678285942618004*^9, 
   3.678286215384483*^9, 3.678287015817889*^9, 3.6790468564288054`*^9, 
   3.679046906417292*^9, 3.6790470240262976`*^9, 3.679215118829322*^9, 
   3.679215213349888*^9, 3.6792153661833563`*^9, 3.679215418069048*^9, 
   3.679215493807181*^9, 3.6792157437820196`*^9, 3.6792158444537964`*^9, 
   3.680059673317913*^9, 3.6801652674908595`*^9, {3.680165586917021*^9, 
   3.6801656051222525`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"un", "[", "x_", "]"}], ":=", 
   RowBox[{"UClenshaw", "[", 
    RowBox[{"ck\[Beta]", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]n", "[", "x_", "]"}], ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"FXiPlus", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}],
       "]"}], 
     RowBox[{"fa", "-", "fb"}]], " ", 
    RowBox[{"un", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]", "[", "x_", "]"}], ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"FXiPlus", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}],
       "]"}], 
     RowBox[{"fa", "-", "fb"}]], " ", 
    RowBox[{"ut", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
      ",", " ", 
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"ut", "[", 
           RowBox[{
           "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
           "]"}], " ", "-", " ", 
          RowBox[{"un", "[", 
           RowBox[{
           "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
           "]"}]}], ")"}], "/", "\[IndentingNewLine]", 
        RowBox[{"\[Phi]", "[", 
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          "]"}]}], "]"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
      ",", " ", 
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"\[Phi]", "[", 
           RowBox[{
           "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
           "]"}], " ", "-", " ", 
          RowBox[{"\[Phi]n", "[", 
           RowBox[{
           "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
           "]"}]}], ")"}], "/", "\[IndentingNewLine]", 
        RowBox[{"\[Phi]", "[", 
         RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}],
          "]"}]}], "]"}]}], "}"}], ",", " ", 
    RowBox[{"{", 
     RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quit", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.6580631665076437`*^9, {3.658119451563841*^9, 3.658119464449464*^9}, {
   3.6581195138079505`*^9, 3.6581195311395807`*^9}, {3.6781723668143554`*^9, 
   3.678172379185177*^9}, {3.678172423536055*^9, 3.678172430977268*^9}, 
   3.6782855000812254`*^9, 3.678285930481182*^9, {3.679046738227397*^9, 
   3.6790467603170357`*^9}, {3.6790468324203625`*^9, 3.679046847271589*^9}, 
   3.6792151119809103`*^9, {3.6801655190413017`*^9, 3.6801655987730417`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.876090414947934, 3.4536802803929183`*^-13}, {-0.87, 
      1.2833830938546693`*^-13}, {-0.86, 
      2.1561510129924426`*^-13}, {-0.853028385389417, 
      3.4536802803929183`*^-13}}], LineBox[CompressedData["
1:eJw9lgdUVNcWhkfII0TUGAMMjJQZZhjKgMDQVDhsCCI1oagEI2KJUSB2BeyI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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.99}, {0, 3.4536802803929183`*^-13}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0396, 0.0396}, {6.9073605607858366`*^-15, 
   6.9073605607858366`*^-15}}]], "Output",
 CellChangeTimes->{
  3.678285692601164*^9, 3.6782857830033226`*^9, 3.678285942805204*^9, 
   3.678286215556083*^9, 3.67828701609869*^9, 3.6790468566940055`*^9, 
   3.679046906604492*^9, 3.679047024244698*^9, 3.6792151190477223`*^9, 
   3.679215213583888*^9, 3.6792153664173565`*^9, 3.679215418303048*^9, 
   3.679215493994381*^9, 3.67921574396922*^9, 3.679215844594197*^9, 
   3.6800596735051126`*^9, 3.6801652676624603`*^9, {3.6801655870418205`*^9, 
   3.680165605247053*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.8827872365011702, 2.853370378289171*^-14}, {-0.88, 
      2.4032141506101302`*^-14}, {-0.87, 6.756317891699636*^-15}, {-0.86, 
      1.1961397812400285`*^-14}, {-0.85, 
      2.358023551472658*^-14}, {-0.8407245566085336, 
      2.853370378289171*^-14}}], LineBox[CompressedData["
1:eJw9Vgs4lOsWnguTDBljKJUip450OXtXDrX/r2WTiJQ0yn42bUfpXuZ02aSU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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.99}, {0, 2.853370378289171*^-14}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0396, 0.0396}, {5.706740756578342*^-16, 
   5.706740756578342*^-16}}]], "Output",
 CellChangeTimes->{
  3.678285692601164*^9, 3.6782857830033226`*^9, 3.678285942805204*^9, 
   3.678286215556083*^9, 3.67828701609869*^9, 3.6790468566940055`*^9, 
   3.679046906604492*^9, 3.679047024244698*^9, 3.6792151190477223`*^9, 
   3.679215213583888*^9, 3.6792153664173565`*^9, 3.679215418303048*^9, 
   3.679215493994381*^9, 3.67921574396922*^9, 3.679215844594197*^9, 
   3.6800596735051126`*^9, 3.6801652676624603`*^9, {3.6801655870418205`*^9, 
   3.680165605371853*^9}}]
}, Open  ]]
},
WindowSize->{662, 860},
WindowMargins->{{Automatic, 122}, {Automatic, 18}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 4184, 101, 362, "Input"],
Cell[4744, 123, 9924, 185, 445, "Input"],
Cell[14671, 310, 18493, 386, 1602, "Input"],
Cell[33167, 698, 7033, 161, 608, "Input"],
Cell[40203, 861, 6875, 173, 953, "Input"],
Cell[47081, 1036, 7992, 169, 417, "Input"],
Cell[55076, 1207, 1080, 18, 58, "Input"],
Cell[56159, 1227, 1828, 27, 35, "Input"],
Cell[57990, 1256, 1882, 39, 164, "Input"],
Cell[59875, 1297, 643, 12, 35, "Input"],
Cell[60521, 1311, 537, 10, 39, "Text"],
Cell[CellGroupData[{
Cell[61083, 1325, 247, 7, 35, "Input"],
Cell[61333, 1334, 283, 6, 27, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61653, 1345, 4209, 94, 410, "Input"],
Cell[65865, 1441, 521, 10, 27, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[66423, 1456, 2267, 44, 58, "Input"],
Cell[68693, 1502, 4176, 74, 306, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[72906, 1581, 3165, 84, 225, "Input"],
Cell[76074, 1667, 4038, 72, 313, "Output"],
Cell[80115, 1741, 4172, 74, 306, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
