(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     78985,       1730]
NotebookOptionsPosition[     77729,       1689]
NotebookOutlinePosition[     78232,       1707]
CellTagsIndexPosition[     78189,       1704]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "F\[Kappa]C", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"F\[Kappa]C", "[", 
     RowBox[{"a_", ",", "b_", ",", "klass_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "t", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "g", ",", "\[Alpha]", 
        ",", "\[Beta]"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"g", "=", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"2.", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
         RowBox[{"Log", "[", 
          FractionBox[
           RowBox[{"a", "-", "b"}], 
           RowBox[{"a", "+", "b"}]], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"t", "=", 
        RowBox[{"Re", "[", " ", "g", "]"}]}], " ", ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"Abs", "[", "t", "]"}], "<", 
          SuperscriptBox["10", 
           RowBox[{"-", "16"}]]}], ",", 
         RowBox[{"Return", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<Not\>\"", ",", "\"\<Not\>\"", ",", "\"\<Not\>\""}], 
           "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"klass", "==", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[Kappa]2", "=", 
            RowBox[{"Floor", "[", 
             RowBox[{"1", "-", "t"}], "]"}]}], ";", 
           RowBox[{"\[Kappa]1", "=", 
            RowBox[{"Floor", "[", 
             RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"klass", "==", "2"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Kappa]2", "=", 
              RowBox[{"Floor", "[", 
               RowBox[{"-", "t"}], "]"}]}], ";", 
             RowBox[{"\[Kappa]1", "=", 
              RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"klass", "==", "3"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Kappa]2", "=", 
                RowBox[{"Floor", "[", 
                 RowBox[{"-", "t"}], "]"}]}], ";", 
               RowBox[{"\[Kappa]1", "=", 
                RowBox[{"Floor", "[", 
                 RowBox[{"1", "+", "t"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"klass", "\[Equal]", "4"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"\[Kappa]2", "=", 
                  RowBox[{"Floor", "[", 
                   RowBox[{"1", "-", "t"}], "]"}]}], ";", 
                 RowBox[{"\[Kappa]1", "=", 
                  RowBox[{"Floor", "[", "t", "]"}]}]}], "}"}], ",", "None"}], 
              "]"}]}], "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Alpha]", "=", 
        RowBox[{"g", "-", "\[Kappa]1"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Beta]", "=", 
        RowBox[{
         RowBox[{"-", "g"}], "-", "\[Kappa]2"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"{", " ", 
         RowBox[{
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
          RowBox[{"\[Kappa]1", "+", "\[Kappa]2"}]}], "}"}], "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.6447414251948557`*^9, {3.6447415128046093`*^9, 3.644741532632244*^9}, {
   3.644799799544701*^9, 3.644799832538759*^9}, {3.645021718739009*^9, 
   3.645021723387817*^9}, {3.645021911845749*^9, 3.6450219149657545`*^9}, 
   3.645933035422942*^9, {3.646197588114273*^9, 3.646197607083906*^9}, 
   3.67817122606915*^9, {3.6782855000968256`*^9, 3.6782855000968256`*^9}, {
   3.6782859304967823`*^9, 3.6782859304967823`*^9}, {3.6782866827105045`*^9, 
   3.6782866891377153`*^9}, {3.6790467565418296`*^9, 3.67904676825745*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "==="}], "=", " ", 
     RowBox[{"FpC", " ", "===", "===", "===", "==="}]}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"FpC", "[", 
     RowBox[{"a_", ",", "b_", ",", "klass_", " ", ",", "n_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{"p", ",", "g", ",", "v", ",", "k", ",", "i"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
         "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
          "\[Kappa]"}], "}"}], "=", 
        RowBox[{"F\[Kappa]C", "[", 
         RowBox[{"a", ",", "b", ",", "klass"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Chi]", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"\[Kappa]", "<", "0"}], ",", 
          RowBox[{"-", "\[Kappa]"}], ",", "\[Kappa]"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"g", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"v", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"p", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", 
            RowBox[{"n", "+", "\[Chi]"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "0"}], ",", 
         RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{
          RowBox[{"g", "\[LeftDoubleBracket]", 
           RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           RowBox[{"g", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
           FractionBox[
            RowBox[{"i", "-", "\[Alpha]"}], 
            RowBox[{"i", "+", "1."}]]}]}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"v", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "=", "1"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"i", "=", "0"}], ",", 
         RowBox[{"i", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"i", "++"}], ",", 
         RowBox[{
          RowBox[{"v", "\[LeftDoubleBracket]", 
           RowBox[{"i", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           RowBox[{"v", "\[LeftDoubleBracket]", 
            RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
           FractionBox[
            RowBox[{"\[Beta]", "-", "i"}], 
            RowBox[{"i", "+", "1."}]]}]}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", "0"}], ",", 
         RowBox[{"k", "\[LessSlantEqual]", "n"}], ",", 
         RowBox[{"k", "++"}], ",", 
         RowBox[{
          RowBox[{"p", "\[LeftDoubleBracket]", 
           RowBox[{"\[Chi]", "+", "k", "+", "1"}], "\[RightDoubleBracket]"}], 
          "=", 
          RowBox[{
           UnderoverscriptBox["\[Sum]", 
            RowBox[{"i", "=", "0"}], "k"], 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"g", "\[LeftDoubleBracket]", 
              RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
             RowBox[{"v", "\[LeftDoubleBracket]", 
              RowBox[{"k", "-", "i", "+", "1"}], "\[RightDoubleBracket]"}]}], 
            ")"}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "p", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.638033899486045*^9, 3.6380339063524375`*^9}, {
   3.6393243253296494`*^9, 3.6393243325680637`*^9}, 3.639324420188075*^9, {
   3.6418151015055103`*^9, 3.6418151037987146`*^9}, {3.6418151373387737`*^9, 
   3.6418152433097596`*^9}, {3.643537594784018*^9, 3.643537619432061*^9}, {
   3.6435376720041533`*^9, 3.643537757679504*^9}, {3.6435378017495813`*^9, 
   3.6435379776086903`*^9}, {3.643538038901198*^9, 3.6435380595400343`*^9}, {
   3.643538110099723*^9, 3.6435381585378084`*^9}, {3.643538193060669*^9, 
   3.643538323898099*^9}, {3.6435383778273935`*^9, 3.6435385777417445`*^9}, {
   3.6435386216402216`*^9, 3.6435387165819883`*^9}, {3.6435388373106003`*^9, 
   3.643538932642368*^9}, {3.643539271714964*^9, 3.6435395855095153`*^9}, 
   3.643539637722807*^9, {3.6435396968313103`*^9, 3.643539743459792*^9}, {
   3.643539789230273*^9, 3.6435397922566786`*^9}, {3.6435398237999334`*^9, 
   3.643539906573679*^9}, 3.643539943327344*^9, {3.6435400359915066`*^9, 
   3.643540058611546*^9}, {3.6435406315225525`*^9, 3.6435406370293617`*^9}, {
   3.6435407163867016`*^9, 3.643540785588423*^9}, {3.643540882994994*^9, 
   3.6435409042890315`*^9}, {3.64354093770429*^9, 3.643540944037901*^9}, {
   3.6435410705385237`*^9, 3.6435411012705774`*^9}, {3.6435411501142635`*^9, 
   3.64354119382554*^9}, {3.643543589601348*^9, 3.643543618055798*^9}, 
   3.643547097911835*^9, {3.643547128082288*^9, 3.6435471350867004`*^9}, {
   3.64371267363628*^9, 3.6437129034090834`*^9}, {3.6437129458255577`*^9, 
   3.643713142885104*^9}, {3.643713253208498*^9, 3.643713372267907*^9}, {
   3.643713436165619*^9, 3.643713442998431*^9}, {3.6437853664251623`*^9, 
   3.6437853901996045`*^9}, {3.643785621844411*^9, 3.6437856333104315`*^9}, {
   3.6439499079923115`*^9, 3.643949925277142*^9}, 3.643950102977054*^9, {
   3.643950167873168*^9, 3.6439502114752445`*^9}, {3.643950268384145*^9, 
   3.643950305200209*^9}, {3.64395039681917*^9, 3.6439504123723974`*^9}, {
   3.643950462058485*^9, 3.6439505470318336`*^9}, {3.6439518015378704`*^9, 
   3.6439518539539623`*^9}, {3.643951924060486*^9, 3.643951930628097*^9}, {
   3.6439520106330376`*^9, 3.643952075981552*^9}, {3.6439523801508865`*^9, 
   3.643952381508089*^9}, 3.6439527307927027`*^9, {3.6439693715876384`*^9, 
   3.643969403879695*^9}, {3.643969434596149*^9, 3.6439694487297735`*^9}, {
   3.6439695152638907`*^9, 3.643969591844425*^9}, {3.643969695007406*^9, 
   3.6439696989074135`*^9}, {3.643969732868673*^9, 3.6439703254045134`*^9}, {
   3.643970370706993*^9, 3.6439704017978477`*^9}, {3.6439704430599203`*^9, 
   3.6439708327174044`*^9}, {3.643970929031974*^9, 3.643971207118062*^9}, 
   3.6439712561645484`*^9, {3.643971289002606*^9, 3.6439714799937415`*^9}, {
   3.643971521209014*^9, 3.6439715543590717`*^9}, {3.6439718400786905`*^9, 
   3.643972003816578*^9}, 3.6439729767186885`*^9, {3.6439730126299515`*^9, 
   3.643973092190091*^9}, {3.64397458896152*^9, 3.643974617712371*^9}, {
   3.643974686851692*^9, 3.643974858015193*^9}, {3.6439749572469673`*^9, 
   3.643974978275804*^9}, {3.6441096139550295`*^9, 3.6441096391334734`*^9}, 
   3.644110087509461*^9, 3.6441130946099854`*^9, {3.6441131424396696`*^9, 
   3.6441131777113314`*^9}, {3.644113235057032*^9, 3.644113259767475*^9}, {
   3.6441133049139547`*^9, 3.6441133178151774`*^9}, {3.6441133542724414`*^9, 
   3.6441136549005694`*^9}, {3.6441136880506277`*^9, 3.644113725818294*^9}, {
   3.6441137583911514`*^9, 3.6441137875320024`*^9}, {3.644114414167104*^9, 
   3.6441144451019583`*^9}, 3.6441147767405405`*^9, 3.644114933084016*^9, {
   3.644115122281148*^9, 3.644115196802479*^9}, {3.644115239608954*^9, 
   3.6441152445073624`*^9}, {3.644115324317103*^9, 3.644115346749942*^9}, 
   3.6441154056088457`*^9, {3.6441163865229683`*^9, 3.6441165277344165`*^9}, {
   3.6441167037027254`*^9, 3.6441167470708017`*^9}, 3.644117069070967*^9, {
   3.644117219829632*^9, 3.644117220204033*^9}, {3.6441173260502186`*^9, 
   3.644117353677867*^9}, {3.6441174333628073`*^9, 3.6441175788330626`*^9}, {
   3.6441181532075377`*^9, 3.6441181554383416`*^9}, 3.644147191148188*^9, {
   3.6441473627484894`*^9, 3.6441475761880646`*^9}, {3.6441476453117857`*^9, 
   3.6441476697102284`*^9}, {3.644147703421888*^9, 3.644147707025494*^9}, {
   3.6441477933092456`*^9, 3.6441479555495305`*^9}, {3.6441479901503916`*^9, 
   3.6441479957820015`*^9}, {3.644148041287281*^9, 3.6441480960901775`*^9}, {
   3.6441481336550436`*^9, 3.644148201421562*^9}, {3.6441482325124173`*^9, 
   3.6441482844605083`*^9}, {3.6441483156449633`*^9, 3.644148339918606*^9}, {
   3.644148391835497*^9, 3.64414843913478*^9}, {3.6441527440366406`*^9, 
   3.6441527587786665`*^9}, 3.6441529825766597`*^9, {3.644153974332802*^9, 
   3.6441539777492075`*^9}, {3.6447395253767185`*^9, 3.644739563035185*^9}, {
   3.6447400133299756`*^9, 3.644740036090416*^9}, {3.644799875844435*^9, 
   3.6447998867020545`*^9}, {3.644802354704389*^9, 3.6448023644544067`*^9}, {
   3.6448024049676776`*^9, 3.6448025554299417`*^9}, {3.6457094974687896`*^9, 
   3.645709523318035*^9}, {3.6457681675056677`*^9, 3.6457681682856693`*^9}, 
   3.6460215690343833`*^9, {3.6460216684220676`*^9, 3.6460217386820865`*^9}, {
   3.646486806738964*^9, 3.6464868508870416`*^9}, 3.646486887671906*^9, {
   3.64648742532063*^9, 3.646487443167062*^9}, {3.6465371213614616`*^9, 
   3.6465371220010624`*^9}, {3.658124852793969*^9, 3.6581248760740013`*^9}, {
   3.65831871113118*^9, 3.658318726169606*^9}, 3.678171254164799*^9, {
   3.678171923265175*^9, 3.6781719252931786`*^9}, {3.678285500112426*^9, 
   3.678285500112426*^9}, {3.6782859305123825`*^9, 3.6782859305123825`*^9}, 
   3.6782866702148824`*^9, 3.6782868434375863`*^9, {3.6790467330169883`*^9, 
   3.679046757836632*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Beta]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Beta]jk", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[Beta]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "r\[Beta]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"r\[Beta]", "[", 
          RowBox[{"l_", ",", "M_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aa", ",", "rez", ",", "m"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "===", "===", "===", "===", " ", "akn", " ", "===", "===", "===", 
             "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"n", "\[LessEqual]", "1"}], ",", 
                 RowBox[{"Return", "[", 
                  RowBox[{"{", "1.", "}"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"a", "=", 
                   RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                   "a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "=", 
                   SuperscriptBox["2.", 
                    RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"For", "[", 
                   RowBox[{
                    RowBox[{"kk", "=", "0"}], ",", 
                    RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"n", "-", "2"}], "2"], "]"}]}], ",", 
                    RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"n", "-", "1.", "-", 
                    RowBox[{"2.", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1."}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Return", "[", "a", "]"}]}]}], "]"}]}], 
              "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"l", "\[GreaterEqual]", 
               RowBox[{"Floor", "[", 
                FractionBox["M", "2"], "]"}]}], ",", 
              RowBox[{"Return", "[", "1.", "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"aa", "=", 
             RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rez", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"m", "=", "0"}], "l"], 
              RowBox[{"aa", "\[LeftDoubleBracket]", 
               RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", " ", "H\[Beta]", " ", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"H\[Beta]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"l", ",", "re", ",", "M2"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"re", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"l", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"r\[Beta]", "[", 
                 RowBox[{"l", ",", "M"}], "]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "+", "2", "-", 
                  RowBox[{"2", " ", "l"}]}], "\[RightDoubleBracket]"}]}], 
               ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "re", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"j", "\[Equal]", "k"}], ",", 
          RowBox[{"\[Beta]", "=", "1."}], ",", 
          RowBox[{"\[Beta]", "=", 
           RowBox[{"2.", " ", 
            RowBox[{"H\[Beta]", "[", 
             RowBox[{"k", "-", "j"}], "]"}]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Beta]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FckUT", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckUT", "[", 
      RowBox[{"n_", ",", "ff_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"f", ",", "c", ",", "j", ",", "l", ",", "temp"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"===", "===", "==="}], "=", " ", 
          RowBox[{"fjT", " ", "===", "===", "===", "==="}]}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"fjT", "[", 
          RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"ft", ",", "x", ",", "k", ",", "jj"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ft", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"x", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", "k"}], "-", "1."}], 
                  RowBox[{
                   RowBox[{"2", "nn"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
             "ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"nn", "+", "1."}]], " ", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"k", "=", "1"}], 
                RowBox[{"nn", "+", "1"}]], 
               RowBox[{"(", 
                RowBox[{"fu", "[", 
                 RowBox[{
                 "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
                 "]"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"jj", "=", "1"}], ",", 
              RowBox[{"jj", "\[LessEqual]", "nn"}], ",", 
              RowBox[{"jj", "++"}], ",", 
              RowBox[{
               RowBox[{"ft", "\[LeftDoubleBracket]", 
                RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{
                FractionBox["2.", 
                 RowBox[{"nn", "+", "1."}]], " ", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"k", "=", "1"}], 
                  RowBox[{"nn", "+", "1"}]], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], " ", 
                   RowBox[{"ChebyshevT", "[", 
                    RowBox[{"jj", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"f", "=", 
         RowBox[{"fjT", "[", 
          RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"c", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "0", ",", 
             RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"c", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
         "=", 
         FractionBox[
          RowBox[{"f", "\[LeftDoubleBracket]", 
           RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], 
          RowBox[{"\[Beta]jk", "[", 
           RowBox[{"n", ",", "n", ",", "p"}], "]"}]]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"l", "=", "1"}], ",", 
          RowBox[{"l", "\[LessEqual]", 
           RowBox[{"n", "-", "1"}]}], ",", 
          RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"temp", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"j", "=", "1"}], "l"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"c", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "j"}], "\[RightDoubleBracket]"}], 
               " ", 
               RowBox[{"\[Beta]jk", "[", 
                RowBox[{
                 RowBox[{"n", "-", "l"}], ",", 
                 RowBox[{"n", "-", "l", "+", "j"}], ",", "p"}], "]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"c", "\[LeftDoubleBracket]", 
             RowBox[{"n", "-", "l"}], "\[RightDoubleBracket]"}], "=", 
            FractionBox[
             RowBox[{
              RowBox[{"f", "\[LeftDoubleBracket]", 
               RowBox[{"n", "-", "l", "+", "1"}], "\[RightDoubleBracket]"}], 
              "-", "temp"}], 
             RowBox[{"\[Beta]jk", "[", 
              RowBox[{
               RowBox[{"n", "-", "l"}], ",", 
               RowBox[{"n", "-", "l"}], ",", "p"}], "]"}]]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "c", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.64474023765837*^9, 3.644740239935974*^9}, {
   3.6447403627393894`*^9, 3.644740374923011*^9}, 3.6447417450422173`*^9, {
   3.6448002410098767`*^9, 3.6448002516334953`*^9}, 3.6448003973377514`*^9, {
   3.6448012880057154`*^9, 3.644801290969721*^9}, 3.6448021371932073`*^9, 
   3.644802824889215*^9, 3.644803034241583*^9, {3.644803221020711*^9, 
   3.6448032881008286`*^9}, {3.644803497406396*^9, 3.6448035006824017`*^9}, 
   3.644803533224059*^9, 3.644803650317865*^9, {3.6448054797541695`*^9, 
   3.6448055014226074`*^9}, 3.6448070038604784`*^9, 3.6448076130415487`*^9, {
   3.644816608152581*^9, 3.6448166501166553`*^9}, {3.6448167065575542`*^9, 
   3.64481671558997*^9}, {3.644819229056817*^9, 3.6448192481512504`*^9}, {
   3.6448193436546183`*^9, 3.6448195523205843`*^9}, {3.6448197587456856`*^9, 
   3.6448197839865303`*^9}, 3.6448199565696335`*^9, {3.644821947609132*^9, 
   3.6448220101028414`*^9}, {3.644822278782113*^9, 3.644822387217904*^9}, {
   3.644822865374344*^9, 3.644822866840746*^9}, {3.6448230461942616`*^9, 
   3.644823067613099*^9}, {3.644823100841157*^9, 3.6448231153959827`*^9}, {
   3.6448233107762303`*^9, 3.644823311509432*^9}, {3.6448233434894876`*^9, 
   3.644823421489625*^9}, 3.6448234865573387`*^9, {3.6448235387238307`*^9, 
   3.644823713038537*^9}, {3.644823860677196*^9, 3.644823870021612*^9}, {
   3.6448242666523094`*^9, 3.644824291237952*^9}, {3.6448252449548664`*^9, 
   3.6448252962165565`*^9}, {3.6448253634058743`*^9, 3.644825363842675*^9}, {
   3.6450072256287556`*^9, 3.645007280962053*^9}, {3.6450169312970805`*^9, 
   3.6450169342298856`*^9}, {3.6450169654455404`*^9, 
   3.6450169688463464`*^9}, {3.6450177968141203`*^9, 3.645017834800187*^9}, {
   3.645017929102353*^9, 3.645017968492422*^9}, {3.6450193939449253`*^9, 
   3.6450194018697395`*^9}, 3.6450197868160152`*^9, 3.645020071719316*^9, {
   3.645020128628216*^9, 3.6450201842267137`*^9}, {3.6450204938248577`*^9, 
   3.645020622852684*^9}, {3.645020702288024*^9, 3.6450207027716246`*^9}, {
   3.6450208572430954`*^9, 3.6450209118899918`*^9}, {3.6450211002135224`*^9, 
   3.6450211042227297`*^9}, {3.6450213223891125`*^9, 
   3.6450213617947817`*^9}, {3.6450214293117003`*^9, 
   3.6450214360197124`*^9}, {3.645021623781642*^9, 3.6450216384612675`*^9}, 
   3.645022218542288*^9, {3.6450223914997916`*^9, 3.6450224016398096`*^9}, {
   3.645022442324681*^9, 3.6450224495162935`*^9}, {3.645022482198351*^9, 
   3.6450224871435595`*^9}, {3.6450228715670357`*^9, 
   3.6450228815198526`*^9}, {3.6450806389165397`*^9, 3.645080639899341*^9}, {
   3.645089832239679*^9, 3.6450898394624915`*^9}, {3.6451811703768764`*^9, 
   3.6451811760240865`*^9}, {3.6451812280189776`*^9, 
   3.6451812838202753`*^9}, {3.6451813276651535`*^9, 
   3.6451813319863605`*^9}, {3.6452423844479103`*^9, 3.6452424003131385`*^9}, 
   3.6452460380167313`*^9, {3.645246245884697*^9, 3.645246250408705*^9}, {
   3.645246697708291*^9, 3.645246710406713*^9}, {3.645246783414841*^9, 
   3.6452467864412465`*^9}, 3.6452485234311*^9, 3.6452485810076017`*^9, {
   3.6452486738433647`*^9, 3.6452486925633974`*^9}, {3.64552805761368*^9, 
   3.6455280608584857`*^9}, {3.6455281269090014`*^9, 
   3.6455281496070414`*^9}, {3.6455284021894855`*^9, 
   3.6455284296299334`*^9}, {3.6455285674717755`*^9, 3.6455285682985773`*^9}, 
   3.64570993499756*^9, {3.645764426608693*^9, 3.645764470943971*^9}, {
   3.645764531316077*^9, 3.6457645401144924`*^9}, 3.645764628859049*^9, {
   3.645764921981965*^9, 3.6457650649250154`*^9}, 3.6457650995726767`*^9, 
   3.645765212704075*^9, {3.6457654529756975`*^9, 3.6457654952829714`*^9}, {
   3.645765685228905*^9, 3.645765718628564*^9}, {3.6457658123223286`*^9, 
   3.6457658231175475`*^9}, {3.645765937184948*^9, 3.6457659797418222`*^9}, {
   3.6457661757645674`*^9, 3.645766255465108*^9}, 3.6457663714981117`*^9, {
   3.6457666521782055`*^9, 3.645766656593013*^9}, {3.6457667866724415`*^9, 
   3.645766786922042*^9}, 3.645767688101226*^9, 3.64576835048279*^9, {
   3.6457692371476755`*^9, 3.645769251797696*^9}, {3.645770037348796*^9, 
   3.645770124728918*^9}, {3.645770502569447*^9, 3.6457705027894473`*^9}, {
   3.645771126927141*^9, 3.6457712215257072`*^9}, {3.645771477678158*^9, 
   3.645771539095465*^9}, {3.6457717122709703`*^9, 3.6457717343762093`*^9}, {
   3.645933110505874*^9, 3.6459331186022882`*^9}, {3.6460211448921237`*^9, 
   3.6460211628261495`*^9}, 3.6460212907504663`*^9, {3.646021828820242*^9, 
   3.6460218755879173`*^9}, 3.6460496253896847`*^9, {3.646049715289442*^9, 
   3.6460497214670534`*^9}, {3.6460497672571335`*^9, 3.646049769129137*^9}, {
   3.6461977316345253`*^9, 3.6461977379369364`*^9}, {3.646221851029656*^9, 
   3.64622188159011*^9}, {3.646227558199793*^9, 3.6462275711478157`*^9}, {
   3.646485927336338*^9, 3.646485930830744*^9}, {3.6464859867724423`*^9, 
   3.6464860167088947`*^9}, 3.6464860507481546`*^9, {3.646486096893036*^9, 
   3.646486157343142*^9}, {3.6464862095564337`*^9, 3.6464863029849977`*^9}, {
   3.646486940493599*^9, 3.6464870136265273`*^9}, 3.658124894354027*^9, {
   3.658318733470419*^9, 3.6583187367308245`*^9}, {3.6583188188545694`*^9, 
   3.6583188313969913`*^9}, 3.678171325332124*^9, {3.6781718852947083`*^9, 
   3.678171951064424*^9}, {3.678172005756521*^9, 3.678172006333722*^9}, {
   3.6782843406103845`*^9, 3.6782844274713373`*^9}, 3.6782845620887737`*^9, 
   3.6782853889622307`*^9, 3.6782856383754683`*^9, {3.678285858034655*^9, 
   3.6782858602810593`*^9}, {3.6782860797266445`*^9, 3.6782861077286935`*^9}, 
   3.678286200860857*^9, {3.67904673428059*^9, 3.6790467794114695`*^9}, 
   3.6792149061697483`*^9, {3.6792150720136395`*^9, 3.679215081670057*^9}, {
   3.6872563236694937`*^9, 3.687256328926703*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "UClenshawArr", " ", "===", "===", 
     "==="}], "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"UClenshawArr", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx"}], 
        "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"nx", "=", 
         RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"j", "=", "1"}], ",", 
          RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
          RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"b", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"k", ",", "1", ",", 
                RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"k", "=", 
              RowBox[{"na", "-", "1"}]}], ",", 
             RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
             RowBox[{"k", "--"}], ",", " ", 
             RowBox[{
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
              RowBox[{
               RowBox[{"a", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
               RowBox[{"2", " ", 
                RowBox[{
                "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
                " ", 
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
            "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
            RowBox[{
            "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
           ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "UClenshaw", " ", "===", "===", "==="}],
      "=", "\[Equal]"}], "*)"}], 
   RowBox[{
    RowBox[{
     RowBox[{"UClenshaw", "[", 
      RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"na", "=", 
         RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"b", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", 
             RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"k", "=", 
           RowBox[{"na", "-", "1"}]}], ",", 
          RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
          RowBox[{"k", "--"}], ",", " ", 
          RowBox[{
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{"a", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
            RowBox[{"2", " ", "x", " ", 
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
            RowBox[{"b", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"y", "=", 
         RowBox[{
         "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", " ", "xArr", " ", "===", "===", "==="}], "=",
      "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xArr", "[", 
      RowBox[{"a0_", ",", "h_", ",", "n_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "k"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"x", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"a0", "+", 
            RowBox[{"k", " ", "h"}]}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "x", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.6450071138077593`*^9, {3.645007456914762*^9, 3.645007459129966*^9}, {
   3.6450075111872573`*^9, 3.645007582791383*^9}, 3.645007627984662*^9, {
   3.6450078165265937`*^9, 3.6450078233594055`*^9}, {3.6450078748862963`*^9, 
   3.645007899393939*^9}, {3.645008124783135*^9, 3.645008137980758*^9}, 
   3.6450081844376397`*^9, {3.645008336132306*^9, 3.6450083894376*^9}, {
   3.6450166530549917`*^9, 3.6450166564089975`*^9}, {3.645016960063531*^9, 
   3.6450169735575542`*^9}, {3.6450749513076916`*^9, 
   3.6450750020857806`*^9}, {3.645075034003437*^9, 3.645075180862095*^9}, {
   3.6450752446194067`*^9, 3.645075260687435*^9}, {3.6450755254355*^9, 
   3.6450755693339767`*^9}, {3.645076094056956*^9, 3.645076198592739*^9}, {
   3.6450762317739973`*^9, 3.6450762863428936`*^9}, {3.6451650432182145`*^9, 
   3.645165045917019*^9}, {3.645167398053551*^9, 3.6451674387540226`*^9}, {
   3.6451691842722883`*^9, 3.6451691860506916`*^9}, {3.6451816701635327`*^9, 
   3.645181672121645*^9}, {3.645187670795145*^9, 3.6451876713723464`*^9}, 
   3.6457665275651865`*^9, {3.645766616188942*^9, 3.645766616547743*^9}, {
   3.6581291714835825`*^9, 3.6581291717799826`*^9}, 3.658318850007824*^9, 
   3.67817152221327*^9, {3.678285415575877*^9, 3.6782854257626953`*^9}, {
   3.6782854649499636`*^9, 3.678285464981164*^9}, {3.6790467365893946`*^9, 
   3.679046759693035*^9}, {3.6792157266531897`*^9, 3.6792157344688034`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "un\[Alpha]", " ", "===", "===", "==="}],
     "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"uArr", "[", 
      RowBox[{"fu_", ",", "x_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"y", ",", "len", ",", "k"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"len", "=", 
         StyleBox[
          RowBox[{"Length", "[", "x", "]"}], "SearchResultSummary"]}], 
        StyleBox[";", "SearchResultSummary"], 
        StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
        RowBox[{"y", "=", 
         RowBox[{"Table", "[", 
          RowBox[{
           RowBox[{"fu", "[", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "1", ",", "len"}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "y", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXi", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXi", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "z_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"rez", ",", "Rez"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{"g", "  ", 
              RowBox[{"Log", "[", 
               FractionBox[
                RowBox[{"z", "-", "1."}], 
                RowBox[{"z", "+", "1."}]], "]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"z", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"FXiPlus", " ", "===", "===", "===", 
      RowBox[{"==", 
       RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FXiPlus", "[", 
      RowBox[{
      "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "x_"}], 
      "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"r", ",", "rr"}], "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[CapitalGamma]Plus", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"G", "=", 
             FractionBox[
              RowBox[{"a", "-", "b"}], 
              RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
            RowBox[{"g", "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
              RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rezz", "=", 
             RowBox[{
              RowBox[{
               RowBox[{"-", 
                FractionBox["1.", "2."]}], " ", 
               RowBox[{"Log", "[", "G", "]"}]}], "+", 
              RowBox[{"g", "  ", 
               RowBox[{"Log", "[", 
                FractionBox[
                 RowBox[{"1.", "-", "x"}], 
                 RowBox[{"1.", "+", "x"}]], "]"}]}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Rez", "=", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "-", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]1"}]], " ", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{"x", "+", "1"}], ")"}], 
           RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "Rez", "]"}], ";"}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{
  3.645007175209467*^9, {3.6450076371730785`*^9, 3.64500766086952*^9}, 
   3.6450082424853415`*^9, {3.645010022606546*^9, 3.6450100533698*^9}, {
   3.645010149450369*^9, 3.6450101526483746`*^9}, {3.6450169843371735`*^9, 
   3.645016995241593*^9}, {3.645074828987877*^9, 3.6450748723871527`*^9}, {
   3.6450754108064985`*^9, 3.6450754397913494`*^9}, {3.6450754729726076`*^9, 
   3.6450754733158083`*^9}, {3.645076542261343*^9, 3.645076673207973*^9}, 
   3.645076738696888*^9, {3.658063147247617*^9, 3.658063148177618*^9}, 
   3.678171552789324*^9, {3.67817214188236*^9, 3.678172167310405*^9}, {
   3.6790467378061967`*^9, 3.679046759693035*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", "\[IndentingNewLine]", "       ", 
   StyleBox[
    RowBox[{
     RowBox[{
     "\:041c\:043e\:0434\:0435\:043b\:044c\:043d\:044b\:0439", " ", 
      "\:043f\:0440\:0438\:043c\:0435\:0440"}], " ", 
     StyleBox["\[IndentingNewLine]", "Text",
      FontFamily->"Tahoma",
      FontSize->18,
      FontColor->RGBColor[0, 1, 1],
      Background->RGBColor[1, 0.85, 0.85]], 
     RowBox[{"\:0421\:0418\:0423", " ", "\:0441", " ", 
      StyleBox[
       RowBox[{
        StyleBox[
         StyleBox[
          StyleBox["\:0432", "Text",
           FontFamily->"Cambria",
           FontSize->18,
           FontColor->RGBColor[1, 0, 1]], "Text",
          FontFamily->"Cambria",
          FontSize->18,
          FontColor->RGBColor[1, 0, 1]], "Text",
         FontFamily->"Cambria",
         FontSize->18,
         FontColor->RGBColor[1, 0, 1]], 
        "\:0435\:0449\:0435\:0441\:0442\:0432\:0435\:043d\:043d\:044b\:043c\
\:0438"}]], " ", 
      "\:043a\:043e\:044d\:0444\:0444\:0438\:0446\:0438\:0435\:043d\:0442\
\:0430\:043c\:0438"}]}], "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], 
   StyleBox[" ", "Text",
    FontFamily->"Cambria",
    FontSize->18,
    FontColor->RGBColor[1, 0, 1]], 
   StyleBox["\[IndentingNewLine]", "Text",
    FontFamily->"Tahoma",
    FontSize->18,
    FontColor->RGBColor[0, 1, 1]], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"v", "=", 
     FractionBox["\[Pi]", "4"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fa", "=", 
     RowBox[{"Cos", "[", "v", "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"fb", "=", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], "  ", 
      RowBox[{"Sin", "[", "v", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"fa", ",", "\"\< \>\"", ",", "fb"}], "]"}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "\[Alpha]", ",", "\[Beta]", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
       "\[Kappa]"}], "}"}], "=", 
     RowBox[{"F\[Kappa]C", "[", 
      RowBox[{"fa", ",", "fb", ",", "2"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{
      "\"\<\[Alpha]=\>\"", ",", "\[Alpha]", ",", "\"\< \[Delta]=\>\"", ",", 
       "\[Delta]", ",", "\"\< \[Kappa]1=\>\"", ",", "\[Kappa]1", ",", 
       "\"\< \[Kappa]2=\>\"", ",", "\[Kappa]2", ",", "\"\< \[Kappa]=\>\"", 
       ",", "\[Kappa]"}], "]"}], ";"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"FXi2", ":=", 
     RowBox[{"FXi", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "2"}],
       "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Print", "[", 
      RowBox[{"\"\<FXi2=\>\"", ",", "FXi2"}], "]"}], ";"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], ":=", 
     FractionBox["1.", 
      RowBox[{"x", "-", "2."}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "[", "x_", "]"}], "=", 
     RowBox[{
      FractionBox["FXi2", 
       RowBox[{"x", "-", "2."}]], "+", "1."}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ut", "[", "x_", "]"}], "=", 
     FractionBox["1", 
      RowBox[{"x", "-", "2"}]]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.644114786069357*^9, 3.644114843773859*^9}, 
   3.6441148791703205`*^9, {3.6441149825673027`*^9, 3.644115050708222*^9}, 
   3.6441152091265*^9, {3.644115433532894*^9, 3.6441154950126023`*^9}, 
   3.6441155446050897`*^9, {3.644116578262905*^9, 3.6441166515050335`*^9}, {
   3.644116795493287*^9, 3.6441168082853093`*^9}, 3.644116864461008*^9, {
   3.644116897673466*^9, 3.6441169016826735`*^9}, {3.6441169639891825`*^9, 
   3.644116969729993*^9}, {3.6441171411118937`*^9, 3.644117146634303*^9}, {
   3.644118387629949*^9, 3.64411839950157*^9}, {3.644152854219634*^9, 
   3.6441528732984676`*^9}, {3.644153022247529*^9, 3.6441530286435404`*^9}, {
   3.6441530881888447`*^9, 3.6441531016516685`*^9}, {3.6441531993390408`*^9, 
   3.644153299491216*^9}, {3.644153422247832*^9, 3.6441534301414456`*^9}, 
   3.644153488953549*^9, 3.6441535317288237`*^9, {3.644153575986102*^9, 
   3.6441535792465076`*^9}, 3.6441536258593893`*^9, 3.64415367173907*^9, {
   3.6441537113163395`*^9, 3.644153714202345*^9}, {3.644153755948018*^9, 
   3.644153759458024*^9}, {3.6441538841646433`*^9, 3.644153887362649*^9}, 
   3.644739585140424*^9, {3.644740574088561*^9, 3.644740576210164*^9}, {
   3.6447407494484687`*^9, 3.6447408334702163`*^9}, 3.6447410194693427`*^9, {
   3.6447411620691934`*^9, 3.6447411713356094`*^9}, {3.644741601443965*^9, 
   3.644741625093607*^9}, {3.6447418847716627`*^9, 3.644741888016468*^9}, 
   3.644742285567567*^9, {3.644762467490097*^9, 3.644762555599052*^9}, {
   3.6447626129291525`*^9, 3.6447626231159706`*^9}, {3.6447648714407215`*^9, 
   3.6447648823607407`*^9}, {3.644764932124828*^9, 3.6447649484268565`*^9}, {
   3.6447651007611237`*^9, 3.6447651016347256`*^9}, {3.644765335447936*^9, 
   3.6447653829656196`*^9}, {3.6447654257564945`*^9, 3.644765427020097*^9}, {
   3.6447655560791235`*^9, 3.64476556525194*^9}, {3.6447657592382803`*^9, 
   3.6447657633722878`*^9}, {3.644766052705996*^9, 3.644766053283197*^9}, {
   3.6448004532326493`*^9, 3.644800461594264*^9}, {3.6448005042291393`*^9, 
   3.64480053326079*^9}, {3.644800582775277*^9, 3.644800611104927*^9}, 
   3.6448006627566175`*^9, 3.6448008028136635`*^9, {3.6448031319913545`*^9, 
   3.644803162364608*^9}, {3.644805558487508*^9, 3.6448055744307356`*^9}, 
   3.644808139925823*^9, {3.644824317227598*^9, 3.644824334574828*^9}, 
   3.6448253856983137`*^9, {3.6448264776660023`*^9, 3.6448265154960685`*^9}, {
   3.6448296129922047`*^9, 3.6448296151918087`*^9}, {3.6448301069826727`*^9, 
   3.644830107887474*^9}, {3.645007332176943*^9, 3.645007333237745*^9}, {
   3.6450080415413885`*^9, 3.64500804222779*^9}, 3.6450085610847015`*^9, 
   3.645008624686013*^9, 3.6450086626096797`*^9, 3.645019478918275*^9, 
   3.6450209285040207`*^9, {3.645020960016076*^9, 3.645020960811678*^9}, {
   3.6450221019008827`*^9, 3.6450221424297543`*^9}, {3.645022294249221*^9, 
   3.645022324575674*^9}, {3.6450229137651095`*^9, 3.645022914576311*^9}, 
   3.645023088001816*^9, 3.6450231411511087`*^9, 3.6450231830059824`*^9, {
   3.6450232293380637`*^9, 3.6450232302272654`*^9}, {3.645023302751793*^9, 
   3.6450233037969947`*^9}, {3.6450753511363935`*^9, 3.6450753545216*^9}, {
   3.6450757196402407`*^9, 3.6450757220426455`*^9}, {3.645077330405927*^9, 
   3.645077346083955*^9}, 3.6450801487040777`*^9, 3.6451676533479996`*^9, 
   3.645242286900939*^9, {3.6452423331238203`*^9, 3.6452423533258553`*^9}, {
   3.6452459318405447`*^9, 3.64524594070136*^9}, {3.6452464556114655`*^9, 
   3.64524645815427*^9}, {3.6452465244387865`*^9, 3.6452466074465322`*^9}, {
   3.6464870492725897`*^9, 3.6464870548417997`*^9}, 3.6464871852458515`*^9, 
   3.6464876535358315`*^9, {3.6465371314390793`*^9, 3.6465371320474806`*^9}, {
   3.659269967974105*^9, 3.659269968613706*^9}, 3.678171580572973*^9, {
   3.67817167567714*^9, 3.6781717709933076`*^9}, {3.678172087875065*^9, 
   3.6781721241451287`*^9}, 3.6782848947805595`*^9, 3.678284933015827*^9, {
   3.6782855001280255`*^9, 3.6782855001436253`*^9}, {3.6782857362812405`*^9, 
   3.6782857665920935`*^9}, {3.6782859010127306`*^9, 
   3.6782859305279827`*^9}, {3.679047005914666*^9, 3.67904701404228*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nnn", "=", "25"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pp", "=", 
   RowBox[{"FpC", "[", 
    RowBox[{"fa", ",", "fb", ",", "2", ",", "nnn"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.645077333697533*^9, 3.645077340655145*^9}, 
   3.6450776562281*^9, {3.645167692925269*^9, 3.645167696809676*^9}, {
   3.645168873098542*^9, 3.645168876748948*^9}, {3.645168915780217*^9, 
   3.6451689386342573`*^9}, {3.645169116084569*^9, 3.6451691381586075`*^9}, {
   3.645765119759112*^9, 3.6457651204299135`*^9}, {3.645767270784893*^9, 
   3.645767272173295*^9}, 3.6457684392001457`*^9, {3.6459336477304187`*^9, 
   3.6459336499612226`*^9}, {3.646021899604291*^9, 3.646021900537344*^9}, 
   3.646209166418764*^9, {3.6464863784167557`*^9, 3.646486379200801*^9}, 
   3.646486727369623*^9, {3.6581192139310226`*^9, 3.658119214820224*^9}, {
   3.6781717776857195`*^9, 3.678171804455366*^9}, {3.678172310529456*^9, 
   3.6781723114186583`*^9}, {3.6782847164658456`*^9, 3.678284717308247*^9}, 
   3.679215200542266*^9, 3.67921532264368*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ck\[Beta]", "=", 
   RowBox[{"FckUT", "[", 
    RowBox[{"nnn", ",", "f", ",", "pp"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6393244379150887`*^9, 3.639324502711795*^9}, {
   3.639324833566719*^9, 3.6393248376679535`*^9}, {3.639325553181878*^9, 
   3.6393255538149147`*^9}, 3.63932632370695*^9, 3.639836755732641*^9, {
   3.644765500075025*^9, 3.644765518857458*^9}, {3.6447655823807697`*^9, 
   3.644765587513179*^9}, 3.6447659100281453`*^9, {3.6448006968894777`*^9, 
   3.644800726311129*^9}, {3.6448010066904216`*^9, 3.644801028202859*^9}, 
   3.6448031350021596`*^9, {3.6448070921410336`*^9, 3.6448071041218543`*^9}, 
   3.644808156385846*^9, {3.6448175293582*^9, 3.6448175390458174`*^9}, 
   3.644822497603698*^9, {3.644822788949809*^9, 3.6448228286518793`*^9}, 
   3.645008023367357*^9, {3.6450085505546827`*^9, 3.645008552801087*^9}, 
   3.645020284098089*^9, 3.6450223273212786`*^9, 3.6450232908021717`*^9, {
   3.6451813692080264`*^9, 3.645181375713238*^9}, 3.6452423485054474`*^9, {
   3.6452462649011307`*^9, 3.6452462717807426`*^9}, {3.6452485996652346`*^9, 
   3.6452486071688476`*^9}, 3.6457669580855427`*^9, {3.64602177143596*^9, 
   3.6460217722990093`*^9}, 3.646049802622396*^9, 3.646486724390018*^9, {
   3.6781718099153757`*^9, 3.6781718101493764`*^9}, {3.678284592945628*^9, 
   3.678284629902093*^9}, {3.678284722752657*^9, 3.6782847240474586`*^9}, {
   3.6782847984127893`*^9, 3.678284802343996*^9}, {3.6782855000344257`*^9, 
   3.6782855000656257`*^9}, {3.6782859305279827`*^9, 
   3.6782859305279827`*^9}, {3.6792150905464725`*^9, 3.6792151009204903`*^9}, 
   3.6792152036466713`*^9, 3.6792153246092834`*^9, {3.6792154828247614`*^9, 
   3.6792154853207655`*^9}, {3.6800597201959953`*^9, 3.680059720523596*^9}, {
   3.6872563369763174`*^9, 3.6872563373195176`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"a0", "=", 
   RowBox[{"-", "0.99"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"hh", "=", "0.01"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b0", "=", "0.99"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kk", "=", 
   RowBox[{
    RowBox[{"Floor", "[", 
     FractionBox[
      RowBox[{"b0", "-", "a0"}], "hh"], "]"}], "+", "1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xx", "=", 
   RowBox[{"xArr", "[", 
    RowBox[{"a0", ",", "hh", ",", "kk"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"yy", "=", 
   RowBox[{"UClenshawArr", "[", 
    RowBox[{"ck\[Beta]", ",", "xx"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.644828003719778*^9, 3.6448280670714893`*^9}, {
   3.6448281175843782`*^9, 3.6448281329660053`*^9}, 3.6450223362600946`*^9, {
   3.6450752874414816`*^9, 3.64507532048234*^9}, {3.6450756789085693`*^9, 
   3.645075685460581*^9}, {3.64507631863495*^9, 3.645076388226672*^9}, {
   3.645077181144865*^9, 3.645077182892068*^9}, {3.6450773567387733`*^9, 
   3.6450774630841603`*^9}, {3.645077612158022*^9, 3.6450776193184347`*^9}, {
   3.6451650566342382`*^9, 3.6451650637010503`*^9}, {3.6451813828892508`*^9, 
   3.6451814127477026`*^9}, {3.645242361079069*^9, 3.645242363824674*^9}, {
   3.6452464118377886`*^9, 3.6452464128205905`*^9}, {3.6452486241728773`*^9, 
   3.6452486258732805`*^9}, 3.6459330929246435`*^9, 3.646021783520651*^9, 
   3.6461979286628714`*^9, 3.646197976086955*^9, 3.646209173859977*^9, {
   3.6464864970145392`*^9, 3.6464865018638163`*^9}, 3.6464867018947783`*^9, 
   3.678172306317449*^9, 3.6782848201592274`*^9, 3.6782855000812254`*^9, 
   3.6782859304343824`*^9, 3.6792151054132986`*^9, {3.6792152897588224`*^9, 
   3.679215291864826*^9}, {3.6792153479625244`*^9, 3.679215348383725*^9}, 
   3.67921540781983*^9, 3.679215756433642*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{"zz", "=", 
   RowBox[{"uArr", "[", 
    RowBox[{"ut", ",", "xx"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{
  3.644829983680056*^9, {3.6450101129463043`*^9, 3.6450101182503138`*^9}, 
   3.6450223401133013`*^9, {3.645076413592317*^9, 3.6450764138263173`*^9}, 
   3.645076504930477*^9, {3.6450766859999957`*^9, 3.645076730179273*^9}, {
   3.6450771883208776`*^9, 3.645077188851279*^9}, 3.645080148719678*^9, 
   3.64593309662185*^9, 3.646021790897073*^9, 3.646209177479183*^9, 
   3.6464866803043404`*^9, 3.6781723025734425`*^9, 3.6782848334816513`*^9, 
   3.6792154097854333`*^9, 3.6792156508994565`*^9}],

Cell["\<\
\:041f\:043e\:0433\:0440\:0435\:0448\:043d\:043e\:0441\:0442\:044c \:043f\
\:0440\:0438\:0431\:043b\:0438\:0436\:0435\:043d\:043d\:043e\:0433\:043e \
\:0440\:0435\:0448\:0435\:043d\:0438\:044f \:0432 \:0442\:043e\:0447\:043a\
\:0430\:0445 \:0438\:0437 \:043e\:0442\:0440\:0435\:0437\:043a\:0430 [-1; 1]\
\>", "Text",
 CellChangeTimes->{{3.63983583974425*^9, 3.639835868969921*^9}, {
  3.644824046083522*^9, 3.6448240474407244`*^9}, {3.644824083164787*^9, 
  3.6448240869711933`*^9}},
 FontFamily->"Arial Narrow",
 FontSize->14],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Print", "[", 
    RowBox[{"\"\<eps=\>\"", ",", 
     RowBox[{"Max", "[", 
      RowBox[{"Abs", "[", 
       RowBox[{"yy", "-", "zz"}], "]"}], "]"}]}], "]"}], ";"}], 
  "\[IndentingNewLine]", 
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"**", "**", "**", "**", "**", "**", "**"}], "*", " ", "obXM1"}], 
    " ", "****************)"}],
   FontFamily->"Courier New"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"obXM1", "[", 
    RowBox[{"n_", ",", "p_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"aS", ",", "aS1", ",", "rez"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
      "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
        "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"aSyst", ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"aM", ",", "m", ",", "k"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"aM", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"m", ",", "1", ",", "n"}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "0", ",", 
               RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"m", "=", "1"}], ",", 
            RowBox[{"m", "\[LessEqual]", "n"}], ",", 
            RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"k", "=", 
                RowBox[{"m", "-", "1"}]}], ",", 
               RowBox[{"k", "\[LessEqual]", 
                RowBox[{"n", "-", "1"}]}], ",", 
               RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"aM", "\[LeftDoubleBracket]", 
                 RowBox[{"m", ",", 
                  RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                RowBox[{"\[Beta]jk", "[", 
                 RowBox[{"m", ",", 
                  RowBox[{"k", "+", "1"}], ",", "p"}], "]"}]}]}], "]"}], 
             ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "===", "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
         "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
      RowBox[{"aS1", "=", 
       RowBox[{"Inverse", "[", "aS", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"rez", "=", 
       RowBox[{
        RowBox[{"Norm", "[", "aS", "]"}], "*", 
        RowBox[{"Norm", "[", "aS1", "]"}]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Print", "[", 
   RowBox[{"\"\<Obysl=\>\"", ",", 
    RowBox[{"obXM1", "[", 
     RowBox[{"nnn", ",", "pp"}], "]"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.6448240967212105`*^9, 3.6448241352220783`*^9}, 
   3.6448245521796107`*^9, {3.6448247364315343`*^9, 3.6448247441847477`*^9}, {
   3.644826673207945*^9, 3.6448267122080135`*^9}, {3.644826956644843*^9, 
   3.644826982338088*^9}, 3.6448295252732506`*^9, {3.64501008765866*^9, 
   3.6450100950218735`*^9}, {3.6450101881540365`*^9, 3.645010191274042*^9}, {
   3.645012789037405*^9, 3.6450127934678125`*^9}, 3.6450223444345093`*^9, {
   3.6450234096431804`*^9, 3.6450234252276077`*^9}, {3.645076445697173*^9, 
   3.645076452873186*^9}, {3.6450767662777367`*^9, 3.6450767889757767`*^9}, 
   3.679046759693035*^9, {3.679046879499245*^9, 3.6790468805288467`*^9}, {
   3.680059699759959*^9, 3.6800597005087605`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"eps=\"\>", "\[InvisibleSpace]", "9.459100169806334`*^-14"}],
  SequenceForm["eps=", 9.459100169806334*^-14],
  Editable->False]], "Print",
 CellChangeTimes->{3.6790469059648914`*^9, 3.679047023573897*^9, 
  3.67921511770612*^9, 3.679215213209488*^9, 3.679215365200555*^9, 
  3.679215417866247*^9, 3.6792154936823807`*^9, 3.6792157436104193`*^9, 
  3.6800597090575757`*^9}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"\<\"Obysl=\"\>", "\[InvisibleSpace]", "34.18175349236056`"}],
  SequenceForm["Obysl=", 34.18175349236056],
  Editable->False]], "Print",
 CellChangeTimes->{3.6790469059648914`*^9, 3.679047023573897*^9, 
  3.67921511770612*^9, 3.679215213209488*^9, 3.679215365200555*^9, 
  3.679215417866247*^9, 3.6792154936823807`*^9, 3.6792157436104193`*^9, 
  3.6800597093851757`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{" ", 
  RowBox[{"ListLinePlot", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
           "zz", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], " ", 
           "-", " ", 
           RowBox[{
           "yy", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
          ")"}], "/", 
         RowBox[{
         "zz", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}]}], 
        "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.6398353919906397`*^9, 3.639835400260113*^9}, {
   3.639835573419017*^9, 3.639835576747207*^9}, 3.6398409550458283`*^9, {
   3.6398421324081697`*^9, 3.639842138978545*^9}, {3.6398422109976645`*^9, 
   3.6398422190481253`*^9}, 3.639843815326427*^9, 3.644800832141715*^9, {
   3.644801050292498*^9, 3.644801055924108*^9}, {3.644805421800068*^9, 
   3.644805449380916*^9}, 3.644814195962737*^9, 3.644816348100125*^9, {
   3.6448225820154457`*^9, 3.6448226041206846`*^9}, 3.6448244142909684`*^9, 
   3.644824678181032*^9, {3.644826785294142*^9, 3.6448267926573553`*^9}, {
   3.6448292687028*^9, 3.6448292816508226`*^9}, {3.645010266778175*^9, 
   3.6450103084302483`*^9}, {3.645010371095558*^9, 3.645010390345992*^9}, 
   3.645010433745268*^9, {3.6450105300910373`*^9, 3.645010530543438*^9}, {
   3.645010562320694*^9, 3.6450105838955317`*^9}, 3.6450127410517206`*^9, 
   3.6450223477261147`*^9, {3.6450234585336666`*^9, 3.645023503945346*^9}, {
   3.645076837039461*^9, 3.6450768539030905`*^9}, {3.645076886600748*^9, 
   3.645076917192402*^9}, {3.6450769523704634`*^9, 3.6450769643980846`*^9}, {
   3.6450771192751565`*^9, 3.6450771301951756`*^9}, {3.6450775918623867`*^9, 
   3.6450775921275873`*^9}, {3.645868567759739*^9, 3.6458685701621437`*^9}, {
   3.645933635936798*^9, 3.6459336363111987`*^9}, {3.6581188994900694`*^9, 
   3.658118908990486*^9}, {3.6790467378217964`*^9, 3.6790467597086353`*^9}, {
   3.679046827053953*^9, 3.679046827287954*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.9250011761938367, 
      2.2195578708306134`*^-14}, {-0.9199999999999999, 
      5.673239655834551*^-15}, {-0.91, 
      1.9061419109789312`*^-14}, {-0.9068895989422653, 
      2.2195578708306134`*^-14}}], 
     LineBox[{{-0.8873624187773504, 2.2195578708306134`*^-14}, {-0.88, 
      1.2949641359227826`*^-14}, {-0.87, 3.5049740887416192`*^-15}, {-0.86, 
      1.873390331752489*^-14}, {-0.8568097406251598, 
      2.2195578708306134`*^-14}}], LineBox[CompressedData["
1:eJxVVltslEUY/WtbChUQAiY8VYwPog+EUBNRv2GIiYrRB0uIiZGowSgmJlI1
JAZ9MJES44NgwgMQghiIVIGKCbcSYcodSWlaS2mF0nZ3e9ndtrR0b91eWPt/
58yDf9JMZ2fmu5xzvm/myY2b1330SBAEp2b+wrH65PO33pmbdLa8/WD19BIz
VHWmomYw4SrDb9HjZu+e8OM8VWzWRrYurnst4daF26pOSXbZhh0XM3H3uZkx
sGJaDlWH/8Td1zO7IivLDPbF3e2D4cJsE+gXdzrsLjYzu2YMDjj4zUhobdmG
Adeu+09Kuf4z4NTNsryouTP9TuN4v8x8rF+/ey6M78PHzGI12I94Dy80obUd
F/uchn1hodHwqvtcaKWidIFRcxV97tHQz945plG/XndTh8BsVYO9Dn6S8ozG
0evCUzVH2gVxxmDvlazoWBNzGsb+IqNxVMZgr7HEaByRqFOcimcZTXdH1KnZ
o8VmtSYcdR1q96EAl4jDvjEBHxGnw54mAR8RxpcgHz2uPkxsieejx6nZGyXk
g/Ozc8hHD/hYMM8A/26cb55vgHcX4n1qHvHtgr/V5cTzHvJvKyV+neDjpcCA
t06nuMXHZJvic9fhXKv0aPh3nMa9pVuQ/x2n4zGf77+IL5hkfh3Q1+8FQT4d
8J8JqKd290T4w8MC9dPu1M3ZSQFOt2FvZ1qgjzasv9gv0EMb/QUB+L8FPVUO
CHTcinhrsrJSf291hfD7uSA/qsF/nMY9p4T11OKaFJdZrJ8W6HvTbAN+mqGn
N3x9NJOPMuLf5Ir0h1LifRN4BkXEtxF6yI8TzxuIr3RUduvC3+CjskPeUoPX
cb62SWZrINdYX0lpUDyuQK9TY/KV5n8ZeliVE9i5BP7fnqA+L8De2knqrQH5
lfl6PY/6PpIW+PkL+vthmPHVu01q8B7jOe1w7gD9n+A8KnH196dTGhY9kOP6
ex36z/Gc7FR7vzmFWx5KtZ4/hPO7i0yD7t/v/gh1sv0R862u70K9LvfzbU5h
bgtM8L+vIFy3S7Us8pzvsqrDlgdC+xb59nH9kEVdOTmA+Cx02M79dfa04puQ
UeRnNf43Uzx/wkLHOVkAfKzifT1Pe/VW8fs1LyuAr1V8vsvT/nmr9bA/I7Xg
x0LWo/R3wepQ1S+rwK+F3q/S/2W7SAG66vVhc0pkn9ePhS7GvL4s6iHr9Yd5
YcLrE/F/P009NFoN871pob6BZ9UU9dOEfA6OC+vD6rA0Tb01W/TLQfbDFntM
+8Bd6rPFoi8fkZ2oT/t6uHyti3puBR/9QwI7rVbp2pySbwAUz+dkKfoD+Jmb
l8voHzw/Lp+gv2D+albmov9YvV/Kx+Q4+hPw/TIu69G/LPrWbRlHf7PoS/Wy
D/2P+MZkDfoj/DeO+P4Jfiuyvr9axWEgT3w7ob/OKWF/tlrfR6eI9z34Xz4h
7O/Q76cZ4t9lk4rjCO/nbvBVESUfPeAjqGU/7mE93PH3j8WY9PeTRdopf3/Z
aDj8kvX3G+x9kPf3H/HI8X6IEr8M+YxCz+tHJYr71Wpa52LkN0a8GmQ77mer
5ra0ku+Y5btBnsX9Tn09IP+9rNe0oI/3wt5QmnroA36fpeQLvC8Q78vDvF+4
XtdNfPut7yh8v5Dfbv++Yf8Y9u8fCxml/PvIKk4vZIXvJ/SHG2nyEYf9NaPk
I87+E/HvM+r5nH+/kf8B8pEAfz+lyUeC+ft+n7Dq9ulp8pFk/ebJRxLx5jwf
SQuab5GPQdqLko9Bq2HUZsjHIPqFnSIfQ+wfk+RjyKq5iRT58OtXyMewfTc8
tm+EfHDeWSAfw6iPw0V8z9y3+p44m+H74L719xH4uE/8Sw34GLGXQjsb5/O9
NMJ+5d8fI+yfJeY/MVSp3Q==
      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.99}, {0, 2.2195578708306134`*^-14}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0396, 0.0396}, {4.439115741661227*^-16, 
   4.439115741661227*^-16}}]], "Output",
 CellChangeTimes->{3.6782856924295635`*^9, 3.6782857828317223`*^9, 
  3.678285942618004*^9, 3.678286215384483*^9, 3.678287015817889*^9, 
  3.6790468564288054`*^9, 3.679046906417292*^9, 3.6790470240262976`*^9, 
  3.679215118829322*^9, 3.679215213349888*^9, 3.6792153661833563`*^9, 
  3.679215418069048*^9, 3.679215493807181*^9, 3.6792157437820196`*^9, 
  3.6800597096035767`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"un", "[", "x_", "]"}], ":=", 
   RowBox[{"UClenshaw", "[", 
    RowBox[{"ck\[Beta]", ",", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]n", "[", "x_", "]"}], ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"FXiPlus", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}],
       "]"}], 
     RowBox[{"fa", "-", "fb"}]], " ", 
    RowBox[{"un", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"\[Phi]", "[", "x_", "]"}], ":=", 
   RowBox[{
    FractionBox[
     RowBox[{"FXiPlus", "[", 
      RowBox[{"fa", ",", "fb", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", "x"}],
       "]"}], 
     RowBox[{"fa", "-", "fb"}]], " ", 
    RowBox[{"ut", "[", "x", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tt", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
       ",", " ", 
       RowBox[{"Abs", "[", 
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{"\[Phi]", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}], " ", "-", " ", 
           RowBox[{"\[Phi]n", "[", 
            RowBox[{
            "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
            "]"}]}], ")"}], "/", 
         RowBox[{"\[Phi]", "[", 
          RowBox[{
          "xx", "\[LeftDoubleBracket]", "i", "\[RightDoubleBracket]"}], 
          "]"}]}], "]"}]}], "}"}], ",", " ", 
     RowBox[{"{", 
      RowBox[{"i", ",", " ", "1", ",", " ", "kk"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLinePlot", "[", "tt", "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Quit", "[", "]"}], ";"}]}], "Input",
 CellChangeTimes->{
  3.6580631665076437`*^9, {3.658119451563841*^9, 3.658119464449464*^9}, {
   3.6581195138079505`*^9, 3.6581195311395807`*^9}, {3.6781723668143554`*^9, 
   3.678172379185177*^9}, {3.678172423536055*^9, 3.678172430977268*^9}, 
   3.6782855000812254`*^9, 3.678285930481182*^9, {3.679046738227397*^9, 
   3.6790467603170357`*^9}, {3.6790468324203625`*^9, 3.679046847271589*^9}, 
   3.6792151119809103`*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, {}, 
    {RGBColor[0.24720000000000014`, 0.24, 0.6], 
     LineBox[{{-0.9250012183984259, 
      2.2193943196196316`*^-14}, {-0.9199999999999999, 
      5.721373571396119*^-15}, {-0.91, 
      1.9024550320531328`*^-14}, {-0.9068567201704357, 
      2.2193943196196316`*^-14}}], 
     LineBox[{{-0.8873843333320355, 2.2193943196196316`*^-14}, {-0.88, 
      1.3058158519419659`*^-14}, {-0.87, 3.618362382408968*^-15}, {-0.86, 
      1.8710377859737077`*^-14}, {-0.856785571453385, 
      2.2193943196196316`*^-14}}], LineBox[CompressedData["
1:eJw9VglUU9cWDTIKKYWKEwjK0loBbQH9aP33eRQpliWIAt+q4IgMrXVWpHyw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      "]]}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->True,
  AxesLabel->{None, None},
  AxesOrigin->{0., 0},
  Method->{},
  PlotRange->{{-0.99, 0.99}, {0, 2.2193943196196316`*^-14}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0.0396, 0.0396}, {4.438788639239263*^-16, 
   4.438788639239263*^-16}}]], "Output",
 CellChangeTimes->{3.678285692601164*^9, 3.6782857830033226`*^9, 
  3.678285942805204*^9, 3.678286215556083*^9, 3.67828701609869*^9, 
  3.6790468566940055`*^9, 3.679046906604492*^9, 3.679047024244698*^9, 
  3.6792151190477223`*^9, 3.679215213583888*^9, 3.6792153664173565`*^9, 
  3.679215418303048*^9, 3.679215493994381*^9, 3.67921574396922*^9, 
  3.680059709868777*^9}]
}, Open  ]]
},
WindowSize->{662, 766},
WindowMargins->{{Automatic, 68}, {Automatic, 23}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 4184, 101, 362, "Input"],
Cell[4744, 123, 9924, 185, 445, "Input"],
Cell[14671, 310, 18493, 386, 1602, "Input"],
Cell[33167, 698, 7033, 161, 608, "Input"],
Cell[40203, 861, 6875, 173, 953, "Input"],
Cell[47081, 1036, 7593, 157, 417, "Input"],
Cell[54677, 1195, 1080, 18, 58, "Input"],
Cell[55760, 1215, 1832, 27, 35, "Input"],
Cell[57595, 1244, 1882, 39, 164, "Input"],
Cell[59480, 1285, 643, 12, 35, "Input"],
Cell[60126, 1299, 537, 10, 39, "Text"],
Cell[CellGroupData[{
Cell[60688, 1313, 4058, 96, 432, "Input"],
Cell[CellGroupData[{
Cell[64771, 1413, 421, 8, 27, "Print"],
Cell[65195, 1423, 415, 8, 27, "Print"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[65659, 1437, 2267, 44, 58, "Input"],
Cell[67929, 1483, 3226, 59, 306, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[71192, 1547, 2305, 62, 281, "Input"],
Cell[73500, 1611, 4213, 75, 382, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
