(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      6703,        146]
NotebookOptionsPosition[      6301,        130]
NotebookOutlinePosition[      6803,        148]
CellTagsIndexPosition[      6760,        145]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
    RowBox[{"FXi", " ", "===", "===", "===", 
     RowBox[{"==", 
      RowBox[{"===", "\[Equal]"}]}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"FXi", "[", 
     RowBox[{
     "a_", ",", "b_", ",", "\[Kappa]1_", ",", "\[Kappa]2_", ",", "z_"}], 
     "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", " ", 
       RowBox[{"rez", ",", "Rez"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"\[CapitalGamma]Plus", ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"rezz", ",", "G", ",", "g"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"G", "=", 
            FractionBox[
             RowBox[{"a", "-", "b"}], 
             RowBox[{"a", "+", "b"}]]}], ";", "\[IndentingNewLine]", 
           RowBox[{"g", "=", 
            RowBox[{
             FractionBox["1", 
              RowBox[{"2.", "  ", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
             RowBox[{"Log", "[", "G", "]"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"rezz", "=", 
            RowBox[{"g", "  ", 
             RowBox[{"Log", "[", 
              FractionBox[
               RowBox[{"z", "-", "1"}], 
               RowBox[{"z", "+", "1"}]], "]"}]}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "rezz", "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"rez", "=", 
        RowBox[{"Exp", "[", "\[CapitalGamma]Plus", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Rez", "=", 
        RowBox[{
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"z", "-", "1"}], ")"}], 
          RowBox[{"-", "\[Kappa]1"}]], " ", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"z", "+", "1"}], ")"}], 
          RowBox[{"-", "\[Kappa]2", " "}]], " ", "rez"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "Rez", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.638033899486045*^9, 3.6380339063524375`*^9}, {
   3.6393243253296494`*^9, 3.6393243325680637`*^9}, 3.639324420188075*^9, {
   3.6418151015055103`*^9, 3.6418151037987146`*^9}, {3.6418151373387737`*^9, 
   3.6418152433097596`*^9}, {3.643537594784018*^9, 3.643537619432061*^9}, {
   3.6435376720041533`*^9, 3.643537757679504*^9}, {3.6435378017495813`*^9, 
   3.6435379776086903`*^9}, {3.643538038901198*^9, 3.6435380595400343`*^9}, {
   3.643538110099723*^9, 3.6435381585378084`*^9}, {3.643538193060669*^9, 
   3.643538323898099*^9}, {3.6435383778273935`*^9, 3.6435385777417445`*^9}, {
   3.6435386216402216`*^9, 3.6435387165819883`*^9}, {3.6435388373106003`*^9, 
   3.643538932642368*^9}, {3.643539271714964*^9, 3.6435395855095153`*^9}, 
   3.643539637722807*^9, {3.6435396968313103`*^9, 3.643539743459792*^9}, {
   3.643539789230273*^9, 3.6435397922566786`*^9}, {3.6435398237999334`*^9, 
   3.643539906573679*^9}, 3.643539943327344*^9, {3.6435400359915066`*^9, 
   3.643540058611546*^9}, {3.6435406315225525`*^9, 3.6435406370293617`*^9}, {
   3.6435407163867016`*^9, 3.643540785588423*^9}, {3.643540882994994*^9, 
   3.6435409042890315`*^9}, {3.64354093770429*^9, 3.643540944037901*^9}, {
   3.6435410705385237`*^9, 3.6435411012705774`*^9}, {3.6435411501142635`*^9, 
   3.64354119382554*^9}, {3.643543589601348*^9, 3.643543618055798*^9}, 
   3.643547097911835*^9, {3.643547128082288*^9, 3.6435471350867004`*^9}, {
   3.64371267363628*^9, 3.6437129034090834`*^9}, {3.6437129458255577`*^9, 
   3.643713142885104*^9}, {3.643713253208498*^9, 3.643713372267907*^9}, {
   3.643713436165619*^9, 3.643713442998431*^9}, {3.6437853664251623`*^9, 
   3.6437853901996045`*^9}, {3.643785621844411*^9, 3.6437856333104315`*^9}, {
   3.6439499079923115`*^9, 3.643949925277142*^9}, 3.643950102977054*^9, {
   3.643950167873168*^9, 3.6439502114752445`*^9}, {3.643950268384145*^9, 
   3.643950305200209*^9}, {3.64395039681917*^9, 3.6439504123723974`*^9}, {
   3.643950462058485*^9, 3.6439505470318336`*^9}, {3.6439518015378704`*^9, 
   3.6439518539539623`*^9}, {3.643951924060486*^9, 3.643951930628097*^9}, {
   3.6439520106330376`*^9, 3.643952075981552*^9}, {3.6439523801508865`*^9, 
   3.643952381508089*^9}, 3.6439527307927027`*^9, {3.644108213072569*^9, 
   3.644108278233883*^9}, {3.6441083257047663`*^9, 3.6441083268747683`*^9}, {
   3.6441085475839567`*^9, 3.64410856093758*^9}, {3.6441086736165776`*^9, 
   3.6441087686051445`*^9}, {3.6441091408997984`*^9, 3.6441091475922103`*^9}, 
   3.644109304076085*^9, {3.6441094398431234`*^9, 3.64410944368073*^9}, {
   3.6441097695809026`*^9, 3.6441098036201625`*^9}, {3.6450121669863124`*^9, 
   3.645012178233932*^9}, 3.6451084620077715`*^9, {3.656153226525642*^9, 
   3.656153354601867*^9}, {3.6561534505576353`*^9, 3.6561534579052486`*^9}, 
   3.656153501638926*^9, {3.656153585703874*^9, 3.6561536095875163`*^9}, {
   3.6564983030670786`*^9, 3.6564983830172186`*^9}, {3.6564984180860806`*^9, 
   3.656498469581771*^9}, {3.656498521139861*^9, 3.6564988413928237`*^9}, {
   3.6564988740592813`*^9, 3.656499091258463*^9}, 3.656499804884859*^9, {
   3.6760209485106173`*^9, 3.676020954407428*^9}, {3.6760209918474936`*^9, 
   3.6760211946790495`*^9}, {3.676021533027244*^9, 3.676021549610073*^9}, {
   3.6763408733284783`*^9, 3.676340874888481*^9}, {3.6764491013616686`*^9, 
   3.6764491013928685`*^9}, 3.6790335824571047`*^9}]
},
WindowSize->{768, 816},
WindowMargins->{{Automatic, 77}, {Automatic, 0}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 5740, 108, 417, "Input"]
}
]
*)

(* End of internal cache information *)
