(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     16397,        381]
NotebookOptionsPosition[     15993,        365]
NotebookOutlinePosition[     16495,        383]
CellTagsIndexPosition[     16452,        380]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Gamma]jk0", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Gamma]jk0", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[Gamma]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "H\[Gamma]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"H\[Gamma]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"b", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"bkn", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"bkn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"bb", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"n", "\[Equal]", "0"}], " ", ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"bb", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "bb", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 SuperscriptBox["2.", "n"]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "1"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"n", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"bb", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "bb", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "bb", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", 
            StyleBox["\[IndentingNewLine]",
             FontFamily->"Courier New"], 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "0"}], ",", 
              RowBox[{"Return", "[", "0.", "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"b", "=", 
             RowBox[{"bkn", "[", 
              RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox[
               RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"h", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "-", 
                  RowBox[{"2", " ", "r"}], "+", "1"}], 
                 "\[RightDoubleBracket]"}]}], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "h", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"hj", ":=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"j", "\[Equal]", "0"}], ",", "1", ",", "2"}], "]"}]}], ";",
         "\[IndentingNewLine]", 
        RowBox[{"\[Gamma]", "=", 
         RowBox[{
          RowBox[{"0.5", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"k", "-", "j"}], "\[Equal]", "0"}], ",", "1.", ",", 
               "0"}], "]"}], "+", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"k", "+", "j"}], "\[Equal]", "0"}], ",", "1.", ",", 
               "0"}], "]"}]}], ")"}]}], "+", 
          RowBox[{"H\[Gamma]", "[", 
           RowBox[{"k", "-", "j"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Gamma]", "=", 
         RowBox[{"hj", " ", "\[Gamma]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Gamma]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FckTT0", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckTT0", "[", 
      RowBox[{"n_", ",", "ff_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"f", ",", "c", ",", "temp", ",", "l", ",", "j"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"===", "===", "==="}], "=", " ", 
          RowBox[{"fjT", " ", "===", "===", "===", "==="}]}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"fjT", "[", 
          RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"ft", ",", "x", ",", "k", ",", "jj"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ft", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"x", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", "k"}], "-", "1."}], 
                  RowBox[{
                   RowBox[{"2", "nn"}], "+", "2."}]], "\[Pi]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
             "ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             "=", 
             RowBox[{
              FractionBox["1.", 
               RowBox[{"nn", "+", "1."}]], " ", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"k", "=", "1"}], 
                RowBox[{"nn", "+", "1"}]], 
               RowBox[{"(", 
                RowBox[{"fu", "[", 
                 RowBox[{
                 "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
                 "]"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"jj", "=", "1"}], ",", 
              RowBox[{"jj", "\[LessEqual]", "nn"}], ",", 
              RowBox[{"jj", "++"}], ",", 
              RowBox[{
               RowBox[{"ft", "\[LeftDoubleBracket]", 
                RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{
                FractionBox["2.", 
                 RowBox[{"nn", "+", "1."}]], " ", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"k", "=", "1"}], 
                  RowBox[{"nn", "+", "1"}]], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], " ", 
                   RowBox[{"ChebyshevT", "[", 
                    RowBox[{"jj", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{"===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"f", "=", 
         RowBox[{"fjT", "[", 
          RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"c", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"l", ",", "1", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"c", "\[LeftDoubleBracket]", 
          RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
         FractionBox[
          RowBox[{"f", "\[LeftDoubleBracket]", 
           RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], 
          RowBox[{"\[Gamma]jk0", "[", 
           RowBox[{"n", ",", "n", ",", "p"}], "]"}]]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"l", "=", "1"}], ",", 
          RowBox[{"l", "\[LessEqual]", "n"}], ",", 
          RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"temp", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"j", "=", "1"}], "l"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"c", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "j", "+", "1"}], 
                "\[RightDoubleBracket]"}], " ", 
               RowBox[{"\[Gamma]jk0", "[", 
                RowBox[{
                 RowBox[{"n", "-", "l"}], ",", 
                 RowBox[{"n", "-", "l", "+", "j"}], ",", "p"}], "]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"c", "\[LeftDoubleBracket]", 
             RowBox[{"n", "-", "l", "+", "1"}], "\[RightDoubleBracket]"}], 
            "=", 
            RowBox[{
             FractionBox["1", 
              RowBox[{"\[Gamma]jk0", "[", 
               RowBox[{
                RowBox[{"n", "-", "l"}], ",", 
                RowBox[{"n", "-", "l"}], ",", "p"}], "]"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "1"}], "\[RightDoubleBracket]"}], 
               "-", "temp"}], ")"}]}]}]}]}], "\[IndentingNewLine]", "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "c", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.639318978248814*^9, 3.639319004617322*^9}, {
   3.6393196104769754`*^9, 3.639319634707361*^9}, {3.6393254950605545`*^9, 
   3.639325504110072*^9}, {3.6398366173745604`*^9, 3.639836620853366*^9}, {
   3.6398367644828186`*^9, 3.6398367867596574`*^9}, {3.641813773334778*^9, 
   3.6418138741421547`*^9}, {3.6418139882719555`*^9, 3.641814016851206*^9}, 
   3.641814049470863*^9, 3.641814137439417*^9, {3.6418143673058214`*^9, 
   3.6418143680702224`*^9}, {3.64181447474321*^9, 3.6418145379077206`*^9}, 
   3.641815284447032*^9, 3.6447284325263214`*^9, {3.644729957686601*^9, 
   3.644730040585147*^9}, {3.644730206194638*^9, 3.6447302163502555`*^9}, 
   3.6447302633375382`*^9, {3.644730304802411*^9, 3.644730386437354*^9}, {
   3.644730424345421*^9, 3.644730427153426*^9}, {3.644730466309495*^9, 
   3.644730574526885*^9}, {3.644730618674962*^9, 3.6447306397037992`*^9}, {
   3.6447307081099195`*^9, 3.6447307307923594`*^9}, {3.644730873017809*^9, 
   3.6447308737354107`*^9}, 3.6447314558544607`*^9, 3.644731511790159*^9, {
   3.64473170022289*^9, 3.6447317373353553`*^9}, {3.645011491520726*^9, 
   3.6450115995353155`*^9}, {3.645087689965916*^9, 3.645087745408414*^9}, {
   3.645087782910879*^9, 3.645087839133378*^9}, {3.6450878723770366`*^9, 
   3.6450879283499346`*^9}, {3.645088233580071*^9, 3.6450882370120773`*^9}, {
   3.6451673110481987`*^9, 3.645167313622203*^9}, {3.645172533497921*^9, 
   3.645172535955062*^9}, 3.645180153767489*^9, {3.645275960250147*^9, 
   3.6452759782369785`*^9}, {3.646111176286191*^9, 3.646111214428258*^9}, 
   3.646111465682299*^9, 3.646111587315713*^9, {3.6461116550198317`*^9, 
   3.646111680666277*^9}, {3.6461118239057283`*^9, 3.64611188171943*^9}, {
   3.6461151556815805`*^9, 3.646115184760031*^9}, {3.656496893452202*^9, 
   3.6564969050742226`*^9}, {3.656496964198326*^9, 3.6564969686755342`*^9}, {
   3.656497029422041*^9, 3.656497042541664*^9}, {3.656926935020156*^9, 
   3.6569269399497643`*^9}, {3.6582906946319437`*^9, 3.658290764785267*^9}, 
   3.659176315537795*^9, {3.6591765438753963`*^9, 3.659176553251013*^9}, {
   3.659179309137496*^9, 3.6591793773252153`*^9}, {3.6592450973438497`*^9, 
   3.6592451075930676`*^9}, 3.6592451683863745`*^9, {3.6760189754971523`*^9, 
   3.676018999349594*^9}, {3.6760190359784584`*^9, 3.6760190502524834`*^9}, {
   3.6760190891277514`*^9, 3.6760191195010047`*^9}, {3.6760197005552254`*^9, 
   3.676020017173382*^9}, {3.6760200575462523`*^9, 3.676020086827504*^9}, {
   3.6760201234563684`*^9, 3.6760201345167875`*^9}, {3.676020185138877*^9, 
   3.6760201887580833`*^9}, {3.6761663765537386`*^9, 3.67616637728694*^9}, {
   3.6761664140406046`*^9, 3.676166418564613*^9}, {3.6786340604943485`*^9, 
   3.678634062428752*^9}, 3.6788801352509713`*^9, {3.679030252696856*^9, 
   3.679030285126913*^9}, {3.6872522551543407`*^9, 3.6872522607235503`*^9}}]
},
WindowSize->{716, 822},
WindowMargins->{{Automatic, 57}, {Automatic, 0}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 15432, 343, 1451, "Input"]
}
]
*)

(* End of internal cache information *)
