(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     20269,        463]
NotebookOptionsPosition[     19865,        447]
NotebookOutlinePosition[     20367,        465]
CellTagsIndexPosition[     20324,        462]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Mu]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Mu]jk", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Mu]", ",", "t1", ",", "t2", ",", "hj"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "G\[Mu]", " ", "===", "===", "===", "===",
          "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"G\[Mu]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"q1", ",", "q2", ",", "GM", ",", "r"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"q1", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"M", "\[Equal]", "0"}], ",", "1.", ",", "0"}], "]"}]}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"q2", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"M", "\[Equal]", "1"}], ",", "0.5", ",", "0"}], 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"GM", "=", " ", 
             RowBox[{
              RowBox[{"q1", " ", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
              " ", "+", 
              RowBox[{"q2", " ", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "2", 
                "\[RightDoubleBracket]"}]}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "GM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", " ", "H\[Mu]", " ", "===", "===", "===", 
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"H\[Mu]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bb", ",", "Hz", ",", "r", ",", "M2"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"bkn", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"bkn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"b", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"n", "\[Equal]", "0"}], " ", ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"b", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                 "=", 
                 SuperscriptBox["2.", "n"]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "1"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"n", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"b", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "b", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "b", "]"}]}]}], "\[IndentingNewLine]", 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "0"}], ",", 
              RowBox[{"Return", "[", "0.", "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"bb", "=", 
             RowBox[{"bkn", "[", 
              RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox[
               RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Hz", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], 
               RowBox[{" ", "M2", " "}]], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"bb", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "-", 
                  RowBox[{"2", "r"}], "+", "3"}], "\[RightDoubleBracket]"}]}],
                ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "Hz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"hj", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"j", "\[Equal]", "0"}], ",", "1", ",", "2"}], "]"}]}], ";",
         "\[IndentingNewLine]", 
        RowBox[{"t1", "=", 
         RowBox[{"0.5", " ", 
          RowBox[{"G\[Mu]", "[", 
           RowBox[{"k", "-", "1", "+", "j"}], "]"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"k", ">", 
           RowBox[{"j", "+", "1"}]}], ",", 
          RowBox[{"t2", "=", 
           RowBox[{
            RowBox[{"0.5", " ", 
             RowBox[{"G\[Mu]", "[", 
              RowBox[{"k", "-", "1", "-", "j"}], "]"}]}], "+", 
            RowBox[{"H\[Mu]", "[", 
             RowBox[{"k", "-", "1", "-", "j"}], "]"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"t2", "=", 
           RowBox[{"0.5", " ", 
            RowBox[{"G\[Mu]", "[", 
             RowBox[{
              RowBox[{"-", "k"}], "+", "1", "+", "j"}], "]"}]}]}]}], "]"}], 
        ";", "\[IndentingNewLine]", 
        RowBox[{"\[Mu]", "=", 
         RowBox[{"hj", " ", 
          RowBox[{"(", 
           RowBox[{"t1", "+", "t2"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Mu]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", " ", "FckTTP", " ", 
     "**", "**", "**"}], "******)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckTTP", "[", 
      RowBox[{"ff_", ",", "n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "bS", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "-", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[Mu]jk", "[", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}], ",", "p"}], "]"}]}]}], "]"}], 
               ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], 
                    "\[RightDoubleBracket]"}]}]}]}], "]"}], ";"}]}], 
             "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"bSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bM", ",", "m", ",", "f"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"fjT", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"fjT", "[", 
              RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"fn", ",", "x", ",", "j", ",", "k"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"fn", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"j", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"x", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", "k"}], "-", "1."}], 
                    RowBox[{
                    RowBox[{"2", "nn"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "fn", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 RowBox[{
                  FractionBox["1", 
                   RowBox[{"nn", "+", "1"}]], " ", 
                  RowBox[{
                   UnderoverscriptBox["\[Sum]", 
                    RowBox[{"k", "=", "1"}], 
                    RowBox[{"nn", "+", "1"}]], 
                   RowBox[{"(", 
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], ")"}]}]}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "1"}], ",", 
                  RowBox[{"j", "\[LessEqual]", "nn"}], ",", 
                  RowBox[{"j", "++"}], ",", 
                  RowBox[{
                   RowBox[{"fn", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    FractionBox["2.", 
                    RowBox[{"nn", "+", "1"}]], " ", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"k", "=", "1"}], 
                    RowBox[{"nn", "+", "1"}]], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], " ", 
                    RowBox[{"ChebyshevT", "[", 
                    RowBox[{"j", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "fn", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"bM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"f", "=", 
             RowBox[{"fjT", "[", 
              RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
               "bM", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}], 
               "=", 
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], "]"}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "bM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
            "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"bS", "=", "bSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"LinearSolve", "[", 
          RowBox[{"aS", ",", "bS"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.639318978248814*^9, 3.639319004617322*^9}, {
   3.6393196104769754`*^9, 3.639319634707361*^9}, {3.6393254950605545`*^9, 
   3.639325504110072*^9}, {3.6398366173745604`*^9, 3.639836620853366*^9}, {
   3.6398367644828186`*^9, 3.6398367867596574`*^9}, {3.641813773334778*^9, 
   3.6418138741421547`*^9}, {3.6418139882719555`*^9, 3.641814016851206*^9}, 
   3.641814049470863*^9, 3.641814137439417*^9, {3.6418143673058214`*^9, 
   3.6418143680702224`*^9}, {3.64181447474321*^9, 3.6418145379077206`*^9}, 
   3.641815284447032*^9, 3.6447284325263214`*^9, {3.644729957686601*^9, 
   3.644730040585147*^9}, {3.644730206194638*^9, 3.6447302163502555`*^9}, 
   3.6447302633375382`*^9, {3.644730304802411*^9, 3.644730386437354*^9}, {
   3.644730424345421*^9, 3.644730427153426*^9}, {3.644730466309495*^9, 
   3.644730574526885*^9}, {3.644730618674962*^9, 3.6447306397037992`*^9}, {
   3.6447307081099195`*^9, 3.6447307307923594`*^9}, {3.644730873017809*^9, 
   3.6447308737354107`*^9}, 3.6447314558544607`*^9, 3.644731511790159*^9, {
   3.64473170022289*^9, 3.6447317373353553`*^9}, {3.644734450135641*^9, 
   3.6447345091817455`*^9}, {3.645011630095769*^9, 3.645011675289049*^9}, {
   3.645172549162817*^9, 3.645172553422061*^9}, {3.645240826490342*^9, 
   3.645240831685151*^9}, 3.6452470969657927`*^9, {3.64524776170376*^9, 
   3.6452477643713655`*^9}, {3.6452481078123693`*^9, 3.645248110557974*^9}, {
   3.645932308821663*^9, 3.6459323123004694`*^9}, {3.6461143633249884`*^9, 
   3.6461143818422213`*^9}, {3.6461144421207266`*^9, 3.646114583909376*^9}, {
   3.6461146614103117`*^9, 3.646114678851143*^9}, {3.646114709286796*^9, 
   3.6461147491760664`*^9}, {3.646114935549594*^9, 3.6461149500888195`*^9}, {
   3.6574253442355204`*^9, 3.6574253730799713`*^9}, {3.6574263171816864`*^9, 
   3.657426317727688*^9}, {3.6574478510413404`*^9, 3.657447854192546*^9}, {
   3.658291063229391*^9, 3.6582911318071117`*^9}, {3.6584859862904406`*^9, 
   3.658485995338456*^9}, 3.658919388568658*^9, 3.658922828329382*^9, {
   3.659090878200107*^9, 3.65909089117933*^9}, {3.6591766054955044`*^9, 
   3.659176623341936*^9}, {3.659178907982791*^9, 3.6591789232708178`*^9}, {
   3.6591791522636204`*^9, 3.6591791688932495`*^9}, {3.659179443625332*^9, 
   3.6591794778517923`*^9}, 3.6761095441574917`*^9, {3.676109613967614*^9, 
   3.676109769921088*^9}, {3.676109807002353*^9, 3.676109817797572*^9}, 
   3.6761098548788376`*^9, {3.676109895501309*^9, 3.676110041673566*^9}, {
   3.676125970409375*^9, 3.676125995556619*^9}, {3.67612603569549*^9, 
   3.6761260365378914`*^9}, {3.6761261295296545`*^9, 3.6761261352236643`*^9}, 
   3.678881246092594*^9, {3.679030565959806*^9, 3.6790306107786846`*^9}, {
   3.687252347615703*^9, 3.6872523529353123`*^9}}]
},
WindowSize->{687, 733},
WindowMargins->{{Automatic, 91}, {6, Automatic}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 19304, 425, 1853, "Input"]
}
]
*)

(* End of internal cache information *)
