(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     26945,        563]
NotebookOptionsPosition[     26541,        547]
NotebookOutlinePosition[     27043,        565]
CellTagsIndexPosition[     27000,        562]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Delta]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Delta]jk", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[Delta]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "H\[Delta]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], " ", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"H\[Delta]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aa", ",", "M2", ",", "HM", ",", "r"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "===", "===", "===", "===", " ", "akn", " ", "===", "===", "===", 
             "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"n", "\[LessEqual]", "1"}], ",", 
                 RowBox[{"Return", "[", 
                  RowBox[{"{", "1.", "}"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"a", "=", 
                   RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                    "]"}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                   "a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "=", 
                   SuperscriptBox["2.", 
                    RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"For", "[", 
                   RowBox[{
                    RowBox[{"kk", "=", "0"}], ",", 
                    RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"n", "-", "2"}], "2"], "]"}]}], ",", 
                    RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"n", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Return", "[", "a", "]"}]}]}], "]"}]}], 
              "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"aa", "=", 
             RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"HM", ":=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], 
               RowBox[{" ", "M2", " "}]], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"aa", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "-", 
                  RowBox[{"2", " ", "r"}], "+", "4"}], 
                 "\[RightDoubleBracket]"}]}], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "HM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", " ", "G\[Delta]", " ", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"G\[Delta]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"d1", ",", "d2", ",", "GM"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"d1", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"M", "\[Equal]", "1"}], ",", 
               RowBox[{"-", "0.5"}], ",", "0"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"d2", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"M", "\[Equal]", "2"}], ",", 
               RowBox[{"-", "0.25"}], ",", "0"}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"GM", "=", 
             RowBox[{
              RowBox[{"d1", "*", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
              "+", 
              RowBox[{"d2", "*", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "2", 
                "\[RightDoubleBracket]"}]}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "GM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"\[Delta]", "=", 
         RowBox[{"-", 
          RowBox[{"G\[Delta]", "[", 
           RowBox[{"k", "+", "j"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"j", "\[Equal]", 
           RowBox[{"k", "-", "2"}]}], ",", 
          RowBox[{"\[Delta]", "=", 
           RowBox[{"\[Delta]", "+", 
            RowBox[{"H\[Delta]", "[", "0", "]"}]}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"If", "[", 
           RowBox[{
            RowBox[{"j", "<", 
             RowBox[{"k", "-", "2"}]}], ",", 
            RowBox[{"\[Delta]", "=", 
             RowBox[{"\[Delta]", "+", 
              RowBox[{"2", " ", 
               RowBox[{"H\[Delta]", "[", 
                RowBox[{"k", "-", "j", "-", "2"}], "]"}]}], "+", 
              RowBox[{"G\[Delta]", "[", 
               RowBox[{"k", "-", "j", "-", "2"}], "]"}]}]}], ",", 
            "\[IndentingNewLine]", 
            RowBox[{"\[Delta]", "=", 
             RowBox[{"\[Delta]", "-", 
              RowBox[{"G\[Delta]", "[", 
               RowBox[{"j", "-", "k", "+", "2"}], "]"}]}]}]}], "]"}]}], "]"}],
         ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Delta]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", " ", "FckTUP", " ", 
     "**", "**", "**"}], "******)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckTUP", "[", 
      RowBox[{"ff_", ",", "n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "bS", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"===", "===", "===", "===", "===", "===", "==="}], "="}], 
         "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "-", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Delta]jk", "[", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}], ",", "p"}], "]"}]}]}]}], 
                "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"===", "===", "===", "===", "===", "===", "==="}], "="}], 
          "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"bSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bM", ",", "mm", ",", "f"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"fjU", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], 
           StyleBox["\[IndentingNewLine]",
            FontFamily->"Courier New"], 
           RowBox[{
            RowBox[{
             RowBox[{"fjU", "[", 
              RowBox[{"fu_", ",", "m_"}], "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"ft", ",", "G", ",", "x", ",", "k", ",", "j"}], "}"}],
                ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ft", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"x", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", "k"}], "-", "1."}], 
                    RowBox[{
                    RowBox[{"2", "m"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"G", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"k", ",", "1", ",", 
                    RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "0"}], ",", 
                  RowBox[{"j", "\[LessEqual]", "m"}], ",", 
                  RowBox[{"j", "++"}], ",", 
                  RowBox[{
                   RowBox[{"G", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    FractionBox["1.", 
                    RowBox[{"m", "+", "1."}]], " ", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"k", "=", "1"}], 
                    RowBox[{"m", "+", "1"}]], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], "*", 
                    RowBox[{"ChebyshevT", "[", 
                    RowBox[{"j", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"j", "=", "0"}], ",", 
                  RowBox[{"j", "\[LessEqual]", 
                   RowBox[{"m", "-", "2"}]}], ",", 
                  RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"ft", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    RowBox[{"G", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "-", 
                    RowBox[{"G", "\[LeftDoubleBracket]", 
                    RowBox[{"j", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "ft", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}],
                  "=", 
                 RowBox[{
                 "G", "\[LeftDoubleBracket]", "m", 
                  "\[RightDoubleBracket]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"ft", "\[LeftDoubleBracket]", 
                  RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                 RowBox[{"G", "\[LeftDoubleBracket]", 
                  RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"bM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"mm", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"f", "=", 
             RowBox[{"fjU", "[", 
              RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"mm", "=", "1"}], ",", 
              RowBox[{"mm", "\[LessEqual]", "n"}], ",", 
              RowBox[{"mm", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
               "bM", "\[LeftDoubleBracket]", "mm", "\[RightDoubleBracket]"}], 
               "=", 
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"mm", "+", "1"}], "\[RightDoubleBracket]"}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "bM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"===", "===", "===", "===", "===", "===", "==="}], "="}], 
          "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"bS", "=", "bSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"LinearSolve", "[", 
          RowBox[{"aS", ",", "bS"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6369960399428816`*^9, 3.636996050898508*^9}, 
   3.6369960875576053`*^9, {3.636996505213494*^9, 3.636996505464508*^9}, {
   3.6370505715805206`*^9, 3.637050623222474*^9}, {3.637050684656988*^9, 
   3.637050696365658*^9}, 3.6370507304436073`*^9, {3.6370507662726564`*^9, 
   3.6370508693665533`*^9}, 3.6370509427407494`*^9, {3.6372251584258056`*^9, 
   3.6372251741937075`*^9}, {3.63722520658356*^9, 3.6372252332830873`*^9}, {
   3.6372254898407617`*^9, 3.637225517775359*^9}, 3.6372256891021585`*^9, {
   3.637227249440405*^9, 3.637227376863693*^9}, {3.6372274127837477`*^9, 
   3.6372274217912626`*^9}, {3.637227525855215*^9, 3.63722752594722*^9}, {
   3.637227653764531*^9, 3.637227707964631*^9}, {3.6372289579071236`*^9, 
   3.6372289746030784`*^9}, {3.637229016609481*^9, 3.6372290429439874`*^9}, 
   3.637229090418703*^9, 3.637257370835561*^9, {3.6372574167871895`*^9, 
   3.6372574806548424`*^9}, 3.6372575127166758`*^9, {3.637290592378905*^9, 
   3.637290621018543*^9}, {3.6372917060876055`*^9, 3.6372917197673874`*^9}, {
   3.637291754198357*^9, 3.6372919480574455`*^9}, {3.6372920043626657`*^9, 
   3.637292006498788*^9}, {3.6373393437453737`*^9, 3.6373393663866687`*^9}, {
   3.637339467265438*^9, 3.6373395697883024`*^9}, {3.6373396206962147`*^9, 
   3.637339810597076*^9}, 3.6373398683373785`*^9, 3.637339899526162*^9, {
   3.6373399426276274`*^9, 3.637339947857927*^9}, {3.6373400909211097`*^9, 
   3.637340136348708*^9}, {3.63734018970576*^9, 3.637340194943059*^9}, {
   3.6373402538144264`*^9, 3.637340263618987*^9}, {3.637340384440898*^9, 
   3.637340432843666*^9}, {3.6373404786992893`*^9, 3.6373405333244133`*^9}, {
   3.6373405951669507`*^9, 3.6373406167871876`*^9}, {3.637340670485259*^9, 
   3.6373407463816*^9}, {3.6373407880579834`*^9, 3.63734082331*^9}, {
   3.6373408653024015`*^9, 3.6373409129831285`*^9}, 3.6373409462460313`*^9, {
   3.6373410455767126`*^9, 3.637341189343936*^9}, 3.6373412251119814`*^9, {
   3.6373412946279573`*^9, 3.637341308582756*^9}, {3.6373413458488874`*^9, 
   3.6373414215852194`*^9}, {3.637344741653116*^9, 3.637344795850216*^9}, {
   3.6373459693843384`*^9, 3.6373459757877045`*^9}, 3.637346066724906*^9, {
   3.637346107855259*^9, 3.637346137324944*^9}, {3.637346272586681*^9, 
   3.6373462727426896`*^9}, {3.637346499320649*^9, 3.637346542269106*^9}, {
   3.637346652405405*^9, 3.6373467447046843`*^9}, {3.6373467899932747`*^9, 
   3.6373467928534384`*^9}, {3.637515648401041*^9, 3.637515653112311*^9}, {
   3.6375158872857046`*^9, 3.637515920836624*^9}, {3.6375160725142994`*^9, 
   3.637516076513528*^9}, {3.6375172170737643`*^9, 3.6375173574347925`*^9}, {
   3.637517989544947*^9, 3.6375180906457295`*^9}, {3.637518135864316*^9, 
   3.6375181570675287`*^9}, {3.6375182049662685`*^9, 3.637518213932781*^9}, {
   3.6375182547801175`*^9, 3.63751828174866*^9}, {3.6375184458200445`*^9, 
   3.6375184536004896`*^9}, {3.6375190829394855`*^9, 3.6375191460150933`*^9}, 
   3.6375192495930176`*^9, {3.6375194736948357`*^9, 3.637519484738467*^9}, {
   3.637519661666587*^9, 3.637519664094726*^9}, 3.637520149188472*^9, {
   3.637520512228236*^9, 3.6375205393017845`*^9}, {3.637522720408537*^9, 
   3.637522722167638*^9}, {3.6375228024612303`*^9, 3.6375228346750727`*^9}, {
   3.637522920452979*^9, 3.6375229475505285`*^9}, {3.6375230201906834`*^9, 
   3.637523032473386*^9}, 3.6375230895556507`*^9, {3.637523140485564*^9, 
   3.6375231500851135`*^9}, {3.6375232477466993`*^9, 
   3.6375232834367404`*^9}, {3.637523352081667*^9, 3.637523380975319*^9}, {
   3.6375236805764556`*^9, 3.637523689347957*^9}, {3.637524493973979*^9, 
   3.6375245042155647`*^9}, 3.6377418005470257`*^9, 3.6377418323418446`*^9, {
   3.637741887094976*^9, 3.6377418874339952`*^9}, 3.6377421716202497`*^9, {
   3.637743299082737*^9, 3.637743299215745*^9}, {3.637743337482933*^9, 
   3.6377433375669384`*^9}, {3.637743614378771*^9, 3.6377436240883265`*^9}, {
   3.637743675253253*^9, 3.637743721257884*^9}, {3.637743849919243*^9, 
   3.6377438804019866`*^9}, 3.637744207186678*^9, {3.637745239665732*^9, 
   3.637745263444092*^9}, 3.6377453070335855`*^9, {3.6377453728073473`*^9, 
   3.6377453738934097`*^9}, {3.6377454048921824`*^9, 
   3.6377454453634973`*^9}, {3.6377455649983397`*^9, 3.637745565065344*^9}, {
   3.637745601568432*^9, 3.6377456289559984`*^9}, {3.6377457903382287`*^9, 
   3.6377458587961445`*^9}, {3.6377459579558163`*^9, 
   3.6377460250326524`*^9}, {3.637746165767702*^9, 3.6377461991536117`*^9}, {
   3.6377464297568016`*^9, 3.6377464299508123`*^9}, {3.637746484363925*^9, 
   3.637746484574937*^9}, 3.6377465181708584`*^9, {3.637746720170412*^9, 
   3.6377467303569946`*^9}, {3.6377468267765093`*^9, 3.637746827053526*^9}, 
   3.63774696402636*^9, 3.637747008646912*^9, {3.637747042723861*^9, 
   3.637747073605627*^9}, {3.637747113479908*^9, 3.6377471136159163`*^9}, {
   3.637747307001977*^9, 3.637747344732135*^9}, 3.6377473840093813`*^9, 
   3.637747468057189*^9, {3.6377478717972813`*^9, 3.637747892542468*^9}, {
   3.6377479575721874`*^9, 3.637747979658451*^9}, {3.6377481119090147`*^9, 
   3.6377481495151663`*^9}, {3.6377491642972083`*^9, 
   3.6377491726326847`*^9}, {3.6377492229295616`*^9, 
   3.6377492273328133`*^9}, {3.6377492897833853`*^9, 
   3.6377492945516586`*^9}, {3.637749496303198*^9, 3.6377495059467497`*^9}, {
   3.637749541481782*^9, 3.637749561099904*^9}, {3.6378409592380147`*^9, 
   3.637840966478429*^9}, {3.637841056939603*^9, 3.6378410581326714`*^9}, {
   3.637909092114834*^9, 3.6379091199104233`*^9}, {3.637909230153729*^9, 
   3.637909241306367*^9}, 3.637909275368315*^9, 3.6379094805690517`*^9, {
   3.637909685666783*^9, 3.637909715463487*^9}, {3.6383631249101686`*^9, 
   3.6383631383879395`*^9}, {3.6393193340431643`*^9, 
   3.6393193434547024`*^9}, {3.639319774049331*^9, 3.6393198120185027`*^9}, {
   3.6393252256661453`*^9, 3.6393252278822727`*^9}, {3.6393255248302565`*^9, 
   3.6393255362219086`*^9}, {3.6398283019354477`*^9, 
   3.6398283034486504`*^9}, {3.6398368527633734`*^9, 3.639836857178181*^9}, 
   3.639836940092327*^9, {3.6418149090479727`*^9, 3.641815060196638*^9}, 
   3.641815119258342*^9, {3.6447328238144636`*^9, 3.644732828603672*^9}, 
   3.644732898990996*^9, {3.6447329421250715`*^9, 3.6447329726543255`*^9}, {
   3.6447341543183217`*^9, 3.644734202522406*^9}, {3.644734872833584*^9, 
   3.6447348908048153`*^9}, {3.6447350501278954`*^9, 3.644735053247901*^9}, 
   3.6447350844479556`*^9, 3.6448168256597643`*^9, {3.6450113363160534`*^9, 
   3.6450113704333134`*^9}, {3.6452407572886205`*^9, 
   3.6452407727014475`*^9}, {3.645248064085492*^9, 3.645248066862297*^9}, {
   3.645932656140673*^9, 3.645932668761095*^9}, {3.646110176566434*^9, 
   3.646110204038082*^9}, {3.646110458341329*^9, 3.646110459682932*^9}, 
   3.6461104938469915`*^9, {3.646110947667389*^9, 3.646110983266651*^9}, {
   3.6461152533221517`*^9, 3.646115267502577*^9}, {3.657424443879939*^9, 
   3.6574244623503714`*^9}, {3.6574245448901167`*^9, 
   3.6574245632045484`*^9}, {3.657424631236268*^9, 3.657424685820764*^9}, {
   3.657426244657159*^9, 3.6574262452031603`*^9}, {3.658290455031123*^9, 
   3.65829049312639*^9}, {3.6584858799606533`*^9, 3.658485896106682*^9}, 
   3.6589193606602087`*^9, 3.6591730468578167`*^9, {3.6591762261964383`*^9, 
   3.6591762531844854`*^9}, 3.659176475079275*^9, {3.659179739011851*^9, 
   3.6591797878243365`*^9}, 3.6757455818934574`*^9, {3.6757456213771267`*^9, 
   3.6757456390831575`*^9}, 3.675745669877612*^9, {3.6757457259909105`*^9, 
   3.6757457423865395`*^9}, 3.6757458089362564`*^9, {3.6760194580527997`*^9, 
   3.6760194900640554`*^9}, 3.6781085764680786`*^9, 3.6788818929357305`*^9, {
   3.6790298635905743`*^9, 3.6790298981422343`*^9}, {3.68725248824995*^9, 
   3.68725249408436*^9}}]
},
WindowSize->{768, 741},
WindowMargins->{{Automatic, 33}, {9, Automatic}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 25980, 525, 1995, "Input"]
}
]
*)

(* End of internal cache information *)
