(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     16442,        383]
NotebookOptionsPosition[     16036,        367]
NotebookOutlinePosition[     16540,        385]
CellTagsIndexPosition[     16497,        382]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Eta]jk0", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Eta]jk0", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Eta]", ",", "hj", ",", "kj2", ",", "l"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "fr\[Eta]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"fr\[Eta]", "[", 
          RowBox[{"l_", ",", "M_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aa", ",", "r", ",", "m"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"akn", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"n", "\[LessEqual]", "1"}], ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"a", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "a", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                 "=", 
                 SuperscriptBox["2.", 
                  RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "0"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"n", "-", "2"}], "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"n", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", " ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1."}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "a", "]"}]}]}], "\[IndentingNewLine]", 
              "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"l", "\[GreaterEqual]", 
               RowBox[{"Floor", "[", 
                FractionBox["M", "2"], "]"}]}], ",", 
              RowBox[{"Return", "[", "1.", "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"aa", "=", 
             RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"r", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"m", "=", "0"}], "l"], 
              RowBox[{"aa", "\[LeftDoubleBracket]", 
               RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "r", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"hj", "=", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"j", "==", "0"}], ",", "1.", ",", "2."}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"kj2", "=", 
         RowBox[{"Floor", "[", 
          FractionBox[
           RowBox[{"k", "-", "j"}], "2"], "]"}]}], ";", 
        RowBox[{"\[Eta]", "=", 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{"l", "=", "0"}], "kj2"], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"fr\[Eta]", "[", 
             RowBox[{"l", ",", 
              RowBox[{"k", "-", "j", "+", "1"}]}], "]"}], "  ", 
            RowBox[{"p", "\[LeftDoubleBracket]", 
             RowBox[{"k", "-", "j", "-", 
              RowBox[{"2", "l"}], "+", "1"}], "\[RightDoubleBracket]"}]}], 
           ")"}]}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", 
         RowBox[{"\[Eta]", " ", "hj"}], "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FckUT0", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckUT0", "[", 
      RowBox[{"n_", ",", "ff_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"f", ",", "c", ",", "temp", ",", "j", ",", "l"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"===", "===", "==="}], "=", " ", 
          RowBox[{"fjT", " ", "===", "===", "===", "==="}]}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"fjT", "[", 
          RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"fn", ",", "x", ",", "k", ",", "jj"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"fn", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"x", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", "k"}], "-", "1."}], 
                  RowBox[{
                   RowBox[{"2", "nn"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
             "fn", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
             "=", 
             RowBox[{
              FractionBox["1", 
               RowBox[{"nn", "+", "1"}]], " ", 
              RowBox[{
               UnderoverscriptBox["\[Sum]", 
                RowBox[{"k", "=", "1"}], 
                RowBox[{"nn", "+", "1"}]], 
               RowBox[{"(", 
                RowBox[{"fu", "[", 
                 RowBox[{
                 "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
                 "]"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"jj", "=", "1"}], ",", 
              RowBox[{"jj", "\[LessEqual]", "nn"}], ",", 
              RowBox[{"jj", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"fn", "\[LeftDoubleBracket]", 
                RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{
                FractionBox["2.", 
                 RowBox[{"nn", "+", "1."}]], " ", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"k", "=", "1"}], 
                  RowBox[{"nn", "+", "1"}]], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], " ", 
                   RowBox[{"ChebyshevT", "[", 
                    RowBox[{"jj", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "fn", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"f", "=", 
         RowBox[{"fjT", "[", 
          RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"c", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"j", ",", "1", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"c", "\[LeftDoubleBracket]", 
          RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
         FractionBox[
          RowBox[{"f", "\[LeftDoubleBracket]", 
           RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], 
          RowBox[{"\[Eta]jk0", "[", 
           RowBox[{"n", ",", "n", ",", "p"}], "]"}]]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"l", "=", "1"}], ",", 
          RowBox[{"l", "\[LessEqual]", "n"}], ",", 
          RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"temp", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"j", "=", "1"}], "l"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"c", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "j", "+", "1"}], 
                "\[RightDoubleBracket]"}], " ", 
               RowBox[{"\[Eta]jk0", "[", 
                RowBox[{
                 RowBox[{"n", "-", "l"}], ",", 
                 RowBox[{"n", "-", "l", "+", "j"}], ",", "p"}], "]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"c", "\[LeftDoubleBracket]", 
             RowBox[{"n", "-", "l", "+", "1"}], "\[RightDoubleBracket]"}], 
            "=", 
            RowBox[{
             FractionBox["1.", 
              RowBox[{"\[Eta]jk0", "[", 
               RowBox[{
                RowBox[{"n", "-", "l"}], ",", 
                RowBox[{"n", "-", "l"}], ",", "p"}], "]"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "1"}], "\[RightDoubleBracket]"}], 
               "-", "temp"}], ")"}]}]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "c", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6393187759422426`*^9, 3.639318840304924*^9}, {
   3.639319504211897*^9, 3.6393195969252*^9}, {3.639325482454833*^9, 
   3.6393254888722*^9}, {3.639326938010086*^9, 3.6393269452264986`*^9}, {
   3.639828211470889*^9, 3.6398282146532946`*^9}, 3.6398359077137136`*^9, {
   3.6398365083303685`*^9, 3.639836512074375*^9}, {3.6398367350923667`*^9, 
   3.6398367527047977`*^9}, {3.6418117188514276`*^9, 3.6418117223302336`*^9}, 
   3.641812692377679*^9, {3.6418127426253676`*^9, 3.641812884070816*^9}, {
   3.6418129612753515`*^9, 3.641812969387366*^9}, {3.641813402568927*^9, 
   3.641813423457363*^9}, {3.641813533905557*^9, 3.6418135423919725`*^9}, {
   3.6418136589241767`*^9, 3.641813659563778*^9}, {3.641814056678076*^9, 
   3.6418140573332767`*^9}, {3.6418143813458457`*^9, 3.641814397382674*^9}, {
   3.6418145528993473`*^9, 3.641814587001007*^9}, 3.641815275960617*^9, {
   3.6447289282067933`*^9, 3.6447290382181864`*^9}, {3.6447290723822465`*^9, 
   3.6447291215535326`*^9}, {3.644729155935993*^9, 3.644729186028446*^9}, {
   3.6447293020770497`*^9, 3.6447293278638954`*^9}, {3.644729363478758*^9, 
   3.644729373213175*^9}, {3.6447294537245164`*^9, 3.644729458123724*^9}, 
   3.644729648369258*^9, {3.644729687899727*^9, 3.6447298627916346`*^9}, {
   3.6447301807197933`*^9, 3.6447301882546062`*^9}, 3.644730351992494*^9, {
   3.644730431911434*^9, 3.64473043518744*^9}, 3.644730686332281*^9, 
   3.644730838182948*^9, {3.644731945424121*^9, 3.644731953333335*^9}, 
   3.644816873083847*^9, {3.645011700249092*^9, 3.6450117683900123`*^9}, {
   3.6450796461383953`*^9, 3.645079684155662*^9}, {3.645080913416622*^9, 
   3.6450809153198256`*^9}, 3.6450809802315397`*^9, {3.6450834983823643`*^9, 
   3.6450835263688135`*^9}, 3.6451801746871257`*^9, {3.645181202653333*^9, 
   3.645181207879342*^9}, {3.6461154013352118`*^9, 3.6461154148604355`*^9}, {
   3.6461168646571836`*^9, 3.646116899710445*^9}, {3.655816137454958*^9, 
   3.6558161660498085`*^9}, {3.656301726767313*^9, 3.6563017736609955`*^9}, {
   3.656301815297468*^9, 3.65630181631147*^9}, {3.6564977636841307`*^9, 
   3.656497824867438*^9}, {3.6564978930083575`*^9, 3.6564978952391615`*^9}, {
   3.657447736162739*^9, 3.6574477465523567`*^9}, {3.658200342290541*^9, 
   3.658200345691347*^9}, {3.6582905260736475`*^9, 3.658290566009718*^9}, {
   3.65917649478211*^9, 3.6591765030033245`*^9}, {3.6591796208416433`*^9, 
   3.659179723645824*^9}, 3.659245355477503*^9, {3.6757648748812127`*^9, 
   3.6757648934920454`*^9}, {3.675764929699709*^9, 3.675765359480464*^9}, {
   3.6757654059061456`*^9, 3.675765424782179*^9}, {3.6760195020136766`*^9, 
   3.676019531092128*^9}, 3.6760260835099*^9, {3.678104796910554*^9, 
   3.6781048001553597`*^9}, {3.6781048416202326`*^9, 3.6781048438510365`*^9}, 
   3.678108345587673*^9, {3.6786339902942247`*^9, 3.678633998141039*^9}, 
   3.6788801085593243`*^9, {3.679029928733888*^9, 3.679029962823148*^9}, {
   3.6872525362044344`*^9, 3.687252543567647*^9}}]
},
WindowSize->{732, 748},
WindowMargins->{{Automatic, 80}, {Automatic, -57}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 15475, 345, 1439, "Input"]
}
]
*)

(* End of internal cache information *)
