(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     20082,        447]
NotebookOptionsPosition[     19678,        431]
NotebookOutlinePosition[     20180,        449]
CellTagsIndexPosition[     20137,        446]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Beta]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Beta]jk", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[Beta]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "r\[Beta]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"r\[Beta]", "[", 
          RowBox[{"l_", ",", "M_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aa", ",", "rez", ",", "m"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{
            "===", "===", "===", "===", " ", "akn", " ", "===", "===", "===", 
             "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"akn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"n", "\[LessEqual]", "1"}], ",", 
                 RowBox[{"Return", "[", 
                  RowBox[{"{", "1.", "}"}], "]"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"a", "=", 
                   RowBox[{"Table", "[", 
                    RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{
                   "a", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "=", 
                   SuperscriptBox["2.", 
                    RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                  RowBox[{"For", "[", 
                   RowBox[{
                    RowBox[{"kk", "=", "0"}], ",", 
                    RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"n", "-", "2"}], "2"], "]"}]}], ",", 
                    RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"n", "-", "1.", "-", 
                    RowBox[{"2.", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1."}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                  "\[IndentingNewLine]", 
                  RowBox[{"Return", "[", "a", "]"}]}]}], "]"}]}], 
              "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"l", "\[GreaterEqual]", 
               RowBox[{"Floor", "[", 
                FractionBox["M", "2"], "]"}]}], ",", 
              RowBox[{"Return", "[", "1.", "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"aa", "=", 
             RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rez", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"m", "=", "0"}], "l"], 
              RowBox[{"aa", "\[LeftDoubleBracket]", 
               RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", " ", "H\[Beta]", " ", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"H\[Beta]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"l", ",", "rez", ",", "M2"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"rez", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"l", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"r\[Beta]", "[", 
                 RowBox[{"l", ",", "M"}], "]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "+", "2", "-", 
                  RowBox[{"2", " ", "l"}]}], "\[RightDoubleBracket]"}]}], 
               ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", 
             RowBox[{"2.", " ", "rez"}], "]"}], ";"}]}], 
          "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"j", "\[Equal]", "k"}], ",", 
          RowBox[{"\[Beta]", "=", "1."}], ",", 
          RowBox[{"\[Beta]", "=", " ", 
           RowBox[{"H\[Beta]", "[", 
            RowBox[{"k", "-", "j"}], "]"}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Beta]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
    "**", "**", "**", "**", "**", "**", "**", "**", "**", " ", "FckUTP"}], 
    " ", "************)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckUTP", "[", 
      RowBox[{"ff_", ",", "n_", ",", "p_", ",", "\[CapitalOmega]_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"aS", ",", "bS", ",", "rez"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
         "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
           "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"aSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"aM", ",", "m", ",", "k"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"aM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "0", ",", 
                 RowBox[{"n", "-", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", "0"}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}]}]}], 
                "]"}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"k", "=", 
                  RowBox[{"m", "-", "1"}]}], ",", 
                 RowBox[{"k", "\[LessEqual]", 
                  RowBox[{"n", "-", "1"}]}], ",", 
                 RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"aM", "\[LeftDoubleBracket]", 
                   RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
                  RowBox[{
                   RowBox[{"aM", "\[LeftDoubleBracket]", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "+", 
                   RowBox[{"\[Beta]jk", "[", 
                    RowBox[{"m", ",", 
                    RowBox[{"k", "+", "1"}], ",", "p"}], "]"}]}]}]}], "]"}], 
               ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "aM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
            "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"bSyst", ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bM", ",", "m", ",", "f"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"fjT", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"fjT", "[", 
              RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"ft", ",", "x", ",", "kk", ",", "jj"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"ft", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"x", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{
                   RowBox[{"Cos", "[", 
                    RowBox[{
                    FractionBox[
                    RowBox[{
                    RowBox[{"2", "kk"}], "-", "1."}], 
                    RowBox[{
                    RowBox[{"2", "nn"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "ft", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 RowBox[{
                  FractionBox["1", 
                   RowBox[{"nn", "+", "1"}]], " ", 
                  RowBox[{
                   UnderoverscriptBox["\[Sum]", 
                    RowBox[{"kk", "=", "1"}], 
                    RowBox[{"nn", "+", "1"}]], 
                   RowBox[{"(", 
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}], "]"}], ")"}]}]}]}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"jj", "=", "1"}], ",", 
                  RowBox[{"jj", "\[LessEqual]", "nn"}], ",", 
                  RowBox[{"jj", "++"}], ",", 
                  RowBox[{
                   RowBox[{"ft", "\[LeftDoubleBracket]", 
                    RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    FractionBox["2", 
                    RowBox[{"nn", "+", "1"}]], " ", 
                    RowBox[{
                    UnderoverscriptBox["\[Sum]", 
                    RowBox[{"kk", "=", "1"}], 
                    RowBox[{"nn", "+", "1"}]], 
                    RowBox[{"(", 
                    RowBox[{
                    RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}], "]"}], " ", 
                    RowBox[{"ChebyshevT", "[", 
                    RowBox[{"jj", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
                 "]"}], ";", "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]",
               "]"}]}], ";", "\[IndentingNewLine]", 
            StyleBox[
             RowBox[{"(*", 
              RowBox[{"===", "=="}], "*)"}],
             FontFamily->"Courier New"], "\[IndentingNewLine]", 
            RowBox[{"bM", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"m", ",", "1", ",", "n"}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"f", "=", 
             RowBox[{"fjT", "[", 
              RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"m", "=", "1"}], ",", 
              RowBox[{"m", "\[LessEqual]", "n"}], ",", 
              RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
               "bM", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}], 
               "=", 
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], "]"}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "bM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{
          "===", "===", "===", "===", "===", "===", "===", "===", "===", "===",
            "==="}], "="}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{"aS", "=", "aSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"bS", "=", "bSyst"}], ";", "\[IndentingNewLine]", 
        RowBox[{"rez", "=", 
         RowBox[{"LinearSolve", "[", 
          RowBox[{"aS", ",", "bS"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.639318978248814*^9, 3.639319004617322*^9}, {
   3.6393196104769754`*^9, 3.639319634707361*^9}, {3.6393254950605545`*^9, 
   3.639325504110072*^9}, {3.6398366173745604`*^9, 3.639836620853366*^9}, {
   3.6398367644828186`*^9, 3.6398367867596574`*^9}, {3.641813773334778*^9, 
   3.6418138741421547`*^9}, {3.6418139882719555`*^9, 3.641814016851206*^9}, 
   3.641814049470863*^9, 3.641814137439417*^9, {3.6418143673058214`*^9, 
   3.6418143680702224`*^9}, {3.64181447474321*^9, 3.6418145379077206`*^9}, 
   3.641815284447032*^9, 3.6447284325263214`*^9, {3.644729957686601*^9, 
   3.644730040585147*^9}, {3.644730206194638*^9, 3.6447302163502555`*^9}, 
   3.6447302633375382`*^9, {3.644730304802411*^9, 3.644730386437354*^9}, {
   3.644730424345421*^9, 3.644730427153426*^9}, {3.644730466309495*^9, 
   3.644730574526885*^9}, {3.644730618674962*^9, 3.6447306397037992`*^9}, {
   3.6447307081099195`*^9, 3.6447307307923594`*^9}, {3.644730873017809*^9, 
   3.6447308737354107`*^9}, 3.6447314558544607`*^9, 3.644731511790159*^9, {
   3.64473170022289*^9, 3.6447317373353553`*^9}, {3.644734450135641*^9, 
   3.6447345091817455`*^9}, {3.644734571659855*^9, 3.644734578430267*^9}, {
   3.6447347893266373`*^9, 3.644734795348248*^9}, {3.6447351492504697`*^9, 
   3.6447351926341457`*^9}, {3.6450112667867312`*^9, 3.645011306566801*^9}, {
   3.6451724962977934`*^9, 3.645172499293965*^9}, {3.645240699521719*^9, 
   3.645240706401331*^9}, {3.6452480239934216`*^9, 3.6452480267078266`*^9}, {
   3.6452490054999475`*^9, 3.6452490101643553`*^9}, {3.645932435478286*^9, 
   3.645932444495102*^9}, {3.645932476116357*^9, 3.645932507784413*^9}, {
   3.6459325498108864`*^9, 3.645932632631432*^9}, {3.646108402804517*^9, 
   3.6461084732542405`*^9}, {3.64610852961714*^9, 3.6461085754812202`*^9}, {
   3.646109059758871*^9, 3.6461091120501633`*^9}, {3.6461091681478615`*^9, 
   3.6461091793018813`*^9}, {3.6461092210631547`*^9, 
   3.6461092590648212`*^9}, {3.646109304804102*^9, 3.6461093090161095`*^9}, {
   3.646115283539405*^9, 3.646115297376629*^9}, {3.6574231222822247`*^9, 
   3.6574231240138283`*^9}, 3.657423183153532*^9, {3.6574232787348995`*^9, 
   3.6574233031177425`*^9}, {3.6574233387638054`*^9, 3.657423349730624*^9}, {
   3.6574234438767896`*^9, 3.6574234688212337`*^9}, {3.6574235091629047`*^9, 
   3.657423528054538*^9}, {3.657423582233433*^9, 3.6574236128250866`*^9}, {
   3.6574247790621276`*^9, 3.657424804833373*^9}, {3.6574262225207205`*^9, 
   3.6574262237687225`*^9}, {3.658290325753696*^9, 3.6582903461273317`*^9}, 
   3.6582925738424444`*^9, {3.6584858080913277`*^9, 3.658485831194968*^9}, {
   3.658810919668876*^9, 3.658810935066103*^9}, {3.658922603064185*^9, 
   3.6589226081653943`*^9}, {3.6591764109787626`*^9, 
   3.6591764420696173`*^9}, {3.659179946851016*^9, 3.659179991170694*^9}, {
   3.675743688334009*^9, 3.6757437078496437`*^9}, {3.6757437638225417`*^9, 
   3.6757438506834946`*^9}, {3.6757438845199537`*^9, 3.675743901118383*^9}, {
   3.6757441954878225`*^9, 3.675744195955823*^9}, {3.675744241570303*^9, 
   3.6757444171798115`*^9}, {3.675744463496293*^9, 3.6757444680671015`*^9}, {
   3.6757445195939913`*^9, 3.6757445560044556`*^9}, {3.676019410597516*^9, 
   3.6760194221883364`*^9}, 3.678790846945551*^9, 3.678881103882744*^9, {
   3.679029714482312*^9, 3.6790297644992*^9}, {3.6872527418127956`*^9, 
   3.6872527469140043`*^9}}]
},
WindowSize->{682, 697},
WindowMargins->{{Automatic, 66}, {Automatic, 0}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 19117, 409, 1904, "Input"]
}
]
*)

(* End of internal cache information *)
