(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     23329,        497]
NotebookOptionsPosition[     22924,        481]
NotebookOutlinePosition[     23427,        499]
CellTagsIndexPosition[     23384,        496]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Sigma]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Sigma]jk", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"\[Sigma]", ",", "t1", ",", "t2", ",", "hj"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "G\[Sigma]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"G\[Sigma]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"q1", ",", "q2", ",", "GM", ",", "r"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"q1", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"M", "\[Equal]", "0"}], ",", "1.", ",", "0"}], "]"}]}],
             ";", "\[IndentingNewLine]", 
            RowBox[{"q2", "=", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"M", "\[Equal]", "1"}], ",", "0.5", ",", "0"}], 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"GM", "=", " ", 
             RowBox[{
              RowBox[{"q1", " ", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
              " ", "+", 
              RowBox[{"q2", " ", 
               RowBox[{
               "p", "\[LeftDoubleBracket]", "2", 
                "\[RightDoubleBracket]"}]}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "GM", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", "===", " ", "H\[Sigma]", " ", "===", "===", "===",
           "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"H\[Sigma]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bb", ",", "Hz", ",", "r", ",", "M2"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"bkn", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"bkn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"b", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"n", "\[Equal]", "0"}], " ", ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"b", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                 "=", 
                 SuperscriptBox["2.", "n"]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "1"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"n", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"b", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "b", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "b", "]"}]}]}], "\[IndentingNewLine]", 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "0"}], ",", 
              RowBox[{"Return", "[", 
               RowBox[{"{", "0.", "}"}], "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"bb", "=", 
             RowBox[{"bkn", "[", 
              RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox[
               RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Hz", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], 
               RowBox[{" ", "M2", " "}]], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"bb", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "-", 
                  RowBox[{"2", "r"}], "+", "3"}], "\[RightDoubleBracket]"}]}],
                ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "Hz", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Sigma]", "=", 
         RowBox[{"-", 
          RowBox[{"G\[Sigma]", "[", 
           RowBox[{"k", "+", "j", "+", "1"}], "]"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"j", "<", 
           RowBox[{"k", "-", "1"}]}], ",", 
          RowBox[{"\[Sigma]", "=", 
           RowBox[{"\[Sigma]", "+", 
            RowBox[{"G\[Sigma]", "[", 
             RowBox[{"k", "-", "j", "-", "1"}], "]"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"H\[Sigma]", "[", 
              RowBox[{"k", "-", "1", "-", "j"}], "]"}]}]}]}], ",", 
          RowBox[{"\[Sigma]", "=", 
           RowBox[{"\[Sigma]", "+", 
            RowBox[{"G\[Sigma]", "[", 
             RowBox[{"j", "-", "k", "+", "1"}], "]"}]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Sigma]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FckUU", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckUU", "[", 
      RowBox[{"n_", ",", "ff_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"f", ",", "c", ",", "l"}], "}"}], ",", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"===", "===", "==="}], "=", " ", 
          RowBox[{"fjU", " ", "===", "===", "===", "==="}]}], "*)"}],
        FontFamily->"Courier New"], 
       StyleBox["\[IndentingNewLine]",
        FontFamily->"Courier New"], 
       RowBox[{
        RowBox[{
         RowBox[{"fjU", "[", 
          RowBox[{"fu_", ",", "m_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"ft", ",", "G", ",", "x", ",", "k", ",", "j"}], "}"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ft", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"x", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", "k"}], "-", "1."}], 
                  RowBox[{
                   RowBox[{"2", "m"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"G", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"m", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"j", "=", "0"}], ",", 
              RowBox[{"j", "\[LessEqual]", "m"}], ",", 
              RowBox[{"j", "++"}], ",", 
              RowBox[{
               RowBox[{"G", "\[LeftDoubleBracket]", 
                RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{
                FractionBox["1.", 
                 RowBox[{"m", "+", "1"}]], " ", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"k", "=", "1"}], 
                  RowBox[{"m", "+", "1"}]], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], "*", 
                   RowBox[{"ChebyshevT", "[", 
                    RowBox[{"j", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"j", "=", "0"}], ",", 
              RowBox[{"j", "\[LessEqual]", 
               RowBox[{"m", "-", "2"}]}], ",", 
              RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"ft", "\[LeftDoubleBracket]", 
                RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{
                RowBox[{"G", "\[LeftDoubleBracket]", 
                 RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "-", 
                RowBox[{"G", "\[LeftDoubleBracket]", 
                 RowBox[{"j", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
             "ft", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}], 
             "=", 
             RowBox[{
             "G", "\[LeftDoubleBracket]", "m", "\[RightDoubleBracket]"}]}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"ft", "\[LeftDoubleBracket]", 
              RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
             RowBox[{"G", "\[LeftDoubleBracket]", 
              RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{"===", "=="}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{"f", "=", 
         RowBox[{"fjU", "[", 
          RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"c", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"l", ",", "0", ",", 
             RowBox[{"n", "+", "\[Chi]"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"c", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
         "=", 
         FractionBox[
          RowBox[{"f", "\[LeftDoubleBracket]", 
           RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], 
          RowBox[{"\[Sigma]jk", "[", 
           RowBox[{"n", ",", "n", ",", "p"}], "]"}]]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"l", "=", "1"}], ",", 
          RowBox[{"l", "\[LessEqual]", 
           RowBox[{"n", "-", "1"}]}], ",", 
          RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"temp", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"j", "=", "1"}], "l"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"c", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "j"}], "\[RightDoubleBracket]"}], 
               " ", 
               RowBox[{"\[Sigma]jk", "[", 
                RowBox[{
                 RowBox[{"n", "-", "l"}], ",", 
                 RowBox[{"n", "-", "l", "+", "j"}], ",", "p"}], "]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"c", "\[LeftDoubleBracket]", 
             RowBox[{"n", "-", "l"}], "\[RightDoubleBracket]"}], "=", 
            RowBox[{
             FractionBox["1", 
              RowBox[{"\[Sigma]jk", "[", 
               RowBox[{
                RowBox[{"n", "-", "l"}], ",", 
                RowBox[{"n", "-", "l"}], ",", "p"}], "]"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "1"}], "\[RightDoubleBracket]"}], 
               "-", "temp"}], ")"}]}]}]}]}], "]"}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "c", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6369960399428816`*^9, 3.636996050898508*^9}, 
   3.6369960875576053`*^9, {3.636996505213494*^9, 3.636996505464508*^9}, {
   3.6370505715805206`*^9, 3.637050623222474*^9}, {3.637050684656988*^9, 
   3.637050696365658*^9}, 3.6370507304436073`*^9, {3.6370507662726564`*^9, 
   3.6370508693665533`*^9}, 3.6370509427407494`*^9, {3.6372251584258056`*^9, 
   3.6372251741937075`*^9}, {3.63722520658356*^9, 3.6372252332830873`*^9}, {
   3.6372254898407617`*^9, 3.637225517775359*^9}, 3.6372256891021585`*^9, {
   3.637227249440405*^9, 3.637227376863693*^9}, {3.6372274127837477`*^9, 
   3.6372274217912626`*^9}, {3.637227525855215*^9, 3.63722752594722*^9}, {
   3.637227653764531*^9, 3.637227707964631*^9}, {3.6372289579071236`*^9, 
   3.6372289746030784`*^9}, {3.637229016609481*^9, 3.6372290429439874`*^9}, 
   3.637229090418703*^9, 3.637257370835561*^9, {3.6372574167871895`*^9, 
   3.6372574806548424`*^9}, 3.6372575127166758`*^9, {3.637290592378905*^9, 
   3.637290621018543*^9}, {3.6372917060876055`*^9, 3.6372917197673874`*^9}, {
   3.637291754198357*^9, 3.6372919480574455`*^9}, {3.6372920043626657`*^9, 
   3.637292006498788*^9}, {3.6373393437453737`*^9, 3.6373393663866687`*^9}, {
   3.637339467265438*^9, 3.6373395697883024`*^9}, {3.6373396206962147`*^9, 
   3.637339810597076*^9}, 3.6373398683373785`*^9, 3.637339899526162*^9, {
   3.6373399426276274`*^9, 3.637339947857927*^9}, {3.6373400909211097`*^9, 
   3.637340136348708*^9}, {3.63734018970576*^9, 3.637340194943059*^9}, {
   3.6373402538144264`*^9, 3.637340263618987*^9}, {3.637340384440898*^9, 
   3.637340432843666*^9}, {3.6373404786992893`*^9, 3.6373405333244133`*^9}, {
   3.6373405951669507`*^9, 3.6373406167871876`*^9}, {3.637340670485259*^9, 
   3.6373407463816*^9}, {3.6373407880579834`*^9, 3.63734082331*^9}, {
   3.6373408653024015`*^9, 3.6373409129831285`*^9}, 3.6373409462460313`*^9, {
   3.6373410455767126`*^9, 3.637341189343936*^9}, 3.6373412251119814`*^9, {
   3.6373412946279573`*^9, 3.637341308582756*^9}, {3.6373413458488874`*^9, 
   3.6373414215852194`*^9}, {3.637344741653116*^9, 3.637344795850216*^9}, {
   3.6373459693843384`*^9, 3.6373459757877045`*^9}, 3.637346066724906*^9, {
   3.637346107855259*^9, 3.637346137324944*^9}, {3.637346272586681*^9, 
   3.6373462727426896`*^9}, {3.637346499320649*^9, 3.637346542269106*^9}, {
   3.637346652405405*^9, 3.6373467447046843`*^9}, {3.6373467899932747`*^9, 
   3.6373467928534384`*^9}, {3.637515648401041*^9, 3.637515653112311*^9}, {
   3.6375158872857046`*^9, 3.637515920836624*^9}, {3.6375160725142994`*^9, 
   3.637516076513528*^9}, {3.6375172170737643`*^9, 3.6375173574347925`*^9}, {
   3.637517989544947*^9, 3.6375180906457295`*^9}, {3.637518135864316*^9, 
   3.6375181570675287`*^9}, {3.6375182049662685`*^9, 3.637518213932781*^9}, {
   3.6375182547801175`*^9, 3.63751828174866*^9}, {3.6375184458200445`*^9, 
   3.6375184536004896`*^9}, {3.6375190829394855`*^9, 3.6375191460150933`*^9}, 
   3.6375192495930176`*^9, {3.6375194736948357`*^9, 3.637519484738467*^9}, {
   3.637519661666587*^9, 3.637519664094726*^9}, 3.637520149188472*^9, {
   3.637520512228236*^9, 3.6375205393017845`*^9}, {3.637522720408537*^9, 
   3.637522722167638*^9}, {3.6375228024612303`*^9, 3.6375228346750727`*^9}, {
   3.637522920452979*^9, 3.6375229475505285`*^9}, {3.6375230201906834`*^9, 
   3.637523032473386*^9}, 3.6375230895556507`*^9, {3.637523140485564*^9, 
   3.6375231500851135`*^9}, {3.6375232477466993`*^9, 
   3.6375232834367404`*^9}, {3.637523352081667*^9, 3.637523380975319*^9}, {
   3.6375236805764556`*^9, 3.637523689347957*^9}, {3.637524493973979*^9, 
   3.6375245042155647`*^9}, 3.6377418005470257`*^9, 3.6377418323418446`*^9, {
   3.637741887094976*^9, 3.6377418874339952`*^9}, 3.6377421716202497`*^9, {
   3.637743299082737*^9, 3.637743299215745*^9}, {3.637743337482933*^9, 
   3.6377433375669384`*^9}, {3.637743614378771*^9, 3.6377436240883265`*^9}, {
   3.637743675253253*^9, 3.637743721257884*^9}, {3.637743849919243*^9, 
   3.6377438804019866`*^9}, 3.637744207186678*^9, {3.637745239665732*^9, 
   3.637745263444092*^9}, 3.6377453070335855`*^9, {3.6377453728073473`*^9, 
   3.6377453738934097`*^9}, {3.6377454048921824`*^9, 
   3.6377454453634973`*^9}, {3.6377455649983397`*^9, 3.637745565065344*^9}, {
   3.637745601568432*^9, 3.6377456289559984`*^9}, {3.6377457903382287`*^9, 
   3.6377458587961445`*^9}, {3.6377459579558163`*^9, 
   3.6377460250326524`*^9}, {3.637746165767702*^9, 3.6377461991536117`*^9}, {
   3.6377464297568016`*^9, 3.6377464299508123`*^9}, {3.637746484363925*^9, 
   3.637746484574937*^9}, 3.6377465181708584`*^9, {3.637746720170412*^9, 
   3.6377467303569946`*^9}, {3.6377468267765093`*^9, 3.637746827053526*^9}, 
   3.63774696402636*^9, 3.637747008646912*^9, {3.637747042723861*^9, 
   3.637747073605627*^9}, {3.637747113479908*^9, 3.6377471136159163`*^9}, {
   3.637747307001977*^9, 3.637747344732135*^9}, 3.6377473840093813`*^9, 
   3.637747468057189*^9, {3.6377478717972813`*^9, 3.637747892542468*^9}, {
   3.6377479575721874`*^9, 3.637747979658451*^9}, {3.6377481119090147`*^9, 
   3.6377481495151663`*^9}, {3.6377491642972083`*^9, 
   3.6377491726326847`*^9}, {3.6377492229295616`*^9, 
   3.6377492273328133`*^9}, {3.6377492897833853`*^9, 
   3.6377492945516586`*^9}, {3.637749496303198*^9, 3.6377495059467497`*^9}, {
   3.637749541481782*^9, 3.637749561099904*^9}, {3.6378409592380147`*^9, 
   3.637840966478429*^9}, {3.637841056939603*^9, 3.6378410581326714`*^9}, {
   3.637909092114834*^9, 3.6379091199104233`*^9}, {3.637909230153729*^9, 
   3.637909241306367*^9}, 3.637909275368315*^9, 3.6379094805690517`*^9, {
   3.637909685666783*^9, 3.637909715463487*^9}, {3.6383631249101686`*^9, 
   3.6383631383879395`*^9}, {3.6393193340431643`*^9, 
   3.6393193434547024`*^9}, {3.639319774049331*^9, 3.6393198120185027`*^9}, {
   3.6393252256661453`*^9, 3.6393252278822727`*^9}, {3.6393255248302565`*^9, 
   3.6393255362219086`*^9}, {3.6398283019354477`*^9, 
   3.6398283034486504`*^9}, {3.6398368527633734`*^9, 3.639836857178181*^9}, 
   3.639836940092327*^9, {3.6418149090479727`*^9, 3.641815060196638*^9}, 
   3.641815119258342*^9, {3.6447328238144636`*^9, 3.644732828603672*^9}, 
   3.644732898990996*^9, {3.6447329421250715`*^9, 3.6447329726543255`*^9}, {
   3.6447341543183217`*^9, 3.644734202522406*^9}, {3.6447349204760675`*^9, 
   3.6447349315208874`*^9}, 3.6448168869210715`*^9, {3.6450117938492565`*^9, 
   3.645011826359714*^9}, {3.6452408832276416`*^9, 3.645240924146514*^9}, 
   3.645240964924985*^9, {3.645246854332566*^9, 3.645246857280971*^9}, {
   3.646115507493398*^9, 3.6461156222471995`*^9}, {3.6461166260547647`*^9, 
   3.646116722119733*^9}, {3.6574479318806825`*^9, 3.6574479383078938`*^9}, {
   3.6581977409511013`*^9, 3.6581977418403034`*^9}, {3.6581982211853104`*^9, 
   3.658198221705311*^9}, {3.6582912716301575`*^9, 3.6582913376026735`*^9}, {
   3.6591767107800894`*^9, 3.6591767576425714`*^9}, {3.6591785197449093`*^9, 
   3.659178556186573*^9}, 3.6591785896642323`*^9, {3.6591786891612067`*^9, 
   3.6591786910800104`*^9}, {3.659267361847926*^9, 3.6592673861683693`*^9}, {
   3.6761256124823465`*^9, 3.676125694663291*^9}, {3.676125851474766*^9, 
   3.6761258546571712`*^9}, {3.6761258994448504`*^9, 
   3.6761258995540504`*^9}, {3.6761260707955513`*^9, 3.676126099390402*^9}, {
   3.6761262218506165`*^9, 3.6761262542518735`*^9}, {3.676126304125161*^9, 
   3.67612659373967*^9}, 3.676126682207425*^9, {3.676126748039541*^9, 
   3.676126949201894*^9}, 3.678287326037637*^9, 3.67888044137671*^9, {
   3.679032174641432*^9, 3.67903220758869*^9}, {3.687252763746434*^9, 
   3.687252767708841*^9}}]
},
WindowSize->{819, 700},
WindowMargins->{{Automatic, 28}, {Automatic, 11}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 22363, 459, 1581, "Input"]
}
]
*)

(* End of internal cache information *)
