(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     21046,        483]
NotebookOptionsPosition[     20643,        467]
NotebookOutlinePosition[     21144,        485]
CellTagsIndexPosition[     21101,        482]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Rho]jk1", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"\[Rho]jk1", "[", 
      RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "\[Rho]", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "H\[Rho]", " ", "===", "===", "===", 
         "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"H\[Rho]", "[", "M_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"bb", ",", "M2", ",", "r", ",", "h"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"===", "===", "==="}], "=", " ", 
              RowBox[{"bkn", " ", "===", "===", "===", "==="}]}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"bkn", "[", "n_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"b", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"n", "\[Equal]", "0"}], " ", ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"b", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                 "=", 
                 SuperscriptBox["2.", "n"]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "1"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"n", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"b", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "b", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "b", "]"}]}]}], "\[IndentingNewLine]", 
              "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "==", "0"}], ",", 
              RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"bb", "=", 
             RowBox[{"bkn", "[", 
              RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"M2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox[
               RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"h", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"r", "=", "0"}], "M2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"bb", "\[LeftDoubleBracket]", 
                 RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"M", "-", 
                  RowBox[{"2", " ", "r"}], "+", "1"}], 
                 "\[RightDoubleBracket]"}]}], ")"}]}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", 
             RowBox[{"2", " ", "h"}], "]"}]}]}], "\[IndentingNewLine]", 
          "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"\[Rho]", " ", "=", 
         RowBox[{"H\[Rho]", "[", 
          RowBox[{"k", "+", "1", "-", "j"}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "\[Rho]", "]"}]}]}], "\[IndentingNewLine]", 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   StyleBox[
    RowBox[{"(*", 
     RowBox[{
      RowBox[{"===", "===", "==="}], "=", " ", 
      RowBox[{"FckUU1", " ", "===", "===", "===", "==="}]}], "*)"}],
    FontFamily->"Courier New"], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"FckUU1", "[", 
      RowBox[{"n_", ",", "ff_", ",", "\[Alpha]0_", ",", "p_"}], "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", " ", 
        RowBox[{"f", ",", "c", ",", "temp", ",", "l", ",", "j"}], "}"}], ",", 
       "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"===", "===", "==="}], "=", " ", 
          RowBox[{"Ik\[Rho]", " ", "===", "===", "===", "==="}]}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{
         RowBox[{"Ik\[Rho]", "[", "k_", "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"b", ",", "z", ",", "k2", ",", "m"}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{
             RowBox[{"bkn", "[", "nn_", "]"}], ":=", 
             RowBox[{"Module", "[", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"bb", ",", "mm", ",", "kk"}], "}"}], ",", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"If", "[", 
                 RowBox[{
                  RowBox[{"nn", "\[Equal]", "0"}], " ", ",", 
                  RowBox[{"Return", "[", 
                   RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"bb", "=", 
                 RowBox[{"Table", "[", 
                  RowBox[{"0", ",", 
                   RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                  "]"}]}], ";", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{
                 "bb", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                  "=", 
                 SuperscriptBox["2.", "nn"]}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"kk", "=", "1"}], ",", 
                  RowBox[{"kk", "\[LessEqual]", 
                   RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}]}], ",", 
                  RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"mm", "=", 
                    RowBox[{"nn", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"bb", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "bb", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"Return", "[", "bb", "]"}]}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"b", "=", 
             RowBox[{"bkn", "[", "k", "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"k2", "=", 
             RowBox[{"Floor", "[", 
              FractionBox["k", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"z", "=", 
             RowBox[{
              UnderoverscriptBox["\[Sum]", 
               RowBox[{"m", "=", "0"}], "k2"], 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"p", "\[LeftDoubleBracket]", 
                 RowBox[{"k", "+", "2", "-", 
                  RowBox[{"2", " ", "m"}]}], "\[RightDoubleBracket]"}], " ", 
                RowBox[{"b", "\[LeftDoubleBracket]", 
                 RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}], 
               ")"}]}]}], ";", "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "z", "]"}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        StyleBox[
         RowBox[{"(*", 
          RowBox[{
           RowBox[{"===", "===", "==="}], "=", " ", 
           RowBox[{"fjU", " ", "===", "===", "===", "==="}]}], "*)"}],
         FontFamily->"Courier New"], "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"fjU", "[", 
          RowBox[{"fu_", ",", "nn_"}], "]"}], ":=", 
         RowBox[{"Module", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"fn", ",", "G", ",", "x", ",", "k", ",", "jj"}], "}"}], 
           ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"fn", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"x", "=", 
             RowBox[{"Table", "[", 
              RowBox[{
               RowBox[{"Cos", "[", 
                RowBox[{
                 FractionBox[
                  RowBox[{
                   RowBox[{"2", "k"}], "-", "1."}], 
                  RowBox[{
                   RowBox[{"2", "nn"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"G", "=", 
             RowBox[{"Table", "[", 
              RowBox[{"0", ",", 
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{"nn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"jj", "=", "0"}], ",", 
              RowBox[{"jj", "\[LessEqual]", "nn"}], ",", 
              RowBox[{"jj", "++"}], ",", 
              RowBox[{
               RowBox[{"G", "\[LeftDoubleBracket]", 
                RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{
                FractionBox["1.", 
                 RowBox[{"nn", "+", "1"}]], " ", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"k", "=", "1"}], 
                  RowBox[{"nn", "+", "1"}]], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"fu", "[", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}], "]"}], " ", 
                   RowBox[{"ChebyshevT", "[", 
                    RowBox[{"jj", ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "k", 
                    "\[RightDoubleBracket]"}]}], "]"}]}], ")"}]}]}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"jj", "=", "0"}], ",", 
              RowBox[{"jj", "\[LessEqual]", 
               RowBox[{"nn", "-", "2"}]}], ",", 
              RowBox[{"jj", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"fn", "\[LeftDoubleBracket]", 
                RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
               RowBox[{
                RowBox[{"G", "\[LeftDoubleBracket]", 
                 RowBox[{"jj", "+", "1"}], "\[RightDoubleBracket]"}], "-", 
                RowBox[{"G", "\[LeftDoubleBracket]", 
                 RowBox[{"jj", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
             "]"}], ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{
             "fn", "\[LeftDoubleBracket]", "nn", "\[RightDoubleBracket]"}], 
             "=", 
             RowBox[{
             "G", "\[LeftDoubleBracket]", "nn", "\[RightDoubleBracket]"}]}], 
            ";", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"fn", "\[LeftDoubleBracket]", 
              RowBox[{"nn", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
             RowBox[{"G", "\[LeftDoubleBracket]", 
              RowBox[{"nn", "+", "1"}], "\[RightDoubleBracket]"}]}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{"Return", "[", "fn", "]"}]}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"f", "=", 
         RowBox[{"fjU", "[", 
          RowBox[{"ff", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"c", "=", 
         RowBox[{"Table", "[", 
          RowBox[{"0", ",", 
           RowBox[{"{", 
            RowBox[{"k", ",", "0", ",", 
             RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"c", "\[LeftDoubleBracket]", 
          RowBox[{"n", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
         FractionBox[
          RowBox[{"f", "\[LeftDoubleBracket]", 
           RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], 
          RowBox[{"\[Rho]jk1", "[", 
           RowBox[{"n", ",", "n", ",", "p"}], "]"}]]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"For", "[", 
         RowBox[{
          RowBox[{"l", "=", "1"}], ",", 
          RowBox[{"l", "\[LessEqual]", "n"}], ",", 
          RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"temp", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"j", "=", "1"}], "l"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"c", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "j", "+", "2"}], 
                "\[RightDoubleBracket]"}], " ", 
               RowBox[{"\[Rho]jk1", "[", 
                RowBox[{
                 RowBox[{"n", "-", "l"}], ",", 
                 RowBox[{"n", "-", "l", "+", "j"}], ",", "p"}], "]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"c", "\[LeftDoubleBracket]", 
             RowBox[{"n", "-", "l", "+", "2"}], "\[RightDoubleBracket]"}], 
            "=", 
            RowBox[{
             FractionBox["1", 
              RowBox[{"\[Rho]jk1", "[", 
               RowBox[{
                RowBox[{"n", "-", "l"}], ",", 
                RowBox[{"n", "-", "l"}], ",", "p"}], "]"}]], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"f", "\[LeftDoubleBracket]", 
                RowBox[{"n", "-", "l", "+", "1"}], "\[RightDoubleBracket]"}], 
               "-", "temp"}], ")"}]}]}], ";"}]}], "\[IndentingNewLine]", 
         "]"}], ";", "\[IndentingNewLine]", 
        RowBox[{"temp", "=", 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{"k", "=", "1"}], 
           RowBox[{"n", "+", "1"}]], 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"c", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
            RowBox[{"Ik\[Rho]", "[", "k", "]"}]}], ")"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{
         RowBox[{"c", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
         "=", 
         RowBox[{
          FractionBox["1", 
           RowBox[{"Ik\[Rho]", "[", "0", "]"}]], " ", 
          RowBox[{"(", 
           RowBox[{"\[Alpha]0", "-", "temp"}], ")"}]}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Return", "[", "c", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
     ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6393187759422426`*^9, 3.639318840304924*^9}, {
   3.639319504211897*^9, 3.6393195969252*^9}, {3.639325482454833*^9, 
   3.6393254888722*^9}, {3.639326938010086*^9, 3.6393269452264986`*^9}, {
   3.639828211470889*^9, 3.6398282146532946`*^9}, 3.6398359077137136`*^9, {
   3.6398365083303685`*^9, 3.639836512074375*^9}, {3.6398367350923667`*^9, 
   3.6398367527047977`*^9}, {3.6418117188514276`*^9, 3.6418117223302336`*^9}, 
   3.641812692377679*^9, {3.6418127426253676`*^9, 3.641812884070816*^9}, {
   3.6418129612753515`*^9, 3.641812969387366*^9}, {3.641813402568927*^9, 
   3.641813423457363*^9}, {3.641813533905557*^9, 3.6418135423919725`*^9}, {
   3.6418136589241767`*^9, 3.641813659563778*^9}, {3.641814056678076*^9, 
   3.6418140573332767`*^9}, {3.6418143813458457`*^9, 3.641814397382674*^9}, {
   3.6418145528993473`*^9, 3.641814587001007*^9}, 3.641815275960617*^9, {
   3.6447289282067933`*^9, 3.6447290382181864`*^9}, {3.6447290723822465`*^9, 
   3.6447291215535326`*^9}, {3.644729155935993*^9, 3.644729186028446*^9}, {
   3.6447293020770497`*^9, 3.6447293278638954`*^9}, {3.644729363478758*^9, 
   3.644729373213175*^9}, {3.6447294537245164`*^9, 3.644729458123724*^9}, 
   3.644729648369258*^9, {3.644729687899727*^9, 3.6447298627916346`*^9}, {
   3.6447301807197933`*^9, 3.6447301882546062`*^9}, 3.644730351992494*^9, {
   3.644730431911434*^9, 3.64473043518744*^9}, 3.644730686332281*^9, 
   3.644730838182948*^9, {3.644731945424121*^9, 3.644731953333335*^9}, 
   3.644816873083847*^9, {3.645011700249092*^9, 3.6450117683900123`*^9}, {
   3.6450796461383953`*^9, 3.645079684155662*^9}, {3.645080913416622*^9, 
   3.6450809153198256`*^9}, 3.6450809802315397`*^9, {3.6450834983823643`*^9, 
   3.6450835263688135`*^9}, 3.6451801746871257`*^9, {3.645181202653333*^9, 
   3.645181207879342*^9}, {3.6461154013352118`*^9, 3.6461154148604355`*^9}, {
   3.6461168646571836`*^9, 3.646116899710445*^9}, {3.655816137454958*^9, 
   3.6558161660498085`*^9}, {3.6569270352035313`*^9, 3.65692705148996*^9}, {
   3.6574478848465996`*^9, 3.657447893364215*^9}, {3.6582911504803443`*^9, 
   3.6582911597623606`*^9}, {3.659176638427162*^9, 3.6591766452599745`*^9}, {
   3.6591788036810083`*^9, 3.6591788621967106`*^9}, {3.65924476720047*^9, 
   3.659244788291707*^9}, {3.6761159651443696`*^9, 3.6761160026624355`*^9}, {
   3.6761160329420886`*^9, 3.676116045515711*^9}, {3.6761161115038266`*^9, 
   3.676116175713539*^9}, {3.6761162228880224`*^9, 3.6761162980801544`*^9}, {
   3.6761163286718082`*^9, 3.6761165219897475`*^9}, {3.6768716386554546`*^9, 
   3.676871646798669*^9}, 3.6768716838019333`*^9, 3.6768718578358393`*^9, {
   3.678162445988453*^9, 3.6781624613388796`*^9}, 3.678163693226243*^9, 
   3.678880031672389*^9, {3.6790320414483976`*^9, 3.679032092663288*^9}, {
   3.687252813650922*^9, 3.687252817613329*^9}}]
},
WindowSize->{763, 862},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 20082, 445, 1944, "Input"]
}
]
*)

(* End of internal cache information *)
