(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      9490,        206]
NotebookOptionsPosition[      9246,        193]
NotebookOutlinePosition[      9590,        208]
CellTagsIndexPosition[      9547,        205]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "F\[Kappa]", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"F\[Kappa]", "[", 
     RowBox[{"a_", ",", "b_", ",", "klass_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "t1", ",", "t2", ",", "boo", ",", "\[Kappa]1", ",", "\[Kappa]2", ",", 
        "G", ",", "g"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"G", "[", "x_", "]"}], "=", 
        RowBox[{"Simplify", "[", 
         FractionBox[
          RowBox[{
           RowBox[{"a", "[", "x", "]"}], "-", 
           RowBox[{"b", "[", "x", "]"}]}], 
          RowBox[{
           RowBox[{"a", "[", "x", "]"}], "+", 
           RowBox[{"b", "[", "x", "]"}]}]], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"g", "[", "x_", "]"}], "=", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"2.", "\[Pi]", "  ", "\[ImaginaryI]"}]], " ", 
         RowBox[{"Log", "[", 
          RowBox[{"G", "[", "x", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"t1", "=", 
        RowBox[{"Re", "[", " ", 
         RowBox[{"g", "[", "1.", "]"}], "]"}]}], " ", ";", 
       "\[IndentingNewLine]", 
       RowBox[{"t2", "=", 
        RowBox[{"Re", "[", 
         RowBox[{"g", "[", 
          RowBox[{"-", "1."}], "]"}], "]"}]}], " ", ";", 
       "\[IndentingNewLine]", 
       RowBox[{"boo", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"Abs", "[", "t1", "]"}], "<", 
          SuperscriptBox["10", 
           RowBox[{"-", "16"}]]}], "||", 
         RowBox[{
          RowBox[{"Abs", "[", "t2", "]"}], "<", 
          SuperscriptBox["10", 
           RowBox[{"-", "16"}]]}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{"boo", ",", 
         RowBox[{"Return", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<Not\>\"", ",", "\"\<Not\>\"", ",", "\"\<Not\>\""}], 
           "}"}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"klass", "==", "1"}], ",", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"\[Kappa]2", "=", 
            RowBox[{"Floor", "[", 
             RowBox[{"1", "-", "t2"}], "]"}]}], ";", 
           RowBox[{"\[Kappa]1", "=", 
            RowBox[{"Floor", "[", 
             RowBox[{"1", "+", "t1"}], "]"}]}]}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"klass", "==", "2"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"\[Kappa]2", "=", 
              RowBox[{"Floor", "[", 
               RowBox[{"-", "t2"}], "]"}]}], ";", 
             RowBox[{"\[Kappa]1", "=", 
              RowBox[{"Floor", "[", "t1", "]"}]}]}], "}"}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"klass", "==", "3"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Kappa]2", "=", 
                RowBox[{"Floor", "[", 
                 RowBox[{"-", "t2"}], "]"}]}], ";", 
               RowBox[{"\[Kappa]1", "=", 
                RowBox[{"Floor", "[", 
                 RowBox[{"1", "+", "t1"}], "]"}]}]}], "}"}], ",", 
             "\[IndentingNewLine]", 
             RowBox[{"If", "[", 
              RowBox[{
               RowBox[{"klass", "\[Equal]", "4"}], ",", 
               RowBox[{"{", 
                RowBox[{
                 RowBox[{"\[Kappa]2", "=", 
                  RowBox[{"Floor", "[", 
                   RowBox[{"1", "-", "t2"}], "]"}]}], ";", 
                 RowBox[{"\[Kappa]1", "=", 
                  RowBox[{"Floor", "[", "t1", "]"}]}]}], "}"}], ",", "None"}],
               "]"}]}], "]"}]}], "]"}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"{", " ", 
         RowBox[{"\[Kappa]1", ",", "\[Kappa]2", ",", 
          RowBox[{"\[Kappa]1", "+", "\[Kappa]2"}]}], "}"}], "]"}], ";"}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.6363010075470705`*^9, 3.636301068114535*^9}, {
   3.636301125991845*^9, 3.6363011369564724`*^9}, {3.6363012571953497`*^9, 
   3.636301257464365*^9}, {3.636301375633124*^9, 3.6363013816464677`*^9}, {
   3.636301574735512*^9, 3.6363017329675617`*^9}, {3.6363018346053753`*^9, 
   3.6363018465620594`*^9}, {3.636301919085208*^9, 3.6363019696681004`*^9}, {
   3.636302033618758*^9, 3.636302044257367*^9}, {3.636302080292428*^9, 
   3.636302092638134*^9}, {3.6363021289002085`*^9, 3.6363021861304817`*^9}, {
   3.636302216980246*^9, 3.6363022338032084`*^9}, {3.6363022913605003`*^9, 
   3.6363022983078976`*^9}, {3.6363023572112665`*^9, 3.6363023597914143`*^9}, 
   3.6363024644624014`*^9, {3.636302730170599*^9, 3.6363027413902407`*^9}, {
   3.636302811751265*^9, 3.636302846257239*^9}, {3.6363029510772343`*^9, 
   3.6363029773637376`*^9}, {3.636303186384693*^9, 3.6363031956062202`*^9}, 
   3.6363032494563007`*^9, 3.6363033430346527`*^9, {3.636303428294529*^9, 
   3.6363034305306573`*^9}, {3.641728305134765*^9, 3.6417283753036885`*^9}, {
   3.6417285888212633`*^9, 3.6417286124709053`*^9}, 3.641728683981431*^9, {
   3.6423902948882923`*^9, 3.642390333950761*^9}, {3.642390398456874*^9, 
   3.6423905483731375`*^9}, {3.6423907705175276`*^9, 3.642390805009188*^9}, {
   3.6423909784970927`*^9, 3.642390996265524*^9}, {3.642391171547432*^9, 
   3.6423911730294347`*^9}, {3.6423912718868084`*^9, 3.642391279842822*^9}, {
   3.642391316580887*^9, 3.6423914070610456`*^9}, {3.64239148916399*^9, 
   3.6423915497544966`*^9}, {3.6423915858997593`*^9, 3.642391609533801*^9}, {
   3.642391732150017*^9, 3.642391770604084*^9}, {3.6423918587754393`*^9, 
   3.6423919990664854`*^9}, {3.642392044852566*^9, 3.6423920587989902`*^9}, {
   3.6423921297011147`*^9, 3.6423921322595196`*^9}, {3.6423921984504356`*^9, 
   3.642392200306839*^9}, {3.6423922342992983`*^9, 3.642392242614113*^9}, {
   3.642392275498971*^9, 3.6423922813957815`*^9}, {3.6423923929671774`*^9, 
   3.64239242291923*^9}, {3.642392522104204*^9, 3.6423925348494263`*^9}, {
   3.6423926250487847`*^9, 3.642392663674453*^9}, {3.642392701410919*^9, 
   3.64239270768213*^9}, 3.6423927509878063`*^9, {3.642392799644292*^9, 
   3.6423928210631294`*^9}, {3.6423929065044794`*^9, 
   3.6423929324473248`*^9}, {3.6423946014824247`*^9, 3.642394622729662*^9}, {
   3.6423979472615137`*^9, 3.6423979754975634`*^9}, {3.6423980187252393`*^9, 
   3.642398052982899*^9}, {3.643516374821701*^9, 3.643516401060947*^9}, {
   3.643516515359148*^9, 3.6435165264663677`*^9}, {3.643516910535842*^9, 
   3.643516933904683*^9}, {3.6435169961643925`*^9, 3.643517042839675*^9}, {
   3.643517817180235*^9, 3.6435178344338655`*^9}, {3.643788035647746*^9, 
   3.6437880490949697`*^9}, {3.643788115816287*^9, 3.6437881790899982`*^9}, {
   3.643788284140583*^9, 3.64378829966261*^9}, {3.6437883487402964`*^9, 
   3.643788409549203*^9}, {3.6438061861200924`*^9, 3.643806191392902*^9}, {
   3.6438063159903207`*^9, 3.6438063231351333`*^9}, {3.6438064201673036`*^9, 
   3.643806535264306*^9}, {3.6438066060260305`*^9, 3.6438066072740326`*^9}, {
   3.643948075829064*^9, 3.6439480822094755`*^9}, {3.643948627118432*^9, 
   3.643948661610093*^9}, {3.644283656887096*^9, 3.6442838389862156`*^9}, {
   3.644567064012029*^9, 3.644567163446604*^9}, {3.644567300118444*^9, 
   3.64456730927566*^9}, {3.6445673539229383`*^9, 3.644567368914565*^9}, {
   3.6445679783556337`*^9, 3.6445680225973115`*^9}, {3.6445683254250436`*^9, 
   3.6445683444258766`*^9}, {3.6445686004423275`*^9, 3.644568602595131*^9}, 
   3.6445686993777013`*^9, {3.6445689340801134`*^9, 3.644568952285345*^9}, {
   3.64456927902712*^9, 3.644569305297566*^9}, {3.6445694148877583`*^9, 
   3.6445694152777596`*^9}, {3.6445786038823094`*^9, 
   3.6445786326019597`*^9}, {3.6445787489921646`*^9, 
   3.6445787648105917`*^9}, {3.6450165620912323`*^9, 3.645016570421646*^9}, {
   3.6459307156801867`*^9, 3.6459307166501884`*^9}, {3.645930768530261*^9, 
   3.645930823660338*^9}, 3.6459309562705235`*^9, {3.6459310460206494`*^9, 
   3.6459310469706507`*^9}, {3.645931078740695*^9, 3.645931085850705*^9}, {
   3.645931170730824*^9, 3.645931317001029*^9}, {3.645931371661105*^9, 
   3.645931499931285*^9}, {3.6459315375013375`*^9, 3.6459315427113447`*^9}, {
   3.6459322062046833`*^9, 3.6459322148782983`*^9}, {3.6461170405474925`*^9, 
   3.646117055819919*^9}, {3.6461174101433415`*^9, 3.6461174117345448`*^9}, {
   3.676449038727558*^9, 3.6764490388679585`*^9}, {3.6790654120532746`*^9, 
   3.679065416951683*^9}}]
},
WindowSize->{653, 756},
WindowMargins->{{Automatic, 104}, {Automatic, 0}},
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 8685, 171, 342, "Input"]
}
]
*)

(* End of internal cache information *)
