(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     18179,        422]
NotebookOptionsPosition[     17774,        406]
NotebookOutlinePosition[     18277,        424]
CellTagsIndexPosition[     18234,        421]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
    "===", "===", "===", " ", "\[CapitalOmega]UTU0", " ", "===", "===", "===",
      "=="}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalOmega]UTU0", "[", 
     RowBox[{"fk_", ",", "n_", ",", "p_", ",", "a_", ",", "b_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "\[Sigma]", ",", "zn", ",", "m", ",", "k", ",", "j", ",", "ss", ",", 
        "\[CapitalOmega]"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
        RowBox[{"Hz", " ", "===", "===", "===", "===", 
         RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"Hz", "[", "MM_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
            RowBox[{"H", " ", "===", "===", "===", "===", 
             RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"H", "[", "M_", "]"}], ":=", 
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"bbb", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              StyleBox[
               RowBox[{"(*", 
                RowBox[{
                "===", "===", "===", " ", "bkn", " ", "===", "===", "===", 
                 "=="}], "*)"}],
               FontFamily->"Courier New"], 
              StyleBox["\[IndentingNewLine]",
               FontFamily->"Courier New"], 
              RowBox[{
               RowBox[{
                RowBox[{"bkn", "[", "nn_", "]"}], ":=", 
                RowBox[{"Module", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{"bb", ",", "mm", ",", "kk"}], "}"}], ",", 
                  "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"bb", "=", 
                    RowBox[{"Table", "[", 
                    RowBox[{"0.", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{
                    "bb", "\[LeftDoubleBracket]", "1", 
                    "\[RightDoubleBracket]"}], "=", 
                    SuperscriptBox["2.", "nn"]}], ";", "\[IndentingNewLine]", 
                   RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"kk", "=", "1"}], ",", 
                    RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox["nn", "2"], "]"}]}], ",", 
                    RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"nn", "+", "1.", "-", 
                    RowBox[{"2.", " ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"bb", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "bb", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                   "\[IndentingNewLine]", 
                   RowBox[{"Return", "[", "bb", "]"}]}]}], 
                 "\[IndentingNewLine]", "]"}]}], ";", " ", 
               "\[IndentingNewLine]", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"M", "\[Equal]", "0"}], ",", 
                 RowBox[{"Return", "[", "0.", "]"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"bbb", "=", 
                RowBox[{"bkn", "[", 
                 RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"M2", "=", 
                RowBox[{"Floor", "[", 
                 FractionBox[
                  RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"h", "=", 
                RowBox[{
                 UnderoverscriptBox["\[Sum]", 
                  RowBox[{"r", "=", "0"}], "M2"], 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"bbb", "\[LeftDoubleBracket]", 
                    RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
                   RowBox[{"p", "\[LeftDoubleBracket]", 
                    RowBox[{"M", "+", "1", "-", 
                    RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}]}], 
                  ")"}]}]}], ";", "\[IndentingNewLine]", 
               RowBox[{"Return", "[", "h", "]"}]}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{"===", "=="}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"MM", "\[GreaterSlantEqual]", "0"}], ",", 
             RowBox[{"Return", "[", 
              RowBox[{"H", "[", 
               RowBox[{"MM", "+", "1"}], "]"}], "]"}], ",", 
             RowBox[{"Return", "[", 
              RowBox[{"-", 
               RowBox[{"H", "[", 
                RowBox[{
                 RowBox[{"-", "MM"}], "-", "1"}], "]"}]}], "]"}]}], "]"}]}]}],
          "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{
         "===", "===", "===", " ", "\[Sigma]mjUT", " ", "===", "===", "===", 
          "=="}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"\[Sigma]mjUT", "[", 
         RowBox[{"ffk_", ",", "nnn_"}], "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
           "x", ",", "T", ",", "\[Sigma]\[Sigma]", ",", "mmm", ",", "kkk", 
            ",", "jjj", ",", "r", ",", "l", ",", "S", ",", "s", ",", "\[Nu]m",
             ",", "\[Delta]j", ",", "q"}], "}"}], ",", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"x", "=", 
            RowBox[{"Table", "[", 
             RowBox[{
              RowBox[{"Cos", "[", 
               RowBox[{
                FractionBox[
                 RowBox[{
                  RowBox[{"2.", " ", "kkk"}], "-", "1."}], 
                 RowBox[{
                  RowBox[{"2.", " ", "nnn"}], "+", "2."}]], " ", "\[Pi]"}], 
               "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"T", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"mmm", ",", "0", ",", 
                RowBox[{"nnn", "+", "2"}]}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "1", ",", 
                RowBox[{"nnn", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"\[Sigma]\[Sigma]", "=", 
            RowBox[{"Table", "[", 
             RowBox[{"0", ",", 
              RowBox[{"{", 
               RowBox[{"mmm", ",", "0", ",", "nnn"}], "}"}], ",", 
              RowBox[{"{", 
               RowBox[{"kkk", ",", "0", ",", "nnn"}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"mmm", "=", "0"}], ",", 
             RowBox[{"mmm", "\[LessEqual]", 
              RowBox[{"nnn", "+", "2"}]}], ",", 
             RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"kkk", "=", "1"}], ",", 
               RowBox[{"kkk", "\[LessEqual]", 
                RowBox[{"nnn", "+", "1"}]}], ",", 
               RowBox[{"kkk", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"T", "\[LeftDoubleBracket]", 
                 RowBox[{
                  RowBox[{"mmm", "+", "1"}], ",", "kkk"}], 
                 "\[RightDoubleBracket]"}], "=", 
                RowBox[{"ChebyshevT", "[", 
                 RowBox[{"mmm", ",", 
                  RowBox[{
                  "x", "\[LeftDoubleBracket]", "kkk", 
                   "\[RightDoubleBracket]"}]}], "]"}]}]}], "]"}]}], 
            "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"For", "[", 
            RowBox[{
             RowBox[{"mmm", "=", "0"}], ",", 
             RowBox[{"mmm", "\[LessEqual]", "nnn"}], ",", 
             RowBox[{"mmm", "++"}], ",", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"\[Nu]m", "=", 
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"Or", "[", 
                  RowBox[{
                   RowBox[{"mmm", "\[Equal]", "nnn"}], ",", 
                   RowBox[{"mmm", "\[Equal]", 
                    RowBox[{"nnn", "-", "1"}]}]}], "]"}], ",", "0.", ",", 
                 "1."}], "]"}]}], ";", "\[IndentingNewLine]", 
              RowBox[{"For", "[", 
               RowBox[{
                RowBox[{"jjj", "=", "0"}], ",", 
                RowBox[{"jjj", "\[LessEqual]", "nnn"}], ",", 
                RowBox[{"jjj", "++"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"\[Delta]j", "=", 
                  RowBox[{"If", "[", 
                   RowBox[{
                    RowBox[{"jjj", "\[Equal]", "0"}], ",", "1.", ",", "2."}], 
                   "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"S", "=", "0"}], ";", "\[IndentingNewLine]", 
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"r", "=", "1"}], ",", 
                   RowBox[{"r", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                   RowBox[{"r", "++"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"For", "[", 
                    RowBox[{
                    RowBox[{"l", "=", "1"}], ",", 
                    RowBox[{"l", "\[LessEqual]", 
                    RowBox[{"nnn", "+", "1"}]}], ",", 
                    RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"q", "=", 
                    RowBox[{
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", "l"}], 
                    "\[RightDoubleBracket]"}], "-", 
                    RowBox[{"\[Nu]m", " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"mmm", "+", "3"}], ",", "l"}], 
                    "\[RightDoubleBracket]"}]}]}]}], ";", 
                    "\[IndentingNewLine]", 
                    RowBox[{"s", "=", 
                    RowBox[{"s", "+", 
                    RowBox[{
                    RowBox[{"ffk", "[", 
                    RowBox[{
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "l", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "r", 
                    "\[RightDoubleBracket]"}]}], "]"}], " ", "q"}]}]}]}]}], 
                    "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                    RowBox[{"S", "=", 
                    RowBox[{"S", "+", 
                    RowBox[{"s", " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"jjj", "+", "1"}], ",", "r"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}]}], 
                  "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"\[Sigma]\[Sigma]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"mmm", "+", "1"}], ",", 
                    RowBox[{"jjj", "+", "1"}]}], "\[RightDoubleBracket]"}], 
                  "=", 
                  FractionBox[
                   RowBox[{"\[Delta]j", " ", "S"}], 
                   RowBox[{
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1."}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"nnn", "+", "1."}], ")"}]}]]}]}]}], " ", 
               "\[IndentingNewLine]", "]"}], ";"}]}], "\[IndentingNewLine]", 
            "]"}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "\[Sigma]\[Sigma]", "]"}]}]}], 
         "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{"===", "=="}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{"zn", "=", 
        RowBox[{"2", " ", "b", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"a", " ", "a"}], "-", 
           RowBox[{"b", " ", "b"}]}], ")"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[CapitalOmega]", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"m", ",", "0", ",", "n"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Sigma]", "=", 
        RowBox[{"\[Sigma]mjUT", "[", 
         RowBox[{"fk", ",", "n"}], "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"m", "=", "0"}], ",", 
         RowBox[{"m", "\[LessEqual]", "n"}], ",", 
         RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"k", "=", "0"}], ",", 
           RowBox[{"k", "\[LessEqual]", "n"}], ",", 
           RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ss", "=", "0"}], ";", "\[IndentingNewLine]", 
            RowBox[{"For", "[", 
             RowBox[{
              RowBox[{"j", "=", "0"}], ",", 
              RowBox[{"j", "\[LessEqual]", "n"}], ",", 
              RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"ss", "=", 
                RowBox[{"ss", "+", 
                 RowBox[{
                  RowBox[{"\[Sigma]", "\[LeftDoubleBracket]", 
                   RowBox[{
                    RowBox[{"m", "+", "1"}], ",", 
                    RowBox[{"j", "+", "1"}]}], "\[RightDoubleBracket]"}], " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"Hz", "[", 
                    RowBox[{"k", "+", "j"}], "]"}], "+", 
                    RowBox[{"Hz", "[", 
                    RowBox[{"k", "-", "j"}], "]"}]}], " ", ")"}]}]}]}], 
               ";"}]}], "\[IndentingNewLine]", "]"}], ";", 
            "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"\[CapitalOmega]", "\[LeftDoubleBracket]", 
              RowBox[{
               RowBox[{"m", "+", "1"}], ",", 
               RowBox[{"k", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
             FractionBox["ss", "zn"]}], ";"}]}], "]"}]}], 
        "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "\[CapitalOmega]", "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.676249483959262*^9, 3.676249488296069*^9}, {
   3.676249719462265*^9, 3.6762498076648197`*^9}, {3.676249838724475*^9, 
   3.676249842608882*^9}, {3.676250051430848*^9, 3.6762501046581416`*^9}, {
   3.6762508155019817`*^9, 3.676251039518375*^9}, {3.6762510716856318`*^9, 
   3.6762511888106375`*^9}, {3.6762512601651626`*^9, 
   3.6762512944696226`*^9}, {3.676257894000831*^9, 3.6762578988992395`*^9}, {
   3.6762581031815987`*^9, 3.6762581111688128`*^9}, 3.676258253784263*^9, 
   3.6762582858579197`*^9, {3.676258401641323*^9, 3.676258405182529*^9}, {
   3.6762584686122403`*^9, 3.6762584784402575`*^9}, {3.6764497572632217`*^9, 
   3.6764497575284224`*^9}, 3.6764502855477505`*^9, {3.6764516895994763`*^9, 
   3.6764516898802767`*^9}, {3.676454726617693*^9, 3.6764547268828936`*^9}, 
   3.677162080254566*^9, 3.678879820020817*^9, {3.679033263124544*^9, 
   3.6790332926241956`*^9}}]
},
WindowSize->{688, 672},
WindowMargins->{{Automatic, 91}, {Automatic, 26}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 17213, 384, 1789, "Input"]
}
]
*)

(* End of internal cache information *)
