(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      4084,        106]
NotebookOptionsPosition[      3809,         92]
NotebookOutlinePosition[      4185,        108]
CellTagsIndexPosition[      4142,        105]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "TClenshaw", " ", "===", "===", "==="}], 
    "=", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{"TClenshaw", "[", 
    RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"na", "=", 
       RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"b", "=", 
       RowBox[{"Table", "[", 
        RowBox[{"0", ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "1", ",", 
           RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"For", "[", 
       RowBox[{
        RowBox[{"k", "=", 
         RowBox[{"na", "-", "1"}]}], ",", 
        RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
        RowBox[{"k", "--"}], ",", " ", 
        RowBox[{
         RowBox[{"b", "\[LeftDoubleBracket]", 
          RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
         RowBox[{
          RowBox[{"a", "\[LeftDoubleBracket]", 
           RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
          RowBox[{"2", " ", "x", " ", 
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
          RowBox[{"b", "\[LeftDoubleBracket]", 
           RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"y", "=", 
       RowBox[{
        RowBox[{"b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "-", 
        RowBox[{"x", " ", 
         RowBox[{
         "b", "\[LeftDoubleBracket]", "2", "\[RightDoubleBracket]"}]}]}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6353429944712963`*^9, 3.635343090320779*^9}, {
   3.6353432247654686`*^9, 3.635343485804399*^9}, {3.6353435976307955`*^9, 
   3.6353435977798033`*^9}, {3.635343713319412*^9, 3.635343730175376*^9}, {
   3.635343834516344*^9, 3.635343838608578*^9}, {3.6353439190831814`*^9, 
   3.6353439940344677`*^9}, {3.6353441068909235`*^9, 3.635344124477929*^9}, {
   3.635344207801695*^9, 3.635344467973576*^9}, 3.635344535622445*^9, {
   3.6353446448126907`*^9, 3.635344674635396*^9}, {3.6353449120759773`*^9, 
   3.6353449125050015`*^9}, {3.6353449476680126`*^9, 3.6353450055123215`*^9}, 
   3.6353450374161463`*^9, {3.635345157164995*^9, 3.6353451745659904`*^9}, {
   3.6353458059501038`*^9, 3.635345820682946*^9}, 3.635345886448708*^9, 
   3.6353459303082166`*^9, {3.641865220861153*^9, 3.6418653904334507`*^9}, 
   3.641865546132924*^9, {3.644218422315984*^9, 3.6442184308803988`*^9}, {
   3.64421853400618*^9, 3.6442185380309873`*^9}, {3.6442185905406795`*^9, 
   3.644218595610688*^9}, {3.64501659486689*^9, 3.6450166411833706`*^9}, {
   3.645016774111204*^9, 3.6450167782764115`*^9}, {3.645161267029581*^9, 
   3.645161278214801*^9}, {3.6451641215613947`*^9, 3.6451641292990084`*^9}, {
   3.6451641596254616`*^9, 3.645164188157912*^9}, {3.6790334552544813`*^9, 
   3.679033466954502*^9}}]
},
WindowSize->{538, 505},
WindowMargins->{{Automatic, 127}, {Automatic, 78}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 3248, 70, 244, "Input"]
}
]
*)

(* End of internal cache information *)
