(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      5283,        131]
NotebookOptionsPosition[      4880,        115]
NotebookOutlinePosition[      5384,        133]
CellTagsIndexPosition[      5341,        130]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "TClenshawArr", " ", "===", "===", 
     "==="}], "=", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"TClenshawArr", "[", 
     RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"na", "=", 
        RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"nx", "=", 
        RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"y", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
       StyleBox["\[IndentingNewLine]", "SearchResultSummary"], 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "1"}], ",", 
         RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
         RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"b", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "1", ",", 
               RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"k", "=", 
             RowBox[{"na", "-", "1"}]}], ",", 
            RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
            RowBox[{"k", "--"}], ",", " ", 
            RowBox[{
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
             RowBox[{
              RowBox[{"a", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
              RowBox[{"2", " ", 
               RowBox[{
               "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], 
               " ", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
           "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
           RowBox[{
            RowBox[{
            "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], "-", 
            RowBox[{
             RowBox[{
             "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], " ", 
             RowBox[{
             "b", "\[LeftDoubleBracket]", "2", 
              "\[RightDoubleBracket]"}]}]}]}], ";"}]}], "\[IndentingNewLine]",
         "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{
  3.6450071138077593`*^9, {3.645007456914762*^9, 3.645007459129966*^9}, {
   3.6450075111872573`*^9, 3.645007582791383*^9}, 3.645007627984662*^9, {
   3.6450078165265937`*^9, 3.6450078233594055`*^9}, {3.6450078748862963`*^9, 
   3.645007899393939*^9}, {3.645008124783135*^9, 3.645008137980758*^9}, 
   3.6450081844376397`*^9, {3.645008336132306*^9, 3.6450083894376*^9}, {
   3.6450166530549917`*^9, 3.6450166564089975`*^9}, {3.645016960063531*^9, 
   3.6450169735575542`*^9}, {3.6450749513076916`*^9, 
   3.6450750020857806`*^9}, {3.645075034003437*^9, 3.645075180862095*^9}, {
   3.6450752446194067`*^9, 3.645075260687435*^9}, {3.6450755254355*^9, 
   3.6450755693339767`*^9}, {3.645076094056956*^9, 3.645076198592739*^9}, {
   3.6450762317739973`*^9, 3.6450762863428936`*^9}, {3.6451583719975433`*^9, 
   3.6451583817631607`*^9}, {3.645160655698107*^9, 3.645160671890935*^9}, {
   3.645161149984975*^9, 3.6451612287963133`*^9}, {3.645162842179948*^9, 
   3.6451629116000695`*^9}, {3.645162988929405*^9, 3.6451629896938066`*^9}, {
   3.6451634775142636`*^9, 3.645163486359479*^9}, {3.6451635396959724`*^9, 
   3.645163570209626*^9}, {3.645164137021022*^9, 3.6451641449146357`*^9}, {
   3.6790334836153307`*^9, 3.679033496656954*^9}}]
},
WindowSize->{623, 619},
WindowMargins->{{Automatic, 183}, {68, Automatic}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 4319, 93, 300, "Input"]
}
]
*)

(* End of internal cache information *)
