(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      3959,        101]
NotebookOptionsPosition[      3684,         87]
NotebookOutlinePosition[      4060,        103]
CellTagsIndexPosition[      4017,        100]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "===", "===", "===", "===", " ", "UClenshaw", " ", "===", "===", "==="}], 
    "=", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"UClenshaw", "[", 
     RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"y", ",", "b", ",", "k", ",", "na"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"na", "=", 
        RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"b", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", 
            RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"k", "=", 
          RowBox[{"na", "-", "1"}]}], ",", 
         RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
         RowBox[{"k", "--"}], ",", " ", 
         RowBox[{
          RowBox[{"b", "\[LeftDoubleBracket]", 
           RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           RowBox[{"a", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
           RowBox[{"2", " ", "x", " ", 
            RowBox[{"b", "\[LeftDoubleBracket]", 
             RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
           RowBox[{"b", "\[LeftDoubleBracket]", 
            RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"y", "=", 
        RowBox[{"b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}],
        ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.6353429944712963`*^9, 3.635343090320779*^9}, {
   3.6353432247654686`*^9, 3.635343485804399*^9}, {3.6353435976307955`*^9, 
   3.6353435977798033`*^9}, {3.635343713319412*^9, 3.635343730175376*^9}, {
   3.635343834516344*^9, 3.635343838608578*^9}, {3.6353439190831814`*^9, 
   3.6353439940344677`*^9}, {3.6353441068909235`*^9, 3.635344124477929*^9}, {
   3.635344207801695*^9, 3.635344467973576*^9}, 3.635344535622445*^9, {
   3.6353446448126907`*^9, 3.635344674635396*^9}, {3.6353449120759773`*^9, 
   3.6353449125050015`*^9}, {3.6353449476680126`*^9, 3.6353450055123215`*^9}, 
   3.6353450374161463`*^9, {3.635345157164995*^9, 3.6353451745659904`*^9}, {
   3.6353458059501038`*^9, 3.635345820682946*^9}, 3.635345886448708*^9, 
   3.6353459303082166`*^9, {3.641865220861153*^9, 3.6418653904334507`*^9}, 
   3.641865546132924*^9, 3.6418656243062615`*^9, {3.6418656787907567`*^9, 
   3.64186573750926*^9}, {3.641866226070918*^9, 3.641866226648119*^9}, {
   3.644218654687992*^9, 3.6442186906616554`*^9}, {3.645016715236701*^9, 
   3.645016756311573*^9}, {3.645161343266915*^9, 3.6451613527673316`*^9}, {
   3.645164439751954*^9, 3.645164463604396*^9}, 3.6457028724443436`*^9, 
   3.6787676928713646`*^9, {3.6790335161257877`*^9, 3.6790335281846094`*^9}}]
},
WindowSize->{538, 505},
WindowMargins->{{Automatic, 241}, {Automatic, 23}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 3123, 65, 244, "Input"]
}
]
*)

(* End of internal cache information *)
