(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      5729,        135]
NotebookOptionsPosition[      5454,        121]
NotebookOutlinePosition[      5830,        137]
CellTagsIndexPosition[      5787,        134]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"===", "===", "==="}], "=", " ", 
    RowBox[{"UClenshawArr", " ", "===", "===", "===", "\[Equal]"}]}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"UClenshawArr", "[", 
     RowBox[{"a_", ",", "x_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "y", ",", "b", ",", "k", ",", "j", ",", "na", ",", "nx", ",", "x2"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"na", "=", 
        RowBox[{"Length", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"nx", "=", 
        RowBox[{"Length", "[", "x", "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"y", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"j", ",", "1", ",", "nx"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "1"}], ",", 
         RowBox[{"j", "\[LessEqual]", "nx"}], ",", 
         RowBox[{"j", "++"}], ",", " ", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"b", "=", 
           RowBox[{"Table", "[", 
            RowBox[{"0", ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "1", ",", 
               RowBox[{"na", "+", "3"}]}], "}"}]}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"x2", "=", 
           RowBox[{"2", " ", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}]}]}], 
          " ", ";", "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"k", "=", 
             RowBox[{"na", "-", "1"}]}], ",", 
            RowBox[{"k", "\[GreaterEqual]", "0"}], ",", 
            RowBox[{"k", "--"}], ",", " ", 
            RowBox[{
             RowBox[{"b", "\[LeftDoubleBracket]", 
              RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
             RowBox[{
              RowBox[{"a", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "1"}], "\[RightDoubleBracket]"}], "+", 
              RowBox[{"x2", "  ", 
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"k", "+", "2"}], "\[RightDoubleBracket]"}]}], "-", 
              RowBox[{"b", "\[LeftDoubleBracket]", 
               RowBox[{"k", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], 
           "]"}], ";", "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
           "y", "\[LeftDoubleBracket]", "j", "\[RightDoubleBracket]"}], "=", 
           RowBox[{
           "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}]}], 
          ";"}]}], "\[IndentingNewLine]", "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "y", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.6353429944712963`*^9, 3.635343090320779*^9}, {
   3.6353432247654686`*^9, 3.635343485804399*^9}, {3.6353435976307955`*^9, 
   3.6353435977798033`*^9}, {3.635343713319412*^9, 3.635343730175376*^9}, {
   3.635343834516344*^9, 3.635343838608578*^9}, {3.6353439190831814`*^9, 
   3.6353439940344677`*^9}, {3.6353441068909235`*^9, 3.635344124477929*^9}, {
   3.635344207801695*^9, 3.635344467973576*^9}, 3.635344535622445*^9, {
   3.6353446448126907`*^9, 3.635344674635396*^9}, {3.6353449120759773`*^9, 
   3.6353449125050015`*^9}, {3.6353449476680126`*^9, 3.6353450055123215`*^9}, 
   3.6353450374161463`*^9, {3.635345157164995*^9, 3.6353451745659904`*^9}, {
   3.6353458059501038`*^9, 3.635345820682946*^9}, 3.635345886448708*^9, 
   3.6353459303082166`*^9, {3.641865220861153*^9, 3.6418653904334507`*^9}, 
   3.641865546132924*^9, 3.6418656243062615`*^9, {3.6418656787907567`*^9, 
   3.64186573750926*^9}, {3.641866226070918*^9, 3.641866226648119*^9}, {
   3.644218654687992*^9, 3.6442186906616554`*^9}, {3.645016715236701*^9, 
   3.645016756311573*^9}, {3.645161343266915*^9, 3.6451613527673316`*^9}, {
   3.6451614079134283`*^9, 3.6451615320584464`*^9}, {3.645161600230566*^9, 
   3.64516164233504*^9}, 3.6451617056555514`*^9, {3.645161951527583*^9, 
   3.6451620232565093`*^9}, {3.6451620629117785`*^9, 
   3.6451620808362103`*^9}, {3.645162156964344*^9, 3.6451622225468593`*^9}, {
   3.6451622585673227`*^9, 3.6451622710629444`*^9}, {3.6451623123406167`*^9, 
   3.6451623602483015`*^9}, {3.6451623946619616`*^9, 
   3.6451624001687713`*^9}, {3.6451624441452484`*^9, 
   3.6451624813201137`*^9}, {3.645162535686209*^9, 3.6451626122355433`*^9}, {
   3.6451626437475986`*^9, 3.6451626442156*^9}, {3.645162688504078*^9, 
   3.6451627261001434`*^9}, {3.6451640667740984`*^9, 
   3.6451640764461155`*^9}, {3.6455298527827353`*^9, 
   3.6455298538747373`*^9}, {3.645702885127166*^9, 3.645702889027173*^9}, {
   3.659177435605405*^9, 3.6591774386630106`*^9}, 3.678767712308999*^9, {
   3.6790335391358285`*^9, 3.679033556061858*^9}}]
},
WindowSize->{652, 505},
WindowMargins->{{Automatic, 163}, {Automatic, 52}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 4893, 99, 359, "Input"]
}
]
*)

(* End of internal cache information *)
