(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      4566,        128]
NotebookOptionsPosition[      4292,        114]
NotebookOutlinePosition[      4667,        130]
CellTagsIndexPosition[      4624,        127]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"===", "===", "===", "===", "===", "==="}], "=", " ", 
     RowBox[{"fjT", " ", "===", "===", "===", "===", "===", "===", "=="}]}], 
    "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"fjT", "[", 
     RowBox[{"ff_", ",", "n_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"f", ",", "x", ",", "k", ",", "j"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"f", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"x", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{
            FractionBox[
             RowBox[{
              RowBox[{"2", "k"}], "-", "1."}], 
             RowBox[{
              RowBox[{"2", "n"}], "+", "2"}]], " ", "\[Pi]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"f", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
        "=", 
        RowBox[{
         FractionBox["1", 
          RowBox[{"n", "+", "1"}]], " ", 
         RowBox[{
          UnderoverscriptBox["\[Sum]", 
           RowBox[{"k", "=", "1"}], 
           RowBox[{"n", "+", "1"}]], 
          RowBox[{"(", 
           RowBox[{"ff", "[", 
            RowBox[{
            "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
            "]"}], ")"}]}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "1"}], ",", 
         RowBox[{"j", "\[LessEqual]", "n"}], ",", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"f", "\[LeftDoubleBracket]", 
           RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           FractionBox["2.", 
            RowBox[{"n", "+", "1"}]], " ", 
           RowBox[{
            UnderoverscriptBox["\[Sum]", 
             RowBox[{"k", "=", "1"}], 
             RowBox[{"n", "+", "1"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"ff", "[", 
               RowBox[{
               "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
               "]"}], " ", 
              RowBox[{"ChebyshevT", "[", 
               RowBox[{"j", ",", 
                RowBox[{
                "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}],
                "]"}]}], ")"}]}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "f", "]"}]}]}], "\[IndentingNewLine]", "]"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.6363157690643806`*^9, 3.6363158786946516`*^9}, {
   3.636315913793659*^9, 3.6363162561142387`*^9}, {3.6363164522614574`*^9, 
   3.636316456436696*^9}, {3.6417361293803253`*^9, 3.641736281948593*^9}, {
   3.64466435219376*^9, 3.6446644225810833`*^9}, {3.644664478756782*^9, 
   3.644664500035219*^9}, {3.64501185827737*^9, 3.645011881739811*^9}, {
   3.645172101655221*^9, 3.6451721033753195`*^9}, {3.6451723008876166`*^9, 
   3.6451723056618896`*^9}, 3.645172394272958*^9, {3.6461147851809297`*^9, 
   3.6461147910777397`*^9}, 3.6558135063312135`*^9, 3.658291476676917*^9, {
   3.6589287414352894`*^9, 3.6589287472384996`*^9}, 3.6591784337263584`*^9, {
   3.6760205334718885`*^9, 3.676020543034705*^9}, {3.676870817583164*^9, 
   3.6768708222007723`*^9}, {3.6790322780696135`*^9, 3.6790322915480375`*^9}}]
},
WindowSize->{756, 756},
WindowMargins->{{Automatic, 138}, {0, Automatic}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 3731, 92, 356, "Input"]
}
]
*)

(* End of internal cache information *)
