(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      5725,        151]
NotebookOptionsPosition[      5450,        137]
NotebookOutlinePosition[      5825,        153]
CellTagsIndexPosition[      5782,        150]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "===", "===", "===", "===", "===", "===", "===", " ", "fjU", " ", "===", 
      "===", "===", "===", "===", "==="}], "="}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"fjU", "[", 
     RowBox[{"fu_", ",", "n_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"ft", ",", "G", ",", "x", ",", "j", ",", "k"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"ft", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"x", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{
            FractionBox[
             RowBox[{
              RowBox[{"2", "k"}], "-", "1."}], 
             RowBox[{
              RowBox[{"2", "n"}], "+", "2"}]], "\[Pi]"}], "]"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"G", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "0"}], ",", 
         RowBox[{"j", "\[LessEqual]", "n"}], ",", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"G", "\[LeftDoubleBracket]", 
           RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           FractionBox["1.", 
            RowBox[{"n", "+", "1"}]], " ", 
           RowBox[{
            UnderoverscriptBox["\[Sum]", 
             RowBox[{"k", "=", "1"}], 
             RowBox[{"n", "+", "1"}]], 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"fu", "[", 
               RowBox[{
               "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}], 
               "]"}], " ", 
              RowBox[{"ChebyshevT", "[", 
               RowBox[{"j", ",", 
                RowBox[{
                "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}],
                "]"}]}], ")"}]}]}]}]}], "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"j", "=", "0"}], ",", 
         RowBox[{"j", "\[LessEqual]", 
          RowBox[{"n", "-", "2"}]}], ",", 
         RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"ft", "\[LeftDoubleBracket]", 
           RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
          RowBox[{
           RowBox[{"G", "\[LeftDoubleBracket]", 
            RowBox[{"j", "+", "1"}], "\[RightDoubleBracket]"}], "-", 
           RowBox[{"G", "\[LeftDoubleBracket]", 
            RowBox[{"j", "+", "3"}], "\[RightDoubleBracket]"}]}]}]}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ft", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}], 
        "=", 
        RowBox[{"G", "\[LeftDoubleBracket]", "n", "\[RightDoubleBracket]"}]}],
        ";", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"ft", "\[LeftDoubleBracket]", 
         RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
        RowBox[{"G", "\[LeftDoubleBracket]", 
         RowBox[{"n", "+", "1"}], "\[RightDoubleBracket]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "ft", "]"}]}]}], "\[IndentingNewLine]", "]"}]}],
    ";"}]}]], "Input",
 CellChangeTimes->{{3.6363157690643806`*^9, 3.6363158786946516`*^9}, {
   3.636315913793659*^9, 3.6363162561142387`*^9}, {3.6363163185428095`*^9, 
   3.6363163276543303`*^9}, {3.6363163704477777`*^9, 3.636316507010589*^9}, {
   3.6363165410905385`*^9, 3.636316564829896*^9}, {3.6417363038822317`*^9, 
   3.6417363718671513`*^9}, {3.6417364102588186`*^9, 
   3.6417364261552467`*^9}, {3.6418115237806845`*^9, 3.6418115323451*^9}, {
   3.644664539269288*^9, 3.644664547911703*^9}, {3.6446645830117655`*^9, 
   3.644664829055397*^9}, 3.6448167534004374`*^9, {3.644816933312353*^9, 
   3.644817015243697*^9}, 3.644817700443701*^9, 3.6448182202622147`*^9, {
   3.645011901505046*^9, 3.6450119042662506`*^9}, {3.646114835475418*^9, 
   3.6461148423082294`*^9}, 3.6558135568753023`*^9, {3.6582914942425485`*^9, 
   3.6582914962237515`*^9}, 3.6590089432354097`*^9, 3.659015225875886*^9, {
   3.6590157217979584`*^9, 3.6590157317039757`*^9}, {3.659178720907263*^9, 
   3.659178722592066*^9}, {3.676870886394885*^9, 3.6768709012929115`*^9}, {
   3.67903231625848*^9, 3.6790323361329155`*^9}}]
},
WindowSize->{794, 708},
WindowMargins->{{Automatic, 56}, {20, Automatic}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 4889, 115, 407, "Input"]
}
]
*)

(* End of internal cache information *)
