(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      6520,        170]
NotebookOptionsPosition[      6246,        156]
NotebookOutlinePosition[      6620,        172]
CellTagsIndexPosition[      6577,        169]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Alpha]jk1", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Alpha]jk1", "[", 
     RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "\[Alpha]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"===", "===", "===", "===", "==="}], "=", " ", 
        RowBox[{"H\[Alpha]", " ", "===", "===", "===", "===", 
         RowBox[{"==", "\[Equal]"}]}]}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"H\[Alpha]", "[", "M_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"a", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          StyleBox[
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"===", "===", "==="}], "=", " ", 
             RowBox[{"akn", " ", "===", "===", "===", "==="}]}], "*)"}],
           FontFamily->"Courier New"], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"akn", "[", "n_", "]"}], ":=", 
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"aa", ",", "mm", ",", "kk"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"n", "\[LessEqual]", "1"}], ",", 
                 RowBox[{"Return", "[", 
                  RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"aa", "=", 
                RowBox[{"Table", "[", 
                 RowBox[{"0", ",", 
                  RowBox[{"{", 
                   RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                "aa", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                "=", 
                SuperscriptBox["2.", 
                 RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"kk", "=", "0"}], ",", 
                 RowBox[{"kk", "\[LessEqual]", 
                  RowBox[{"Floor", "[", 
                   FractionBox[
                    RowBox[{"n", "-", "2"}], "2"], "]"}]}], ",", 
                 RowBox[{"kk", "++"}], ",", 
                 RowBox[{
                  RowBox[{"mm", "=", 
                   RowBox[{"n", "-", "1.", "-", 
                    RowBox[{"2.", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", " ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"aa", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"Return", "[", "aa", "]"}]}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{"===", "=="}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{"a", "=", 
            RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"M2", "=", 
            RowBox[{"Floor", "[", 
             FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"h", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"r", "=", "0"}], "M2"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"a", "\[LeftDoubleBracket]", 
                RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
               RowBox[{"p", "\[LeftDoubleBracket]", 
                RowBox[{"M", "+", "2", "-", 
                 RowBox[{"2", " ", "r"}]}], "\[RightDoubleBracket]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", 
            RowBox[{"2", " ", "h"}], "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       StyleBox[
        RowBox[{"(*", 
         RowBox[{"===", "=="}], "*)"}],
        FontFamily->"Courier New"], "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"j", "==", "k"}], ",", 
         RowBox[{"\[Alpha]", "=", "1"}], ",", 
         RowBox[{"\[Alpha]", "=", 
          RowBox[{"H\[Alpha]", "[", 
           RowBox[{"k", "-", "j"}], "]"}]}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "\[Alpha]", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{
  3.6763428012367907`*^9, {3.676865806445962*^9, 3.676865844712829*^9}, 
   3.6782878992344975`*^9, 3.6788788385814924`*^9, {3.6790324681403475`*^9, 
   3.679032493069191*^9}}]
},
WindowSize->{737, 758},
WindowMargins->{{Automatic, 58}, {Automatic, 0}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 5685, 134, 729, "Input"]
}
]
*)

(* End of internal cache information *)
