(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      7595,        192]
NotebookOptionsPosition[      7319,        178]
NotebookOutlinePosition[      7695,        194]
CellTagsIndexPosition[      7652,        191]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Beta]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Beta]jk", "[", 
     RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "\[Beta]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "===", "===", "===", "===", " ", "r\[Beta]", " ", "===", "===", "===", 
        "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"r\[Beta]", "[", 
         RowBox[{"l_", ",", "M_"}], "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"aa", ",", "rez", ",", "m"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "===", "===", "===", "===", " ", "akn", " ", "===", "===", "===", "===",
             "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"akn", "[", "n_", "]"}], ":=", 
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"n", "\[LessEqual]", "1"}], ",", 
                RowBox[{"Return", "[", 
                 RowBox[{"{", "1.", "}"}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"a", "=", 
                  RowBox[{"Table", "[", 
                   RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "0", ",", 
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}]}], "}"}]}], "]"}]}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                  "a", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                   "=", 
                  SuperscriptBox["2.", 
                   RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"kk", "=", "0"}], ",", 
                   RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"n", "-", "2"}], "2"], "]"}]}], ",", 
                   RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"n", "-", "1.", "-", 
                    RowBox[{"2.", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1."}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Return", "[", "a", "]"}]}]}], "]"}]}], 
             "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{"===", "=="}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"l", "\[GreaterEqual]", 
              RowBox[{"Floor", "[", 
               FractionBox["M", "2"], "]"}]}], ",", 
             RowBox[{"Return", "[", "1.", "]"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"aa", "=", 
            RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"rez", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"m", "=", "0"}], "l"], 
             RowBox[{"aa", "\[LeftDoubleBracket]", 
              RowBox[{"m", "+", "1"}], "\[RightDoubleBracket]"}]}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "rez", "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "H\[Beta]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"H\[Beta]", "[", "M_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"l", ",", "re", ",", "M2"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"M2", "=", 
            RowBox[{"Floor", "[", 
             FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"re", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"l", "=", "0"}], "M2"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"r\[Beta]", "[", 
                RowBox[{"l", ",", "M"}], "]"}], " ", 
               RowBox[{"p", "\[LeftDoubleBracket]", 
                RowBox[{"M", "+", "2", "-", 
                 RowBox[{"2", " ", "l"}]}], "\[RightDoubleBracket]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "re", "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"j", "\[Equal]", "k"}], ",", 
         RowBox[{"\[Beta]", "=", "1."}], ",", 
         RowBox[{"\[Beta]", "=", 
          RowBox[{"2.", " ", 
           RowBox[{"H\[Beta]", "[", 
            RowBox[{"k", "-", "j"}], "]"}]}]}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "\[Beta]", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.6768702618789883`*^9, 3.6768703071190677`*^9}, {
   3.676870338927523*^9, 3.676870453915325*^9}, {3.6768705154886336`*^9, 
   3.6768705245834494`*^9}, {3.6780813794007363`*^9, 3.6780813799467373`*^9}, 
   3.6782879615254073`*^9, 3.6788802523823776`*^9, {3.67903250381761*^9, 
   3.679032528855654*^9}}]
},
WindowSize->{749, 862},
WindowMargins->{{Automatic, 22}, {Automatic, -22}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 6758, 156, 972, "Input"]
}
]
*)

(* End of internal cache information *)
