(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      8866,        223]
NotebookOptionsPosition[      8593,        209]
NotebookOutlinePosition[      8966,        225]
CellTagsIndexPosition[      8923,        222]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Delta]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Delta]jk", "[", 
     RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "\[Delta]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "===", "===", "===", "===", " ", "H\[Delta]", " ", "===", "===", "===",
         "===", "===", "\[Equal]"}], "*)"}], " ", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"H\[Delta]", "[", "M_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"aa", ",", "M2", ",", "HM", ",", "r"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
           "===", "===", "===", "===", " ", "akn", " ", "===", "===", "===", "===",
             "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"akn", "[", "n_", "]"}], ":=", 
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"a", ",", "mm", ",", "kk"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"n", "\[LessEqual]", "1"}], ",", 
                RowBox[{"Return", "[", 
                 RowBox[{"{", "1.", "}"}], "]"}], ",", "\[IndentingNewLine]", 
                RowBox[{
                 RowBox[{"a", "=", 
                  RowBox[{"Table", "[", 
                   RowBox[{"0", ",", 
                    RowBox[{"{", 
                    RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                   "]"}]}], ";", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{
                  "a", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}],
                   "=", 
                  SuperscriptBox["2.", 
                   RowBox[{"n", "-", "1"}]]}], ";", "\[IndentingNewLine]", 
                 RowBox[{"For", "[", 
                  RowBox[{
                   RowBox[{"kk", "=", "0"}], ",", 
                   RowBox[{"kk", "\[LessEqual]", 
                    RowBox[{"Floor", "[", 
                    FractionBox[
                    RowBox[{"n", "-", "2"}], "2"], "]"}]}], ",", 
                   RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"mm", "=", 
                    RowBox[{"n", "-", "1.", "-", 
                    RowBox[{"2", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "2"}], "\[RightDoubleBracket]"}], "=", 
                    RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", "*", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", 
                    RowBox[{"(", 
                    RowBox[{"kk", "+", "1"}], ")"}], 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{"a", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                 "\[IndentingNewLine]", 
                 RowBox[{"Return", "[", "a", "]"}]}]}], "]"}]}], 
             "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
           StyleBox[
            RowBox[{"(*", 
             RowBox[{"===", "=="}], "*)"}],
            FontFamily->"Courier New"], "\[IndentingNewLine]", 
           RowBox[{"aa", "=", 
            RowBox[{"akn", "[", "M", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"M2", "=", 
            RowBox[{"Floor", "[", 
             FractionBox["M", "2"], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"HM", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"r", "=", "0"}], 
              RowBox[{" ", "M2", " "}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"aa", "\[LeftDoubleBracket]", 
                RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], "*", 
               RowBox[{"p", "\[LeftDoubleBracket]", 
                RowBox[{"M", "-", 
                 RowBox[{"2", " ", "r"}], "+", "4"}], 
                "\[RightDoubleBracket]"}]}], ")"}]}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "HM", "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "G\[Delta]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"G\[Delta]", "[", "M_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"d1", ",", "d2", ",", "GM"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"d1", "=", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "1"}], ",", 
              RowBox[{"-", "0.5"}], ",", "0"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"d2", "=", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "2"}], ",", 
              RowBox[{"-", "0.25"}], ",", "0"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"GM", "=", 
            RowBox[{
             RowBox[{"d1", "*", 
              RowBox[{
              "p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
             "+", 
             RowBox[{"d2", "*", 
              RowBox[{
              "p", "\[LeftDoubleBracket]", "2", 
               "\[RightDoubleBracket]"}]}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "GM", "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Delta]", "=", 
        RowBox[{"-", 
         RowBox[{"G\[Delta]", "[", 
          RowBox[{"k", "+", "j"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"j", "\[Equal]", 
          RowBox[{"k", "-", "2"}]}], ",", 
         RowBox[{"\[Delta]", "=", 
          RowBox[{"\[Delta]", "+", 
           RowBox[{"H\[Delta]", "[", "0", "]"}]}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"j", "<", 
            RowBox[{"k", "-", "2"}]}], ",", 
           RowBox[{"\[Delta]", "=", 
            RowBox[{"\[Delta]", "+", 
             RowBox[{"2", " ", 
              RowBox[{"H\[Delta]", "[", 
               RowBox[{"k", "-", "j", "-", "2"}], "]"}]}], "+", 
             RowBox[{"G\[Delta]", "[", 
              RowBox[{"k", "-", "j", "-", "2"}], "]"}]}]}], ",", 
           "\[IndentingNewLine]", 
           RowBox[{"\[Delta]", "=", 
            RowBox[{"\[Delta]", "-", 
             RowBox[{"G\[Delta]", "[", 
              RowBox[{"j", "-", "k", "+", "2"}], "]"}]}]}]}], "]"}]}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "\[Delta]", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.676869715441228*^9, 3.676869755798499*^9}, {
   3.676869827964226*^9, 3.676869837215042*^9}, {3.676869871238702*^9, 
   3.676869894560743*^9}, {3.6780813315086527`*^9, 3.6780813338018565`*^9}, 
   3.678108487969124*^9, {3.6782864122724285`*^9, 3.678286415985235*^9}, 
   3.6782880150179014`*^9, 3.6788803103364797`*^9, {3.679032548870489*^9, 
   3.6790325747353344`*^9}}]
},
WindowSize->{707, 862},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 8032, 187, 982, "Input"]
}
]
*)

(* End of internal cache information *)
