(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      6601,        172]
NotebookOptionsPosition[      6325,        158]
NotebookOutlinePosition[      6701,        174]
CellTagsIndexPosition[      6658,        171]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{"===", "===", "===", "===", "===", 
     RowBox[{"==", " ", "\[Gamma]jk1"}], " ", "===", "===", "===", "===", "===",
      "=="}], "*)"}],
   FontFamily->"Courier New"], 
  RowBox[{
   RowBox[{
    RowBox[{"\[Gamma]jk1", "[", 
     RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "\[Gamma]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "===", "===", "===", "===", " ", "H\[Gamma]", " ", "===", "===", "===",
         "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"H\[Gamma]", "[", "M_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"b", ",", "M2", ",", "h", ",", "r"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          StyleBox[
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"===", "===", "==="}], "=", " ", 
             RowBox[{"bkn", " ", "===", "===", "===", "==="}]}], "*)"}],
           FontFamily->"Courier New"], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"bkn", "[", "n_", "]"}], ":=", 
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"bb", ",", "mm", ",", "kk"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"n", "\[Equal]", "0"}], " ", ",", 
                 RowBox[{"Return", "[", 
                  RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"bb", "=", 
                RowBox[{"Table", "[", 
                 RowBox[{"0", ",", 
                  RowBox[{"{", 
                   RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                 "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                "bb", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                "=", 
                SuperscriptBox["2.", "n"]}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"kk", "=", "1"}], ",", 
                 RowBox[{"kk", "\[LessEqual]", 
                  RowBox[{"Floor", "[", 
                   FractionBox["n", "2"], "]"}]}], ",", 
                 RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"mm", "=", 
                   RowBox[{"n", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"bb", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "bb", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"Return", "[", "bb", "]"}]}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"M", "\[Equal]", "0"}], ",", 
             RowBox[{"Return", "[", 
              RowBox[{"{", "0.", "}"}], "]"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"b", "=", 
            RowBox[{"bkn", "[", 
             RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"M2", "=", 
            RowBox[{"Floor", "[", 
             FractionBox[
              RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"h", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"r", "=", "0"}], "M2"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"b", "\[LeftDoubleBracket]", 
                RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
               RowBox[{"p", "\[LeftDoubleBracket]", 
                RowBox[{"M", "-", 
                 RowBox[{"2", " ", "r"}], "+", "1"}], 
                "\[RightDoubleBracket]"}]}], ")"}]}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "h", "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"hj", ":=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"j", "\[Equal]", "0"}], ",", "1", ",", "2"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Gamma]", "=", 
        RowBox[{"H\[Gamma]", "[", 
         RowBox[{"k", "-", "j", "+", "1"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"hj", " ", "\[Gamma]"}], "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.676166488749136*^9, 3.676166497812752*^9}, {
   3.676868839062889*^9, 3.676868884084568*^9}, {3.676868923037836*^9, 
   3.676868931290251*^9}, 3.6782882388626947`*^9, {3.6786341758097506`*^9, 
   3.678634177088953*^9}, 3.678879175776085*^9, {3.679032694519145*^9, 
   3.679032721912793*^9}}]
},
WindowSize->{707, 853},
WindowMargins->{{Automatic, 92}, {Automatic, -31}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 5764, 136, 745, "Input"]
}
]
*)

(* End of internal cache information *)
