(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      8709,        227]
NotebookOptionsPosition[      8434,        213]
NotebookOutlinePosition[      8809,        229]
CellTagsIndexPosition[      8766,        226]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Mu]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"\[Mu]jk", "[", 
     RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Mu]", ",", "t1", ",", "t2", ",", "hj"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "===", "===", "===", "===", " ", "G\[Mu]", " ", "===", "===", "===", "===",
         "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"G\[Mu]", "[", "M_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"q1", ",", "q2", ",", "GM", ",", "r"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"q1", "=", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "0"}], ",", "1.", ",", "0"}], "]"}]}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"q2", "=", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "1"}], ",", "0.5", ",", "0"}], "]"}]}],
            ";", "\[IndentingNewLine]", 
           RowBox[{"GM", "=", " ", 
            RowBox[{
             RowBox[{"q1", " ", 
              RowBox[{
              "p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
             " ", "+", 
             RowBox[{"q2", " ", 
              RowBox[{
              "p", "\[LeftDoubleBracket]", "2", 
               "\[RightDoubleBracket]"}]}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "GM", "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "H\[Mu]", " ", "===", "===", "===", "===",
          "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"H\[Mu]", "[", "M_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"bb", ",", "Hz", ",", "r", ",", "M2"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          StyleBox[
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"===", "===", "==="}], "=", " ", 
             RowBox[{"bkn", " ", "===", "===", "===", "==="}]}], "*)"}],
           FontFamily->"Courier New"], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"bkn", "[", "n_", "]"}], ":=", 
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"b", ",", "mm", ",", "kk"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"n", "\[Equal]", "0"}], " ", ",", 
                 RowBox[{"Return", "[", 
                  RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"b", "=", 
                RowBox[{"Table", "[", 
                 RowBox[{"0", ",", 
                  RowBox[{"{", 
                   RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                 "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                "=", 
                SuperscriptBox["2.", "n"]}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"kk", "=", "1"}], ",", 
                 RowBox[{"kk", "\[LessEqual]", 
                  RowBox[{"Floor", "[", 
                   FractionBox["n", "2"], "]"}]}], ",", 
                 RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"mm", "=", 
                   RowBox[{"n", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"b", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "b", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"Return", "[", "b", "]"}]}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"M", "\[Equal]", "0"}], ",", 
             RowBox[{"Return", "[", 
              RowBox[{"{", "0.", "}"}], "]"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"bb", "=", 
            RowBox[{"bkn", "[", 
             RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"M2", "=", 
            RowBox[{"Floor", "[", 
             FractionBox[
              RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Hz", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"r", "=", "0"}], 
              RowBox[{" ", "M2", " "}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"bb", "\[LeftDoubleBracket]", 
                RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
               RowBox[{"p", "\[LeftDoubleBracket]", 
                RowBox[{"M", "-", 
                 RowBox[{"2", "r"}], "+", "3"}], "\[RightDoubleBracket]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "Hz", "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"hj", "=", 
        RowBox[{"If", "[", 
         RowBox[{
          RowBox[{"j", "\[Equal]", "0"}], ",", "1", ",", "2"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"t1", "=", 
        RowBox[{"0.5", " ", 
         RowBox[{"G\[Mu]", "[", 
          RowBox[{"k", "-", "1", "+", "j"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"k", ">", 
          RowBox[{"j", "+", "1"}]}], ",", 
         RowBox[{"t2", "=", 
          RowBox[{
           RowBox[{"0.5", " ", 
            RowBox[{"G\[Mu]", "[", 
             RowBox[{"k", "-", "1", "-", "j"}], "]"}]}], "+", 
           RowBox[{"H\[Mu]", "[", 
            RowBox[{"k", "-", "1", "-", "j"}], "]"}]}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"t2", "=", 
          RowBox[{"0.5", " ", 
           RowBox[{"G\[Mu]", "[", 
            RowBox[{
             RowBox[{"-", "k"}], "+", "1", "+", "j"}], "]"}]}]}]}], "]"}], 
       ";", "\[IndentingNewLine]", 
       RowBox[{"\[Mu]", "=", 
        RowBox[{"hj", " ", 
         RowBox[{"(", 
          RowBox[{"t1", "+", "t2"}], ")"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "\[Mu]", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.67687061612441*^9, 3.676870658104084*^9}, {
   3.6780814508956623`*^9, 3.678081451410463*^9}, 3.6782882822463703`*^9, {
   3.6788803649833755`*^9, 3.6788803713637867`*^9}, {3.6790327322868114`*^9, 
   3.6790327588224583`*^9}}]
},
WindowSize->{740, 862},
WindowMargins->{{Automatic, -4}, {Automatic, -5}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 7873, 191, 975, "Input"]
}
]
*)

(* End of internal cache information *)
