(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      6178,        162]
NotebookOptionsPosition[      5904,        148]
NotebookOutlinePosition[      6278,        164]
CellTagsIndexPosition[      6235,        161]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Rho]jk1", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Rho]jk1", "[", 
     RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "\[Rho]", "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "===", "===", "===", "===", " ", "H\[Rho]", " ", "===", "===", "===", "===",
         "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"H\[Rho]", "[", "M_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"bb", ",", "M2", ",", "r", ",", "h"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          StyleBox[
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"===", "===", "==="}], "=", " ", 
             RowBox[{"bkn", " ", "===", "===", "===", "==="}]}], "*)"}],
           FontFamily->"Courier New"], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"bkn", "[", "n_", "]"}], ":=", 
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"b", ",", "mm", ",", "kk"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"n", "\[Equal]", "0"}], " ", ",", 
                 RowBox[{"Return", "[", 
                  RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"b", "=", 
                RowBox[{"Table", "[", 
                 RowBox[{"0", ",", 
                  RowBox[{"{", 
                   RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                 "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                "=", 
                SuperscriptBox["2.", "n"]}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"kk", "=", "1"}], ",", 
                 RowBox[{"kk", "\[LessEqual]", 
                  RowBox[{"Floor", "[", 
                   FractionBox["n", "2"], "]"}]}], ",", 
                 RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"mm", "=", 
                   RowBox[{"n", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"b", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1."}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "b", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"Return", "[", "b", "]"}]}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"M", "==", "0"}], ",", 
             RowBox[{"Return", "[", "0", "]"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"bb", "=", 
            RowBox[{"bkn", "[", 
             RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"M2", "=", 
            RowBox[{"Floor", "[", 
             FractionBox[
              RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"h", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"r", "=", "0"}], "M2"], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"bb", "\[LeftDoubleBracket]", 
                RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
               RowBox[{"p", "\[LeftDoubleBracket]", 
                RowBox[{"M", "-", 
                 RowBox[{"2", " ", "r"}], "+", "1"}], 
                "\[RightDoubleBracket]"}]}], ")"}]}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Return", "[", 
            RowBox[{"2", " ", "h"}], "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Rho]", " ", "=", 
        RowBox[{"H\[Rho]", "[", 
         RowBox[{"k", "+", "1", "-", "j"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "\[Rho]", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.6768661743414087`*^9, 3.6768662211882906`*^9}, 
   3.6782883551920986`*^9, 3.6788792845862756`*^9, {3.67903279983493*^9, 
   3.679032823734172*^9}}]
},
WindowSize->{698, 780},
WindowMargins->{{Automatic, 30}, {Automatic, 0}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 5343, 126, 722, "Input"]
}
]
*)

(* End of internal cache information *)
