(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[      8463,        217]
NotebookOptionsPosition[      8189,        203]
NotebookOutlinePosition[      8563,        219]
CellTagsIndexPosition[      8520,        216]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "===", "===", "===", "===", " ", "\[Sigma]jk", " ", "===", "===", "===", "===",
     "===", "\[Equal]"}], "*)"}], 
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]jk", "[", 
     RowBox[{"j_", ",", "k_", ",", "p_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Sigma]", ",", "t1", ",", "t2", ",", "hj"}], "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
       "===", "===", "===", "===", " ", "G\[Sigma]", " ", "===", "===", "===",
         "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"G\[Sigma]", "[", "M_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"q1", ",", "q2", ",", "GM", ",", "r"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{"q1", "=", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "0"}], ",", "1.", ",", "0"}], "]"}]}], 
           ";", "\[IndentingNewLine]", 
           RowBox[{"q2", "=", 
            RowBox[{"If", "[", 
             RowBox[{
              RowBox[{"M", "\[Equal]", "1"}], ",", "0.5", ",", "0"}], "]"}]}],
            ";", "\[IndentingNewLine]", 
           RowBox[{"GM", "=", " ", 
            RowBox[{
             RowBox[{"q1", " ", 
              RowBox[{
              "p", "\[LeftDoubleBracket]", "3", "\[RightDoubleBracket]"}]}], 
             " ", "+", 
             RowBox[{"q2", " ", 
              RowBox[{
              "p", "\[LeftDoubleBracket]", "2", 
               "\[RightDoubleBracket]"}]}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "GM", "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "===", "===", "===", "===", " ", "H\[Sigma]", " ", "===", "===", "===",
          "===", "===", "\[Equal]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"H\[Sigma]", "[", "M_", "]"}], ":=", 
        RowBox[{"Module", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"bb", ",", "Hz", ",", "r", ",", "M2"}], "}"}], ",", 
          "\[IndentingNewLine]", 
          StyleBox[
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"===", "===", "==="}], "=", " ", 
             RowBox[{"bkn", " ", "===", "===", "===", "==="}]}], "*)"}],
           FontFamily->"Courier New"], "\[IndentingNewLine]", 
          RowBox[{
           RowBox[{
            RowBox[{"bkn", "[", "n_", "]"}], ":=", 
            RowBox[{"Module", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"b", ",", "mm", ",", "kk"}], "}"}], ",", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"If", "[", 
                RowBox[{
                 RowBox[{"n", "\[Equal]", "0"}], " ", ",", 
                 RowBox[{"Return", "[", 
                  RowBox[{"{", "1.", "}"}], "]"}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"b", "=", 
                RowBox[{"Table", "[", 
                 RowBox[{"0", ",", 
                  RowBox[{"{", 
                   RowBox[{"kk", ",", "1", ",", 
                    RowBox[{
                    RowBox[{"Floor", "[", 
                    FractionBox["n", "2"], "]"}], "+", "1"}]}], "}"}]}], 
                 "]"}]}], ";", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{
                "b", "\[LeftDoubleBracket]", "1", "\[RightDoubleBracket]"}], 
                "=", 
                SuperscriptBox["2.", "n"]}], ";", "\[IndentingNewLine]", 
               RowBox[{"For", "[", 
                RowBox[{
                 RowBox[{"kk", "=", "1"}], ",", 
                 RowBox[{"kk", "\[LessEqual]", 
                  RowBox[{"Floor", "[", 
                   FractionBox["n", "2"], "]"}]}], ",", 
                 RowBox[{"kk", "++"}], ",", "\[IndentingNewLine]", 
                 RowBox[{
                  RowBox[{"mm", "=", 
                   RowBox[{"n", "+", "1.", "-", 
                    RowBox[{"2", "  ", "kk"}]}]}], ";", "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"b", "\[LeftDoubleBracket]", 
                    RowBox[{"kk", "+", "1"}], "\[RightDoubleBracket]"}], "=", 
                   RowBox[{
                    RowBox[{"-", 
                    FractionBox[
                    RowBox[{"mm", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "1"}], ")"}]}], 
                    RowBox[{"4.", "  ", "kk", "  ", 
                    RowBox[{"(", 
                    RowBox[{"mm", "+", "kk"}], ")"}]}]]}], " ", 
                    RowBox[{
                    "b", "\[LeftDoubleBracket]", "kk", 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
               "\[IndentingNewLine]", 
               RowBox[{"Return", "[", "b", "]"}]}]}], "\[IndentingNewLine]", 
             "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"M", "\[Equal]", "0"}], ",", 
             RowBox[{"Return", "[", 
              RowBox[{"{", "0.", "}"}], "]"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"bb", "=", 
            RowBox[{"bkn", "[", 
             RowBox[{"M", "-", "1"}], "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"M2", "=", 
            RowBox[{"Floor", "[", 
             FractionBox[
              RowBox[{"M", "-", "1"}], "2"], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Hz", "=", 
            RowBox[{
             UnderoverscriptBox["\[Sum]", 
              RowBox[{"r", "=", "0"}], 
              RowBox[{" ", "M2", " "}]], 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"bb", "\[LeftDoubleBracket]", 
                RowBox[{"r", "+", "1"}], "\[RightDoubleBracket]"}], " ", 
               RowBox[{"p", "\[LeftDoubleBracket]", 
                RowBox[{"M", "-", 
                 RowBox[{"2", "r"}], "+", "3"}], "\[RightDoubleBracket]"}]}], 
              ")"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Return", "[", "Hz", "]"}]}]}], "\[IndentingNewLine]", 
         "]"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"\[Sigma]", "=", 
        RowBox[{"-", 
         RowBox[{"G\[Sigma]", "[", 
          RowBox[{"k", "+", "j", "+", "1"}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"j", "<", 
          RowBox[{"k", "-", "1"}]}], ",", 
         RowBox[{"\[Sigma]", "=", 
          RowBox[{"\[Sigma]", "+", 
           RowBox[{"G\[Sigma]", "[", 
            RowBox[{"k", "-", "j", "-", "1"}], "]"}], "+", 
           RowBox[{"2", " ", 
            RowBox[{"H\[Sigma]", "[", 
             RowBox[{"k", "-", "1", "-", "j"}], "]"}]}]}]}], ",", 
         RowBox[{"\[Sigma]", "=", 
          RowBox[{"\[Sigma]", "+", 
           RowBox[{"G\[Sigma]", "[", 
            RowBox[{"j", "-", "k", "+", "1"}], "]"}]}]}]}], "]"}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "\[Sigma]", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.676869468711195*^9, 3.6768695142164745`*^9}, {
   3.676869544714528*^9, 3.676869572030176*^9}, {3.678081227175669*^9, 
   3.6780812350068827`*^9}, {3.6780812831797676`*^9, 3.678081291322982*^9}, 
   3.678288404846986*^9, {3.678880459831542*^9, 3.6788804680527563`*^9}, {
   3.6790328396306*^9, 3.679032868927451*^9}}]
},
WindowSize->{786, 859},
WindowMargins->{{Automatic, 27}, {Automatic, 0}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 7628, 181, 929, "Input"]
}
]
*)

(* End of internal cache information *)
