(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     16220,        316]
NotebookOptionsPosition[     15817,        300]
NotebookOutlinePosition[     16319,        318]
CellTagsIndexPosition[     16276,        315]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"(*", 
    RowBox[{
    "===", "===", "===", " ", "\[Sigma]mjTT", " ", "===", "===", "===", 
     "=="}], "*)"}],
   FontFamily->"Courier New"], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Sigma]mjTT", "[", 
     RowBox[{"fk_", ",", "n_"}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "x", ",", "T", ",", "\[Sigma]", ",", "m", ",", "k", ",", "j", ",", "r",
         ",", "l", ",", "S", ",", "s", ",", "\[Delta]m", ",", "\[Delta]j"}], 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"x", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"Cos", "[", 
           RowBox[{
            FractionBox[
             RowBox[{
              RowBox[{"2", " ", "k"}], "-", "1."}], 
             RowBox[{
              RowBox[{"2", " ", "n"}], "+", "2"}]], " ", "\[Pi]"}], "]"}], 
          ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"T", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"m", ",", "1", ",", 
            RowBox[{"n", "+", "3"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"\[Sigma]", "=", 
        RowBox[{"Table", "[", 
         RowBox[{"0", ",", 
          RowBox[{"{", 
           RowBox[{"m", ",", "1", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"k", ",", "1", ",", 
            RowBox[{"n", "+", "1"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"m", "=", "0"}], ",", 
         RowBox[{"m", "\[LessEqual]", 
          RowBox[{"n", "+", "2"}]}], ",", 
         RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{"For", "[", 
          RowBox[{
           RowBox[{"k", "=", "1"}], ",", 
           RowBox[{"k", "\[LessEqual]", 
            RowBox[{"n", "+", "1"}]}], ",", 
           RowBox[{"k", "++"}], ",", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"T", "\[LeftDoubleBracket]", 
             RowBox[{
              RowBox[{"m", "+", "1"}], ",", "k"}], "\[RightDoubleBracket]"}], 
            "=", 
            RowBox[{"ChebyshevT", "[", 
             RowBox[{"m", ",", 
              RowBox[{
              "x", "\[LeftDoubleBracket]", "k", "\[RightDoubleBracket]"}]}], 
             "]"}]}]}], "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]",
         "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"For", "[", 
        RowBox[{
         RowBox[{"m", "=", "0"}], ",", 
         RowBox[{"m", "\[LessEqual]", "n"}], ",", 
         RowBox[{"m", "++"}], ",", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"\[Delta]m", "=", 
           RowBox[{"If", "[", 
            RowBox[{
             RowBox[{"m", "\[Equal]", "0"}], ",", "1.", ",", "2."}], "]"}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"For", "[", 
           RowBox[{
            RowBox[{"j", "=", "0"}], ",", 
            RowBox[{"j", "\[LessEqual]", "n"}], ",", 
            RowBox[{"j", "++"}], ",", "\[IndentingNewLine]", 
            RowBox[{
             RowBox[{"\[Delta]j", "=", 
              RowBox[{"If", "[", 
               RowBox[{
                RowBox[{"j", "\[Equal]", "0"}], ",", "1.", ",", "2."}], 
               "]"}]}], ";", "\[IndentingNewLine]", 
             RowBox[{"S", "=", "0"}], ";", "\[IndentingNewLine]", 
             RowBox[{"For", "[", 
              RowBox[{
               RowBox[{"r", "=", "1"}], ",", 
               RowBox[{"r", "\[LessEqual]", 
                RowBox[{"n", "+", "1"}]}], ",", 
               RowBox[{"r", "++"}], ",", "\[IndentingNewLine]", 
               RowBox[{
                RowBox[{"s", "=", "0"}], ";", "\[IndentingNewLine]", 
                RowBox[{"For", "[", 
                 RowBox[{
                  RowBox[{"l", "=", "1"}], ",", 
                  RowBox[{"l", "\[LessEqual]", 
                   RowBox[{"n", "+", "1"}]}], ",", 
                  RowBox[{"l", "++"}], ",", "\[IndentingNewLine]", 
                  RowBox[{"s", "=", 
                   RowBox[{"s", "+", 
                    RowBox[{
                    RowBox[{"fk", "[", 
                    RowBox[{
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "l", 
                    "\[RightDoubleBracket]"}], ",", 
                    RowBox[{
                    "x", "\[LeftDoubleBracket]", "r", 
                    "\[RightDoubleBracket]"}]}], "]"}], " ", 
                    RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"m", "+", "1"}], ",", "l"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}], "]"}], ";", 
                "\[IndentingNewLine]", 
                RowBox[{"S", "=", 
                 RowBox[{"S", "+", 
                  RowBox[{"s", " ", 
                   RowBox[{"T", "\[LeftDoubleBracket]", 
                    RowBox[{
                    RowBox[{"j", "+", "1"}], ",", "r"}], 
                    "\[RightDoubleBracket]"}]}]}]}]}]}], "]"}], ";", 
             "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"\[Sigma]", "\[LeftDoubleBracket]", 
               RowBox[{
                RowBox[{"m", "+", "1"}], ",", 
                RowBox[{"j", "+", "1"}]}], "\[RightDoubleBracket]"}], "=", 
              FractionBox[
               RowBox[{"\[Delta]m", " ", "\[Delta]j", " ", "S"}], 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"n", "+", "1"}], ")"}], 
                RowBox[{"(", 
                 RowBox[{"n", "+", "1"}], ")"}]}]]}]}]}], " ", "]"}]}]}], 
        "]"}], ";", "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "\[Sigma]", "]"}]}]}], "\[IndentingNewLine]", 
     "]"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.6369960399428816`*^9, 3.636996050898508*^9}, 
   3.6369960875576053`*^9, {3.636996505213494*^9, 3.636996505464508*^9}, {
   3.6370505715805206`*^9, 3.637050623222474*^9}, {3.637050684656988*^9, 
   3.637050696365658*^9}, 3.6370507304436073`*^9, {3.6370507662726564`*^9, 
   3.6370508693665533`*^9}, 3.6370509427407494`*^9, {3.6372251584258056`*^9, 
   3.6372251741937075`*^9}, {3.63722520658356*^9, 3.6372252332830873`*^9}, {
   3.6372254898407617`*^9, 3.637225517775359*^9}, 3.6372256891021585`*^9, {
   3.637227249440405*^9, 3.637227376863693*^9}, {3.6372274127837477`*^9, 
   3.6372274217912626`*^9}, {3.637227525855215*^9, 3.63722752594722*^9}, {
   3.637227653764531*^9, 3.637227707964631*^9}, {3.6372289579071236`*^9, 
   3.6372289746030784`*^9}, {3.637229016609481*^9, 3.6372290429439874`*^9}, 
   3.637229090418703*^9, 3.637257370835561*^9, {3.6372574167871895`*^9, 
   3.6372574806548424`*^9}, 3.6372575127166758`*^9, {3.637290592378905*^9, 
   3.637290621018543*^9}, {3.6372917060876055`*^9, 3.6372917197673874`*^9}, {
   3.637291754198357*^9, 3.6372919480574455`*^9}, {3.6372920043626657`*^9, 
   3.637292006498788*^9}, {3.6373393437453737`*^9, 3.6373393663866687`*^9}, {
   3.637339467265438*^9, 3.6373395697883024`*^9}, {3.6373396206962147`*^9, 
   3.637339810597076*^9}, 3.6373398683373785`*^9, 3.637339899526162*^9, {
   3.6373399426276274`*^9, 3.637339947857927*^9}, {3.6373400909211097`*^9, 
   3.637340136348708*^9}, {3.63734018970576*^9, 3.637340194943059*^9}, {
   3.6373402538144264`*^9, 3.637340263618987*^9}, {3.637340384440898*^9, 
   3.637340432843666*^9}, {3.6373404786992893`*^9, 3.6373405333244133`*^9}, {
   3.6373405951669507`*^9, 3.6373406167871876`*^9}, {3.637340670485259*^9, 
   3.6373407463816*^9}, {3.6373407880579834`*^9, 3.63734082331*^9}, {
   3.6373408653024015`*^9, 3.6373409129831285`*^9}, 3.6373409462460313`*^9, {
   3.6373410455767126`*^9, 3.637341189343936*^9}, 3.6373412251119814`*^9, {
   3.6373412946279573`*^9, 3.637341308582756*^9}, {3.6373413458488874`*^9, 
   3.6373414215852194`*^9}, {3.637344741653116*^9, 3.637344795850216*^9}, {
   3.6373459693843384`*^9, 3.6373459757877045`*^9}, 3.637346066724906*^9, {
   3.637346107855259*^9, 3.637346137324944*^9}, {3.637346272586681*^9, 
   3.6373462727426896`*^9}, {3.637346499320649*^9, 3.637346542269106*^9}, {
   3.637346652405405*^9, 3.6373467447046843`*^9}, {3.6373467899932747`*^9, 
   3.6373467928534384`*^9}, {3.637515648401041*^9, 3.637515653112311*^9}, {
   3.6375158872857046`*^9, 3.637515920836624*^9}, {3.6375160725142994`*^9, 
   3.637516076513528*^9}, {3.6375172170737643`*^9, 3.6375173574347925`*^9}, {
   3.637517989544947*^9, 3.6375180906457295`*^9}, {3.637518135864316*^9, 
   3.6375181570675287`*^9}, {3.6375182049662685`*^9, 3.637518213932781*^9}, {
   3.6375182547801175`*^9, 3.63751828174866*^9}, {3.6375184458200445`*^9, 
   3.6375184536004896`*^9}, {3.6375190829394855`*^9, 3.6375191460150933`*^9}, 
   3.6375192495930176`*^9, {3.6375194736948357`*^9, 3.637519484738467*^9}, {
   3.637519661666587*^9, 3.637519664094726*^9}, 3.637520149188472*^9, {
   3.637520512228236*^9, 3.6375205393017845`*^9}, {3.637522720408537*^9, 
   3.637522722167638*^9}, {3.6375228024612303`*^9, 3.6375228346750727`*^9}, {
   3.637522920452979*^9, 3.6375229475505285`*^9}, {3.6375230201906834`*^9, 
   3.637523032473386*^9}, 3.6375230895556507`*^9, {3.637523140485564*^9, 
   3.6375231500851135`*^9}, {3.6375232477466993`*^9, 
   3.6375232834367404`*^9}, {3.637523352081667*^9, 3.637523380975319*^9}, {
   3.6375236805764556`*^9, 3.637523689347957*^9}, {3.637524493973979*^9, 
   3.6375245042155647`*^9}, 3.6377418005470257`*^9, 3.6377418323418446`*^9, {
   3.637741887094976*^9, 3.6377418874339952`*^9}, 3.6377421716202497`*^9, {
   3.637743299082737*^9, 3.637743299215745*^9}, {3.637743337482933*^9, 
   3.6377433375669384`*^9}, {3.637743614378771*^9, 3.6377436240883265`*^9}, {
   3.637743675253253*^9, 3.637743721257884*^9}, {3.637743849919243*^9, 
   3.6377438804019866`*^9}, 3.637744207186678*^9, {3.637745239665732*^9, 
   3.637745263444092*^9}, 3.6377453070335855`*^9, {3.6377453728073473`*^9, 
   3.6377453738934097`*^9}, {3.6377454048921824`*^9, 
   3.6377454453634973`*^9}, {3.6377455649983397`*^9, 3.637745565065344*^9}, {
   3.637745601568432*^9, 3.6377456289559984`*^9}, {3.6377457903382287`*^9, 
   3.6377458587961445`*^9}, {3.6377459579558163`*^9, 
   3.6377460250326524`*^9}, {3.637746165767702*^9, 3.6377461991536117`*^9}, {
   3.6377464297568016`*^9, 3.6377464299508123`*^9}, {3.637746484363925*^9, 
   3.637746484574937*^9}, 3.6377465181708584`*^9, {3.637746720170412*^9, 
   3.6377467303569946`*^9}, {3.6377468267765093`*^9, 3.637746827053526*^9}, 
   3.63774696402636*^9, 3.637747008646912*^9, {3.637747042723861*^9, 
   3.637747073605627*^9}, {3.637747113479908*^9, 3.6377471136159163`*^9}, {
   3.637747307001977*^9, 3.637747344732135*^9}, 3.6377473840093813`*^9, 
   3.637747468057189*^9, {3.6377478717972813`*^9, 3.637747892542468*^9}, {
   3.6377479575721874`*^9, 3.637747979658451*^9}, {3.6377481119090147`*^9, 
   3.6377481495151663`*^9}, {3.6377491642972083`*^9, 
   3.6377491726326847`*^9}, {3.6377492229295616`*^9, 
   3.6377492273328133`*^9}, {3.6377492897833853`*^9, 
   3.6377492945516586`*^9}, {3.637749496303198*^9, 3.6377495059467497`*^9}, {
   3.637749541481782*^9, 3.637749561099904*^9}, {3.6378409592380147`*^9, 
   3.637840966478429*^9}, {3.637841056939603*^9, 3.6378410581326714`*^9}, {
   3.637909092114834*^9, 3.6379091199104233`*^9}, {3.637909230153729*^9, 
   3.637909241306367*^9}, 3.637909275368315*^9, 3.6379094805690517`*^9, {
   3.637909685666783*^9, 3.637909715463487*^9}, {3.6383631249101686`*^9, 
   3.6383631383879395`*^9}, {3.6393193340431643`*^9, 
   3.6393193434547024`*^9}, {3.639319774049331*^9, 3.6393198120185027`*^9}, {
   3.6393252256661453`*^9, 3.6393252278822727`*^9}, {3.6393255248302565`*^9, 
   3.6393255362219086`*^9}, {3.6398283019354477`*^9, 
   3.6398283034486504`*^9}, {3.6398368527633734`*^9, 3.639836857178181*^9}, 
   3.639836940092327*^9, {3.6418149090479727`*^9, 3.641815060196638*^9}, 
   3.641815119258342*^9, {3.6447328238144636`*^9, 3.644732828603672*^9}, 
   3.644732898990996*^9, {3.6447329421250715`*^9, 3.6447329726543255`*^9}, 
   3.64480378959571*^9, 3.644816787564497*^9, {3.6450110817860065`*^9, 
   3.645011087433216*^9}, {3.6450111313160934`*^9, 3.6450112253842583`*^9}, {
   3.6450177329008083`*^9, 3.6450177803404913`*^9}, {3.6450180197073116`*^9, 
   3.645018035338539*^9}, {3.645019247741469*^9, 3.645019250065873*^9}, {
   3.6450192832627316`*^9, 3.645019319173994*^9}, 3.645019357253661*^9, {
   3.6450196757750206`*^9, 3.6450196824986324`*^9}, {3.6450199876819687`*^9, 
   3.64501999417158*^9}, 3.645020235535204*^9, {3.6450207264056664`*^9, 
   3.645020729291671*^9}, 3.64502223138111*^9, 3.6455874096251307`*^9, {
   3.645932341706521*^9, 3.645932416352652*^9}, {3.6461057579651384`*^9, 
   3.646105809460829*^9}, {3.6461058912361727`*^9, 3.6461059576298895`*^9}, {
   3.646115312383856*^9, 3.6461153320710897`*^9}, {3.6557735162706003`*^9, 
   3.6557735452086506`*^9}, {3.6557735842399197`*^9, 
   3.6557735911039314`*^9}, {3.655773659759652*^9, 3.6557736832688932`*^9}, {
   3.655773720474959*^9, 3.655773811454318*^9}, {3.6557827706583967`*^9, 
   3.6557828288464985`*^9}, {3.655782862573758*^9, 3.655782951603114*^9}, {
   3.6557829945499897`*^9, 3.655783018480432*^9}, {3.6557830727997274`*^9, 
   3.655783101846978*^9}, {3.6564980924703083`*^9, 3.6564981092403374`*^9}, {
   3.656928863663354*^9, 3.6569288776721783`*^9}, {3.657014628752534*^9, 
   3.657014730589513*^9}, {3.6570147915700197`*^9, 3.6570148767929697`*^9}, {
   3.6570151838119097`*^9, 3.6570152625920486`*^9}, {3.657015294759305*^9, 
   3.6570152972085094`*^9}, {3.6570153386421824`*^9, 
   3.6570153440241914`*^9}, {3.6570153754738464`*^9, 3.657015522082904*^9}, {
   3.6570155559973636`*^9, 3.657015733868876*^9}, {3.657015772634944*^9, 
   3.6570159514580584`*^9}, {3.657015986058919*^9, 3.6570160375858097`*^9}, {
   3.6570160890815*^9, 3.6570163824712152`*^9}, {3.6570164161048746`*^9, 
   3.6570165360378847`*^9}, {3.657016576473156*^9, 3.6570166343648577`*^9}, {
   3.6570166852209473`*^9, 3.657016716389802*^9}, {3.6570167620510817`*^9, 
   3.6570168923425107`*^9}, {3.6570169683614445`*^9, 
   3.6570169713722496`*^9}, {3.657193224472145*^9, 3.6571932359225655`*^9}, {
   3.6571932837522497`*^9, 3.6571934063840647`*^9}, {3.6571934375529194`*^9, 
   3.657193478190991*^9}, {3.6571935138682537`*^9, 3.65719360871642*^9}, {
   3.6571936515852957`*^9, 3.657193666608122*^9}, {3.657193696918975*^9, 
   3.657194123813725*^9}, {3.657194156355382*^9, 3.657194282887204*^9}, {
   3.6571943347416954`*^9, 3.6571943411065063`*^9}, {3.6571944169402404`*^9, 
   3.6571944238198524`*^9}, 3.65829245175663*^9, {3.6584890000451427`*^9, 
   3.6584890014491453`*^9}, {3.6584891417557917`*^9, 
   3.6584891520830097`*^9}, {3.6587123569734983`*^9, 
   3.6587123578471003`*^9}, {3.6587124745197053`*^9, 3.658712482662919*^9}, 
   3.6588110018810205`*^9, {3.6760224647482767`*^9, 3.676022485309113*^9}, {
   3.679033397237979*^9, 3.679033415724012*^9}}]
},
WindowSize->{768, 816},
WindowMargins->{{Automatic, 0}, {Automatic, 11}},
Magnification:>1.25 Inherited,
FrontEndVersion->"9.0 for Microsoft Windows (64-bit) (January 25, 2013)",
StyleDefinitions->FrontEnd`FileName[{"Article"}, "Preprint.nb", 
  CharacterEncoding -> "WindowsCyrillic"],
PrivateNotebookOptions -> {"NotebookAuthor" -> ""}
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 15256, 278, 599, "Input"]
}
]
*)

(* End of internal cache information *)
